$GLPlugin::SNMP::discover_ids = {
  '1.3.6.1.4.1.12532.252.5.1' => 'Classes::Juniper::IVE',
  '1.3.6.1.4.1.9.1.1348' => 'Classes::CiscoCCM',
  '1.3.6.1.4.1.9.1.746' => 'Classes::CiscoCCM',
  '1.3.6.1.4.1.244.1.11' => 'Classes::Lantronix::SLS',
};

$GLPlugin::SNMP::mib_ids = {
  'SW-MIB' => '1.3.6.1.4.1.1588.2.1.1.1',
  'NETSCREEN-PRODUCTS-MIB' => '1.3.6.1.4.1.3224.1',
  'HOST-RESOURCES-MIB' => '1.3.6.1.2.1.25',
  'CISCO-ENTITY-SENSOR-MIB' => '1.3.6.1.4.1.9.9.91',
  'CISCO-ENTITY-FRU-CONTROL-MIB' => '1.3.6.1.4.1.9.9.117.1',
  'CISCO-ENTITY-ALARM-MIB' => '1.3.6.1.4.1.9.9.138.1',
  'CISCO-ENVMON-MIB' => '1.3.6.1.4.1.9.9.13',
  'PAN-PRODUCTS-MIB' => '1.3.6.1.4.1.25461.2.3',
};

$GLPlugin::SNMP::mibs_and_oids = {
  'MIB-II' => {
      sysDescr => '1.3.6.1.2.1.1.1',
      sysObjectID => '1.3.6.1.2.1.1.2',
      sysUpTime => '1.3.6.1.2.1.1.3',
      sysName => '1.3.6.1.2.1.1.5',
  },
  'MINI-IFMIB' => {
      ifNumber => '1.3.6.1.2.1.2.1',
      ifTableLastChange => '1.3.6.1.2.1.31.1.5',
      ifTable => '1.3.6.1.2.1.2.2',
      ifEntry => '1.3.6.1.2.1.2.2.1',
      ifIndex => '1.3.6.1.2.1.2.2.1.1',
      ifDescr => '1.3.6.1.2.1.2.2.1.2',
      ifXTable => '1.3.6.1.2.1.31.1.1',
      ifXEntry => '1.3.6.1.2.1.31.1.1.1',
      ifName => '1.3.6.1.2.1.31.1.1.1.1',
      ifAlias => '1.3.6.1.2.1.31.1.1.1.18',
  },
  'IFMIB' => {
      ifNumber => '1.3.6.1.2.1.2.1',
      ifTableLastChange => '1.3.6.1.2.1.31.1.5',
      ifTable => '1.3.6.1.2.1.2.2',
      ifEntry => '1.3.6.1.2.1.2.2.1',
      ifIndex => '1.3.6.1.2.1.2.2.1.1',
      ifDescr => '1.3.6.1.2.1.2.2.1.2',
      ifType => '1.3.6.1.2.1.2.2.1.3',
      ifTypeDefinition => 'IFMIB::ifType',
      ifMtu => '1.3.6.1.2.1.2.2.1.4',
      ifSpeed => '1.3.6.1.2.1.2.2.1.5',
      ifPhysAddress => '1.3.6.1.2.1.2.2.1.6',
      ifAdminStatus => '1.3.6.1.2.1.2.2.1.7',
      ifOperStatus => '1.3.6.1.2.1.2.2.1.8',
      ifLastChange => '1.3.6.1.2.1.2.2.1.9',
      ifInOctets => '1.3.6.1.2.1.2.2.1.10',
      ifInUcastPkts => '1.3.6.1.2.1.2.2.1.11',
      ifInNUcastPkts => '1.3.6.1.2.1.2.2.1.12',
      ifInDiscards => '1.3.6.1.2.1.2.2.1.13',
      ifInErrors => '1.3.6.1.2.1.2.2.1.14',
      ifInUnknownProtos => '1.3.6.1.2.1.2.2.1.15',
      ifOutOctets => '1.3.6.1.2.1.2.2.1.16',
      ifOutUcastPkts => '1.3.6.1.2.1.2.2.1.17',
      ifOutNUcastPkts => '1.3.6.1.2.1.2.2.1.18',
      ifOutDiscards => '1.3.6.1.2.1.2.2.1.19',
      ifOutErrors => '1.3.6.1.2.1.2.2.1.20',
      ifOutQLen => '1.3.6.1.2.1.2.2.1.21',
      ifSpecific => '1.3.6.1.2.1.2.2.1.22',
      ifAdminStatusDefinition => {
          1 => 'up',
          2 => 'down',
          3 => 'testing',
      },
      ifOperStatusDefinition => {
          1 => 'up',
          2 => 'down',
          3 => 'testing',
          4 => 'unknown',
          5 => 'dormant',
          6 => 'notPresent',
          7 => 'lowerLayerDown',
      },
      # INDEX { ifIndex }
      #
      ifXTable => '1.3.6.1.2.1.31.1.1',
      ifXEntry => '1.3.6.1.2.1.31.1.1.1',
      ifName => '1.3.6.1.2.1.31.1.1.1.1',
      ifInMulticastPkts => '1.3.6.1.2.1.31.1.1.1.2',
      ifInBroadcastPkts => '1.3.6.1.2.1.31.1.1.1.3',
      ifOutMulticastPkts => '1.3.6.1.2.1.31.1.1.1.4',
      ifOutBroadcastPkts => '1.3.6.1.2.1.31.1.1.1.5',
      ifHCInOctets => '1.3.6.1.2.1.31.1.1.1.6',
      ifHCInUcastPkts => '1.3.6.1.2.1.31.1.1.1.7',
      ifHCInMulticastPkts => '1.3.6.1.2.1.31.1.1.1.8',
      ifHCInBroadcastPkts => '1.3.6.1.2.1.31.1.1.1.9',
      ifHCOutOctets => '1.3.6.1.2.1.31.1.1.1.10',
      ifHCOutUcastPkts => '1.3.6.1.2.1.31.1.1.1.11',
      ifHCOutMulticastPkts => '1.3.6.1.2.1.31.1.1.1.12',
      ifHCOutBroadcastPkts => '1.3.6.1.2.1.31.1.1.1.13',
      ifLinkUpDownTrapEnable => '1.3.6.1.2.1.31.1.1.1.14',
      ifHighSpeed => '1.3.6.1.2.1.31.1.1.1.15',
      ifPromiscuousMode => '1.3.6.1.2.1.31.1.1.1.16',
      ifConnectorPresent => '1.3.6.1.2.1.31.1.1.1.17',
      ifAlias => '1.3.6.1.2.1.31.1.1.1.18',
      ifCounterDiscontinuityTime => '1.3.6.1.2.1.31.1.1.1.19',
      ifLinkUpDownTrapEnableDefinition => {
          1 => 'enabled',
          2 => 'disabled',
      },
      # ifXEntry AUGMENTS ifEntry
      #
  },
  'HOST-RESOURCES-MIB' => {
      host => '1.3.6.1.2.1.25',
      hrSystem => '1.3.6.1.2.1.25.1',
      hrStorage => '1.3.6.1.2.1.25.2',
      hrDevice => '1.3.6.1.2.1.25.3',
      hrSWRun => '1.3.6.1.2.1.25.4',
      hrSWRunPerf => '1.3.6.1.2.1.25.5',
      hrSWInstalled => '1.3.6.1.2.1.25.6',
      hrFSTypes => '1.3.6.1.2.1.25.3.9',
      hrFSOther => '1.3.6.1.2.1.25.3.9.1',
      hrFSUnknown => '1.3.6.1.2.1.25.3.9.2',
      hrFSBerkeleyFFS => '1.3.6.1.2.1.25.3.9.3',
      hrFSSys5FS => '1.3.6.1.2.1.25.3.9.4',
      hrFSFat => '1.3.6.1.2.1.25.3.9.5',
      hrFSHPFS => '1.3.6.1.2.1.25.3.9.6',
      hrFSHFS => '1.3.6.1.2.1.25.3.9.7',
      hrFSMFS => '1.3.6.1.2.1.25.3.9.8',
      hrFSNTFS => '1.3.6.1.2.1.25.3.9.9',
      hrFSVNode => '1.3.6.1.2.1.25.3.9.10',
      hrFSJournaled => '1.3.6.1.2.1.25.3.9.11',
      hrFSiso9660 => '1.3.6.1.2.1.25.3.9.12',
      hrFSRockRidge => '1.3.6.1.2.1.25.3.9.13',
      hrFSNFS => '1.3.6.1.2.1.25.3.9.14',
      hrFSNetware => '1.3.6.1.2.1.25.3.9.15',
      hrFSAFS => '1.3.6.1.2.1.25.3.9.16',
      hrFSDFS => '1.3.6.1.2.1.25.3.9.17',
      hrFSAppleshare => '1.3.6.1.2.1.25.3.9.18',
      hrFSRFS => '1.3.6.1.2.1.25.3.9.19',
      hrFSDGCFS => '1.3.6.1.2.1.25.3.9.20',
      hrFSBFS => '1.3.6.1.2.1.25.3.9.21',
      hrSystem => '1.3.6.1.2.1.25.1',
      hrSystemUptime => '1.3.6.1.2.1.25.1.1.0',
      hrSystemDate => '1.3.6.1.2.1.25.1.2.0',
      hrSystemInitialLoadDevice => '1.3.6.1.2.1.25.1.3.0',
      hrSystemInitialLoadParameters => '1.3.6.1.2.1.25.1.4.0',
      hrSystemNumUsers => '1.3.6.1.2.1.25.1.5.0',
      hrSystemProcesses => '1.3.6.1.2.1.25.1.6.0',
      hrSystemMaxProcesses => '1.3.6.1.2.1.25.1.7.0',
      hrStorageTypes => '1.3.6.1.2.1.25.2.1',
      hrStorageOther => '1.3.6.1.2.1.25.2.1.1',
      hrStorageRam => '1.3.6.1.2.1.25.2.1.2',
      hrStorageVirtualMemory => '1.3.6.1.2.1.25.2.1.3',
      hrStorageFixedDisk => '1.3.6.1.2.1.25.2.1.4',
      hrStorageRemovableDisk => '1.3.6.1.2.1.25.2.1.5',
      hrStorageFloppyDisk => '1.3.6.1.2.1.25.2.1.6',
      hrStorageCompactDisc => '1.3.6.1.2.1.25.2.1.7',
      hrStorageRamDisk => '1.3.6.1.2.1.25.2.1.8',
      hrStorage => '1.3.6.1.2.1.25.2',
      hrMemorySize => '1.3.6.1.2.1.25.2.2.0',
      hrStorageTable => '1.3.6.1.2.1.25.2.3',
      hrStorageEntry => '1.3.6.1.2.1.25.2.3.1',
      hrStorageIndex => '1.3.6.1.2.1.25.2.3.1.1',
      hrStorageType => '1.3.6.1.2.1.25.2.3.1.2',
      hrStorageTypeDefinition => 'OID::HOST-RESOURCES-MIB',
      hrStorageDescr => '1.3.6.1.2.1.25.2.3.1.3',
      hrStorageAllocationUnits => '1.3.6.1.2.1.25.2.3.1.4',
      hrStorageSize => '1.3.6.1.2.1.25.2.3.1.5',
      hrStorageUsed => '1.3.6.1.2.1.25.2.3.1.6',
      hrStorageAllocationFailures => '1.3.6.1.2.1.25.2.3.1.7',
      hrDeviceTypes => '1.3.6.1.2.1.25.3.1',
      hrDeviceOther => '1.3.6.1.2.1.25.3.1.1',
      hrDeviceUnknown => '1.3.6.1.2.1.25.3.1.2',
      hrDeviceProcessor => '1.3.6.1.2.1.25.3.1.3',
      hrDeviceNetwork => '1.3.6.1.2.1.25.3.1.4',
      hrDevicePrinter => '1.3.6.1.2.1.25.3.1.5',
      hrDeviceDiskStorage => '1.3.6.1.2.1.25.3.1.6',
      hrDeviceVideo => '1.3.6.1.2.1.25.3.1.10',
      hrDeviceAudio => '1.3.6.1.2.1.25.3.1.11',
      hrDeviceCoprocessor => '1.3.6.1.2.1.25.3.1.12',
      hrDeviceKeyboard => '1.3.6.1.2.1.25.3.1.13',
      hrDeviceModem => '1.3.6.1.2.1.25.3.1.14',
      hrDeviceParallelPort => '1.3.6.1.2.1.25.3.1.15',
      hrDevicePointing => '1.3.6.1.2.1.25.3.1.16',
      hrDeviceSerialPort => '1.3.6.1.2.1.25.3.1.17',
      hrDeviceTape => '1.3.6.1.2.1.25.3.1.18',
      hrDeviceClock => '1.3.6.1.2.1.25.3.1.19',
      hrDeviceVolatileMemory => '1.3.6.1.2.1.25.3.1.20',
      hrDeviceNonVolatileMemory => '1.3.6.1.2.1.25.3.1.21',
      hrDevice => '1.3.6.1.2.1.25.3',
      hrDeviceTable => '1.3.6.1.2.1.25.3.2',
      hrDeviceEntry => '1.3.6.1.2.1.25.3.2.1',
      hrDeviceIndex => '1.3.6.1.2.1.25.3.2.1.1',
      hrDeviceType => '1.3.6.1.2.1.25.3.2.1.2',
      hrDeviceDescr => '1.3.6.1.2.1.25.3.2.1.3',
      hrDeviceID => '1.3.6.1.2.1.25.3.2.1.4',
      hrDeviceStatus => '1.3.6.1.2.1.25.3.2.1.5',
      hrDeviceErrors => '1.3.6.1.2.1.25.3.2.1.6',
      hrProcessorTable => '1.3.6.1.2.1.25.3.3',
      hrProcessorEntry => '1.3.6.1.2.1.25.3.3.1',
      hrProcessorFrwID => '1.3.6.1.2.1.25.3.3.1.1',
      hrProcessorLoad => '1.3.6.1.2.1.25.3.3.1.2',
      hrNetworkTable => '1.3.6.1.2.1.25.3.4',
      hrNetworkEntry => '1.3.6.1.2.1.25.3.4.1',
      hrNetworkIfIndex => '1.3.6.1.2.1.25.3.4.1.1',
      hrPrinterTable => '1.3.6.1.2.1.25.3.5',
      hrPrinterEntry => '1.3.6.1.2.1.25.3.5.1',
      hrPrinterStatus => '1.3.6.1.2.1.25.3.5.1.1',
      hrPrinterDetectedErrorState => '1.3.6.1.2.1.25.3.5.1.2',
      hrDiskStorageTable => '1.3.6.1.2.1.25.3.6',
      hrDiskStorageEntry => '1.3.6.1.2.1.25.3.6.1',
      hrDiskStorageAccess => '1.3.6.1.2.1.25.3.6.1.1',
      hrDiskStorageMedia => '1.3.6.1.2.1.25.3.6.1.2',
      hrDiskStorageRemoveble => '1.3.6.1.2.1.25.3.6.1.3',
      hrDiskStorageCapacity => '1.3.6.1.2.1.25.3.6.1.4',
      hrPartitionTable => '1.3.6.1.2.1.25.3.7',
      hrPartitionEntry => '1.3.6.1.2.1.25.3.7.1',
      hrPartitionIndex => '1.3.6.1.2.1.25.3.7.1.1',
      hrPartitionLabel => '1.3.6.1.2.1.25.3.7.1.2',
      hrPartitionID => '1.3.6.1.2.1.25.3.7.1.3',
      hrPartitionSize => '1.3.6.1.2.1.25.3.7.1.4',
      hrPartitionFSIndex => '1.3.6.1.2.1.25.3.7.1.5',
      hrFSTable => '1.3.6.1.2.1.25.3.8',
      hrFSEntry => '1.3.6.1.2.1.25.3.8.1',
      hrFSIndex => '1.3.6.1.2.1.25.3.8.1.1',
      hrFSMountPoint => '1.3.6.1.2.1.25.3.8.1.2',
      hrFSRemoteMountPoint => '1.3.6.1.2.1.25.3.8.1.3',
      hrFSType => '1.3.6.1.2.1.25.3.8.1.4',
      hrFSAccess => '1.3.6.1.2.1.25.3.8.1.5',
      hrFSBootable => '1.3.6.1.2.1.25.3.8.1.6',
      hrFSStorageIndex => '1.3.6.1.2.1.25.3.8.1.7',
      hrFSLastFullBackupDate => '1.3.6.1.2.1.25.3.8.1.8',
      hrFSLastPartialBackupDate => '1.3.6.1.2.1.25.3.8.1.9',
      hrSWRun => '1.3.6.1.2.1.25.4',
      hrSWOSIndex => '1.3.6.1.2.1.25.4.1.0',
      hrSWRunTable => '1.3.6.1.2.1.25.4.2',
      hrSWRunEntry => '1.3.6.1.2.1.25.4.2.1',
      hrSWRunIndex => '1.3.6.1.2.1.25.4.2.1.1',
      hrSWRunName => '1.3.6.1.2.1.25.4.2.1.2',
      hrSWRunID => '1.3.6.1.2.1.25.4.2.1.3',
      hrSWRunPath => '1.3.6.1.2.1.25.4.2.1.4',
      hrSWRunParameters => '1.3.6.1.2.1.25.4.2.1.5',
      hrSWRunType => '1.3.6.1.2.1.25.4.2.1.6',
      hrSWRunStatus => '1.3.6.1.2.1.25.4.2.1.7',
      hrSWRunPerf => '1.3.6.1.2.1.25.5',
      hrSWRunPerfTable => '1.3.6.1.2.1.25.5.1',
      hrSWRunPerfEntry => '1.3.6.1.2.1.25.5.1.1',
      hrSWRunPerfCPU => '1.3.6.1.2.1.25.5.1.1.1',
      hrSWRunPerfMem => '1.3.6.1.2.1.25.5.1.1.2',
      hrSWInstalled => '1.3.6.1.2.1.25.6',
      hrSWInstalledLastChange => '1.3.6.1.2.1.25.6.1.0',
      hrSWInstalledLastUpdateTime => '1.3.6.1.2.1.25.6.2.0',
      hrSWInstalledTable => '1.3.6.1.2.1.25.6.3',
      hrSWInstalledEntry => '1.3.6.1.2.1.25.6.3.1',
      hrSWInstalledIndex => '1.3.6.1.2.1.25.6.3.1.1',
      hrSWInstalledName => '1.3.6.1.2.1.25.6.3.1.2',
      hrSWInstalledID => '1.3.6.1.2.1.25.6.3.1.3',
      hrSWInstalledType => '1.3.6.1.2.1.25.6.3.1.4',
      hrSWInstalledDate => '1.3.6.1.2.1.25.6.3.1.5',
  },
  'CISCO-CONFIG-MAN-MIB' => {
    ciscoConfigManMIBObjects => '1.3.6.1.4.1.9.9.43.1',
    ccmHistory => '1.3.6.1.4.1.9.9.43.1.1',
    ccmCLIHistory => '1.3.6.1.4.1.9.9.43.1.2',
    ccmCLICfg => '1.3.6.1.4.1.9.9.43.1.3',
    ccmCTIDObjects => '1.3.6.1.4.1.9.9.43.1.4',
    ccmHistory => '1.3.6.1.4.1.9.9.43.1.1',
    ccmHistoryRunningLastChanged => '1.3.6.1.4.1.9.9.43.1.1.1.0',
    ccmHistoryRunningLastSaved => '1.3.6.1.4.1.9.9.43.1.1.2.0',
    ccmHistoryStartupLastChanged => '1.3.6.1.4.1.9.9.43.1.1.3.0',
    ccmHistoryMaxEventEntries => '1.3.6.1.4.1.9.9.43.1.1.4.0',
    ccmHistoryEventEntriesBumped => '1.3.6.1.4.1.9.9.43.1.1.5.0',
  },
  'CISCO-PROCESS-MIB' => {
      cpmCPUTotalTable => '1.3.6.1.4.1.9.9.109.1.1.1',
      cpmCPUTotalEntry => '1.3.6.1.4.1.9.9.109.1.1.1.1',
      cpmCPUTotalIndex => '1.3.6.1.4.1.9.9.109.1.1.1.1.1',
      cpmCPUTotalPhysicalIndex => '1.3.6.1.4.1.9.9.109.1.1.1.1.2',
      cpmCPUTotal5sec => '1.3.6.1.4.1.9.9.109.1.1.1.1.3',
      cpmCPUTotal1min => '1.3.6.1.4.1.9.9.109.1.1.1.1.4',
      cpmCPUTotal5min => '1.3.6.1.4.1.9.9.109.1.1.1.1.5',
      cpmCPUTotal5secRev => '1.3.6.1.4.1.9.9.109.1.1.1.1.6',
      cpmCPUTotal1minRev => '1.3.6.1.4.1.9.9.109.1.1.1.1.7',
      cpmCPUTotal5minRev => '1.3.6.1.4.1.9.9.109.1.1.1.1.8',
      cpmCPUMonInterval => '1.3.6.1.4.1.9.9.109.1.1.1.1.9',
      cpmCPUTotalMonIntervalDefinition => '1.3.6.1.4.1.9.9.109.1.1.1.1.10',
      cpmCPUInterruptMonIntervalDefinition => '1.3.6.1.4.1.9.9.109.1.1.1.1.11',
      # INDEX { cpmCPUTotalIndex }
  },
  'CISCO-MEMORY-POOL-MIB' => {
      ciscoMemoryPoolTable => '1.3.6.1.4.1.9.9.48.1.1',
      ciscoMemoryPoolEntry => '1.3.6.1.4.1.9.9.48.1.1.1',
      ciscoMemoryPoolType => '1.3.6.1.4.1.9.9.48.1.1.1.1',
      ciscoMemoryPoolTypeDefinition => {
          1 => 'processor memory',
          2 => 'i/o memory',
          3 => 'pci memory',
          4 => 'fast memory',
          5 => 'multibus memory',
      },
      ciscoMemoryPoolName => '1.3.6.1.4.1.9.9.48.1.1.1.2',
      ciscoMemoryPoolAlternate => '1.3.6.1.4.1.9.9.48.1.1.1.3',
      ciscoMemoryPoolValid => '1.3.6.1.4.1.9.9.48.1.1.1.4',
      ciscoMemoryPoolUsed => '1.3.6.1.4.1.9.9.48.1.1.1.5',
      ciscoMemoryPoolFree => '1.3.6.1.4.1.9.9.48.1.1.1.6',
      ciscoMemoryPoolLargestFree => '1.3.6.1.4.1.9.9.48.1.1.1.7',
      # INDEX { ciscoMemoryPoolType }
  },
  'CISCO-ENHANCED-MEMPOOL-MIB' => {
    ciscoEnhancedMemPoolMIB => '1.3.6.1.4.1.9.9.221',
    cempMIBNotifications => '1.3.6.1.4.1.9.9.221',
    cempMIBObjects => '1.3.6.1.4.1.9.9.221.1',
    cempMIBConformance => '1.3.6.1.4.1.9.9.221.3',
    cempMemPool => '1.3.6.1.4.1.9.9.221.1.1',
    cempNotificationConfig => '1.3.6.1.4.1.9.9.221.1.2',
    cempMemPoolTable => '1.3.6.1.4.1.9.9.221.1.1.1',
    cempMemBufferPoolTable => '1.3.6.1.4.1.9.9.221.1.1.2',
    cempMemBufferCachePoolTable => '1.3.6.1.4.1.9.9.221.1.1.3',
    cempMemPoolEntry => '1.3.6.1.4.1.9.9.221.1.1.1.1',
    cempMemPoolIndex => '1.3.6.1.4.1.9.9.221.1.1.1.1.1',
    cempMemPoolType => '1.3.6.1.4.1.9.9.221.1.1.1.1.2',
    cempMemPoolName => '1.3.6.1.4.1.9.9.221.1.1.1.1.3',
    cempMemPoolPlatformMemory => '1.3.6.1.4.1.9.9.221.1.1.1.1.4',
    cempMemPoolAlternate => '1.3.6.1.4.1.9.9.221.1.1.1.1.5',
    cempMemPoolValid => '1.3.6.1.4.1.9.9.221.1.1.1.1.6',
    cempMemPoolUsed => '1.3.6.1.4.1.9.9.221.1.1.1.1.7',
    cempMemPoolFree => '1.3.6.1.4.1.9.9.221.1.1.1.1.8',
    cempMemPoolLargestFree => '1.3.6.1.4.1.9.9.221.1.1.1.1.9',
    cempMemPoolLowestFree => '1.3.6.1.4.1.9.9.221.1.1.1.1.10',
    cempMemPoolUsedLowWaterMark => '1.3.6.1.4.1.9.9.221.1.1.1.1.11',
    cempMemPoolAllocHit => '1.3.6.1.4.1.9.9.221.1.1.1.1.12',
    cempMemPoolAllocMiss => '1.3.6.1.4.1.9.9.221.1.1.1.1.13',
    cempMemPoolFreeHit => '1.3.6.1.4.1.9.9.221.1.1.1.1.14',
    cempMemPoolFreeMiss => '1.3.6.1.4.1.9.9.221.1.1.1.1.15',
    cempMemBufferPoolEntry => '1.3.6.1.4.1.9.9.221.1.1.2.1',
    cempMemBufferPoolIndex => '1.3.6.1.4.1.9.9.221.1.1.2.1.1',
    cempMemBufferMemPoolIndex => '1.3.6.1.4.1.9.9.221.1.1.2.1.2',
    cempMemBufferName => '1.3.6.1.4.1.9.9.221.1.1.2.1.3',
    cempMemBufferDynamic => '1.3.6.1.4.1.9.9.221.1.1.2.1.4',
    cempMemBufferSize => '1.3.6.1.4.1.9.9.221.1.1.2.1.5',
    cempMemBufferMin => '1.3.6.1.4.1.9.9.221.1.1.2.1.6',
    cempMemBufferMax => '1.3.6.1.4.1.9.9.221.1.1.2.1.7',
    cempMemBufferPermanent => '1.3.6.1.4.1.9.9.221.1.1.2.1.8',
    cempMemBufferTransient => '1.3.6.1.4.1.9.9.221.1.1.2.1.9',
    cempMemBufferTotal => '1.3.6.1.4.1.9.9.221.1.1.2.1.10',
    cempMemBufferFree => '1.3.6.1.4.1.9.9.221.1.1.2.1.11',
    cempMemBufferHit => '1.3.6.1.4.1.9.9.221.1.1.2.1.12',
    cempMemBufferMiss => '1.3.6.1.4.1.9.9.221.1.1.2.1.13',
    cempMemBufferFreeHit => '1.3.6.1.4.1.9.9.221.1.1.2.1.14',
    cempMemBufferFreeMiss => '1.3.6.1.4.1.9.9.221.1.1.2.1.15',
    cempMemBufferPermChange => '1.3.6.1.4.1.9.9.221.1.1.2.1.16',
    cempMemBufferPeak => '1.3.6.1.4.1.9.9.221.1.1.2.1.17',
    cempMemBufferPeakTime => '1.3.6.1.4.1.9.9.221.1.1.2.1.18',
    cempMemBufferTrim => '1.3.6.1.4.1.9.9.221.1.1.2.1.19',
    cempMemBufferGrow => '1.3.6.1.4.1.9.9.221.1.1.2.1.20',
    cempMemBufferFailures => '1.3.6.1.4.1.9.9.221.1.1.2.1.21',
    cempMemBufferNoStorage => '1.3.6.1.4.1.9.9.221.1.1.2.1.22',
    cempMemBufferCachePoolEntry => '1.3.6.1.4.1.9.9.221.1.1.3.1',
    cempMemBufferCacheSize => '1.3.6.1.4.1.9.9.221.1.1.3.1.1',
    cempMemBufferCacheTotal => '1.3.6.1.4.1.9.9.221.1.1.3.1.2',
    cempMemBufferCacheUsed => '1.3.6.1.4.1.9.9.221.1.1.3.1.3',
    cempMemBufferCacheHit => '1.3.6.1.4.1.9.9.221.1.1.3.1.4',
    cempMemBufferCacheMiss => '1.3.6.1.4.1.9.9.221.1.1.3.1.5',
    cempMemBufferCacheThreshold => '1.3.6.1.4.1.9.9.221.1.1.3.1.6',
    cempMemBufferCacheThresholdCount => '1.3.6.1.4.1.9.9.221.1.1.3.1.7',
    cempMemBufferNotifyEnabled => '1.3.6.1.4.1.9.9.221.1.2.1',
    cempMIBCompliances => '1.3.6.1.4.1.9.9.221.3.1',
    cempMIBGroups => '1.3.6.1.4.1.9.9.221.3.2',
    cempMIBCompliance => '1.3.6.1.4.1.9.9.221.3.1.1',
    cempMIBComplianceRev1 => '1.3.6.1.4.1.9.9.221.3.1.2',
    cempMIBComplianceRev2 => '1.3.6.1.4.1.9.9.221.3.1.3',
    cempMemPoolGroup => '1.3.6.1.4.1.9.9.221.3.2.1',
    cempMemPoolExtGroup => '1.3.6.1.4.1.9.9.221.3.2.2',
    cempMemBufferGroup => '1.3.6.1.4.1.9.9.221.3.2.3',
    cempMemBufferExtGroup => '1.3.6.1.4.1.9.9.221.3.2.4',
    cempMemBufferNotifyEnableGroup => '1.3.6.1.4.1.9.9.221.3.2.5',
    cempMemPoolExtGroupRev1 => '1.3.6.1.4.1.9.9.221.3.2.7',
    cempMemBufferNotifyGroup => '1.3.6.1.4.1.9.9.221.3.2.6',
  },
  'CISCO-ENVMON-MIB' => {
    ciscoEnvMonPresent => '1.3.6.1.4.1.9.9.13.1.1.0',
    ciscoEnvMonPresentDefinition => {
      1 => 'oldAgs',
      2 => 'ags',
      3 => 'c7000',
      4 => 'ci',
      6 => 'cAccessMon',
      7 => 'cat6000',
      8 => 'ubr7200',
      9 => 'cat4000',
      10 => 'c10000',
      11 => 'osr7600',
      12 => 'c7600',
      13 => 'c37xx',
      14 => 'other',
    },
    ciscoEnvMonVoltageStatusTable => '1.3.6.1.4.1.9.9.13.1.2',
    ciscoEnvMonVoltageStatusEntry => '1.3.6.1.4.1.9.9.13.1.2.1',
    ciscoEnvMonVoltageStatusIndex => '1.3.6.1.4.1.9.9.13.1.2.1.1',
    ciscoEnvMonVoltageStatusDescr => '1.3.6.1.4.1.9.9.13.1.2.1.2',
    ciscoEnvMonVoltageStatusValue => '1.3.6.1.4.1.9.9.13.1.2.1.3',
    ciscoEnvMonVoltageThresholdLow => '1.3.6.1.4.1.9.9.13.1.2.1.4',
    ciscoEnvMonVoltageThresholdHigh => '1.3.6.1.4.1.9.9.13.1.2.1.5',
    ciscoEnvMonVoltageLastShutdown => '1.3.6.1.4.1.9.9.13.1.2.1.6',
    ciscoEnvMonVoltageState => '1.3.6.1.4.1.9.9.13.1.2.1.7',
    ciscoEnvMonVoltageStateDefinition => 'CISCO-ENVMON-MIB::ciscoEnvMonState',
    ciscoEnvMonTemperatureStatusTable => '1.3.6.1.4.1.9.9.13.1.3',
    ciscoEnvMonTemperatureStatusEntry => '1.3.6.1.4.1.9.9.13.1.3.1',
    ciscoEnvMonTemperatureStatusIndex => '1.3.6.1.4.1.9.9.13.1.3.1.1',
    ciscoEnvMonTemperatureStatusDescr => '1.3.6.1.4.1.9.9.13.1.3.1.2',
    ciscoEnvMonTemperatureStatusValue => '1.3.6.1.4.1.9.9.13.1.3.1.3',
    ciscoEnvMonTemperatureThreshold => '1.3.6.1.4.1.9.9.13.1.3.1.4',
    ciscoEnvMonTemperatureLastShutdown => '1.3.6.1.4.1.9.9.13.1.3.1.5',
    ciscoEnvMonTemperatureState => '1.3.6.1.4.1.9.9.13.1.3.1.6',
    ciscoEnvMonTemperatureStateDefinition => 'CISCO-ENVMON-MIB::ciscoEnvMonState',
    ciscoEnvMonFanStatusTable => '1.3.6.1.4.1.9.9.13.1.4',
    ciscoEnvMonFanStatusEntry => '1.3.6.1.4.1.9.9.13.1.4.1',
    ciscoEnvMonFanStatusIndex => '1.3.6.1.4.1.9.9.13.1.4.1.1',
    ciscoEnvMonFanStatusDescr => '1.3.6.1.4.1.9.9.13.1.4.1.2',
    ciscoEnvMonFanState => '1.3.6.1.4.1.9.9.13.1.4.1.3',
    ciscoEnvMonFanStateDefinition => 'CISCO-ENVMON-MIB::ciscoEnvMonState',
    ciscoEnvMonSupplyStatusTable => '1.3.6.1.4.1.9.9.13.1.5',
    ciscoEnvMonSupplyStatusEntry => '1.3.6.1.4.1.9.9.13.1.5.1',
    ciscoEnvMonSupplyStatusIndex => '1.3.6.1.4.1.9.9.13.1.5.1.1',
    ciscoEnvMonSupplyStatusDescr => '1.3.6.1.4.1.9.9.13.1.5.1.2',
    ciscoEnvMonSupplyState => '1.3.6.1.4.1.9.9.13.1.5.1.3',
    ciscoEnvMonSupplyStateDefinition => 'CISCO-ENVMON-MIB::ciscoEnvMonState',
    ciscoEnvMonSupplySource => '1.3.6.1.4.1.9.9.13.1.5.1.4',
    ciscoEnvMonAlarmContacts => '1.3.6.1.4.1.9.9.13.1.6.0',
  },
  'CISCO-HSRP-MIB' => {
      cHsrpGrpTable => '1.3.6.1.4.1.9.9.106.1.2.1',
      cHsrpGrpEntry => '1.3.6.1.4.1.9.9.106.1.2.1.1',
      cHsrpGrpNumber => '1.3.6.1.4.1.9.9.106.1.2.1.1.1',
      cHsrpGrpAuth => '1.3.6.1.4.1.9.9.106.1.2.1.1.2',
      cHsrpGrpPriority => '1.3.6.1.4.1.9.9.106.1.2.1.1.3',
      cHsrpGrpPreempt => '1.3.6.1.4.1.9.9.106.1.2.1.1.4',
      cHsrpGrpPreemptDelay => '1.3.6.1.4.1.9.9.106.1.2.1.1.5',
      cHsrpGrpUseConfiguredTimers => '1.3.6.1.4.1.9.9.106.1.2.1.1.6',
      cHsrpGrpConfiguredHelloTime => '1.3.6.1.4.1.9.9.106.1.2.1.1.7',
      cHsrpGrpConfiguredHoldTime => '1.3.6.1.4.1.9.9.106.1.2.1.1.8',
      cHsrpGrpLearnedHelloTime => '1.3.6.1.4.1.9.9.106.1.2.1.1.9',
      cHsrpGrpLearnedHoldTime => '1.3.6.1.4.1.9.9.106.1.2.1.1.10',
      cHsrpGrpVirtualIpAddr => '1.3.6.1.4.1.9.9.106.1.2.1.1.11',
      cHsrpGrpUseConfigVirtualIpAddr => '1.3.6.1.4.1.9.9.106.1.2.1.1.12',
      cHsrpGrpActiveRouter => '1.3.6.1.4.1.9.9.106.1.2.1.1.13',
      cHsrpGrpStandbyRouter => '1.3.6.1.4.1.9.9.106.1.2.1.1.14',
      cHsrpGrpStandbyState => '1.3.6.1.4.1.9.9.106.1.2.1.1.15',
      cHsrpGrpStandbyStateDefinition => 'CISCO-HSRP-MIB::HsrpState',
      cHsrpGrpVirtualMacAddr => '1.3.6.1.4.1.9.9.106.1.2.1.1.16',
      cHsrpGrpEntryRowStatus => '1.3.6.1.4.1.9.9.106.1.2.1.1.17',
      cHsrpGrpEntryRowStatusDefinition => 'SNMPv2-TC-v1::RowStatus',
      # INDEX { ifIndex, cHsrpGrpNumber }
  },
  'OLD-CISCO-CPU-MIB' => {
      'avgBusy1' => '1.3.6.1.4.1.9.2.1.57.0',
      'avgBusy5' => '1.3.6.1.4.1.9.2.1.58.0',
      'busyPer' => '1.3.6.1.4.1.9.2.1.56.0',
      'idleCount' => '1.3.6.1.4.1.9.2.1.59.0',
      'idleWired' => '1.3.6.1.4.1.9.2.1.60.0',
  },
  'CISCO-SYSTEM-EXT-MIB' => {
      cseSysCPUUtilization => '1.3.6.1.4.1.9.9.305.1.1.1.0',
      cseSysMemoryUtilization => '1.3.6.1.4.1.9.9.305.1.1.2.0',
      cseSysConfLastChange => '1.3.6.1.4.1.9.9.305.1.1.3.0',
      cseSysAutoSync => '1.3.6.1.4.1.9.9.305.1.1.4.0',
      cseSysAutoSyncState => '1.3.6.1.4.1.9.9.305.1.1.5.0',
      cseWriteErase => '1.3.6.1.4.1.9.9.305.1.1.6.0',
      cseSysConsolePortStatus => '1.3.6.1.4.1.9.9.305.1.1.7.0',
      cseSysTelnetServiceActivation => '1.3.6.1.4.1.9.9.305.1.1.8.0',
      cseSysFIPSModeActivation => '1.3.6.1.4.1.9.9.305.1.1.9.0',
      cseSysUpTime => '1.3.6.1.4.1.9.9.305.1.1.10.0',
  },
  'CISCO-ENTITY-SENSOR-MIB' => {
      entSensorValueTable => '1.3.6.1.4.1.9.9.91.1.1.1',
      entSensorValueEntry => '1.3.6.1.4.1.9.9.91.1.1.1.1',
      entSensorType => '1.3.6.1.4.1.9.9.91.1.1.1.1.1',
      entSensorTypeDefinition => 'CISCO-ENTITY-SENSOR-MIB::SensorDataType',
      entSensorScale => '1.3.6.1.4.1.9.9.91.1.1.1.1.2',
      entSensorScaleDefinition => 'CISCO-ENTITY-SENSOR-MIB::SensorDataScale',
      entSensorPrecision => '1.3.6.1.4.1.9.9.91.1.1.1.1.3',
      entSensorValue => '1.3.6.1.4.1.9.9.91.1.1.1.1.4',
      entSensorStatus => '1.3.6.1.4.1.9.9.91.1.1.1.1.5',
      entSensorStatusDefinition => 'CISCO-ENTITY-SENSOR-MIB::SensorStatus',
      entSensorValueTimeStamp => '1.3.6.1.4.1.9.9.91.1.1.1.1.6',
      entSensorValueUpdateRate => '1.3.6.1.4.1.9.9.91.1.1.1.1.7',
      entSensorMeasuredEntity => '1.3.6.1.4.1.9.9.91.1.1.1.1.8',
      entSensorThresholdTable => '1.3.6.1.4.1.9.9.91.1.2.1',
      entSensorThresholdEntry => '1.3.6.1.4.1.9.9.91.1.2.1.1',
      entSensorThresholdIndex => '1.3.6.1.4.1.9.9.91.1.2.1.1.1',
      entSensorThresholdSeverity => '1.3.6.1.4.1.9.9.91.1.2.1.1.2',
      entSensorThresholdSeverityDefinition => 'CISCO-ENTITY-SENSOR-MIB::SensorThresholdSeverity',
      entSensorThresholdRelation => '1.3.6.1.4.1.9.9.91.1.2.1.1.3',
      entSensorThresholdRelationDefinition => 'CISCO-ENTITY-SENSOR-MIB::SensorThresholdRelation',
      entSensorThresholdValue => '1.3.6.1.4.1.9.9.91.1.2.1.1.4',
      entSensorThresholdEvaluation => '1.3.6.1.4.1.9.9.91.1.2.1.1.5',
      entSensorThresholdEvaluationDefinition => 'SNMPv2-TC-v1::TruthValue',
      entSensorThresholdNotificationEnable => '1.3.6.1.4.1.9.9.91.1.2.1.1.6',
      entSensorThresholdNotificationEnableDefinition => 'SNMPv2-TC-v1::TruthValue',
  },
  'CISCO-ENTITY-FRU-CONTROL-MIB' => {
    cefcMIBObjects => '1.3.6.1.4.1.9.9.117.1',
    cefcFRUMIBNotificationPrefix => '1.3.6.1.4.1.9.9.117.2',
    cefcMIBConformance => '1.3.6.1.4.1.9.9.117.3',
    cefcFRUPower => '1.3.6.1.4.1.9.9.117.1.1',
    cefcModule => '1.3.6.1.4.1.9.9.117.1.2',
    cefcMIBNotificationEnables => '1.3.6.1.4.1.9.9.117.1.3',
    cefcFRUFan => '1.3.6.1.4.1.9.9.117.1.4',
    cefcPhysical => '1.3.6.1.4.1.9.9.117.1.5',
    cefcPowerCapacity => '1.3.6.1.4.1.9.9.117.1.6',
    cefcCooling => '1.3.6.1.4.1.9.9.117.1.7',
    cefcConnector => '1.3.6.1.4.1.9.9.117.1.8',
    cefcFRUPower => '1.3.6.1.4.1.9.9.117.1.1',
    cefcFRUPowerSupplyGroupTable => '1.3.6.1.4.1.9.9.117.1.1.1',
    cefcFRUPowerSupplyGroupEntry => '1.3.6.1.4.1.9.9.117.1.1.1.1',
    cefcPowerRedundancyMode => '1.3.6.1.4.1.9.9.117.1.1.1.1.1',
    cefcPowerRedundancyModeDefinition => 'CISCO-ENTITY-FRU-CONTROL-MIB::PowerRedundancyType',
    cefcPowerUnits => '1.3.6.1.4.1.9.9.117.1.1.1.1.2',
    cefcTotalAvailableCurrent => '1.3.6.1.4.1.9.9.117.1.1.1.1.3',
    cefcTotalDrawnCurrent => '1.3.6.1.4.1.9.9.117.1.1.1.1.4',
    cefcPowerRedundancyOperMode => '1.3.6.1.4.1.9.9.117.1.1.1.1.5',
    cefcPowerRedundancyOperModeDefinition => 'CISCO-ENTITY-FRU-CONTROL-MIB::PowerRedundancyType',
    cefcPowerNonRedundantReason => '1.3.6.1.4.1.9.9.117.1.1.1.1.6',
    cefcPowerNonRedundantReasonDefinition => 'CISCO-ENTITY-FRU-CONTROL-MIB::PowerRedundancyType',
    cefcTotalDrawnInlineCurrent => '1.3.6.1.4.1.9.9.117.1.1.1.1.7',
    cefcFRUPowerStatusTable => '1.3.6.1.4.1.9.9.117.1.1.2',
    cefcFRUPowerStatusEntry => '1.3.6.1.4.1.9.9.117.1.1.2.1',
    cefcFRUPowerAdminStatus => '1.3.6.1.4.1.9.9.117.1.1.2.1.1',
    cefcFRUPowerAdminStatusDefinition => 'CISCO-ENTITY-FRU-CONTROL-MIB::PowerAdminType',
    cefcFRUPowerOperStatus => '1.3.6.1.4.1.9.9.117.1.1.2.1.2',
    cefcFRUPowerOperStatusDefinition => 'CISCO-ENTITY-FRU-CONTROL-MIB::PowerOperType',
    cefcFRUCurrent => '1.3.6.1.4.1.9.9.117.1.1.2.1.3',
    cefcFRUPowerCapability => '1.3.6.1.4.1.9.9.117.1.1.2.1.4',
    cefcFRURealTimeCurrent => '1.3.6.1.4.1.9.9.117.1.1.2.1.5',
    cefcMaxDefaultInLinePower => '1.3.6.1.4.1.9.9.117.1.1.3.0',
    cefcFRUPowerSupplyValueTable => '1.3.6.1.4.1.9.9.117.1.1.4',
    cefcFRUPowerSupplyValueEntry => '1.3.6.1.4.1.9.9.117.1.1.4.1',
    cefcFRUTotalSystemCurrent => '1.3.6.1.4.1.9.9.117.1.1.4.1.1',
    cefcFRUDrawnSystemCurrent => '1.3.6.1.4.1.9.9.117.1.1.4.1.2',
    cefcFRUTotalInlineCurrent => '1.3.6.1.4.1.9.9.117.1.1.4.1.3',
    cefcFRUDrawnInlineCurrent => '1.3.6.1.4.1.9.9.117.1.1.4.1.4',
    cefcMaxDefaultHighInLinePower => '1.3.6.1.4.1.9.9.117.1.1.5.0',
    cefcModule => '1.3.6.1.4.1.9.9.117.1.2',
    cefcModuleTable => '1.3.6.1.4.1.9.9.117.1.2.1',
    cefcModuleEntry => '1.3.6.1.4.1.9.9.117.1.2.1.1',
    cefcModuleAdminStatus => '1.3.6.1.4.1.9.9.117.1.2.1.1.1',
    cefcModuleOperStatus => '1.3.6.1.4.1.9.9.117.1.2.1.1.2',
    cefcModuleResetReason => '1.3.6.1.4.1.9.9.117.1.2.1.1.3',
    cefcModuleStatusLastChangeTime => '1.3.6.1.4.1.9.9.117.1.2.1.1.4',
    cefcModuleLastClearConfigTime => '1.3.6.1.4.1.9.9.117.1.2.1.1.5',
    cefcModuleResetReasonDescription => '1.3.6.1.4.1.9.9.117.1.2.1.1.6',
    cefcModuleStateChangeReasonDescr => '1.3.6.1.4.1.9.9.117.1.2.1.1.7',
    cefcModuleUpTime => '1.3.6.1.4.1.9.9.117.1.2.1.1.8',
    cefcIntelliModuleTable => '1.3.6.1.4.1.9.9.117.1.2.2',
    cefcIntelliModuleEntry => '1.3.6.1.4.1.9.9.117.1.2.2.1',
    cefcIntelliModuleIPAddrType => '1.3.6.1.4.1.9.9.117.1.2.2.1.1',
    cefcIntelliModuleIPAddr => '1.3.6.1.4.1.9.9.117.1.2.2.1.2',
    cefcModuleLocalSwitchingTable => '1.3.6.1.4.1.9.9.117.1.2.3',
    cefcModuleLocalSwitchingEntry => '1.3.6.1.4.1.9.9.117.1.2.3.1',
    cefcModuleLocalSwitchingMode => '1.3.6.1.4.1.9.9.117.1.2.3.1.1',
    cefcFRUFan => '1.3.6.1.4.1.9.9.117.1.4',
    cefcFanTrayStatusTable => '1.3.6.1.4.1.9.9.117.1.4.1',
    cefcFanTrayStatusEntry => '1.3.6.1.4.1.9.9.117.1.4.1.1',
    cefcFanTrayOperStatus => '1.3.6.1.4.1.9.9.117.1.4.1.1.1',
    cefcFanTrayOperStatusDefinition => {
      1 => 'unknown',
      2 => 'up',
      3 => 'down',
      4 => 'warning',
    },
    cefcPhysical => '1.3.6.1.4.1.9.9.117.1.5',
    cefcPhysicalTable => '1.3.6.1.4.1.9.9.117.1.5.1',
    cefcPhysicalEntry => '1.3.6.1.4.1.9.9.117.1.5.1.1',
    cefcPhysicalStatus => '1.3.6.1.4.1.9.9.117.1.5.1.1.1',
    cefcPowerCapacity => '1.3.6.1.4.1.9.9.117.1.6',
    cefcPowerSupplyInputTable => '1.3.6.1.4.1.9.9.117.1.6.1',
    cefcPowerSupplyInputEntry => '1.3.6.1.4.1.9.9.117.1.6.1.1',
    cefcPowerSupplyInputIndex => '1.3.6.1.4.1.9.9.117.1.6.1.1.1',
    cefcPowerSupplyInputType => '1.3.6.1.4.1.9.9.117.1.6.1.1.2',
    cefcPowerSupplyOutputTable => '1.3.6.1.4.1.9.9.117.1.6.2',
    cefcPowerSupplyOutputEntry => '1.3.6.1.4.1.9.9.117.1.6.2.1',
    cefcPSOutputModeIndex => '1.3.6.1.4.1.9.9.117.1.6.2.1.1',
    cefcPSOutputModeCurrent => '1.3.6.1.4.1.9.9.117.1.6.2.1.2',
    cefcPSOutputModeInOperation => '1.3.6.1.4.1.9.9.117.1.6.2.1.3',
    cefcCooling => '1.3.6.1.4.1.9.9.117.1.7',
    cefcChassisCoolingTable => '1.3.6.1.4.1.9.9.117.1.7.1',
    cefcChassisCoolingEntry => '1.3.6.1.4.1.9.9.117.1.7.1.1',
    cefcChassisPerSlotCoolingCap => '1.3.6.1.4.1.9.9.117.1.7.1.1.1',
    cefcChassisPerSlotCoolingUnit => '1.3.6.1.4.1.9.9.117.1.7.1.1.2',
    cefcFanCoolingTable => '1.3.6.1.4.1.9.9.117.1.7.2',
    cefcFanCoolingEntry => '1.3.6.1.4.1.9.9.117.1.7.2.1',
    cefcFanCoolingCapacity => '1.3.6.1.4.1.9.9.117.1.7.2.1.1',
    cefcFanCoolingCapacityUnit => '1.3.6.1.4.1.9.9.117.1.7.2.1.2',
    cefcModuleCoolingTable => '1.3.6.1.4.1.9.9.117.1.7.3',
    cefcModuleCoolingEntry => '1.3.6.1.4.1.9.9.117.1.7.3.1',
    cefcModuleCooling => '1.3.6.1.4.1.9.9.117.1.7.3.1.1',
    cefcModuleCoolingUnit => '1.3.6.1.4.1.9.9.117.1.7.3.1.2',
    cefcFanCoolingCapTable => '1.3.6.1.4.1.9.9.117.1.7.4',
    cefcFanCoolingCapEntry => '1.3.6.1.4.1.9.9.117.1.7.4.1',
    cefcFanCoolingCapIndex => '1.3.6.1.4.1.9.9.117.1.7.4.1.1',
    cefcFanCoolingCapModeDescr => '1.3.6.1.4.1.9.9.117.1.7.4.1.2',
    cefcFanCoolingCapCapacity => '1.3.6.1.4.1.9.9.117.1.7.4.1.3',
    cefcFanCoolingCapCurrent => '1.3.6.1.4.1.9.9.117.1.7.4.1.4',
    cefcFanCoolingCapCapacityUnit => '1.3.6.1.4.1.9.9.117.1.7.4.1.5',
    cefcConnector => '1.3.6.1.4.1.9.9.117.1.8',
    cefcConnectorRatingTable => '1.3.6.1.4.1.9.9.117.1.8.1',
    cefcConnectorRatingEntry => '1.3.6.1.4.1.9.9.117.1.8.1.1',
    cefcConnectorRating => '1.3.6.1.4.1.9.9.117.1.8.1.1.1',
    cefcModulePowerConsumptionTable => '1.3.6.1.4.1.9.9.117.1.8.2',
    cefcModulePowerConsumptionEntry => '1.3.6.1.4.1.9.9.117.1.8.2.1',
    cefcModulePowerConsumption => '1.3.6.1.4.1.9.9.117.1.8.2.1.1',
    cefcMIBNotificationEnables => '1.3.6.1.4.1.9.9.117.1.3',
    cefcMIBEnableStatusNotification => '1.3.6.1.4.1.9.9.117.1.3.1.0',
    cefcEnablePSOutputChangeNotif => '1.3.6.1.4.1.9.9.117.1.3.2.0',
  },
  'CISCO-ENTITY-ALARM-MIB' => {
    ciscoEntityAlarmMIBObjects => '1.3.6.1.4.1.9.9.138.1',
    ceAlarmDescription => '1.3.6.1.4.1.9.9.138.1.1',
    ceAlarmMonitoring => '1.3.6.1.4.1.9.9.138.1.2',
    ceAlarmHistory => '1.3.6.1.4.1.9.9.138.1.3',
    ceAlarmFiltering => '1.3.6.1.4.1.9.9.138.1.4',
    ceAlarmDescription => '1.3.6.1.4.1.9.9.138.1.1',
    ceAlarmDescrMapTable => '1.3.6.1.4.1.9.9.138.1.1.1',
    ceAlarmDescrMapEntry => '1.3.6.1.4.1.9.9.138.1.1.1.1',
    ceAlarmDescrIndex => '1.3.6.1.4.1.9.9.138.1.1.1.1.1',
    ceAlarmDescrVendorType => '1.3.6.1.4.1.9.9.138.1.1.1.1.2',
    ceAlarmDescrTable => '1.3.6.1.4.1.9.9.138.1.1.2',
    ceAlarmDescrEntry => '1.3.6.1.4.1.9.9.138.1.1.2.1',
    ceAlarmDescrAlarmType => '1.3.6.1.4.1.9.9.138.1.1.2.1.1',
    ceAlarmDescrSeverity => '1.3.6.1.4.1.9.9.138.1.1.2.1.2',
    ceAlarmDescrSeverityDefinition => 'CISCO-ENTITY-ALARM-MIB::AlarmSeverityOrZero',
    ceAlarmDescrText => '1.3.6.1.4.1.9.9.138.1.1.2.1.3',
    ceAlarmMonitoring => '1.3.6.1.4.1.9.9.138.1.2',
    ceAlarmCriticalCount => '1.3.6.1.4.1.9.9.138.1.2.1.0',
    ceAlarmMajorCount => '1.3.6.1.4.1.9.9.138.1.2.2.0',
    ceAlarmMinorCount => '1.3.6.1.4.1.9.9.138.1.2.3.0',
    ceAlarmCutOff => '1.3.6.1.4.1.9.9.138.1.2.4.0',
    ceAlarmTable => '1.3.6.1.4.1.9.9.138.1.2.5',
    ceAlarmEntry => '1.3.6.1.4.1.9.9.138.1.2.5.1',
    ceAlarmFilterProfile => '1.3.6.1.4.1.9.9.138.1.2.5.1.1',
    ceAlarmSeverity => '1.3.6.1.4.1.9.9.138.1.2.5.1.2',
    ceAlarmSeverityDefinition => 'CISCO-ENTITY-ALARM-MIB::AlarmSeverityOrZero',
    ceAlarmList => '1.3.6.1.4.1.9.9.138.1.2.5.1.3',
    ceAlarmHistory => '1.3.6.1.4.1.9.9.138.1.3',
    ceAlarmHistTableSize => '1.3.6.1.4.1.9.9.138.1.3.1.0',
    ceAlarmHistLastIndex => '1.3.6.1.4.1.9.9.138.1.3.2.0',
    ceAlarmHistTable => '1.3.6.1.4.1.9.9.138.1.3.3',
    ceAlarmHistEntry => '1.3.6.1.4.1.9.9.138.1.3.3.1',
    ceAlarmHistIndex => '1.3.6.1.4.1.9.9.138.1.3.3.1.1',
    ceAlarmHistType => '1.3.6.1.4.1.9.9.138.1.3.3.1.2',
    ceAlarmHistTypeDefinition => {
        1 => 'asserted',
        2 => 'cleared',
    },
    ceAlarmHistEntPhysicalIndex => '1.3.6.1.4.1.9.9.138.1.3.3.1.3',
    ceAlarmHistAlarmType => '1.3.6.1.4.1.9.9.138.1.3.3.1.4',
    ceAlarmHistSeverity => '1.3.6.1.4.1.9.9.138.1.3.3.1.5',
    ceAlarmHistSeverityDefinition => 'CISCO-ENTITY-ALARM-MIB::AlarmSeverityOrZero',
    ceAlarmHistTimeStamp => '1.3.6.1.4.1.9.9.138.1.3.3.1.6',
    ceAlarmFiltering => '1.3.6.1.4.1.9.9.138.1.4',
    ceAlarmNotifiesEnable => '1.3.6.1.4.1.9.9.138.1.4.1.0',
    ceAlarmSyslogEnable => '1.3.6.1.4.1.9.9.138.1.4.2.0',
    ceAlarmFilterProfileIndexNext => '1.3.6.1.4.1.9.9.138.1.4.3.0',
    ceAlarmFilterProfileTable => '1.3.6.1.4.1.9.9.138.1.4.4',
    ceAlarmFilterProfileEntry => '1.3.6.1.4.1.9.9.138.1.4.4.1',
    ceAlarmFilterIndex => '1.3.6.1.4.1.9.9.138.1.4.4.1.1',
    ceAlarmFilterStatus => '1.3.6.1.4.1.9.9.138.1.4.4.1.2',
    ceAlarmFilterAlias => '1.3.6.1.4.1.9.9.138.1.4.4.1.3',
    ceAlarmFilterAlarmsEnabled => '1.3.6.1.4.1.9.9.138.1.4.4.1.4',
    ceAlarmFilterNotifiesEnabled => '1.3.6.1.4.1.9.9.138.1.4.4.1.5',
    ceAlarmFilterSyslogEnabled => '1.3.6.1.4.1.9.9.138.1.4.4.1.6',
    ciscoEntityAlarmMIBNotificationsPrefix => '1.3.6.1.4.1.9.9.138.2',
    ciscoEntityAlarmMIBNotifications => '1.3.6.1.4.1.9.9.138.2.0',
    ceAlarmAsserted => '1.3.6.1.4.1.9.9.138.2.0.1',
    ceAlarmCleared => '1.3.6.1.4.1.9.9.138.2.0.2',
    ciscoEntityAlarmMIBConformance => '1.3.6.1.4.1.9.9.138.3',
    ciscoEntityAlarmMIBCompliances => '1.3.6.1.4.1.9.9.138.3.1',
    ciscoEntityAlarmMIBGroups => '1.3.6.1.4.1.9.9.138.3.2',
  },
  'CISCO-L2L3-INTERFACE-CONFIG-MIB' => {
      cL2L3IfTable => '1.3.6.1.4.1.9.9.151.1.1.1',
      cL2L3IfEntry => '1.3.6.1.4.1.9.9.151.1.1.1.1',
      cL2L3IfModeAdmin => '1.3.6.1.4.1.9.9.151.1.1.1.1.1',
      cL2L3IfModeAdminDefinition => 'CISCO-L2L3-INTERFACE-CONFIG-MIB::CL2L3InterfaceMode',
      cL2L3IfModeOper => '1.3.6.1.4.1.9.9.151.1.1.1.1.2',
      cL2L3IfModeOperDefinition => 'CISCO-L2L3-INTERFACE-CONFIG-MIB::CL2L3InterfaceMode',
  },
  'CISCO-VTP-MIB' => {
      vlanTrunkPortTable => '1.3.6.1.4.1.9.9.46.1.6.1',
      vlanTrunkPortEntry => '1.3.6.1.4.1.9.9.46.1.6.1.1',
      vlanTrunkPortIfIndex => '1.3.6.1.4.1.9.9.46.1.6.1.1.1',
      vlanTrunkPortVlansPruningEligible => '1.3.6.1.4.1.9.9.46.1.6.1.1.10',
      vlanTrunkPortVlansXmitJoined => '1.3.6.1.4.1.9.9.46.1.6.1.1.11',
      vlanTrunkPortVlansRcvJoined => '1.3.6.1.4.1.9.9.46.1.6.1.1.12',
      vlanTrunkPortDynamicState => '1.3.6.1.4.1.9.9.46.1.6.1.1.13',
      vlanTrunkPortDynamicStatus => '1.3.6.1.4.1.9.9.46.1.6.1.1.14',
      vlanTrunkPortDynamicStatusDefinition => {
          1 => 'trunking',
          2 => 'notTrunking',
      },
      vlanTrunkPortVtpEnabled => '1.3.6.1.4.1.9.9.46.1.6.1.1.15',
      vlanTrunkPortEncapsulationOperType => '1.3.6.1.4.1.9.9.46.1.6.1.1.16',
      vlanTrunkPortVlansEnabled2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.17',
      vlanTrunkPortVlansEnabled3k => '1.3.6.1.4.1.9.9.46.1.6.1.1.18',
      vlanTrunkPortVlansEnabled4k => '1.3.6.1.4.1.9.9.46.1.6.1.1.19',
      vlanTrunkPortManagementDomain => '1.3.6.1.4.1.9.9.46.1.6.1.1.2',
      vtpVlansPruningEligible2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.20',
      vtpVlansPruningEligible3k => '1.3.6.1.4.1.9.9.46.1.6.1.1.21',
      vtpVlansPruningEligible4k => '1.3.6.1.4.1.9.9.46.1.6.1.1.22',
      vlanTrunkPortVlansXmitJoined2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.23',
      vlanTrunkPortVlansXmitJoined3k => '1.3.6.1.4.1.9.9.46.1.6.1.1.24',
      vlanTrunkPortVlansXmitJoined4k => '1.3.6.1.4.1.9.9.46.1.6.1.1.25',
      vlanTrunkPortVlansRcvJoined2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.26',
      vlanTrunkPortVlansRcvJoined3k => '1.3.6.1.4.1.9.9.46.1.6.1.1.27',
      vlanTrunkPortVlansRcvJoined4k => '1.3.6.1.4.1.9.9.46.1.6.1.1.28',
      vlanTrunkPortDot1qTunnel => '1.3.6.1.4.1.9.9.46.1.6.1.1.29',
      vlanTrunkPortEncapsulationType => '1.3.6.1.4.1.9.9.46.1.6.1.1.3',
      vlanTrunkPortVlansActiveFirst2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.30',
      vlanTrunkPortVlansActiveSecond2k => '1.3.6.1.4.1.9.9.46.1.6.1.1.31',
      vlanTrunkPortVlansEnabled => '1.3.6.1.4.1.9.9.46.1.6.1.1.4',
      vlanTrunkPortNativeVlan => '1.3.6.1.4.1.9.9.46.1.6.1.1.5',
      vlanTrunkPortRowStatus => '1.3.6.1.4.1.9.9.46.1.6.1.1.6',
      vlanTrunkPortInJoins => '1.3.6.1.4.1.9.9.46.1.6.1.1.7',
      vlanTrunkPortOutJoins => '1.3.6.1.4.1.9.9.46.1.6.1.1.8',
      vlanTrunkPortOldAdverts => '1.3.6.1.4.1.9.9.46.1.6.1.1.9',
  },
  'CISCO-FIREWALL-MIB' => {
      cfwConnectionStatTable => '1.3.6.1.4.1.9.9.147.1.2.2.2',
      cfwConnectionStatEntry => '1.3.6.1.4.1.9.9.147.1.2.2.2.1',
      cfwConnectionStatService => '1.3.6.1.4.1.9.9.147.1.2.2.2.1.1',
      cfwConnectionStatServiceDefinition => 'CISCO-FIREWALL-MIB::Services',
      cfwConnectionStatType => '1.3.6.1.4.1.9.9.147.1.2.2.2.1.2',
      cfwConnectionStatDescription => '1.3.6.1.4.1.9.9.147.1.2.2.2.1.3',
      cfwConnectionStatCount => '1.3.6.1.4.1.9.9.147.1.2.2.2.1.4', #Counter
      cfwConnectionStatValue => '1.3.6.1.4.1.9.9.147.1.2.2.2.1.5', #Gauge
  },
  'CISCO-CCM-MIB' => {
    org => '1.3',
    dod => '1.3.6',
    internet => '1.3.6.1',
    directory => '1.3.6.1.1',
    mgmt => '1.3.6.1.2',
    experimental => '1.3.6.1.3',
    private => '1.3.6.1.4',
    enterprises => '1.3.6.1.4.1',
    cisco => '1.3.6.1.4.1.9',
    ciscoMgmt => '1.3.6.1.4.1.9.9',
    ciscoCcmMIB => '1.3.6.1.4.1.9.9.156',
    ciscoCcmMIBObjects => '1.3.6.1.4.1.9.9.156.1',
    ccmMIBNotificationPrefix => '1.3.6.1.4.1.9.9.156.2',
    ciscoCcmMIBConformance => '1.3.6.1.4.1.9.9.156.3',
    ccmGeneralInfo => '1.3.6.1.4.1.9.9.156.1.1',
    ccmPhoneInfo => '1.3.6.1.4.1.9.9.156.1.2',
    ccmGatewayInfo => '1.3.6.1.4.1.9.9.156.1.3',
    ccmGatewayTrunkInfo => '1.3.6.1.4.1.9.9.156.1.4',
    ccmGlobalInfo => '1.3.6.1.4.1.9.9.156.1.5',
    ccmMediaDeviceInfo => '1.3.6.1.4.1.9.9.156.1.6',
    ccmGatekeeperInfo => '1.3.6.1.4.1.9.9.156.1.7',
    ccmCTIDeviceInfo => '1.3.6.1.4.1.9.9.156.1.8',
    ccmAlarmConfigInfo => '1.3.6.1.4.1.9.9.156.1.9',
    ccmNotificationsInfo => '1.3.6.1.4.1.9.9.156.1.10',
    ccmH323DeviceInfo => '1.3.6.1.4.1.9.9.156.1.11',
    ccmVoiceMailDeviceInfo => '1.3.6.1.4.1.9.9.156.1.12',
    ccmQualityReportAlarmConfigInfo => '1.3.6.1.4.1.9.9.156.1.13',
    ccmSIPDeviceInfo => '1.3.6.1.4.1.9.9.156.1.14',
    ccmGroupTable => '1.3.6.1.4.1.9.9.156.1.1.1',
    ccmTable => '1.3.6.1.4.1.9.9.156.1.1.2',
    ccmGroupMappingTable => '1.3.6.1.4.1.9.9.156.1.1.3',
    ccmRegionTable => '1.3.6.1.4.1.9.9.156.1.1.4',
    ccmRegionPairTable => '1.3.6.1.4.1.9.9.156.1.1.5',
    ccmTimeZoneTable => '1.3.6.1.4.1.9.9.156.1.1.6',
    ccmDevicePoolTable => '1.3.6.1.4.1.9.9.156.1.1.7',
    ccmProductTypeTable => '1.3.6.1.4.1.9.9.156.1.1.8',
    ccmGroupEntry => '1.3.6.1.4.1.9.9.156.1.1.1.1',
    ccmGroupIndex => '1.3.6.1.4.1.9.9.156.1.1.1.1.1',
    ccmGroupName => '1.3.6.1.4.1.9.9.156.1.1.1.1.2',
    ccmGroupTftpDefault => '1.3.6.1.4.1.9.9.156.1.1.1.1.3',
    ccmEntry => '1.3.6.1.4.1.9.9.156.1.1.2.1',
    ccmIndex => '1.3.6.1.4.1.9.9.156.1.1.2.1.1',
    ccmName => '1.3.6.1.4.1.9.9.156.1.1.2.1.2',
    ccmDescription => '1.3.6.1.4.1.9.9.156.1.1.2.1.3',
    ccmVersion => '1.3.6.1.4.1.9.9.156.1.1.2.1.4',
    ccmStatus => '1.3.6.1.4.1.9.9.156.1.1.2.1.5',
    ccmStatusDefinition => {
      1 => 'unknown',
      2 => 'up',
      3 => 'down',
    },
    ccmInetAddressType => '1.3.6.1.4.1.9.9.156.1.1.2.1.6',
    ccmInetAddress => '1.3.6.1.4.1.9.9.156.1.1.2.1.7',
    ccmClusterId => '1.3.6.1.4.1.9.9.156.1.1.2.1.8',
    ccmInetAddress2Type => '1.3.6.1.4.1.9.9.156.1.1.2.1.9',
    ccmInetAddress2 => '1.3.6.1.4.1.9.9.156.1.1.2.1.10',
    ccmGroupMappingEntry => '1.3.6.1.4.1.9.9.156.1.1.3.1',
    ccmCMGroupMappingCMPriority => '1.3.6.1.4.1.9.9.156.1.1.3.1.1',
    ccmRegionEntry => '1.3.6.1.4.1.9.9.156.1.1.4.1',
    ccmRegionIndex => '1.3.6.1.4.1.9.9.156.1.1.4.1.1',
    ccmRegionName => '1.3.6.1.4.1.9.9.156.1.1.4.1.2',
    ccmRegionPairEntry => '1.3.6.1.4.1.9.9.156.1.1.5.1',
    ccmRegionSrcIndex => '1.3.6.1.4.1.9.9.156.1.1.5.1.1',
    ccmRegionDestIndex => '1.3.6.1.4.1.9.9.156.1.1.5.1.2',
    ccmRegionAvailableBandWidth => '1.3.6.1.4.1.9.9.156.1.1.5.1.3',
    ccmTimeZoneEntry => '1.3.6.1.4.1.9.9.156.1.1.6.1',
    ccmTimeZoneIndex => '1.3.6.1.4.1.9.9.156.1.1.6.1.1',
    ccmTimeZoneName => '1.3.6.1.4.1.9.9.156.1.1.6.1.2',
    ccmTimeZoneOffset => '1.3.6.1.4.1.9.9.156.1.1.6.1.3',
    ccmTimeZoneOffsetHours => '1.3.6.1.4.1.9.9.156.1.1.6.1.4',
    ccmTimeZoneOffsetMinutes => '1.3.6.1.4.1.9.9.156.1.1.6.1.5',
    ccmDevicePoolEntry => '1.3.6.1.4.1.9.9.156.1.1.7.1',
    ccmDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.1.7.1.1',
    ccmDevicePoolName => '1.3.6.1.4.1.9.9.156.1.1.7.1.2',
    ccmDevicePoolRegionIndex => '1.3.6.1.4.1.9.9.156.1.1.7.1.3',
    ccmDevicePoolTimeZoneIndex => '1.3.6.1.4.1.9.9.156.1.1.7.1.4',
    ccmDevicePoolGroupIndex => '1.3.6.1.4.1.9.9.156.1.1.7.1.5',
    ccmProductTypeEntry => '1.3.6.1.4.1.9.9.156.1.1.8.1',
    ccmProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.1.8.1.1',
    ccmProductType => '1.3.6.1.4.1.9.9.156.1.1.8.1.2',
    ccmProductName => '1.3.6.1.4.1.9.9.156.1.1.8.1.3',
    ccmProductCategory => '1.3.6.1.4.1.9.9.156.1.1.8.1.4',
    ccmPhoneTable => '1.3.6.1.4.1.9.9.156.1.2.1',
    ccmPhoneExtensionTable => '1.3.6.1.4.1.9.9.156.1.2.2',
    ccmPhoneFailedTable => '1.3.6.1.4.1.9.9.156.1.2.3',
    ccmPhoneStatusUpdateTable => '1.3.6.1.4.1.9.9.156.1.2.4',
    ccmPhoneExtnTable => '1.3.6.1.4.1.9.9.156.1.2.5',
    ccmPhoneEntry => '1.3.6.1.4.1.9.9.156.1.2.1.1',
    ccmPhoneIndex => '1.3.6.1.4.1.9.9.156.1.2.1.1.1',
    ccmPhonePhysicalAddress => '1.3.6.1.4.1.9.9.156.1.2.1.1.2',
    ccmPhoneType => '1.3.6.1.4.1.9.9.156.1.2.1.1.3',
    ccmPhoneDescription => '1.3.6.1.4.1.9.9.156.1.2.1.1.4',
    ccmPhoneUserName => '1.3.6.1.4.1.9.9.156.1.2.1.1.5',
    ccmPhoneIpAddress => '1.3.6.1.4.1.9.9.156.1.2.1.1.6',
    ccmPhoneStatus => '1.3.6.1.4.1.9.9.156.1.2.1.1.7',
    ccmPhoneTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.2.1.1.8',
    ccmPhoneE911Location => '1.3.6.1.4.1.9.9.156.1.2.1.1.9',
    ccmPhoneLoadID => '1.3.6.1.4.1.9.9.156.1.2.1.1.10',
    ccmPhoneLastError => '1.3.6.1.4.1.9.9.156.1.2.1.1.11',
    ccmPhoneTimeLastError => '1.3.6.1.4.1.9.9.156.1.2.1.1.12',
    ccmPhoneDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.2.1.1.13',
    ccmPhoneInetAddressType => '1.3.6.1.4.1.9.9.156.1.2.1.1.14',
    ccmPhoneInetAddress => '1.3.6.1.4.1.9.9.156.1.2.1.1.15',
    ccmPhoneStatusReason => '1.3.6.1.4.1.9.9.156.1.2.1.1.16',
    ccmPhoneTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.2.1.1.17',
    ccmPhoneProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.2.1.1.18',
    ccmPhoneProtocol => '1.3.6.1.4.1.9.9.156.1.2.1.1.19',
    ccmPhoneName => '1.3.6.1.4.1.9.9.156.1.2.1.1.20',
    ccmPhoneInetAddressIPv4 => '1.3.6.1.4.1.9.9.156.1.2.1.1.21',
    ccmPhoneInetAddressIPv6 => '1.3.6.1.4.1.9.9.156.1.2.1.1.22',
    ccmPhoneIPv4Attribute => '1.3.6.1.4.1.9.9.156.1.2.1.1.23',
    ccmPhoneIPv6Attribute => '1.3.6.1.4.1.9.9.156.1.2.1.1.24',
    ccmPhoneActiveLoadID => '1.3.6.1.4.1.9.9.156.1.2.1.1.25',
    ccmPhoneUnregReason => '1.3.6.1.4.1.9.9.156.1.2.1.1.26',
    ccmPhoneRegFailReason => '1.3.6.1.4.1.9.9.156.1.2.1.1.27',
    ccmPhoneExtensionEntry => '1.3.6.1.4.1.9.9.156.1.2.2.1',
    ccmPhoneExtensionIndex => '1.3.6.1.4.1.9.9.156.1.2.2.1.1',
    ccmPhoneExtension => '1.3.6.1.4.1.9.9.156.1.2.2.1.2',
    ccmPhoneExtensionIpAddress => '1.3.6.1.4.1.9.9.156.1.2.2.1.3',
    ccmPhoneExtensionMultiLines => '1.3.6.1.4.1.9.9.156.1.2.2.1.4',
    ccmPhoneExtensionInetAddressType => '1.3.6.1.4.1.9.9.156.1.2.2.1.5',
    ccmPhoneExtensionInetAddress => '1.3.6.1.4.1.9.9.156.1.2.2.1.6',
    ccmPhoneFailedEntry => '1.3.6.1.4.1.9.9.156.1.2.3.1',
    ccmPhoneFailedIndex => '1.3.6.1.4.1.9.9.156.1.2.3.1.1',
    ccmPhoneFailedTime => '1.3.6.1.4.1.9.9.156.1.2.3.1.2',
    ccmPhoneFailedName => '1.3.6.1.4.1.9.9.156.1.2.3.1.3',
    ccmPhoneFailedInetAddressType => '1.3.6.1.4.1.9.9.156.1.2.3.1.4',
    ccmPhoneFailedInetAddress => '1.3.6.1.4.1.9.9.156.1.2.3.1.5',
    ccmPhoneFailCauseCode => '1.3.6.1.4.1.9.9.156.1.2.3.1.6',
    ccmPhoneFailedMacAddress => '1.3.6.1.4.1.9.9.156.1.2.3.1.7',
    ccmPhoneFailedInetAddressIPv4 => '1.3.6.1.4.1.9.9.156.1.2.3.1.8',
    ccmPhoneFailedInetAddressIPv6 => '1.3.6.1.4.1.9.9.156.1.2.3.1.9',
    ccmPhoneFailedIPv4Attribute => '1.3.6.1.4.1.9.9.156.1.2.3.1.10',
    ccmPhoneFailedIPv6Attribute => '1.3.6.1.4.1.9.9.156.1.2.3.1.11',
    ccmPhoneFailedRegFailReason => '1.3.6.1.4.1.9.9.156.1.2.3.1.12',
    ccmPhoneStatusUpdateEntry => '1.3.6.1.4.1.9.9.156.1.2.4.1',
    ccmPhoneStatusUpdateIndex => '1.3.6.1.4.1.9.9.156.1.2.4.1.1',
    ccmPhoneStatusPhoneIndex => '1.3.6.1.4.1.9.9.156.1.2.4.1.2',
    ccmPhoneStatusUpdateTime => '1.3.6.1.4.1.9.9.156.1.2.4.1.3',
    ccmPhoneStatusUpdateType => '1.3.6.1.4.1.9.9.156.1.2.4.1.4',
    ccmPhoneStatusUpdateReason => '1.3.6.1.4.1.9.9.156.1.2.4.1.5',
    ccmPhoneStatusUnregReason => '1.3.6.1.4.1.9.9.156.1.2.4.1.6',
    ccmPhoneStatusRegFailReason => '1.3.6.1.4.1.9.9.156.1.2.4.1.7',
    ccmPhoneExtnEntry => '1.3.6.1.4.1.9.9.156.1.2.5.1',
    ccmPhoneExtnIndex => '1.3.6.1.4.1.9.9.156.1.2.5.1.1',
    ccmPhoneExtn => '1.3.6.1.4.1.9.9.156.1.2.5.1.2',
    ccmPhoneExtnMultiLines => '1.3.6.1.4.1.9.9.156.1.2.5.1.3',
    ccmPhoneExtnInetAddressType => '1.3.6.1.4.1.9.9.156.1.2.5.1.4',
    ccmPhoneExtnInetAddress => '1.3.6.1.4.1.9.9.156.1.2.5.1.5',
    ccmPhoneExtnStatus => '1.3.6.1.4.1.9.9.156.1.2.5.1.6',
    ccmGatewayTable => '1.3.6.1.4.1.9.9.156.1.3.1',
    ccmGatewayEntry => '1.3.6.1.4.1.9.9.156.1.3.1.1',
    ccmGatewayIndex => '1.3.6.1.4.1.9.9.156.1.3.1.1.1',
    ccmGatewayName => '1.3.6.1.4.1.9.9.156.1.3.1.1.2',
    ccmGatewayType => '1.3.6.1.4.1.9.9.156.1.3.1.1.3',
    ccmGatewayDescription => '1.3.6.1.4.1.9.9.156.1.3.1.1.4',
    ccmGatewayStatus => '1.3.6.1.4.1.9.9.156.1.3.1.1.5',
    ccmGatewayDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.3.1.1.6',
    ccmGatewayInetAddressType => '1.3.6.1.4.1.9.9.156.1.3.1.1.7',
    ccmGatewayInetAddress => '1.3.6.1.4.1.9.9.156.1.3.1.1.8',
    ccmGatewayProductId => '1.3.6.1.4.1.9.9.156.1.3.1.1.9',
    ccmGatewayStatusReason => '1.3.6.1.4.1.9.9.156.1.3.1.1.10',
    ccmGatewayTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.3.1.1.11',
    ccmGatewayTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.3.1.1.12',
    ccmGatewayDChannelStatus => '1.3.6.1.4.1.9.9.156.1.3.1.1.13',
    ccmGatewayDChannelNumber => '1.3.6.1.4.1.9.9.156.1.3.1.1.14',
    ccmGatewayProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.3.1.1.15',
    ccmGatewayUnregReason => '1.3.6.1.4.1.9.9.156.1.3.1.1.16',
    ccmGatewayRegFailReason => '1.3.6.1.4.1.9.9.156.1.3.1.1.17',
    ccmGatewayTrunkTable => '1.3.6.1.4.1.9.9.156.1.4.1',
    ccmGatewayTrunkEntry => '1.3.6.1.4.1.9.9.156.1.4.1.1',
    ccmGatewayTrunkIndex => '1.3.6.1.4.1.9.9.156.1.4.1.1.1',
    ccmGatewayTrunkType => '1.3.6.1.4.1.9.9.156.1.4.1.1.2',
    ccmGatewayTrunkName => '1.3.6.1.4.1.9.9.156.1.4.1.1.3',
    ccmTrunkGatewayIndex => '1.3.6.1.4.1.9.9.156.1.4.1.1.4',
    ccmGatewayTrunkStatus => '1.3.6.1.4.1.9.9.156.1.4.1.1.5',
    ccmActivePhones => '1.3.6.1.4.1.9.9.156.1.5.1',
    ccmInActivePhones => '1.3.6.1.4.1.9.9.156.1.5.2',
    ccmActiveGateways => '1.3.6.1.4.1.9.9.156.1.5.3',
    ccmInActiveGateways => '1.3.6.1.4.1.9.9.156.1.5.4',
    ccmRegisteredPhones => '1.3.6.1.4.1.9.9.156.1.5.5',
    ccmUnregisteredPhones => '1.3.6.1.4.1.9.9.156.1.5.6',
    ccmRejectedPhones => '1.3.6.1.4.1.9.9.156.1.5.7',
    ccmRegisteredGateways => '1.3.6.1.4.1.9.9.156.1.5.8',
    ccmUnregisteredGateways => '1.3.6.1.4.1.9.9.156.1.5.9',
    ccmRejectedGateways => '1.3.6.1.4.1.9.9.156.1.5.10',
    ccmRegisteredMediaDevices => '1.3.6.1.4.1.9.9.156.1.5.11',
    ccmUnregisteredMediaDevices => '1.3.6.1.4.1.9.9.156.1.5.12',
    ccmRejectedMediaDevices => '1.3.6.1.4.1.9.9.156.1.5.13',
    ccmRegisteredCTIDevices => '1.3.6.1.4.1.9.9.156.1.5.14',
    ccmUnregisteredCTIDevices => '1.3.6.1.4.1.9.9.156.1.5.15',
    ccmRejectedCTIDevices => '1.3.6.1.4.1.9.9.156.1.5.16',
    ccmRegisteredVoiceMailDevices => '1.3.6.1.4.1.9.9.156.1.5.17',
    ccmUnregisteredVoiceMailDevices => '1.3.6.1.4.1.9.9.156.1.5.18',
    ccmRejectedVoiceMailDevices => '1.3.6.1.4.1.9.9.156.1.5.19',
    ccmCallManagerStartTime => '1.3.6.1.4.1.9.9.156.1.5.20',
    ccmPhoneTableStateId => '1.3.6.1.4.1.9.9.156.1.5.21',
    ccmPhoneExtensionTableStateId => '1.3.6.1.4.1.9.9.156.1.5.22',
    ccmPhoneStatusUpdateTableStateId => '1.3.6.1.4.1.9.9.156.1.5.23',
    ccmGatewayTableStateId => '1.3.6.1.4.1.9.9.156.1.5.24',
    ccmCTIDeviceTableStateId => '1.3.6.1.4.1.9.9.156.1.5.25',
    ccmCTIDeviceDirNumTableStateId => '1.3.6.1.4.1.9.9.156.1.5.26',
    ccmPhStatUpdtTblLastAddedIndex => '1.3.6.1.4.1.9.9.156.1.5.27',
    ccmPhFailedTblLastAddedIndex => '1.3.6.1.4.1.9.9.156.1.5.28',
    ccmSystemVersion => '1.3.6.1.4.1.9.9.156.1.5.29',
    ccmInstallationId => '1.3.6.1.4.1.9.9.156.1.5.30',
    ccmPartiallyRegisteredPhones => '1.3.6.1.4.1.9.9.156.1.5.31',
    ccmH323TableEntries => '1.3.6.1.4.1.9.9.156.1.5.32',
    ccmSIPTableEntries => '1.3.6.1.4.1.9.9.156.1.5.33',
    ccmMediaDeviceTable => '1.3.6.1.4.1.9.9.156.1.6.1',
    ccmMediaDeviceEntry => '1.3.6.1.4.1.9.9.156.1.6.1.1',
    ccmMediaDeviceIndex => '1.3.6.1.4.1.9.9.156.1.6.1.1.1',
    ccmMediaDeviceName => '1.3.6.1.4.1.9.9.156.1.6.1.1.2',
    ccmMediaDeviceType => '1.3.6.1.4.1.9.9.156.1.6.1.1.3',
    ccmMediaDeviceDescription => '1.3.6.1.4.1.9.9.156.1.6.1.1.4',
    ccmMediaDeviceStatus => '1.3.6.1.4.1.9.9.156.1.6.1.1.5',
    ccmMediaDeviceDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.6.1.1.6',
    ccmMediaDeviceInetAddressType => '1.3.6.1.4.1.9.9.156.1.6.1.1.7',
    ccmMediaDeviceInetAddress => '1.3.6.1.4.1.9.9.156.1.6.1.1.8',
    ccmMediaDeviceStatusReason => '1.3.6.1.4.1.9.9.156.1.6.1.1.9',
    ccmMediaDeviceTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.6.1.1.10',
    ccmMediaDeviceTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.6.1.1.11',
    ccmMediaDeviceProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.6.1.1.12',
    ccmMediaDeviceInetAddressIPv4 => '1.3.6.1.4.1.9.9.156.1.6.1.1.13',
    ccmMediaDeviceInetAddressIPv6 => '1.3.6.1.4.1.9.9.156.1.6.1.1.14',
    ccmMediaDeviceUnregReason => '1.3.6.1.4.1.9.9.156.1.6.1.1.15',
    ccmMediaDeviceRegFailReason => '1.3.6.1.4.1.9.9.156.1.6.1.1.16',
    ccmGatekeeperTable => '1.3.6.1.4.1.9.9.156.1.7.1',
    ccmGatekeeperEntry => '1.3.6.1.4.1.9.9.156.1.7.1.1',
    ccmGatekeeperIndex => '1.3.6.1.4.1.9.9.156.1.7.1.1.1',
    ccmGatekeeperName => '1.3.6.1.4.1.9.9.156.1.7.1.1.2',
    ccmGatekeeperType => '1.3.6.1.4.1.9.9.156.1.7.1.1.3',
    ccmGatekeeperDescription => '1.3.6.1.4.1.9.9.156.1.7.1.1.4',
    ccmGatekeeperStatus => '1.3.6.1.4.1.9.9.156.1.7.1.1.5',
    ccmGatekeeperDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.7.1.1.6',
    ccmGatekeeperInetAddressType => '1.3.6.1.4.1.9.9.156.1.7.1.1.7',
    ccmGatekeeperInetAddress => '1.3.6.1.4.1.9.9.156.1.7.1.1.8',
    ccmCTIDeviceTable => '1.3.6.1.4.1.9.9.156.1.8.1',
    ccmCTIDeviceDirNumTable => '1.3.6.1.4.1.9.9.156.1.8.2',
    ccmCTIDeviceEntry => '1.3.6.1.4.1.9.9.156.1.8.1.1',
    ccmCTIDeviceIndex => '1.3.6.1.4.1.9.9.156.1.8.1.1.1',
    ccmCTIDeviceName => '1.3.6.1.4.1.9.9.156.1.8.1.1.2',
    ccmCTIDeviceType => '1.3.6.1.4.1.9.9.156.1.8.1.1.3',
    ccmCTIDeviceDescription => '1.3.6.1.4.1.9.9.156.1.8.1.1.4',
    ccmCTIDeviceStatus => '1.3.6.1.4.1.9.9.156.1.8.1.1.5',
    ccmCTIDevicePoolIndex => '1.3.6.1.4.1.9.9.156.1.8.1.1.6',
    ccmCTIDeviceInetAddressType => '1.3.6.1.4.1.9.9.156.1.8.1.1.7',
    ccmCTIDeviceInetAddress => '1.3.6.1.4.1.9.9.156.1.8.1.1.8',
    ccmCTIDeviceAppInfo => '1.3.6.1.4.1.9.9.156.1.8.1.1.9',
    ccmCTIDeviceStatusReason => '1.3.6.1.4.1.9.9.156.1.8.1.1.10',
    ccmCTIDeviceTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.8.1.1.11',
    ccmCTIDeviceTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.8.1.1.12',
    ccmCTIDeviceProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.8.1.1.13',
    ccmCTIDeviceInetAddressIPv4 => '1.3.6.1.4.1.9.9.156.1.8.1.1.14',
    ccmCTIDeviceInetAddressIPv6 => '1.3.6.1.4.1.9.9.156.1.8.1.1.15',
    ccmCTIDeviceUnregReason => '1.3.6.1.4.1.9.9.156.1.8.1.1.16',
    ccmCTIDeviceRegFailReason => '1.3.6.1.4.1.9.9.156.1.8.1.1.17',
    ccmCTIDeviceDirNumEntry => '1.3.6.1.4.1.9.9.156.1.8.2.1',
    ccmCTIDeviceDirNumIndex => '1.3.6.1.4.1.9.9.156.1.8.2.1.1',
    ccmCTIDeviceDirNum => '1.3.6.1.4.1.9.9.156.1.8.2.1.2',
    ccmCallManagerAlarmEnable => '1.3.6.1.4.1.9.9.156.1.9.1',
    ccmPhoneFailedAlarmInterval => '1.3.6.1.4.1.9.9.156.1.9.2',
    ccmPhoneFailedStorePeriod => '1.3.6.1.4.1.9.9.156.1.9.3',
    ccmPhoneStatusUpdateAlarmInterv => '1.3.6.1.4.1.9.9.156.1.9.4',
    ccmPhoneStatusUpdateStorePeriod => '1.3.6.1.4.1.9.9.156.1.9.5',
    ccmGatewayAlarmEnable => '1.3.6.1.4.1.9.9.156.1.9.6',
    ccmMaliciousCallAlarmEnable => '1.3.6.1.4.1.9.9.156.1.9.7',
    ccmAlarmSeverity => '1.3.6.1.4.1.9.9.156.1.10.1',
    ccmFailCauseCode => '1.3.6.1.4.1.9.9.156.1.10.2',
    ccmPhoneFailures => '1.3.6.1.4.1.9.9.156.1.10.3',
    ccmPhoneUpdates => '1.3.6.1.4.1.9.9.156.1.10.4',
    ccmGatewayFailCauseCode => '1.3.6.1.4.1.9.9.156.1.10.5',
    ccmMediaResourceType => '1.3.6.1.4.1.9.9.156.1.10.6',
    ccmMediaResourceListName => '1.3.6.1.4.1.9.9.156.1.10.7',
    ccmRouteListName => '1.3.6.1.4.1.9.9.156.1.10.8',
    ccmGatewayPhysIfIndex => '1.3.6.1.4.1.9.9.156.1.10.9',
    ccmGatewayPhysIfL2Status => '1.3.6.1.4.1.9.9.156.1.10.10',
    ccmMaliCallCalledPartyName => '1.3.6.1.4.1.9.9.156.1.10.11',
    ccmMaliCallCalledPartyNumber => '1.3.6.1.4.1.9.9.156.1.10.12',
    ccmMaliCallCalledDeviceName => '1.3.6.1.4.1.9.9.156.1.10.13',
    ccmMaliCallCallingPartyName => '1.3.6.1.4.1.9.9.156.1.10.14',
    ccmMaliCallCallingPartyNumber => '1.3.6.1.4.1.9.9.156.1.10.15',
    ccmMaliCallCallingDeviceName => '1.3.6.1.4.1.9.9.156.1.10.16',
    ccmMaliCallTime => '1.3.6.1.4.1.9.9.156.1.10.17',
    ccmQualityRprtSourceDevName => '1.3.6.1.4.1.9.9.156.1.10.18',
    ccmQualityRprtClusterId => '1.3.6.1.4.1.9.9.156.1.10.19',
    ccmQualityRprtCategory => '1.3.6.1.4.1.9.9.156.1.10.20',
    ccmQualityRprtReasonCode => '1.3.6.1.4.1.9.9.156.1.10.21',
    ccmQualityRprtTime => '1.3.6.1.4.1.9.9.156.1.10.22',
    ccmTLSDevName => '1.3.6.1.4.1.9.9.156.1.10.23',
    ccmTLSDevInetAddressType => '1.3.6.1.4.1.9.9.156.1.10.24',
    ccmTLSDevInetAddress => '1.3.6.1.4.1.9.9.156.1.10.25',
    ccmTLSConnFailTime => '1.3.6.1.4.1.9.9.156.1.10.26',
    ccmTLSConnectionFailReasonCode => '1.3.6.1.4.1.9.9.156.1.10.27',
    ccmGatewayRegFailCauseCode => '1.3.6.1.4.1.9.9.156.1.10.28',
    ccmH323DeviceTable => '1.3.6.1.4.1.9.9.156.1.11.1',
    ccmH323DeviceEntry => '1.3.6.1.4.1.9.9.156.1.11.1.1',
    ccmH323DevIndex => '1.3.6.1.4.1.9.9.156.1.11.1.1.1',
    ccmH323DevName => '1.3.6.1.4.1.9.9.156.1.11.1.1.2',
    ccmH323DevProductId => '1.3.6.1.4.1.9.9.156.1.11.1.1.3',
    ccmH323DevDescription => '1.3.6.1.4.1.9.9.156.1.11.1.1.4',
    ccmH323DevInetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.5',
    ccmH323DevInetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.6',
    ccmH323DevCnfgGKInetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.7',
    ccmH323DevCnfgGKInetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.8',
    ccmH323DevAltGK1InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.9',
    ccmH323DevAltGK1InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.10',
    ccmH323DevAltGK2InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.11',
    ccmH323DevAltGK2InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.12',
    ccmH323DevAltGK3InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.13',
    ccmH323DevAltGK3InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.14',
    ccmH323DevAltGK4InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.15',
    ccmH323DevAltGK4InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.16',
    ccmH323DevAltGK5InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.17',
    ccmH323DevAltGK5InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.18',
    ccmH323DevActGKInetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.19',
    ccmH323DevActGKInetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.20',
    ccmH323DevStatus => '1.3.6.1.4.1.9.9.156.1.11.1.1.21',
    ccmH323DevStatusReason => '1.3.6.1.4.1.9.9.156.1.11.1.1.22',
    ccmH323DevTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.11.1.1.23',
    ccmH323DevTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.11.1.1.24',
    ccmH323DevRmtCM1InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.25',
    ccmH323DevRmtCM1InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.26',
    ccmH323DevRmtCM2InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.27',
    ccmH323DevRmtCM2InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.28',
    ccmH323DevRmtCM3InetAddressType => '1.3.6.1.4.1.9.9.156.1.11.1.1.29',
    ccmH323DevRmtCM3InetAddress => '1.3.6.1.4.1.9.9.156.1.11.1.1.30',
    ccmH323DevProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.11.1.1.31',
    ccmH323DevUnregReason => '1.3.6.1.4.1.9.9.156.1.11.1.1.32',
    ccmH323DevRegFailReason => '1.3.6.1.4.1.9.9.156.1.11.1.1.33',
    ccmVoiceMailDeviceTable => '1.3.6.1.4.1.9.9.156.1.12.1',
    ccmVoiceMailDeviceDirNumTable => '1.3.6.1.4.1.9.9.156.1.12.2',
    ccmVoiceMailDeviceEntry => '1.3.6.1.4.1.9.9.156.1.12.1.1',
    ccmVMailDevIndex => '1.3.6.1.4.1.9.9.156.1.12.1.1.1',
    ccmVMailDevName => '1.3.6.1.4.1.9.9.156.1.12.1.1.2',
    ccmVMailDevProductId => '1.3.6.1.4.1.9.9.156.1.12.1.1.3',
    ccmVMailDevDescription => '1.3.6.1.4.1.9.9.156.1.12.1.1.4',
    ccmVMailDevStatus => '1.3.6.1.4.1.9.9.156.1.12.1.1.5',
    ccmVMailDevInetAddressType => '1.3.6.1.4.1.9.9.156.1.12.1.1.6',
    ccmVMailDevInetAddress => '1.3.6.1.4.1.9.9.156.1.12.1.1.7',
    ccmVMailDevStatusReason => '1.3.6.1.4.1.9.9.156.1.12.1.1.8',
    ccmVMailDevTimeLastStatusUpdt => '1.3.6.1.4.1.9.9.156.1.12.1.1.9',
    ccmVMailDevTimeLastRegistered => '1.3.6.1.4.1.9.9.156.1.12.1.1.10',
    ccmVMailDevProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.12.1.1.11',
    ccmVMailDevUnregReason => '1.3.6.1.4.1.9.9.156.1.12.1.1.12',
    ccmVMailDevRegFailReason => '1.3.6.1.4.1.9.9.156.1.12.1.1.13',
    ccmVoiceMailDeviceDirNumEntry => '1.3.6.1.4.1.9.9.156.1.12.2.1',
    ccmVMailDevDirNumIndex => '1.3.6.1.4.1.9.9.156.1.12.2.1.1',
    ccmVMailDevDirNum => '1.3.6.1.4.1.9.9.156.1.12.2.1.2',
    ccmQualityReportAlarmEnable => '1.3.6.1.4.1.9.9.156.1.13.1',
    ccmSIPDeviceTable => '1.3.6.1.4.1.9.9.156.1.14.1',
    ccmSIPDeviceEntry => '1.3.6.1.4.1.9.9.156.1.14.1.1',
    ccmSIPDevIndex => '1.3.6.1.4.1.9.9.156.1.14.1.1.1',
    ccmSIPDevName => '1.3.6.1.4.1.9.9.156.1.14.1.1.2',
    ccmSIPDevProductTypeIndex => '1.3.6.1.4.1.9.9.156.1.14.1.1.3',
    ccmSIPDevDescription => '1.3.6.1.4.1.9.9.156.1.14.1.1.4',
    ccmSIPDevInetAddressType => '1.3.6.1.4.1.9.9.156.1.14.1.1.5',
    ccmSIPDevInetAddress => '1.3.6.1.4.1.9.9.156.1.14.1.1.6',
    ccmSIPInTransportProtocolType => '1.3.6.1.4.1.9.9.156.1.14.1.1.7',
    ccmSIPInPortNumber => '1.3.6.1.4.1.9.9.156.1.14.1.1.8',
    ccmSIPOutTransportProtocolType => '1.3.6.1.4.1.9.9.156.1.14.1.1.9',
    ccmSIPOutPortNumber => '1.3.6.1.4.1.9.9.156.1.14.1.1.10',
    ccmSIPDevInetAddressIPv4 => '1.3.6.1.4.1.9.9.156.1.14.1.1.11',
    ccmSIPDevInetAddressIPv6 => '1.3.6.1.4.1.9.9.156.1.14.1.1.12',
    ccmMIBNotifications => '1.3.6.1.4.1.9.9.156.2',
    ciscoCcmMIBCompliances => '1.3.6.1.4.1.9.9.156.3.1',
    ciscoCcmMIBGroups => '1.3.6.1.4.1.9.9.156.3.2',
    ciscoCcmMIBCompliance => '1.3.6.1.4.1.9.9.156.3.1.1',
    ciscoCcmMIBComplianceRev1 => '1.3.6.1.4.1.9.9.156.3.1.2',
    ciscoCcmMIBComplianceRev2 => '1.3.6.1.4.1.9.9.156.3.1.3',
    ciscoCcmMIBComplianceRev3 => '1.3.6.1.4.1.9.9.156.3.1.4',
    ciscoCcmMIBComplianceRev4 => '1.3.6.1.4.1.9.9.156.3.1.5',
    ciscoCcmMIBComplianceRev5 => '1.3.6.1.4.1.9.9.156.3.1.6',
    ciscoCcmMIBComplianceRev6 => '1.3.6.1.4.1.9.9.156.3.1.7',
    ciscoCcmMIBComplianceRev7 => '1.3.6.1.4.1.9.9.156.3.1.8',
    ccmInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.1',
    ccmPhoneInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.2',
    ccmGatewayInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.3',
    ccmInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.4',
    ccmPhoneInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.5',
    ccmGatewayInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.6',
    ccmMediaDeviceInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.7',
    ccmGatekeeperInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.8',
    ccmCTIDeviceInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.9',
    ccmNotificationsInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.10',
    ccmInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.12',
    ccmPhoneInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.13',
    ccmGatewayInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.14',
    ccmMediaDeviceInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.15',
    ccmCTIDeviceInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.16',
    ccmH323DeviceInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.17',
    ccmVoiceMailDeviceInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.18',
    ccmNotificationsInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.19',
    ccmInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.20',
    ccmNotificationsInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.21',
    ccmSIPDeviceInfoGroup => '1.3.6.1.4.1.9.9.156.3.2.23',
    ccmPhoneInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.24',
    ccmGatewayInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.25',
    ccmMediaDeviceInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.26',
    ccmCTIDeviceInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.27',
    ccmH323DeviceInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.28',
    ccmVoiceMailDeviceInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.29',
    ccmPhoneInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.30',
    ccmSIPDeviceInfoGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.31',
    ccmNotificationsInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.32',
    ccmInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.34',
    ccmPhoneInfoGroupRev5 => '1.3.6.1.4.1.9.9.156.3.2.35',
    ccmMediaDeviceInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.36',
    ccmSIPDeviceInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.37',
    ccmNotificationsInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.38',
    ccmH323DeviceInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.39',
    ccmCTIDeviceInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.40',
    ccmPhoneInfoGroupRev6 => '1.3.6.1.4.1.9.9.156.3.2.41',
    ccmNotificationsInfoGroupRev5 => '1.3.6.1.4.1.9.9.156.3.2.42',
    ccmGatewayInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.43',
    ccmMediaDeviceInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.44',
    ccmCTIDeviceInfoGroupRev4 => '1.3.6.1.4.1.9.9.156.3.2.45',
    ccmH323DeviceInfoGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.46',
    ccmVoiceMailDeviceInfoGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.47',
    ccmNotificationsGroup => '1.3.6.1.4.1.9.9.156.3.2.11',
    ccmNotificationsGroupRev1 => '1.3.6.1.4.1.9.9.156.3.2.22',
    ccmNotificationsGroupRev2 => '1.3.6.1.4.1.9.9.156.3.2.33',
    ccmNotificationsGroupRev3 => '1.3.6.1.4.1.9.9.156.3.2.48',
  },
  'CISCO-IETF-NAT-MIB' => {
    ciscoNatMIBObjects => '1.3.6.1.4.1.9.10.77.1',
    cnatConfig => '1.3.6.1.4.1.9.10.77.1.1',
    cnatBind => '1.3.6.1.4.1.9.10.77.1.2',
    cnatStatistics => '1.3.6.1.4.1.9.10.77.1.3',
    cnatConfig => '1.3.6.1.4.1.9.10.77.1.1',
    cnatConfTable => '1.3.6.1.4.1.9.10.77.1.1.1',
    cnatConfEntry => '1.3.6.1.4.1.9.10.77.1.1.1.1',
    cnatConfName => '1.3.6.1.4.1.9.10.77.1.1.1.1.1',
    cnatConfServiceType => '1.3.6.1.4.1.9.10.77.1.1.1.1.2',
    cnatConfTimeoutIcmpIdle => '1.3.6.1.4.1.9.10.77.1.1.1.1.3',
    cnatConfTimeoutUdpIdle => '1.3.6.1.4.1.9.10.77.1.1.1.1.4',
    cnatConfTimeoutTcpIdle => '1.3.6.1.4.1.9.10.77.1.1.1.1.5',
    cnatConfTimeoutTcpNeg => '1.3.6.1.4.1.9.10.77.1.1.1.1.6',
    cnatConfTimeoutOther => '1.3.6.1.4.1.9.10.77.1.1.1.1.7',
    cnatConfMaxBindLeaseTime => '1.3.6.1.4.1.9.10.77.1.1.1.1.8',
    cnatConfMaxBindIdleTime => '1.3.6.1.4.1.9.10.77.1.1.1.1.9',
    cnatConfStorageType => '1.3.6.1.4.1.9.10.77.1.1.1.1.10',
    cnatConfStatus => '1.3.6.1.4.1.9.10.77.1.1.1.1.11',
    cnatConfStaticAddrMapTable => '1.3.6.1.4.1.9.10.77.1.1.2',
    cnatConfStaticAddrMapEntry => '1.3.6.1.4.1.9.10.77.1.1.2.1',
    cnatConfStaticAddrMapName => '1.3.6.1.4.1.9.10.77.1.1.2.1.1',
    cnatConfStaticAddrMapType => '1.3.6.1.4.1.9.10.77.1.1.2.1.2',
    cnatConfStaticLocalAddrFrom => '1.3.6.1.4.1.9.10.77.1.1.2.1.3',
    cnatConfStaticLocalAddrTo => '1.3.6.1.4.1.9.10.77.1.1.2.1.4',
    cnatConfStaticLocalPortFrom => '1.3.6.1.4.1.9.10.77.1.1.2.1.5',
    cnatConfStaticLocalPortTo => '1.3.6.1.4.1.9.10.77.1.1.2.1.6',
    cnatConfStaticGlobalAddrFrom => '1.3.6.1.4.1.9.10.77.1.1.2.1.7',
    cnatConfStaticGlobalAddrTo => '1.3.6.1.4.1.9.10.77.1.1.2.1.8',
    cnatConfStaticGlobalPortFrom => '1.3.6.1.4.1.9.10.77.1.1.2.1.9',
    cnatConfStaticGlobalPortTo => '1.3.6.1.4.1.9.10.77.1.1.2.1.10',
    cnatConfStaticProtocol => '1.3.6.1.4.1.9.10.77.1.1.2.1.11',
    cnatConfStaticAddrMapStorageType => '1.3.6.1.4.1.9.10.77.1.1.2.1.12',
    cnatConfStaticAddrMapStatus => '1.3.6.1.4.1.9.10.77.1.1.2.1.13',
    cnatConfDynAddrMapTable => '1.3.6.1.4.1.9.10.77.1.1.3',
    cnatConfDynAddrMapEntry => '1.3.6.1.4.1.9.10.77.1.1.3.1',
    cnatConfDynAddrMapName => '1.3.6.1.4.1.9.10.77.1.1.3.1.1',
    cnatConfDynAddressMapType => '1.3.6.1.4.1.9.10.77.1.1.3.1.2',
    cnatConfDynLocalAddrFrom => '1.3.6.1.4.1.9.10.77.1.1.3.1.3',
    cnatConfDynLocalAddrTo => '1.3.6.1.4.1.9.10.77.1.1.3.1.4',
    cnatConfDynLocalPortFrom => '1.3.6.1.4.1.9.10.77.1.1.3.1.5',
    cnatConfDynLocalPortTo => '1.3.6.1.4.1.9.10.77.1.1.3.1.6',
    cnatConfDynGlobalAddrFrom => '1.3.6.1.4.1.9.10.77.1.1.3.1.7',
    cnatConfDynGlobalAddrTo => '1.3.6.1.4.1.9.10.77.1.1.3.1.8',
    cnatConfDynGlobalPortFrom => '1.3.6.1.4.1.9.10.77.1.1.3.1.9',
    cnatConfDynGlobalPortTo => '1.3.6.1.4.1.9.10.77.1.1.3.1.10',
    cnatConfDynProtocol => '1.3.6.1.4.1.9.10.77.1.1.3.1.11',
    cnatConfDynAddrMapStorageType => '1.3.6.1.4.1.9.10.77.1.1.3.1.12',
    cnatConfDynAddrMapStatus => '1.3.6.1.4.1.9.10.77.1.1.3.1.13',
    cnatInterfaceTable => '1.3.6.1.4.1.9.10.77.1.1.4',
    cnatInterfaceEntry => '1.3.6.1.4.1.9.10.77.1.1.4.1',
    cnatInterfaceIndex => '1.3.6.1.4.1.9.10.77.1.1.4.1.1',
    cnatInterfaceRealm => '1.3.6.1.4.1.9.10.77.1.1.4.1.2',
    cnatInterfaceStorageType => '1.3.6.1.4.1.9.10.77.1.1.4.1.3',
    cnatInterfaceStatus => '1.3.6.1.4.1.9.10.77.1.1.4.1.4',
    cnatBind => '1.3.6.1.4.1.9.10.77.1.2',
    cnatAddrBindNumberOfEntries => '1.3.6.1.4.1.9.10.77.1.2.1.0',
    cnatAddrBindTable => '1.3.6.1.4.1.9.10.77.1.2.2',
    cnatAddrBindEntry => '1.3.6.1.4.1.9.10.77.1.2.2.1',
    cnatAddrBindLocalAddr => '1.3.6.1.4.1.9.10.77.1.2.2.1.1',
    cnatAddrBindGlobalAddr => '1.3.6.1.4.1.9.10.77.1.2.2.1.2',
    cnatAddrBindId => '1.3.6.1.4.1.9.10.77.1.2.2.1.3',
    cnatAddrBindDirection => '1.3.6.1.4.1.9.10.77.1.2.2.1.4',
    cnatAddrBindType => '1.3.6.1.4.1.9.10.77.1.2.2.1.5',
    cnatAddrBindConfName => '1.3.6.1.4.1.9.10.77.1.2.2.1.6',
    cnatAddrBindSessionCount => '1.3.6.1.4.1.9.10.77.1.2.2.1.7',
    cnatAddrBindCurrentIdleTime => '1.3.6.1.4.1.9.10.77.1.2.2.1.8',
    cnatAddrBindInTranslate => '1.3.6.1.4.1.9.10.77.1.2.2.1.9',
    cnatAddrBindOutTranslate => '1.3.6.1.4.1.9.10.77.1.2.2.1.10',
    cnatAddrPortBindNumberOfEntries => '1.3.6.1.4.1.9.10.77.1.2.3.0',
    cnatAddrPortBindTable => '1.3.6.1.4.1.9.10.77.1.2.4',
    cnatAddrPortBindEntry => '1.3.6.1.4.1.9.10.77.1.2.4.1',
    cnatAddrPortBindLocalAddr => '1.3.6.1.4.1.9.10.77.1.2.4.1.1',
    cnatAddrPortBindLocalPort => '1.3.6.1.4.1.9.10.77.1.2.4.1.2',
    cnatAddrPortBindProtocol => '1.3.6.1.4.1.9.10.77.1.2.4.1.3',
    cnatAddrPortBindGlobalAddr => '1.3.6.1.4.1.9.10.77.1.2.4.1.4',
    cnatAddrPortBindGlobalPort => '1.3.6.1.4.1.9.10.77.1.2.4.1.5',
    cnatAddrPortBindId => '1.3.6.1.4.1.9.10.77.1.2.4.1.6',
    cnatAddrPortBindDirection => '1.3.6.1.4.1.9.10.77.1.2.4.1.7',
    cnatAddrPortBindType => '1.3.6.1.4.1.9.10.77.1.2.4.1.8',
    cnatAddrPortBindConfName => '1.3.6.1.4.1.9.10.77.1.2.4.1.9',
    cnatAddrPortBindSessionCount => '1.3.6.1.4.1.9.10.77.1.2.4.1.10',
    cnatAddrPortBindCurrentIdleTime => '1.3.6.1.4.1.9.10.77.1.2.4.1.11',
    cnatAddrPortBindInTranslate => '1.3.6.1.4.1.9.10.77.1.2.4.1.12',
    cnatAddrPortBindOutTranslate => '1.3.6.1.4.1.9.10.77.1.2.4.1.13',
    cnatSessionTable => '1.3.6.1.4.1.9.10.77.1.2.5',
    cnatSessionEntry => '1.3.6.1.4.1.9.10.77.1.2.5.1',
    cnatSessionBindId => '1.3.6.1.4.1.9.10.77.1.2.5.1.1',
    cnatSessionId => '1.3.6.1.4.1.9.10.77.1.2.5.1.2',
    cnatSessionDirection => '1.3.6.1.4.1.9.10.77.1.2.5.1.3',
    cnatSessionUpTime => '1.3.6.1.4.1.9.10.77.1.2.5.1.4',
    cnatSessionProtocolType => '1.3.6.1.4.1.9.10.77.1.2.5.1.5',
    cnatSessionOrigPrivateAddr => '1.3.6.1.4.1.9.10.77.1.2.5.1.6',
    cnatSessionTransPrivateAddr => '1.3.6.1.4.1.9.10.77.1.2.5.1.7',
    cnatSessionOrigPrivatePort => '1.3.6.1.4.1.9.10.77.1.2.5.1.8',
    cnatSessionTransPrivatePort => '1.3.6.1.4.1.9.10.77.1.2.5.1.9',
    cnatSessionOrigPublicAddr => '1.3.6.1.4.1.9.10.77.1.2.5.1.10',
    cnatSessionTransPublicAddr => '1.3.6.1.4.1.9.10.77.1.2.5.1.11',
    cnatSessionOrigPublicPort => '1.3.6.1.4.1.9.10.77.1.2.5.1.12',
    cnatSessionTransPublicPort => '1.3.6.1.4.1.9.10.77.1.2.5.1.13',
    cnatSessionCurrentIdletime => '1.3.6.1.4.1.9.10.77.1.2.5.1.14',
    cnatSessionSecondBindId => '1.3.6.1.4.1.9.10.77.1.2.5.1.15',
    cnatSessionInTranslate => '1.3.6.1.4.1.9.10.77.1.2.5.1.16',
    cnatSessionOutTranslate => '1.3.6.1.4.1.9.10.77.1.2.5.1.17',
    cnatStatistics => '1.3.6.1.4.1.9.10.77.1.3',
    cnatProtocolStatsTable => '1.3.6.1.4.1.9.10.77.1.3.1',
    cnatProtocolStatsEntry => '1.3.6.1.4.1.9.10.77.1.3.1.1',
    cnatProtocolStatsName => '1.3.6.1.4.1.9.10.77.1.3.1.1.1',
    cnatProtocolStatsNameDefinition => 'CISCO-IETF-NAT-MIB::NATProtocolType',
    cnatProtocolStatsInTranslate => '1.3.6.1.4.1.9.10.77.1.3.1.1.2',
    cnatProtocolStatsOutTranslate => '1.3.6.1.4.1.9.10.77.1.3.1.1.3',
    cnatProtocolStatsRejectCount => '1.3.6.1.4.1.9.10.77.1.3.1.1.4',
    cnatAddrMapStatsTable => '1.3.6.1.4.1.9.10.77.1.3.2',
    cnatAddrMapStatsEntry => '1.3.6.1.4.1.9.10.77.1.3.2.1',
    cnatAddrMapStatsConfName => '1.3.6.1.4.1.9.10.77.1.3.2.1.1',
    cnatAddrMapStatsMapName => '1.3.6.1.4.1.9.10.77.1.3.2.1.2',
    cnatAddrMapStatsInTranslate => '1.3.6.1.4.1.9.10.77.1.3.2.1.3',
    cnatAddrMapStatsOutTranslate => '1.3.6.1.4.1.9.10.77.1.3.2.1.4',
    cnatAddrMapStatsNoResource => '1.3.6.1.4.1.9.10.77.1.3.2.1.5',
    cnatAddrMapStatsAddrUsed => '1.3.6.1.4.1.9.10.77.1.3.2.1.6',
    cnatInterfaceStatsTable => '1.3.6.1.4.1.9.10.77.1.3.3',
    cnatInterfaceStatsEntry => '1.3.6.1.4.1.9.10.77.1.3.3.1',
    cnatInterfacePktsIn => '1.3.6.1.4.1.9.10.77.1.3.3.1.1',
    cnatInterfacePktsOut => '1.3.6.1.4.1.9.10.77.1.3.3.1.2',
    ciscoNatMIBNotificationPrefix => '1.3.6.1.4.1.9.10.77.2',
    ciscoNatMIBNotifications => '1.3.6.1.4.1.9.10.77.2.0',
    ciscoNatMIBConformance => '1.3.6.1.4.1.9.10.77.3',
    ciscoNatMIBCompliances => '1.3.6.1.4.1.9.10.77.3.1',
    ciscoNatMIBGroups => '1.3.6.1.4.1.9.10.77.3.2',
  },
  'CISCO-FEATURE-CONTROL-MIB' => {
    cfcFeatureCtrlTable => '1.3.6.1.4.1.9.9.377.1.1.1',
    cfcFeatureCtrlEntry => '1.3.6.1.4.1.9.9.377.1.1.1.1',
    cfcFeatureCtrlIndex => 'CISCO-FEATURE-CONTROL-MIB::CiscoOptionalFeature',
    cfcFeatureCtrlName => '1.3.6.1.4.1.9.9.377.1.1.1.1.2',
    cfcFeatureCtrlAction => 'CISCO-FEATURE-CONTROL-MIB::CiscoFeatureAction',
    cfcFeatureCtrlLastAction => 'CISCO-FEATURE-CONTROL-MIB::CiscoFeatureAction',
    cfcFeatureCtrlLastActionResult => 'CISCO-FEATURE-CONTROL-MIB::CiscoFeatureActionResult',
    cfcFeatureCtrlLastFailureReason => '1.3.6.1.4.1.9.9.377.1.1.1.1.6',
    cfcFeatureCtrlOpStatus => 'CISCO-FEATURE-CONTROL-MIB::CiscoFeatureStatus',
    cfcFeatureCtrlOpStatusReason => '1.3.6.1.4.1.9.9.377.1.1.1.1.8',
  },
  'CISCO-IPSEC-FLOW-MONITOR-MIB' => {
    enterprises => '1.3.6.1.4.1',
    cisco => '1.3.6.1.4.1.9',
    ciscoMgmt => '1.3.6.1.4.1.9.9',
    ciscoIpSecFlowMonitorMIB => '1.3.6.1.4.1.9.9.171',
    ciscoIpSecFlowMonitorMIBDefinition => {
      '1' => 'enabled',
      '2' => 'disabled',
    },
    cipSecMIBObjects => '1.3.6.1.4.1.9.9.171.1',
    cipSecLevels => '1.3.6.1.4.1.9.9.171.1.1',
    cipSecMibLevel => '1.3.6.1.4.1.9.9.171.1.1.1',
    cipSecPhaseOne => '1.3.6.1.4.1.9.9.171.1.2',
    cikeGlobalStats => '1.3.6.1.4.1.9.9.171.1.2.1',
    cikeGlobalActiveTunnels => '1.3.6.1.4.1.9.9.171.1.2.1.1',
    cikeGlobalPreviousTunnels => '1.3.6.1.4.1.9.9.171.1.2.1.2',
    cikeGlobalInOctets => '1.3.6.1.4.1.9.9.171.1.2.1.3',
    cikeGlobalInPkts => '1.3.6.1.4.1.9.9.171.1.2.1.4',
    cikeGlobalInDropPkts => '1.3.6.1.4.1.9.9.171.1.2.1.5',
    cikeGlobalInNotifys => '1.3.6.1.4.1.9.9.171.1.2.1.6',
    cikeGlobalInP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.1.7',
    cikeGlobalInP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.1.8',
    cikeGlobalInP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.1.9',
    cikeGlobalInP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.1.10',
    cikeGlobalOutOctets => '1.3.6.1.4.1.9.9.171.1.2.1.11',
    cikeGlobalOutPkts => '1.3.6.1.4.1.9.9.171.1.2.1.12',
    cikeGlobalOutDropPkts => '1.3.6.1.4.1.9.9.171.1.2.1.13',
    cikeGlobalOutNotifys => '1.3.6.1.4.1.9.9.171.1.2.1.14',
    cikeGlobalOutP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.1.15',
    cikeGlobalOutP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.1.16',
    cikeGlobalOutP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.1.17',
    cikeGlobalOutP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.1.18',
    cikeGlobalInitTunnels => '1.3.6.1.4.1.9.9.171.1.2.1.19',
    cikeGlobalInitTunnelFails => '1.3.6.1.4.1.9.9.171.1.2.1.20',
    cikeGlobalRespTunnelFails => '1.3.6.1.4.1.9.9.171.1.2.1.21',
    cikeGlobalSysCapFails => '1.3.6.1.4.1.9.9.171.1.2.1.22',
    cikeGlobalAuthFails => '1.3.6.1.4.1.9.9.171.1.2.1.23',
    cikeGlobalDecryptFails => '1.3.6.1.4.1.9.9.171.1.2.1.24',
    cikeGlobalHashValidFails => '1.3.6.1.4.1.9.9.171.1.2.1.25',
    cikeGlobalNoSaFails => '1.3.6.1.4.1.9.9.171.1.2.1.26',
    cikePeerTable => '1.3.6.1.4.1.9.9.171.1.2.2',
    cikePeerEntry => '1.3.6.1.4.1.9.9.171.1.2.2.1',
    cikePeerLocalType => '1.3.6.1.4.1.9.9.171.1.2.2.1.1',
    cikePeerLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikePeerLocalValue => '1.3.6.1.4.1.9.9.171.1.2.2.1.2',
    cikePeerRemoteType => '1.3.6.1.4.1.9.9.171.1.2.2.1.3',
    cikePeerRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikePeerRemoteValue => '1.3.6.1.4.1.9.9.171.1.2.2.1.4',
    cikePeerIntIndex => '1.3.6.1.4.1.9.9.171.1.2.2.1.5',
    cikePeerLocalAddr => '1.3.6.1.4.1.9.9.171.1.2.2.1.6',
    cikePeerRemoteAddr => '1.3.6.1.4.1.9.9.171.1.2.2.1.7',
    cikePeerActiveTime => '1.3.6.1.4.1.9.9.171.1.2.2.1.8',
    cikePeerActiveTunnelIndex => '1.3.6.1.4.1.9.9.171.1.2.2.1.9',
    cikeTunnelTable => '1.3.6.1.4.1.9.9.171.1.2.3',
    cikeTunnelEntry => '1.3.6.1.4.1.9.9.171.1.2.3.1',
    cikeTunIndex => '1.3.6.1.4.1.9.9.171.1.2.3.1.1',
    cikeTunLocalType => '1.3.6.1.4.1.9.9.171.1.2.3.1.2',
    cikeTunLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeTunLocalValue => '1.3.6.1.4.1.9.9.171.1.2.3.1.3',
    cikeTunLocalAddr => '1.3.6.1.4.1.9.9.171.1.2.3.1.4',
    cikeTunLocalName => '1.3.6.1.4.1.9.9.171.1.2.3.1.5',
    cikeTunRemoteType => '1.3.6.1.4.1.9.9.171.1.2.3.1.6',
    cikeTunRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeTunRemoteValue => '1.3.6.1.4.1.9.9.171.1.2.3.1.7',
    cikeTunRemoteAddr => '1.3.6.1.4.1.9.9.171.1.2.3.1.8',
    cikeTunRemoteName => '1.3.6.1.4.1.9.9.171.1.2.3.1.9',
    cikeTunNegoMode => '1.3.6.1.4.1.9.9.171.1.2.3.1.10',
    cikeTunNegoModeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeNegoMode',
    cikeTunDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.2.3.1.11',
    cikeTunDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cikeTunEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.2.3.1.12',
    cikeTunEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cikeTunHashAlgo => '1.3.6.1.4.1.9.9.171.1.2.3.1.13',
    cikeTunHashAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeHashAlgo',
    cikeTunAuthMethod => '1.3.6.1.4.1.9.9.171.1.2.3.1.14',
    cikeTunAuthMethodDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeAuthMethod',
    cikeTunLifeTime => '1.3.6.1.4.1.9.9.171.1.2.3.1.15',
    cikeTunActiveTime => '1.3.6.1.4.1.9.9.171.1.2.3.1.16',
    cikeTunSaRefreshThreshold => '1.3.6.1.4.1.9.9.171.1.2.3.1.17',
    cikeTunTotalRefreshes => '1.3.6.1.4.1.9.9.171.1.2.3.1.18',
    cikeTunInOctets => '1.3.6.1.4.1.9.9.171.1.2.3.1.19',
    cikeTunInPkts => '1.3.6.1.4.1.9.9.171.1.2.3.1.20',
    cikeTunInDropPkts => '1.3.6.1.4.1.9.9.171.1.2.3.1.21',
    cikeTunInNotifys => '1.3.6.1.4.1.9.9.171.1.2.3.1.22',
    cikeTunInP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.3.1.23',
    cikeTunInP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.3.1.24',
    cikeTunInP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.3.1.25',
    cikeTunInP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.3.1.26',
    cikeTunOutOctets => '1.3.6.1.4.1.9.9.171.1.2.3.1.27',
    cikeTunOutPkts => '1.3.6.1.4.1.9.9.171.1.2.3.1.28',
    cikeTunOutDropPkts => '1.3.6.1.4.1.9.9.171.1.2.3.1.29',
    cikeTunOutNotifys => '1.3.6.1.4.1.9.9.171.1.2.3.1.30',
    cikeTunOutP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.3.1.31',
    cikeTunOutP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.3.1.32',
    cikeTunOutP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.3.1.33',
    cikeTunOutP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.3.1.34',
    cikeTunStatus => '1.3.6.1.4.1.9.9.171.1.2.3.1.35',
    cikeTunStatusDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TunnelStatus',
    cikePeerCorrTable => '1.3.6.1.4.1.9.9.171.1.2.4',
    cikePeerCorrEntry => '1.3.6.1.4.1.9.9.171.1.2.4.1',
    cikePeerCorrLocalType => '1.3.6.1.4.1.9.9.171.1.2.4.1.1',
    cikePeerCorrLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikePeerCorrLocalValue => '1.3.6.1.4.1.9.9.171.1.2.4.1.2',
    cikePeerCorrRemoteType => '1.3.6.1.4.1.9.9.171.1.2.4.1.3',
    cikePeerCorrRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikePeerCorrRemoteValue => '1.3.6.1.4.1.9.9.171.1.2.4.1.4',
    cikePeerCorrIntIndex => '1.3.6.1.4.1.9.9.171.1.2.4.1.5',
    cikePeerCorrSeqNum => '1.3.6.1.4.1.9.9.171.1.2.4.1.6',
    cikePeerCorrIpSecTunIndex => '1.3.6.1.4.1.9.9.171.1.2.4.1.7',
    cikePhase1GWStatsTable => '1.3.6.1.4.1.9.9.171.1.2.5',
    cikePhase1GWStatsEntry => '1.3.6.1.4.1.9.9.171.1.2.5.1',
    cikePhase1GWActiveTunnels => '1.3.6.1.4.1.9.9.171.1.2.5.1.1',
    cikePhase1GWPreviousTunnels => '1.3.6.1.4.1.9.9.171.1.2.5.1.2',
    cikePhase1GWInOctets => '1.3.6.1.4.1.9.9.171.1.2.5.1.3',
    cikePhase1GWInPkts => '1.3.6.1.4.1.9.9.171.1.2.5.1.4',
    cikePhase1GWInDropPkts => '1.3.6.1.4.1.9.9.171.1.2.5.1.5',
    cikePhase1GWInNotifys => '1.3.6.1.4.1.9.9.171.1.2.5.1.6',
    cikePhase1GWInP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.5.1.7',
    cikePhase1GWInP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.5.1.8',
    cikePhase1GWInP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.5.1.9',
    cikePhase1GWInP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.5.1.10',
    cikePhase1GWOutOctets => '1.3.6.1.4.1.9.9.171.1.2.5.1.11',
    cikePhase1GWOutPkts => '1.3.6.1.4.1.9.9.171.1.2.5.1.12',
    cikePhase1GWOutDropPkts => '1.3.6.1.4.1.9.9.171.1.2.5.1.13',
    cikePhase1GWOutNotifys => '1.3.6.1.4.1.9.9.171.1.2.5.1.14',
    cikePhase1GWOutP2Exchgs => '1.3.6.1.4.1.9.9.171.1.2.5.1.15',
    cikePhase1GWOutP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.2.5.1.16',
    cikePhase1GWOutP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.2.5.1.17',
    cikePhase1GWOutP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.2.5.1.18',
    cikePhase1GWInitTunnels => '1.3.6.1.4.1.9.9.171.1.2.5.1.19',
    cikePhase1GWInitTunnelFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.20',
    cikePhase1GWRespTunnelFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.21',
    cikePhase1GWSysCapFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.22',
    cikePhase1GWAuthFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.23',
    cikePhase1GWDecryptFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.24',
    cikePhase1GWHashValidFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.25',
    cikePhase1GWNoSaFails => '1.3.6.1.4.1.9.9.171.1.2.5.1.26',
    cipSecPhaseTwo => '1.3.6.1.4.1.9.9.171.1.3',
    cipSecGlobalStats => '1.3.6.1.4.1.9.9.171.1.3.1',
    cipSecGlobalActiveTunnels => '1.3.6.1.4.1.9.9.171.1.3.1.1',
    cipSecGlobalPreviousTunnels => '1.3.6.1.4.1.9.9.171.1.3.1.2',
    cipSecGlobalInOctets => '1.3.6.1.4.1.9.9.171.1.3.1.3',
    cipSecGlobalHcInOctets => '1.3.6.1.4.1.9.9.171.1.3.1.4',
    cipSecGlobalInOctWraps => '1.3.6.1.4.1.9.9.171.1.3.1.5',
    cipSecGlobalInDecompOctets => '1.3.6.1.4.1.9.9.171.1.3.1.6',
    cipSecGlobalHcInDecompOctets => '1.3.6.1.4.1.9.9.171.1.3.1.7',
    cipSecGlobalInDecompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.1.8',
    cipSecGlobalInPkts => '1.3.6.1.4.1.9.9.171.1.3.1.9',
    cipSecGlobalInDrops => '1.3.6.1.4.1.9.9.171.1.3.1.10',
    cipSecGlobalInReplayDrops => '1.3.6.1.4.1.9.9.171.1.3.1.11',
    cipSecGlobalInAuths => '1.3.6.1.4.1.9.9.171.1.3.1.12',
    cipSecGlobalInAuthFails => '1.3.6.1.4.1.9.9.171.1.3.1.13',
    cipSecGlobalInDecrypts => '1.3.6.1.4.1.9.9.171.1.3.1.14',
    cipSecGlobalInDecryptFails => '1.3.6.1.4.1.9.9.171.1.3.1.15',
    cipSecGlobalOutOctets => '1.3.6.1.4.1.9.9.171.1.3.1.16',
    cipSecGlobalHcOutOctets => '1.3.6.1.4.1.9.9.171.1.3.1.17',
    cipSecGlobalOutOctWraps => '1.3.6.1.4.1.9.9.171.1.3.1.18',
    cipSecGlobalOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.3.1.19',
    cipSecGlobalHcOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.3.1.20',
    cipSecGlobalOutUncompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.1.21',
    cipSecGlobalOutPkts => '1.3.6.1.4.1.9.9.171.1.3.1.22',
    cipSecGlobalOutDrops => '1.3.6.1.4.1.9.9.171.1.3.1.23',
    cipSecGlobalOutAuths => '1.3.6.1.4.1.9.9.171.1.3.1.24',
    cipSecGlobalOutAuthFails => '1.3.6.1.4.1.9.9.171.1.3.1.25',
    cipSecGlobalOutEncrypts => '1.3.6.1.4.1.9.9.171.1.3.1.26',
    cipSecGlobalOutEncryptFails => '1.3.6.1.4.1.9.9.171.1.3.1.27',
    cipSecGlobalProtocolUseFails => '1.3.6.1.4.1.9.9.171.1.3.1.28',
    cipSecGlobalNoSaFails => '1.3.6.1.4.1.9.9.171.1.3.1.29',
    cipSecGlobalSysCapFails => '1.3.6.1.4.1.9.9.171.1.3.1.30',
    cipSecTunnelTable => '1.3.6.1.4.1.9.9.171.1.3.2',
    cipSecTunnelEntry => '1.3.6.1.4.1.9.9.171.1.3.2.1',
    cipSecTunIndex => '1.3.6.1.4.1.9.9.171.1.3.2.1.1',
    cipSecTunIkeTunnelIndex => '1.3.6.1.4.1.9.9.171.1.3.2.1.2',
    cipSecTunIkeTunnelAlive => '1.3.6.1.4.1.9.9.171.1.3.2.1.3',
    cipSecTunLocalAddr => '1.3.6.1.4.1.9.9.171.1.3.2.1.4',
    cipSecTunRemoteAddr => '1.3.6.1.4.1.9.9.171.1.3.2.1.5',
    cipSecTunKeyType => '1.3.6.1.4.1.9.9.171.1.3.2.1.6',
    cipSecTunKeyTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::KeyType',
    cipSecTunEncapMode => '1.3.6.1.4.1.9.9.171.1.3.2.1.7',
    cipSecTunEncapModeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncapMode',
    cipSecTunLifeSize => '1.3.6.1.4.1.9.9.171.1.3.2.1.8',
    cipSecTunLifeTime => '1.3.6.1.4.1.9.9.171.1.3.2.1.9',
    cipSecTunActiveTime => '1.3.6.1.4.1.9.9.171.1.3.2.1.10',
    cipSecTunSaLifeSizeThreshold => '1.3.6.1.4.1.9.9.171.1.3.2.1.11',
    cipSecTunSaLifeTimeThreshold => '1.3.6.1.4.1.9.9.171.1.3.2.1.12',
    cipSecTunTotalRefreshes => '1.3.6.1.4.1.9.9.171.1.3.2.1.13',
    cipSecTunExpiredSaInstances => '1.3.6.1.4.1.9.9.171.1.3.2.1.14',
    cipSecTunCurrentSaInstances => '1.3.6.1.4.1.9.9.171.1.3.2.1.15',
    cipSecTunInSaDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.3.2.1.16',
    cipSecTunInSaDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cipSecTunInSaEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.17',
    cipSecTunInSaEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cipSecTunInSaAhAuthAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.18',
    cipSecTunInSaAhAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunInSaEspAuthAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.19',
    cipSecTunInSaEspAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunInSaDecompAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.20',
    cipSecTunInSaDecompAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::CompAlgo',
    cipSecTunOutSaDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.3.2.1.21',
    cipSecTunOutSaDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cipSecTunOutSaEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.22',
    cipSecTunOutSaEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cipSecTunOutSaAhAuthAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.23',
    cipSecTunOutSaAhAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunOutSaEspAuthAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.24',
    cipSecTunOutSaEspAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunOutSaCompAlgo => '1.3.6.1.4.1.9.9.171.1.3.2.1.25',
    cipSecTunOutSaCompAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::CompAlgo',
    cipSecTunInOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.26',
    cipSecTunHcInOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.27',
    cipSecTunInOctWraps => '1.3.6.1.4.1.9.9.171.1.3.2.1.28',
    cipSecTunInDecompOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.29',
    cipSecTunHcInDecompOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.30',
    cipSecTunInDecompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.2.1.31',
    cipSecTunInPkts => '1.3.6.1.4.1.9.9.171.1.3.2.1.32',
    cipSecTunInDropPkts => '1.3.6.1.4.1.9.9.171.1.3.2.1.33',
    cipSecTunInReplayDropPkts => '1.3.6.1.4.1.9.9.171.1.3.2.1.34',
    cipSecTunInAuths => '1.3.6.1.4.1.9.9.171.1.3.2.1.35',
    cipSecTunInAuthFails => '1.3.6.1.4.1.9.9.171.1.3.2.1.36',
    cipSecTunInDecrypts => '1.3.6.1.4.1.9.9.171.1.3.2.1.37',
    cipSecTunInDecryptFails => '1.3.6.1.4.1.9.9.171.1.3.2.1.38',
    cipSecTunOutOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.39',
    cipSecTunHcOutOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.40',
    cipSecTunOutOctWraps => '1.3.6.1.4.1.9.9.171.1.3.2.1.41',
    cipSecTunOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.42',
    cipSecTunHcOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.3.2.1.43',
    cipSecTunOutUncompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.2.1.44',
    cipSecTunOutPkts => '1.3.6.1.4.1.9.9.171.1.3.2.1.45',
    cipSecTunOutDropPkts => '1.3.6.1.4.1.9.9.171.1.3.2.1.46',
    cipSecTunOutAuths => '1.3.6.1.4.1.9.9.171.1.3.2.1.47',
    cipSecTunOutAuthFails => '1.3.6.1.4.1.9.9.171.1.3.2.1.48',
    cipSecTunOutEncrypts => '1.3.6.1.4.1.9.9.171.1.3.2.1.49',
    cipSecTunOutEncryptFails => '1.3.6.1.4.1.9.9.171.1.3.2.1.50',
    cipSecTunStatus => '1.3.6.1.4.1.9.9.171.1.3.2.1.51',
    cipSecTunStatusDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TunnelStatus',
    cipSecEndPtTable => '1.3.6.1.4.1.9.9.171.1.3.3',
    cipSecEndPtEntry => '1.3.6.1.4.1.9.9.171.1.3.3.1',
    cipSecEndPtIndex => '1.3.6.1.4.1.9.9.171.1.3.3.1.1',
    cipSecEndPtLocalName => '1.3.6.1.4.1.9.9.171.1.3.3.1.2',
    cipSecEndPtLocalType => '1.3.6.1.4.1.9.9.171.1.3.3.1.3',
    cipSecEndPtLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EndPtType',
    cipSecEndPtLocalAddr1 => '1.3.6.1.4.1.9.9.171.1.3.3.1.4',
    cipSecEndPtLocalAddr2 => '1.3.6.1.4.1.9.9.171.1.3.3.1.5',
    cipSecEndPtLocalProtocol => '1.3.6.1.4.1.9.9.171.1.3.3.1.6',
    cipSecEndPtLocalPort => '1.3.6.1.4.1.9.9.171.1.3.3.1.7',
    cipSecEndPtRemoteName => '1.3.6.1.4.1.9.9.171.1.3.3.1.8',
    cipSecEndPtRemoteType => '1.3.6.1.4.1.9.9.171.1.3.3.1.9',
    cipSecEndPtRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EndPtType',
    cipSecEndPtRemoteAddr1 => '1.3.6.1.4.1.9.9.171.1.3.3.1.10',
    cipSecEndPtRemoteAddr2 => '1.3.6.1.4.1.9.9.171.1.3.3.1.11',
    cipSecEndPtRemoteProtocol => '1.3.6.1.4.1.9.9.171.1.3.3.1.12',
    cipSecEndPtRemotePort => '1.3.6.1.4.1.9.9.171.1.3.3.1.13',
    cipSecSpiTable => '1.3.6.1.4.1.9.9.171.1.3.4',
    cipSecSpiEntry => '1.3.6.1.4.1.9.9.171.1.3.4.1',
    cipSecSpiIndex => '1.3.6.1.4.1.9.9.171.1.3.4.1.1',
    cipSecSpiDirection => '1.3.6.1.4.1.9.9.171.1.3.4.1.2',
    cipSecSpiDirectionDefinition => {
      '1' => 'in',
      '2' => 'out',
    },
    cipSecSpiValue => '1.3.6.1.4.1.9.9.171.1.3.4.1.3',
    cipSecSpiProtocol => '1.3.6.1.4.1.9.9.171.1.3.4.1.4',
    cipSecSpiProtocolDefinition => {
      '1' => 'ah',
      '2' => 'esp',
      '3' => 'ipcomp',
    },
    cipSecSpiStatus => '1.3.6.1.4.1.9.9.171.1.3.4.1.5',
    cipSecSpiStatusDefinition => {
      '1' => 'active',
      '2' => 'expiring',
    },
    cipSecPhase2GWStatsTable => '1.3.6.1.4.1.9.9.171.1.3.5',
    cipSecPhase2GWStatsEntry => '1.3.6.1.4.1.9.9.171.1.3.5.1',
    cipSecPhase2GWActiveTunnels => '1.3.6.1.4.1.9.9.171.1.3.5.1.1',
    cipSecPhase2GWPreviousTunnels => '1.3.6.1.4.1.9.9.171.1.3.5.1.2',
    cipSecPhase2GWInOctets => '1.3.6.1.4.1.9.9.171.1.3.5.1.3',
    cipSecPhase2GWInOctWraps => '1.3.6.1.4.1.9.9.171.1.3.5.1.4',
    cipSecPhase2GWInDecompOctets => '1.3.6.1.4.1.9.9.171.1.3.5.1.5',
    cipSecPhase2GWInDecompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.5.1.6',
    cipSecPhase2GWInPkts => '1.3.6.1.4.1.9.9.171.1.3.5.1.7',
    cipSecPhase2GWInDrops => '1.3.6.1.4.1.9.9.171.1.3.5.1.8',
    cipSecPhase2GWInReplayDrops => '1.3.6.1.4.1.9.9.171.1.3.5.1.9',
    cipSecPhase2GWInAuths => '1.3.6.1.4.1.9.9.171.1.3.5.1.10',
    cipSecPhase2GWInAuthFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.11',
    cipSecPhase2GWInDecrypts => '1.3.6.1.4.1.9.9.171.1.3.5.1.12',
    cipSecPhase2GWInDecryptFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.13',
    cipSecPhase2GWOutOctets => '1.3.6.1.4.1.9.9.171.1.3.5.1.14',
    cipSecPhase2GWOutOctWraps => '1.3.6.1.4.1.9.9.171.1.3.5.1.15',
    cipSecPhase2GWOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.3.5.1.16',
    cipSecPhase2GWOutUncompOctWraps => '1.3.6.1.4.1.9.9.171.1.3.5.1.17',
    cipSecPhase2GWOutPkts => '1.3.6.1.4.1.9.9.171.1.3.5.1.18',
    cipSecPhase2GWOutDrops => '1.3.6.1.4.1.9.9.171.1.3.5.1.19',
    cipSecPhase2GWOutAuths => '1.3.6.1.4.1.9.9.171.1.3.5.1.20',
    cipSecPhase2GWOutAuthFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.21',
    cipSecPhase2GWOutEncrypts => '1.3.6.1.4.1.9.9.171.1.3.5.1.22',
    cipSecPhase2GWOutEncryptFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.23',
    cipSecPhase2GWProtocolUseFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.24',
    cipSecPhase2GWNoSaFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.25',
    cipSecPhase2GWSysCapFails => '1.3.6.1.4.1.9.9.171.1.3.5.1.26',
    cipSecHistory => '1.3.6.1.4.1.9.9.171.1.4',
    cipSecHistGlobal => '1.3.6.1.4.1.9.9.171.1.4.1',
    cipSecHistGlobalCntl => '1.3.6.1.4.1.9.9.171.1.4.1.1',
    cipSecHistTableSize => '1.3.6.1.4.1.9.9.171.1.4.1.1.1',
    cipSecHistCheckPoint => '1.3.6.1.4.1.9.9.171.1.4.1.1.2',
    cipSecHistCheckPointDefinition => {
      '1' => 'ready',
      '2' => 'checkPoint',
    },
    cipSecHistPhaseOne => '1.3.6.1.4.1.9.9.171.1.4.2',
    cikeTunnelHistTable => '1.3.6.1.4.1.9.9.171.1.4.2.1',
    cikeTunnelHistEntry => '1.3.6.1.4.1.9.9.171.1.4.2.1.1',
    cikeTunHistIndex => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.1',
    cikeTunHistTermReason => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.2',
    cikeTunHistTermReasonDefinition => {
      '1' => 'other',
      '2' => 'normal',
      '3' => 'operRequest',
      '4' => 'peerDelRequest',
      '5' => 'peerLost',
      '6' => 'localFailure',
      '7' => 'checkPointReg',
    },
    cikeTunHistActiveIndex => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.3',
    cikeTunHistPeerLocalType => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.4',
    cikeTunHistPeerLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeTunHistPeerLocalValue => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.5',
    cikeTunHistPeerIntIndex => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.6',
    cikeTunHistPeerRemoteType => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.7',
    cikeTunHistPeerRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeTunHistPeerRemoteValue => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.8',
    cikeTunHistLocalAddr => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.9',
    cikeTunHistLocalName => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.10',
    cikeTunHistRemoteAddr => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.11',
    cikeTunHistRemoteName => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.12',
    cikeTunHistNegoMode => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.13',
    cikeTunHistNegoModeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeNegoMode',
    cikeTunHistDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.14',
    cikeTunHistDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cikeTunHistEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.15',
    cikeTunHistEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cikeTunHistHashAlgo => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.16',
    cikeTunHistHashAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeHashAlgo',
    cikeTunHistAuthMethod => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.17',
    cikeTunHistAuthMethodDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkeAuthMethod',
    cikeTunHistLifeTime => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.18',
    cikeTunHistStartTime => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.19',
    cikeTunHistActiveTime => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.20',
    cikeTunHistTotalRefreshes => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.21',
    cikeTunHistTotalSas => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.22',
    cikeTunHistInOctets => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.23',
    cikeTunHistInPkts => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.24',
    cikeTunHistInDropPkts => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.25',
    cikeTunHistInNotifys => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.26',
    cikeTunHistInP2Exchgs => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.27',
    cikeTunHistInP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.28',
    cikeTunHistInP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.29',
    cikeTunHistInP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.30',
    cikeTunHistOutOctets => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.31',
    cikeTunHistOutPkts => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.32',
    cikeTunHistOutDropPkts => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.33',
    cikeTunHistOutNotifys => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.34',
    cikeTunHistOutP2Exchgs => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.35',
    cikeTunHistOutP2ExchgInvalids => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.36',
    cikeTunHistOutP2ExchgRejects => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.37',
    cikeTunHistOutP2SaDelRequests => '1.3.6.1.4.1.9.9.171.1.4.2.1.1.38',
    cipSecHistPhaseTwo => '1.3.6.1.4.1.9.9.171.1.4.3',
    cipSecTunnelHistTable => '1.3.6.1.4.1.9.9.171.1.4.3.1',
    cipSecTunnelHistEntry => '1.3.6.1.4.1.9.9.171.1.4.3.1.1',
    cipSecTunHistIndex => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.1',
    cipSecTunHistTermReason => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.2',
    cipSecTunHistTermReasonDefinition => {
      '1' => 'other',
      '2' => 'normal',
      '3' => 'operRequest',
      '4' => 'peerDelRequest',
      '5' => 'peerLost',
      '6' => 'seqNumRollOver',
      '7' => 'checkPointReq',
    },
    cipSecTunHistActiveIndex => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.3',
    cipSecTunHistLocalAddr => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.5',
    cipSecTunHistRemoteAddr => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.6',
    cipSecTunHistKeyType => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.7',
    cipSecTunHistKeyTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::KeyType',
    cipSecTunHistEncapMode => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.8',
    cipSecTunHistEncapModeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncapMode',
    cipSecTunHistLifeSize => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.9',
    cipSecTunHistLifeTime => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.10',
    cipSecTunHistStartTime => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.11',
    cipSecTunHistActiveTime => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.12',
    cipSecTunHistTotalRefreshes => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.13',
    cipSecTunHistTotalSas => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.14',
    cipSecTunHistInSaDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.15',
    cipSecTunHistInSaDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cipSecTunHistInSaEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.16',
    cipSecTunHistInSaEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cipSecTunHistInSaAhAuthAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.17',
    cipSecTunHistInSaAhAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunHistInSaEspAuthAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.18',
    cipSecTunHistInSaEspAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunHistInSaDecompAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.19',
    cipSecTunHistInSaDecompAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::CompAlgo',
    cipSecTunHistOutSaDiffHellmanGrp => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.20',
    cipSecTunHistOutSaDiffHellmanGrpDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::DiffHellmanGrp',
    cipSecTunHistOutSaEncryptAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.21',
    cipSecTunHistOutSaEncryptAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EncryptAlgo',
    cipSecTunHistOutSaAhAuthAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.22',
    cipSecTunHistOutSaAhAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunHistOutSaEspAuthAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.23',
    cipSecTunHistOutSaEspAuthAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::AuthAlgo',
    cipSecTunHistOutSaCompAlgo => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.24',
    cipSecTunHistOutSaCompAlgoDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::CompAlgo',
    cipSecTunHistInOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.25',
    cipSecTunHistHcInOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.26',
    cipSecTunHistInOctWraps => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.27',
    cipSecTunHistInDecompOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.28',
    cipSecTunHistHcInDecompOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.29',
    cipSecTunHistInDecompOctWraps => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.30',
    cipSecTunHistInPkts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.31',
    cipSecTunHistInDropPkts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.32',
    cipSecTunHistInReplayDropPkts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.33',
    cipSecTunHistInAuths => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.34',
    cipSecTunHistInAuthFails => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.35',
    cipSecTunHistInDecrypts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.36',
    cipSecTunHistInDecryptFails => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.37',
    cipSecTunHistOutOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.38',
    cipSecTunHistHcOutOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.39',
    cipSecTunHistOutOctWraps => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.40',
    cipSecTunHistOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.41',
    cipSecTunHistHcOutUncompOctets => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.42',
    cipSecTunHistOutUncompOctWraps => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.43',
    cipSecTunHistOutPkts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.44',
    cipSecTunHistOutDropPkts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.45',
    cipSecTunHistOutAuths => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.46',
    cipSecTunHistOutAuthFails => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.47',
    cipSecTunHistOutEncrypts => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.48',
    cipSecTunHistOutEncryptFails => '1.3.6.1.4.1.9.9.171.1.4.3.1.1.49',
    cipSecEndPtHistTable => '1.3.6.1.4.1.9.9.171.1.4.3.2',
    cipSecEndPtHistEntry => '1.3.6.1.4.1.9.9.171.1.4.3.2.1',
    cipSecEndPtHistIndex => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.1',
    cipSecEndPtHistTunIndex => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.2',
    cipSecEndPtHistActiveIndex => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.3',
    cipSecEndPtHistLocalName => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.4',
    cipSecEndPtHistLocalType => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.5',
    cipSecEndPtHistLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EndPtType',
    cipSecEndPtHistLocalAddr1 => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.6',
    cipSecEndPtHistLocalAddr2 => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.7',
    cipSecEndPtHistLocalProtocol => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.8',
    cipSecEndPtHistLocalPort => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.9',
    cipSecEndPtHistRemoteName => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.10',
    cipSecEndPtHistRemoteType => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.11',
    cipSecEndPtHistRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::EndPtType',
    cipSecEndPtHistRemoteAddr1 => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.12',
    cipSecEndPtHistRemoteAddr2 => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.13',
    cipSecEndPtHistRemoteProtocol => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.14',
    cipSecEndPtHistRemotePort => '1.3.6.1.4.1.9.9.171.1.4.3.2.1.15',
    cipSecFailures => '1.3.6.1.4.1.9.9.171.1.5',
    cipSecFailGlobal => '1.3.6.1.4.1.9.9.171.1.5.1',
    cipSecFailGlobalCntl => '1.3.6.1.4.1.9.9.171.1.5.1.1',
    cipSecFailTableSize => '1.3.6.1.4.1.9.9.171.1.5.1.1.1',
    cipSecFailPhaseOne => '1.3.6.1.4.1.9.9.171.1.5.2',
    cikeFailTable => '1.3.6.1.4.1.9.9.171.1.5.2.1',
    cikeFailEntry => '1.3.6.1.4.1.9.9.171.1.5.2.1.1',
    cikeFailIndex => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.1',
    cikeFailReason => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.2',
    cikeFailReasonDefinition => {
      '1' => 'other',
      '2' => 'peerDelRequest',
      '3' => 'peerLost',
      '4' => 'localFailure',
      '5' => 'authFailure',
      '6' => 'hashValidation',
      '7' => 'encryptFailure',
      '8' => 'internalError',
      '9' => 'sysCapExceeded',
      '10' => 'proposalFailure',
      '11' => 'peerCertUnavailable',
      '12' => 'peerCertNotValid',
      '13' => 'localCertExpired',
      '14' => 'crlFailure',
      '15' => 'peerEncodingError',
      '16' => 'nonExistentSa',
      '17' => 'operRequest',
    },
    cikeFailTime => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.3',
    cikeFailLocalType => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.4',
    cikeFailLocalTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeFailLocalValue => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.5',
    cikeFailRemoteType => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.6',
    cikeFailRemoteTypeDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::IkePeerType',
    cikeFailRemoteValue => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.7',
    cikeFailLocalAddr => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.8',
    cikeFailRemoteAddr => '1.3.6.1.4.1.9.9.171.1.5.2.1.1.9',
    cipSecFailPhaseTwo => '1.3.6.1.4.1.9.9.171.1.5.3',
    cipSecFailTable => '1.3.6.1.4.1.9.9.171.1.5.3.1',
    cipSecFailEntry => '1.3.6.1.4.1.9.9.171.1.5.3.1.1',
    cipSecFailIndex => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.1',
    cipSecFailReason => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.2',
    cipSecFailReasonDefinition => {
      '1' => 'other',
      '2' => 'internalError',
      '3' => 'peerEncodingError',
      '4' => 'proposalFailure',
      '5' => 'protocolUseFail',
      '6' => 'nonExistentSa',
      '7' => 'decryptFailure',
      '8' => 'encryptFailure',
      '9' => 'inAuthFailure',
      '10' => 'outAuthFailure',
      '11' => 'compression',
      '12' => 'sysCapExceeded',
      '13' => 'peerDelRequest',
      '14' => 'peerLost',
      '15' => 'seqNumRollOver',
      '16' => 'operRequest',
    },
    cipSecFailTime => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.3',
    cipSecFailTunnelIndex => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.4',
    cipSecFailSaSpi => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.5',
    cipSecFailPktSrcAddr => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.6',
    cipSecFailPktDstAddr => '1.3.6.1.4.1.9.9.171.1.5.3.1.1.7',
    cipSecTrapCntl => '1.3.6.1.4.1.9.9.171.1.6',
    cipSecTrapCntlIkeTunnelStart => '1.3.6.1.4.1.9.9.171.1.6.1',
    cipSecTrapCntlIkeTunnelStartDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIkeTunnelStop => '1.3.6.1.4.1.9.9.171.1.6.2',
    cipSecTrapCntlIkeTunnelStopDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIkeSysFailure => '1.3.6.1.4.1.9.9.171.1.6.3',
    cipSecTrapCntlIkeSysFailureDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIkeCertCrlFailure => '1.3.6.1.4.1.9.9.171.1.6.4',
    cipSecTrapCntlIkeCertCrlFailureDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIkeProtocolFail => '1.3.6.1.4.1.9.9.171.1.6.5',
    cipSecTrapCntlIkeProtocolFailDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIkeNoSa => '1.3.6.1.4.1.9.9.171.1.6.6',
    cipSecTrapCntlIkeNoSaDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecTunnelStart => '1.3.6.1.4.1.9.9.171.1.6.7',
    cipSecTrapCntlIpSecTunnelStartDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecTunnelStop => '1.3.6.1.4.1.9.9.171.1.6.8',
    cipSecTrapCntlIpSecTunnelStopDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecSysFailure => '1.3.6.1.4.1.9.9.171.1.6.9',
    cipSecTrapCntlIpSecSysFailureDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecSetUpFailure => '1.3.6.1.4.1.9.9.171.1.6.10',
    cipSecTrapCntlIpSecSetUpFailureDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecEarlyTunTerm => '1.3.6.1.4.1.9.9.171.1.6.11',
    cipSecTrapCntlIpSecEarlyTunTermDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecProtocolFail => '1.3.6.1.4.1.9.9.171.1.6.12',
    cipSecTrapCntlIpSecProtocolFailDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecTrapCntlIpSecNoSa => '1.3.6.1.4.1.9.9.171.1.6.13',
    cipSecTrapCntlIpSecNoSaDefinition => 'CISCO-IPSEC-FLOW-MONITOR-MIB::TrapStatus',
    cipSecMIBNotificationPrefix => '1.3.6.1.4.1.9.9.171.2',
    cipSecMIBNotifications => '1.3.6.1.4.1.9.9.171.2.0.1.2.3.4.5.6.7.8.9.10.11.12.13',
    cipSecMIBConformance => '1.3.6.1.4.1.9.9.171.3',
    cipSecMIBGroups => '1.3.6.1.4.1.9.9.171.3.1',
    cipSecMIBCompliances => '1.3.6.1.4.1.9.9.171.3.1.8',
    hardware => '1.3.6.1.4.1.3764.1.1.200',
  },
  'CISCO-ETHERNET-FABRIC-EXTENDER-MIB' => {
    enterprises => '1.3.6.1.4.1',
    cisco => '1.3.6.1.4.1.9',
    ciscoEthernetFabricExtenderMIB => '1.3.6.1.4.1.9.9.691',
    ciscoEthernetFabricExtenderMIBNotifs => '1.3.6.1.4.1.9.9.691.0',
    ciscoEthernetFabricExtenderObjects => '1.3.6.1.4.1.9.9.691.1',
    cefexConfig => '1.3.6.1.4.1.9.9.691.1.1',
    cefexConfigDefinition => {
      '1' => 'static',
    },
    cefexBindingTable => '1.3.6.1.4.1.9.9.691.1.1.1',
    cefexBindingEntry => '1.3.6.1.4.1.9.9.691.1.1.1.1',
    cefexBindingInterfaceOnCoreSwitch => '1.3.6.1.4.1.9.9.691.1.1.1.1.1',
    cefexBindingExtenderIndex => '1.3.6.1.4.1.9.9.691.1.1.1.1.2',
    cefexBindingCreationTime => '1.3.6.1.4.1.9.9.691.1.1.1.1.3',
    cefexBindingRowStatus => '1.3.6.1.4.1.9.9.691.1.1.1.1.4',
    cefexBindingRowStatusDefinition => 'SNMPv2-TC-v1::RowStatus',
    cefexConfigTable => '1.3.6.1.4.1.9.9.691.1.1.2',
    cefexConfigEntry => '1.3.6.1.4.1.9.9.691.1.1.2.1',
    cefexConfigExtenderName => '1.3.6.1.4.1.9.9.691.1.1.2.1.1',
    cefexConfigSerialNumCheck => '1.3.6.1.4.1.9.9.691.1.1.2.1.2',
    cefexConfigSerialNum => '1.3.6.1.4.1.9.9.691.1.1.2.1.3',
    cefexConfigPinningFailOverMode => '1.3.6.1.4.1.9.9.691.1.1.2.1.4',
    cefexConfigPinningFailOverModeDefinition => 'CISCO-ETHERNET-FABRIC-EXTENDER-MIB::CiscoPortPinningMode',
    cefexConfigPinningMaxLinks => '1.3.6.1.4.1.9.9.691.1.1.2.1.5',
    cefexConfigCreationTime => '1.3.6.1.4.1.9.9.691.1.1.2.1.6',
    cefexConfigRowStatus => '1.3.6.1.4.1.9.9.691.1.1.2.1.7',
    cefexConfigRowStatusDefinition => 'SNMPv2-TC-v1::RowStatus',
    ciscoEthernetFabricExtenderMIBConformance => '1.3.6.1.4.1.9.9.691.2',
    cEthernetFabricExtenderMIBCompliances => '1.3.6.1.4.1.9.9.691.2.1',
    cEthernetFabricExtenderMIBGroups => '1.3.6.1.4.1.9.9.691.2.1.1.1',
    hardware => '1.3.6.1.4.1.3764.1.1.200',
  },
  'AIRESPACE-SWITCHING-MIB' => {
      bsnSwitching => '1.3.6.1.4.1.14179.1',
      agentInfoGroup => '1.3.6.1.4.1.14179.1.1',
      agentInventoryGroup => '1.3.6.1.4.1.14179.1.1.1',
      agentInventorySysDescription => '1.3.6.1.4.1.14179.1.1.1.1',
      agentInventoryOperatingSystem => '1.3.6.1.4.1.14179.1.1.1.10',
      agentInventoryManufacturerName => '1.3.6.1.4.1.14179.1.1.1.12',
      agentInventoryProductName => '1.3.6.1.4.1.14179.1.1.1.13',
      agentInventoryProductVersion => '1.3.6.1.4.1.14179.1.1.1.14',
      agentInventoryIsGigECardPresent => '1.3.6.1.4.1.14179.1.1.1.15',
      agentInventoryIsCryptoCardPresent => '1.3.6.1.4.1.14179.1.1.1.16',
      agentInventoryIsForeignAPSupported => '1.3.6.1.4.1.14179.1.1.1.17',
      agentInventoryMaxNumberOfAPsSupported => '1.3.6.1.4.1.14179.1.1.1.18',
      agentInventoryIsCryptoCard2Present => '1.3.6.1.4.1.14179.1.1.1.19',
      agentInventoryMachineType => '1.3.6.1.4.1.14179.1.1.1.2',
      agentInventoryFipsModeEnabled => '1.3.6.1.4.1.14179.1.1.1.20',
      agentInventoryMachineModel => '1.3.6.1.4.1.14179.1.1.1.3',
      agentInventorySerialNumber => '1.3.6.1.4.1.14179.1.1.1.4',
      agentInventoryMaintenanceLevel => '1.3.6.1.4.1.14179.1.1.1.6',
      agentInventoryBurnedInMacAddress => '1.3.6.1.4.1.14179.1.1.1.9',
      agentTrapLogGroup => '1.3.6.1.4.1.14179.1.1.2',
      agentTrapLogTotal => '1.3.6.1.4.1.14179.1.1.2.1',
      agentApCoverageProfileFailTrapCount => '1.3.6.1.4.1.14179.1.1.2.10',
      agentTrapLogTotalSinceLastViewed => '1.3.6.1.4.1.14179.1.1.2.3',

      agentTrapLogTable => '1.3.6.1.4.1.14179.1.1.2.4',
      agentTrapLogEntry => '1.3.6.1.4.1.14179.1.1.2.4.1',
      agentTrapLogIndex => '1.3.6.1.4.1.14179.1.1.2.4.1.1',
      agentTrapLogSystemTime => '1.3.6.1.4.1.14179.1.1.2.4.1.2',
      agentTrapLogTrap => '1.3.6.1.4.1.14179.1.1.2.4.1.22',

      agentRadioUpDownTrapCount => '1.3.6.1.4.1.14179.1.1.2.5',
      agentApAssociateDisassociateTrapCount => '1.3.6.1.4.1.14179.1.1.2.6',
      agentApLoadProfileFailTrapCount => '1.3.6.1.4.1.14179.1.1.2.7',
      agentApNoiseProfileFailTrapCount => '1.3.6.1.4.1.14179.1.1.2.8',
      agentApInterferenceProfileFailTrapCount => '1.3.6.1.4.1.14179.1.1.2.9',
      agentSwitchInfoGroup => '1.3.6.1.4.1.14179.1.1.3',
      agentSwitchInfoLwappTransportMode => '1.3.6.1.4.1.14179.1.1.3.1',
      agentSwitchInfoPowerSupply1Present => '1.3.6.1.4.1.14179.1.1.3.2',
      agentSwitchInfoPowerSupply1PresentDefinition => {
          0 => 'false',
          1 => 'true',
      },
      agentSwitchInfoPowerSupply1Operational => '1.3.6.1.4.1.14179.1.1.3.3',
      agentSwitchInfoPowerSupply1OperationalDefinition => {
          0 => 'false',
          1 => 'true',
      },
      agentSwitchInfoPowerSupply2Present => '1.3.6.1.4.1.14179.1.1.3.4',
      agentSwitchInfoPowerSupply2PresentDefinition => {
          0 => 'false',
          1 => 'true',
      },
      agentSwitchInfoPowerSupply2Operational => '1.3.6.1.4.1.14179.1.1.3.5',
      agentSwitchInfoPowerSupply2OperationalDefinition => {
          0 => 'false',
          1 => 'true',
      },
      agentProductGroup => '1.3.6.1.4.1.14179.1.1.4',
      productGroup1 => '1.3.6.1.4.1.14179.1.1.4.1',
      productGroup2 => '1.3.6.1.4.1.14179.1.1.4.2',
      productGroup3 => '1.3.6.1.4.1.14179.1.1.4.3',
      productGroup4 => '1.3.6.1.4.1.14179.1.1.4.4',
      agentResourceInfoGroup => '1.3.6.1.4.1.14179.1.1.5',
      agentCurrentCPUUtilization => '1.3.6.1.4.1.14179.1.1.5.1.0',
      agentTotalMemory => '1.3.6.1.4.1.14179.1.1.5.2.0',
      agentFreeMemory => '1.3.6.1.4.1.14179.1.1.5.3.0',
      agentWcpInfoGroup => '1.3.6.1.4.1.14179.1.1.6',
      agentWcpDeviceName => '1.3.6.1.4.1.14179.1.1.6.1',
      agentWcpSlotNumber => '1.3.6.1.4.1.14179.1.1.6.2',
      agentWcpPortNumber => '1.3.6.1.4.1.14179.1.1.6.3',
      agentWcpPeerPortNumber => '1.3.6.1.4.1.14179.1.1.6.4',
      agentWcpPeerIpAddress => '1.3.6.1.4.1.14179.1.1.6.5',
      agentWcpControllerTableChecksum => '1.3.6.1.4.1.14179.1.1.6.6',

      agentWcpControllerInfoTable => '1.3.6.1.4.1.14179.1.1.6.7',
      agentWcpControllerInfoEntry => '1.3.6.1.4.1.14179.1.1.6.7.1',
      agentWcpControllerInfoSlotNumber => '1.3.6.1.4.1.14179.1.1.6.7.1.1',
      agentWcpControllerInfoIpAddress => '1.3.6.1.4.1.14179.1.1.6.7.1.10',
      agentWcpControllerInfoPortNumber => '1.3.6.1.4.1.14179.1.1.6.7.1.2',

      agentConfigGroup => '1.3.6.1.4.1.14179.1.2',
      agentCLIConfigGroup => '1.3.6.1.4.1.14179.1.2.1',

      agentLoginSessionTable => '1.3.6.1.4.1.14179.1.2.1.1',
      agentLoginSessionEntry => '1.3.6.1.4.1.14179.1.2.1.1.1',
      agentLoginSessionIndex => '1.3.6.1.4.1.14179.1.2.1.1.1.1',
      agentLoginSessionUserName => '1.3.6.1.4.1.14179.1.2.1.1.1.2',
      agentLoginSessionStatus => '1.3.6.1.4.1.14179.1.2.1.1.1.26',
      agentLoginSessionIPAddress => '1.3.6.1.4.1.14179.1.2.1.1.1.3',
      agentLoginSessionConnectionType => '1.3.6.1.4.1.14179.1.2.1.1.1.4',
      agentLoginSessionIdleTime => '1.3.6.1.4.1.14179.1.2.1.1.1.5',
      agentLoginSessionSessionTime => '1.3.6.1.4.1.14179.1.2.1.1.1.6',

      agentTelnetConfigGroup => '1.3.6.1.4.1.14179.1.2.1.2',
      agentTelnetLoginTimeout => '1.3.6.1.4.1.14179.1.2.1.2.1',
      agentTelnetMaxSessions => '1.3.6.1.4.1.14179.1.2.1.2.2',
      agentTelnetAllowNewMode => '1.3.6.1.4.1.14179.1.2.1.2.3',
      agentSSHAllowNewMode => '1.3.6.1.4.1.14179.1.2.1.2.4',
      agentSerialGroup => '1.3.6.1.4.1.14179.1.2.1.5',
      agentSerialTimeout => '1.3.6.1.4.1.14179.1.2.1.5.1',
      agentSerialBaudrate => '1.3.6.1.4.1.14179.1.2.1.5.2',
      agentSerialCharacterSize => '1.3.6.1.4.1.14179.1.2.1.5.3',
      agentSerialHWFlowControlMode => '1.3.6.1.4.1.14179.1.2.1.5.4',
      agentSerialStopBits => '1.3.6.1.4.1.14179.1.2.1.5.5',
      agentSerialParityType => '1.3.6.1.4.1.14179.1.2.1.5.6',
      agentDot3adAggPortTable => '1.3.6.1.4.1.14179.1.2.11',
      agentDot3adAggPortEntry => '1.3.6.1.4.1.14179.1.2.11.1',
      agentDot3adAggPort => '1.3.6.1.4.1.14179.1.2.11.1.1',
      agentDot3adAggPortLACPMode => '1.3.6.1.4.1.14179.1.2.11.1.21',
      agentPortConfigTable => '1.3.6.1.4.1.14179.1.2.12',
      agentPortConfigEntry => '1.3.6.1.4.1.14179.1.2.12.1',
      agentPortDot1dBasePort => '1.3.6.1.4.1.14179.1.2.12.1.1',
      agentPortClearStats => '1.3.6.1.4.1.14179.1.2.12.1.10',
      agentPortDefaultType => '1.3.6.1.4.1.14179.1.2.12.1.11',
      agentPortType => '1.3.6.1.4.1.14179.1.2.12.1.12',
      agentPortAutoNegAdminStatus => '1.3.6.1.4.1.14179.1.2.12.1.13',
      agentPortDot3FlowControlMode => '1.3.6.1.4.1.14179.1.2.12.1.14',
      agentPortPowerMode => '1.3.6.1.4.1.14179.1.2.12.1.15',
      agentPortGvrpStatus => '1.3.6.1.4.1.14179.1.2.12.1.16',
      agentPortGarpJoinTime => '1.3.6.1.4.1.14179.1.2.12.1.17',
      agentPortGarpLeaveTime => '1.3.6.1.4.1.14179.1.2.12.1.18',
      agentPortGarpLeaveAllTime => '1.3.6.1.4.1.14179.1.2.12.1.19',
      agentPortIfIndex => '1.3.6.1.4.1.14179.1.2.12.1.2',
      agentPortMirrorMode => '1.3.6.1.4.1.14179.1.2.12.1.20',
      agentPortMulticastApplianceMode => '1.3.6.1.4.1.14179.1.2.12.1.21',
      agentPortIanaType => '1.3.6.1.4.1.14179.1.2.12.1.3',
      agentPortSTPMode => '1.3.6.1.4.1.14179.1.2.12.1.4',
      agentPortOperationalStatus => '1.3.6.1.4.1.14179.1.2.12.1.40',
      agentPortSTPState => '1.3.6.1.4.1.14179.1.2.12.1.5',
      agentPortAdminMode => '1.3.6.1.4.1.14179.1.2.12.1.6',
      agentPortPhysicalMode => '1.3.6.1.4.1.14179.1.2.12.1.7',
      agentPortPhysicalStatus => '1.3.6.1.4.1.14179.1.2.12.1.8',
      agentPortLinkTrapMode => '1.3.6.1.4.1.14179.1.2.12.1.9',
      agentInterfaceConfigTable => '1.3.6.1.4.1.14179.1.2.13',
      agentInterfaceConfigEntry => '1.3.6.1.4.1.14179.1.2.13.1',
      agentInterfaceName => '1.3.6.1.4.1.14179.1.2.13.1.1',
      agentInterfaceSecondaryDhcpAddress => '1.3.6.1.4.1.14179.1.2.13.1.10',
      agentInterfaceDhcpProtocol => '1.3.6.1.4.1.14179.1.2.13.1.11',
      agentInterfaceDnsHostName => '1.3.6.1.4.1.14179.1.2.13.1.12',
      agentInterfaceAclName => '1.3.6.1.4.1.14179.1.2.13.1.13',
      agentInterfaceAPManagementFeature => '1.3.6.1.4.1.14179.1.2.13.1.14',
      agentInterfaceActivePortNo => '1.3.6.1.4.1.14179.1.2.13.1.15',
      agentInterfaceBackupPortNo => '1.3.6.1.4.1.14179.1.2.13.1.16',
      agentInterfaceVlanQuarantine => '1.3.6.1.4.1.14179.1.2.13.1.17',
      agentInterfaceVlanId => '1.3.6.1.4.1.14179.1.2.13.1.2',
      agentInterfaceType => '1.3.6.1.4.1.14179.1.2.13.1.3',
      agentInterfaceRowStatus => '1.3.6.1.4.1.14179.1.2.13.1.31',
      agentInterfaceMacAddress => '1.3.6.1.4.1.14179.1.2.13.1.4',
      agentInterfaceIPAddress => '1.3.6.1.4.1.14179.1.2.13.1.5',
      agentInterfaceIPNetmask => '1.3.6.1.4.1.14179.1.2.13.1.6',
      agentInterfaceIPGateway => '1.3.6.1.4.1.14179.1.2.13.1.7',
      agentInterfacePortNo => '1.3.6.1.4.1.14179.1.2.13.1.8',
      agentInterfacePrimaryDhcpAddress => '1.3.6.1.4.1.14179.1.2.13.1.9',
      agentNtpConfigGroup => '1.3.6.1.4.1.14179.1.2.14',
      agentNtpPollingInterval => '1.3.6.1.4.1.14179.1.2.14.1',
      agentNtpServerTable => '1.3.6.1.4.1.14179.1.2.14.2',
      agentNtpServerEntry => '1.3.6.1.4.1.14179.1.2.14.2.1',
      agentNtpServerIndex => '1.3.6.1.4.1.14179.1.2.14.2.1.1',
      agentNtpServerAddress => '1.3.6.1.4.1.14179.1.2.14.2.1.2',
      agentNtpServerRowStatus => '1.3.6.1.4.1.14179.1.2.14.2.1.20',
      agentDhcpConfigGroup => '1.3.6.1.4.1.14179.1.2.15',
      agentDhcpScopeTable => '1.3.6.1.4.1.14179.1.2.15.1',
      agentDhcpScopeEntry => '1.3.6.1.4.1.14179.1.2.15.1.1',
      agentDhcpScopeIndex => '1.3.6.1.4.1.14179.1.2.15.1.1.1',
      agentDhcpScopeDefaultRouterAddress3 => '1.3.6.1.4.1.14179.1.2.15.1.1.10',
      agentDhcpScopeDnsDomainName => '1.3.6.1.4.1.14179.1.2.15.1.1.11',
      agentDhcpScopeDnsServerAddress1 => '1.3.6.1.4.1.14179.1.2.15.1.1.12',
      agentDhcpScopeDnsServerAddress2 => '1.3.6.1.4.1.14179.1.2.15.1.1.13',
      agentDhcpScopeDnsServerAddress3 => '1.3.6.1.4.1.14179.1.2.15.1.1.14',
      agentDhcpScopeNetbiosNameServerAddress1 => '1.3.6.1.4.1.14179.1.2.15.1.1.15',
      agentDhcpScopeNetbiosNameServerAddress2 => '1.3.6.1.4.1.14179.1.2.15.1.1.16',
      agentDhcpScopeNetbiosNameServerAddress3 => '1.3.6.1.4.1.14179.1.2.15.1.1.17',
      agentDhcpScopeState => '1.3.6.1.4.1.14179.1.2.15.1.1.18',
      agentDhcpScopeName => '1.3.6.1.4.1.14179.1.2.15.1.1.2',
      agentDhcpScopeLeaseTime => '1.3.6.1.4.1.14179.1.2.15.1.1.3',
      agentDhcpScopeRowStatus => '1.3.6.1.4.1.14179.1.2.15.1.1.30',
      agentDhcpScopeNetwork => '1.3.6.1.4.1.14179.1.2.15.1.1.4',
      agentDhcpScopeNetmask => '1.3.6.1.4.1.14179.1.2.15.1.1.5',
      agentDhcpScopePoolStartAddress => '1.3.6.1.4.1.14179.1.2.15.1.1.6',
      agentDhcpScopePoolEndAddress => '1.3.6.1.4.1.14179.1.2.15.1.1.7',
      agentDhcpScopeDefaultRouterAddress1 => '1.3.6.1.4.1.14179.1.2.15.1.1.8',
      agentDhcpScopeDefaultRouterAddress2 => '1.3.6.1.4.1.14179.1.2.15.1.1.9',
      agentLagConfigGroup => '1.3.6.1.4.1.14179.1.2.2',
      agentLagConfigCreate => '1.3.6.1.4.1.14179.1.2.2.1',
      agentLagSummaryConfigTable => '1.3.6.1.4.1.14179.1.2.2.2',
      agentLagSummaryConfigEntry => '1.3.6.1.4.1.14179.1.2.2.2.1',
      agentLagSummaryName => '1.3.6.1.4.1.14179.1.2.2.2.1.1',
      agentLagSummaryLagIndex => '1.3.6.1.4.1.14179.1.2.2.2.1.2',
      agentLagSummaryFlushTimer => '1.3.6.1.4.1.14179.1.2.2.2.1.3',
      agentLagSummaryStatus => '1.3.6.1.4.1.14179.1.2.2.2.1.30',
      agentLagSummaryLinkTrap => '1.3.6.1.4.1.14179.1.2.2.2.1.4',
      agentLagSummaryAdminMode => '1.3.6.1.4.1.14179.1.2.2.2.1.5',
      agentLagSummaryStpMode => '1.3.6.1.4.1.14179.1.2.2.2.1.6',
      agentLagSummaryAddPort => '1.3.6.1.4.1.14179.1.2.2.2.1.7',
      agentLagSummaryDeletePort => '1.3.6.1.4.1.14179.1.2.2.2.1.8',
      agentLagSummaryPortsBitMask => '1.3.6.1.4.1.14179.1.2.2.2.1.9',
      agentLagDetailedConfigTable => '1.3.6.1.4.1.14179.1.2.2.3',
      agentLagDetailedConfigEntry => '1.3.6.1.4.1.14179.1.2.2.3.1',
      agentLagDetailedLagIndex => '1.3.6.1.4.1.14179.1.2.2.3.1.1',
      agentLagDetailedIfIndex => '1.3.6.1.4.1.14179.1.2.2.3.1.2',
      agentLagDetailedPortSpeed => '1.3.6.1.4.1.14179.1.2.2.3.1.22',
      agentLagConfigMode => '1.3.6.1.4.1.14179.1.2.2.4',
      agentNetworkConfigGroup => '1.3.6.1.4.1.14179.1.2.3',
      agentNetworkIPAddress => '1.3.6.1.4.1.14179.1.2.3.1',
      agentNetworkMulticastMode => '1.3.6.1.4.1.14179.1.2.3.10',
      agentNetworkDsPortNumber => '1.3.6.1.4.1.14179.1.2.3.11',
      agentNetworkUserIdleTimeout => '1.3.6.1.4.1.14179.1.2.3.12',
      agentNetworkArpTimeout => '1.3.6.1.4.1.14179.1.2.3.13',
      agentNetworkManagementVlan => '1.3.6.1.4.1.14179.1.2.3.14',
      agentNetworkGvrpStatus => '1.3.6.1.4.1.14179.1.2.3.15',
      agentNetworkAllowMgmtViaWireless => '1.3.6.1.4.1.14179.1.2.3.16',
      agentNetworkBroadcastSsidMode => '1.3.6.1.4.1.14179.1.2.3.17',
      agentNetworkSecureWebPassword => '1.3.6.1.4.1.14179.1.2.3.18',
      agentNetworkWebAdminCertType => '1.3.6.1.4.1.14179.1.2.3.19',
      agentNetworkSubnetMask => '1.3.6.1.4.1.14179.1.2.3.2',
      agentNetworkWebAdminCertRegenerateCmdInvoke => '1.3.6.1.4.1.14179.1.2.3.20',
      agentNetworkWebAuthCertType => '1.3.6.1.4.1.14179.1.2.3.21',
      agentNetworkWebAuthCertRegenerateCmdInvoke => '1.3.6.1.4.1.14179.1.2.3.22',
      agentNetworkRouteConfigTable => '1.3.6.1.4.1.14179.1.2.3.23',
      agentNetworkRouteConfigEntry => '1.3.6.1.4.1.14179.1.2.3.23.1',
      agentNetworkRouteIPAddress => '1.3.6.1.4.1.14179.1.2.3.23.1.1',
      agentNetworkRouteIPNetmask => '1.3.6.1.4.1.14179.1.2.3.23.1.2',
      agentNetworkRouteStatus => '1.3.6.1.4.1.14179.1.2.3.23.1.23',
      agentNetworkRouteGateway => '1.3.6.1.4.1.14179.1.2.3.23.1.3',
      agentNetworkPeerToPeerBlockingMode => '1.3.6.1.4.1.14179.1.2.3.24',
      agentNetworkMulticastGroupAddress => '1.3.6.1.4.1.14179.1.2.3.25',
      agentNetworkDefaultGateway => '1.3.6.1.4.1.14179.1.2.3.3',
      agentNetworkBurnedInMacAddress => '1.3.6.1.4.1.14179.1.2.3.4',
      agentNetworkConfigProtocol => '1.3.6.1.4.1.14179.1.2.3.7',
      agentNetworkWebMode => '1.3.6.1.4.1.14179.1.2.3.8',
      agentNetworkSecureWebMode => '1.3.6.1.4.1.14179.1.2.3.9',
      agentServicePortConfigGroup => '1.3.6.1.4.1.14179.1.2.4',
      agentServicePortIPAddress => '1.3.6.1.4.1.14179.1.2.4.1',
      agentServicePortSubnetMask => '1.3.6.1.4.1.14179.1.2.4.2',
      agentServicePortDefaultGateway => '1.3.6.1.4.1.14179.1.2.4.3',
      agentServicePortBurnedInMacAddress => '1.3.6.1.4.1.14179.1.2.4.4',
      agentServicePortConfigProtocol => '1.3.6.1.4.1.14179.1.2.4.5',
      agentSnmpConfigGroup => '1.3.6.1.4.1.14179.1.2.5',
      agentSnmpTrapPortNumber => '1.3.6.1.4.1.14179.1.2.5.1',
      agentSnmpVersion1Status => '1.3.6.1.4.1.14179.1.2.5.2',
      agentSnmpVersion2cStatus => '1.3.6.1.4.1.14179.1.2.5.3',
      agentSnmpCommunityConfigTable => '1.3.6.1.4.1.14179.1.2.5.5',
      agentSnmpCommunityConfigEntry => '1.3.6.1.4.1.14179.1.2.5.5.1',
      agentSnmpCommunityName => '1.3.6.1.4.1.14179.1.2.5.5.1.1',
      agentSnmpCommunityIPAddress => '1.3.6.1.4.1.14179.1.2.5.5.1.2',
      agentSnmpCommunityStatus => '1.3.6.1.4.1.14179.1.2.5.5.1.25',
      agentSnmpCommunityIPMask => '1.3.6.1.4.1.14179.1.2.5.5.1.3',
      agentSnmpCommunityAccessMode => '1.3.6.1.4.1.14179.1.2.5.5.1.4',
      agentSnmpCommunityEnabled => '1.3.6.1.4.1.14179.1.2.5.5.1.5',
      agentSnmpTrapReceiverConfigTable => '1.3.6.1.4.1.14179.1.2.5.6',
      agentSnmpTrapReceiverConfigEntry => '1.3.6.1.4.1.14179.1.2.5.6.1',
      agentSnmpTrapReceiverName => '1.3.6.1.4.1.14179.1.2.5.6.1.1',
      agentSnmpTrapReceiverIPAddress => '1.3.6.1.4.1.14179.1.2.5.6.1.2',
      agentSnmpTrapReceiverStatus => '1.3.6.1.4.1.14179.1.2.5.6.1.23',
      agentSnmpTrapReceiverEnabled => '1.3.6.1.4.1.14179.1.2.5.6.1.3',
      agentSnmpTrapFlagsConfigGroup => '1.3.6.1.4.1.14179.1.2.5.7',
      agentSnmpAuthenticationTrapFlag => '1.3.6.1.4.1.14179.1.2.5.7.1',
      agentSnmpLinkUpDownTrapFlag => '1.3.6.1.4.1.14179.1.2.5.7.2',
      agentSnmpMultipleUsersTrapFlag => '1.3.6.1.4.1.14179.1.2.5.7.3',
      agentSnmpSpanningTreeTrapFlag => '1.3.6.1.4.1.14179.1.2.5.7.4',
      agentSnmpBroadcastStormTrapFlag => '1.3.6.1.4.1.14179.1.2.5.7.5',
      agentSnmpV3ConfigGroup => '1.3.6.1.4.1.14179.1.2.6',
      agentSnmpVersion3Status => '1.3.6.1.4.1.14179.1.2.6.1',
      agentSnmpV3UserConfigTable => '1.3.6.1.4.1.14179.1.2.6.2',
      agentSnmpV3UserConfigEntry => '1.3.6.1.4.1.14179.1.2.6.2.1',
      agentSnmpV3UserName => '1.3.6.1.4.1.14179.1.2.6.2.1.1',
      agentSnmpV3UserAccessMode => '1.3.6.1.4.1.14179.1.2.6.2.1.2',
      agentSnmpV3UserStatus => '1.3.6.1.4.1.14179.1.2.6.2.1.26',
      agentSnmpV3UserAuthenticationType => '1.3.6.1.4.1.14179.1.2.6.2.1.3',
      agentSnmpV3UserEncryptionType => '1.3.6.1.4.1.14179.1.2.6.2.1.4',
      agentSnmpV3UserAuthenticationPassword => '1.3.6.1.4.1.14179.1.2.6.2.1.5',
      agentSnmpV3UserEncryptionPassword => '1.3.6.1.4.1.14179.1.2.6.2.1.6',
      agentSpanningTreeConfigGroup => '1.3.6.1.4.1.14179.1.2.7',
      agentSpanningTreeMode => '1.3.6.1.4.1.14179.1.2.7.1',
      agentSwitchConfigGroup => '1.3.6.1.4.1.14179.1.2.8',
      agentSwitchBroadcastControlMode => '1.3.6.1.4.1.14179.1.2.8.2',
      agentSwitchDot3FlowControlMode => '1.3.6.1.4.1.14179.1.2.8.3',
      agentSwitchAddressAgingTimeoutTable => '1.3.6.1.4.1.14179.1.2.8.4',
      agentSwitchAddressAgingTimeoutEntry => '1.3.6.1.4.1.14179.1.2.8.4.1',
      agentSwitchAddressAgingTimeout => '1.3.6.1.4.1.14179.1.2.8.4.1.10',
      agentSwitchLwappTransportMode => '1.3.6.1.4.1.14179.1.2.8.5',
      agentTransferConfigGroup => '1.3.6.1.4.1.14179.1.2.9',
      agentTransferUploadGroup => '1.3.6.1.4.1.14179.1.2.9.1',
      agentTransferUploadMode => '1.3.6.1.4.1.14179.1.2.9.1.1',
      agentTransferUploadServerIP => '1.3.6.1.4.1.14179.1.2.9.1.2',
      agentTransferUploadPath => '1.3.6.1.4.1.14179.1.2.9.1.3',
      agentTransferUploadFilename => '1.3.6.1.4.1.14179.1.2.9.1.4',
      agentTransferUploadDataType => '1.3.6.1.4.1.14179.1.2.9.1.5',
      agentTransferUploadStart => '1.3.6.1.4.1.14179.1.2.9.1.6',
      agentTransferUploadStatus => '1.3.6.1.4.1.14179.1.2.9.1.7',
      agentTransferDownloadGroup => '1.3.6.1.4.1.14179.1.2.9.2',
      agentTransferDownloadMode => '1.3.6.1.4.1.14179.1.2.9.2.1',
      agentTransferDownloadServerIP => '1.3.6.1.4.1.14179.1.2.9.2.2',
      agentTransferDownloadPath => '1.3.6.1.4.1.14179.1.2.9.2.3',
      agentTransferDownloadFilename => '1.3.6.1.4.1.14179.1.2.9.2.4',
      agentTransferDownloadDataType => '1.3.6.1.4.1.14179.1.2.9.2.5',
      agentTransferDownloadStart => '1.3.6.1.4.1.14179.1.2.9.2.6',
      agentTransferDownloadStatus => '1.3.6.1.4.1.14179.1.2.9.2.7',
      agentTransferDownloadTftpMaxRetries => '1.3.6.1.4.1.14179.1.2.9.2.8',
      agentTransferDownloadTftpTimeout => '1.3.6.1.4.1.14179.1.2.9.2.9',
      agentTransferConfigurationFileEncryption => '1.3.6.1.4.1.14179.1.2.9.3',
      agentTransferConfigurationFileEncryptionKey => '1.3.6.1.4.1.14179.1.2.9.4',
      agentSystemGroup => '1.3.6.1.4.1.14179.1.3',
      agentSaveConfig => '1.3.6.1.4.1.14179.1.3.1',
      agentResetSystem => '1.3.6.1.4.1.14179.1.3.10',
      agentClearConfig => '1.3.6.1.4.1.14179.1.3.2',
      agentClearLags => '1.3.6.1.4.1.14179.1.3.3',
      agentClearLoginSessions => '1.3.6.1.4.1.14179.1.3.4',
      agentClearPortStats => '1.3.6.1.4.1.14179.1.3.6',
      agentClearSwitchStats => '1.3.6.1.4.1.14179.1.3.7',
      agentClearTrapLog => '1.3.6.1.4.1.14179.1.3.8',
      stats => '1.3.6.1.4.1.14179.1.4',
      portStatsTable => '1.3.6.1.4.1.14179.1.4.1',
      portStatsEntry => '1.3.6.1.4.1.14179.1.4.1.1',
      portStatsIndex => '1.3.6.1.4.1.14179.1.4.1.1.1',
      portStatsPktsTx64Octets => '1.3.6.1.4.1.14179.1.4.1.1.2',
      portStatsPktsTx65to127Octets => '1.3.6.1.4.1.14179.1.4.1.1.3',
      portStatsPktsTxOversizeOctets => '1.3.6.1.4.1.14179.1.4.1.1.30',
      portStatsPktsTx128to255Octets => '1.3.6.1.4.1.14179.1.4.1.1.4',
      portStatsPktsTx256to511Octets => '1.3.6.1.4.1.14179.1.4.1.1.5',
      portStatsPktsTx512to1023Octets => '1.3.6.1.4.1.14179.1.4.1.1.6',
      portStatsPktsTx1024to1518Octets => '1.3.6.1.4.1.14179.1.4.1.1.7',
      portStatsPktsRx1519to1530Octets => '1.3.6.1.4.1.14179.1.4.1.1.8',
      portStatsPktsTx1519to1530Octets => '1.3.6.1.4.1.14179.1.4.1.1.9',
      switchingTraps => '1.3.6.1.4.1.14179.1.50',
      multipleUsersTrap => '1.3.6.1.4.1.14179.1.50.1',
      stpInstanceNewRootTrap => '1.3.6.1.4.1.14179.1.50.10',
      stpInstanceTopologyChangeTrap => '1.3.6.1.4.1.14179.1.50.11',
      powerSupplyStatusChangeTrap => '1.3.6.1.4.1.14179.1.50.12',
      broadcastStormStartTrap => '1.3.6.1.4.1.14179.1.50.2',
      broadcastStormEndTrap => '1.3.6.1.4.1.14179.1.50.3',
      linkFailureTrap => '1.3.6.1.4.1.14179.1.50.4',
      vlanRequestFailureTrap => '1.3.6.1.4.1.14179.1.50.5',
      vlanDeleteLastTrap => '1.3.6.1.4.1.14179.1.50.6',
      vlanDefaultCfgFailureTrap => '1.3.6.1.4.1.14179.1.50.7',
      vlanRestoreFailureTrap => '1.3.6.1.4.1.14179.1.50.8',
      fanFailureTrap => '1.3.6.1.4.1.14179.1.50.9',
      bsnSwitchingGroups => '1.3.6.1.4.1.14179.1.51',
      bsnSwitchingAgentInfoGroup => '1.3.6.1.4.1.14179.1.51.1',
      bsnSwitchingAgentConfigGroup => '1.3.6.1.4.1.14179.1.51.2',
      bsnSwitchingAgentSystemGroup => '1.3.6.1.4.1.14179.1.51.3',
      bsnSwitchingAgentStatsGroup => '1.3.6.1.4.1.14179.1.51.4',
      bsnSwitchingObsGroup => '1.3.6.1.4.1.14179.1.51.5',
      bsnSwitchingTrap => '1.3.6.1.4.1.14179.1.51.6',
      bsnSwitchingCompliances => '1.3.6.1.4.1.14179.1.52',
      bsnSwitchingCompliance => '1.3.6.1.4.1.14179.1.52.1',
  },
  'AIRESPACE-WIRELESS-MIB' => {
      bsnWireless => '1.3.6.1.4.1.14179.2',
      bsnEss => '1.3.6.1.4.1.14179.2.1',
      bsnDot11EssTable => '1.3.6.1.4.1.14179.2.1.1',
      bsnDot11EssEntry => '1.3.6.1.4.1.14179.2.1.1.1',
      bsnDot11EssIndex => '1.3.6.1.4.1.14179.2.1.1.1.1',
      bsnDot11EssStaticWEPDefaultKey => '1.3.6.1.4.1.14179.2.1.1.1.10',
      bsnDot11EssRadiusAcctTertiaryServer => '1.3.6.1.4.1.14179.2.1.1.1.100',
      bsnDot11EssStaticWEPKeyIndex => '1.3.6.1.4.1.14179.2.1.1.1.11',
      bsnDot11EssStaticWEPKeyFormat => '1.3.6.1.4.1.14179.2.1.1.1.12',
      bsnDot11Ess8021xSecurity => '1.3.6.1.4.1.14179.2.1.1.1.13',
      bsnDot11Ess8021xEncryptionType => '1.3.6.1.4.1.14179.2.1.1.1.14',
      bsnDot11EssWPASecurity => '1.3.6.1.4.1.14179.2.1.1.1.16',
      bsnDot11EssWPAEncryptionType => '1.3.6.1.4.1.14179.2.1.1.1.17',
      bsnDot11EssIpsecSecurity => '1.3.6.1.4.1.14179.2.1.1.1.18',
      bsnDot11EssVpnEncrTransform => '1.3.6.1.4.1.14179.2.1.1.1.19',
      bsnDot11EssSsid => '1.3.6.1.4.1.14179.2.1.1.1.2',
      bsnDot11EssVpnAuthTransform => '1.3.6.1.4.1.14179.2.1.1.1.20',
      bsnDot11EssVpnIkeAuthMode => '1.3.6.1.4.1.14179.2.1.1.1.21',
      bsnDot11EssVpnSharedKey => '1.3.6.1.4.1.14179.2.1.1.1.22',
      bsnDot11EssVpnSharedKeySize => '1.3.6.1.4.1.14179.2.1.1.1.23',
      bsnDot11EssVpnIkePhase1Mode => '1.3.6.1.4.1.14179.2.1.1.1.24',
      bsnDot11EssVpnIkeLifetime => '1.3.6.1.4.1.14179.2.1.1.1.25',
      bsnDot11EssVpnIkeDHGroup => '1.3.6.1.4.1.14179.2.1.1.1.26',
      bsnDot11EssIpsecPassthruSecurity => '1.3.6.1.4.1.14179.2.1.1.1.27',
      bsnDot11EssVpnPassthruGateway => '1.3.6.1.4.1.14179.2.1.1.1.28',
      bsnDot11EssWebSecurity => '1.3.6.1.4.1.14179.2.1.1.1.29',
      bsnDot11EssRadioPolicy => '1.3.6.1.4.1.14179.2.1.1.1.30',
      bsnDot11EssQualityOfService => '1.3.6.1.4.1.14179.2.1.1.1.31',
      bsnDot11EssDhcpRequired => '1.3.6.1.4.1.14179.2.1.1.1.32',
      bsnDot11EssDhcpServerIpAddress => '1.3.6.1.4.1.14179.2.1.1.1.33',
      bsnDot11EssVpnContivityMode => '1.3.6.1.4.1.14179.2.1.1.1.34',
      bsnDot11EssVpnQotdServerAddress => '1.3.6.1.4.1.14179.2.1.1.1.35',
      bsnDot11EssBlacklistTimeout => '1.3.6.1.4.1.14179.2.1.1.1.37',
      bsnDot11EssNumberOfMobileStations => '1.3.6.1.4.1.14179.2.1.1.1.38',
      bsnDot11EssWebPassthru => '1.3.6.1.4.1.14179.2.1.1.1.39',
      bsnDot11EssSessionTimeout => '1.3.6.1.4.1.14179.2.1.1.1.4',
      bsnDot11EssCraniteSecurity => '1.3.6.1.4.1.14179.2.1.1.1.40',
      bsnDot11EssBlacklistingCapability => '1.3.6.1.4.1.14179.2.1.1.1.41',
      bsnDot11EssInterfaceName => '1.3.6.1.4.1.14179.2.1.1.1.42',
      bsnDot11EssAclName => '1.3.6.1.4.1.14179.2.1.1.1.43',
      bsnDot11EssAAAOverride => '1.3.6.1.4.1.14179.2.1.1.1.44',
      bsnDot11EssWPAAuthKeyMgmtMode => '1.3.6.1.4.1.14179.2.1.1.1.45',
      bsnDot11EssWPAAuthPresharedKey => '1.3.6.1.4.1.14179.2.1.1.1.46',
      bsnDot11EssFortressSecurity => '1.3.6.1.4.1.14179.2.1.1.1.47',
      bsnDot11EssWepAllowSharedKeyAuth => '1.3.6.1.4.1.14179.2.1.1.1.48',
      bsnDot11EssL2tpSecurity => '1.3.6.1.4.1.14179.2.1.1.1.49',
      bsnDot11EssMacFiltering => '1.3.6.1.4.1.14179.2.1.1.1.5',
      bsnDot11EssWPAAuthPresharedKeyHex => '1.3.6.1.4.1.14179.2.1.1.1.50',
      bsnDot11EssBroadcastSsid => '1.3.6.1.4.1.14179.2.1.1.1.51',
      bsnDot11EssExternalPolicyValidation => '1.3.6.1.4.1.14179.2.1.1.1.52',
      bsnDot11EssRSNSecurity => '1.3.6.1.4.1.14179.2.1.1.1.53',
      bsnDot11EssRSNWPACompatibilityMode => '1.3.6.1.4.1.14179.2.1.1.1.54',
      bsnDot11EssRSNAllowTKIPClients => '1.3.6.1.4.1.14179.2.1.1.1.55',
      bsnDot11EssRSNAuthKeyMgmtMode => '1.3.6.1.4.1.14179.2.1.1.1.56',
      bsnDot11EssRSNAuthPresharedKey => '1.3.6.1.4.1.14179.2.1.1.1.57',
      bsnDot11EssRSNAuthPresharedKeyHex => '1.3.6.1.4.1.14179.2.1.1.1.58',
      bsnDot11EssIPv6Bridging => '1.3.6.1.4.1.14179.2.1.1.1.59',
      bsnDot11EssAdminStatus => '1.3.6.1.4.1.14179.2.1.1.1.6',
      bsnDot11EssRowStatus => '1.3.6.1.4.1.14179.2.1.1.1.60',
      bsnDot11EssWmePolicySetting => '1.3.6.1.4.1.14179.2.1.1.1.61',
      bsnDot11Ess80211ePolicySetting => '1.3.6.1.4.1.14179.2.1.1.1.62',
      bsnDot11EssWebPassthroughEmail => '1.3.6.1.4.1.14179.2.1.1.1.63',
      bsnDot11Ess7920PhoneSupport => '1.3.6.1.4.1.14179.2.1.1.1.64',
      bsnDot11EssSecurityAuthType => '1.3.6.1.4.1.14179.2.1.1.1.7',
      bsnDot11EssStaticWEPSecurity => '1.3.6.1.4.1.14179.2.1.1.1.8',
      bsnDot11EssStaticWEPEncryptionType => '1.3.6.1.4.1.14179.2.1.1.1.9',
      bsnDot11EssRadiusAuthPrimaryServer => '1.3.6.1.4.1.14179.2.1.1.1.95',
      bsnDot11EssRadiusAuthSecondaryServer => '1.3.6.1.4.1.14179.2.1.1.1.96',
      bsnDot11EssRadiusAuthTertiaryServer => '1.3.6.1.4.1.14179.2.1.1.1.97',
      bsnDot11EssRadiusAcctPrimaryServer => '1.3.6.1.4.1.14179.2.1.1.1.98',
      bsnDot11EssRadiusAcctSecondaryServer => '1.3.6.1.4.1.14179.2.1.1.1.99',
      bsnMobileStationByIpTable => '1.3.6.1.4.1.14179.2.1.10',
      bsnMobileStationByIpEntry => '1.3.6.1.4.1.14179.2.1.10.1',
      bsnMobileStationByIpAddress => '1.3.6.1.4.1.14179.2.1.10.1.1',
      bsnMobileStationByIpMacAddress => '1.3.6.1.4.1.14179.2.1.10.1.2',
      bsnMobileStationRssiDataTable => '1.3.6.1.4.1.14179.2.1.11',
      bsnMobileStationRssiDataEntry => '1.3.6.1.4.1.14179.2.1.11.1',
      bsnMobileStationRssiDataApMacAddress => '1.3.6.1.4.1.14179.2.1.11.1.1',
      bsnMobileStationRssiDataApIfSlotId => '1.3.6.1.4.1.14179.2.1.11.1.2',
      bsnMobileStationRssiDataLastHeard => '1.3.6.1.4.1.14179.2.1.11.1.25',
      bsnMobileStationRssiDataApIfType => '1.3.6.1.4.1.14179.2.1.11.1.3',
      bsnMobileStationRssiDataApName => '1.3.6.1.4.1.14179.2.1.11.1.4',
      bsnMobileStationRssiData => '1.3.6.1.4.1.14179.2.1.11.1.5',
      bsnAPIfPhyAntennaIndex => '1.3.6.1.4.1.14179.2.1.11.1.6',
      bsnWatchListClientTable => '1.3.6.1.4.1.14179.2.1.12',
      bsnWatchListClientEntry => '1.3.6.1.4.1.14179.2.1.12.1',
      bsnWatchListClientKey => '1.3.6.1.4.1.14179.2.1.12.1.1',
      bsnWatchListClientType => '1.3.6.1.4.1.14179.2.1.12.1.2',
      bsnWatchListClientRowStatus => '1.3.6.1.4.1.14179.2.1.12.1.20',
      bsnMobileStationByUsernameTable => '1.3.6.1.4.1.14179.2.1.13',
      bsnMobileStationByUsernameEntry => '1.3.6.1.4.1.14179.2.1.13.1',
      bsnMobileStationByUserName => '1.3.6.1.4.1.14179.2.1.13.1.1',
      bsnMobileStationByUserMacAddress => '1.3.6.1.4.1.14179.2.1.13.1.2',
      bsnRogueClientTable => '1.3.6.1.4.1.14179.2.1.14',
      bsnRogueClientEntry => '1.3.6.1.4.1.14179.2.1.14.1',
      bsnRogueClientDot11MacAddress => '1.3.6.1.4.1.14179.2.1.14.1.1',
      bsnRogueClientTotalDetectingAPs => '1.3.6.1.4.1.14179.2.1.14.1.2',
      bsnRogueClientState => '1.3.6.1.4.1.14179.2.1.14.1.24',
      bsnRogueClientFirstReported => '1.3.6.1.4.1.14179.2.1.14.1.3',
      bsnRogueClientLastReported => '1.3.6.1.4.1.14179.2.1.14.1.4',
      bsnRogueClientBSSID => '1.3.6.1.4.1.14179.2.1.14.1.5',
      bsnRogueClientContainmentLevel => '1.3.6.1.4.1.14179.2.1.14.1.6',
      bsnRogueClientLastHeard => '1.3.6.1.4.1.14179.2.1.14.1.7',
      bsnRogueClientAirespaceAPTable => '1.3.6.1.4.1.14179.2.1.15',
      bsnRogueClientAirespaceAPEntry => '1.3.6.1.4.1.14179.2.1.15.1',
      bsnRogueClientAirespaceAPMacAddress => '1.3.6.1.4.1.14179.2.1.15.1.1',
      bsnRogueClientAirespaceAPLastHeard => '1.3.6.1.4.1.14179.2.1.15.1.11',
      bsnRogueClientAirespaceAPSlotId => '1.3.6.1.4.1.14179.2.1.15.1.2',
      bsnRogueClientAirespaceAPSNR => '1.3.6.1.4.1.14179.2.1.15.1.27',
      bsnRogueClientRadioType => '1.3.6.1.4.1.14179.2.1.15.1.3',
      bsnRogueClientAirespaceAPName => '1.3.6.1.4.1.14179.2.1.15.1.4',
      bsnRogueClientChannelNumber => '1.3.6.1.4.1.14179.2.1.15.1.5',
      bsnRogueClientAirespaceAPRSSI => '1.3.6.1.4.1.14179.2.1.15.1.7',
      bsnRogueClientPerRogueAPTable => '1.3.6.1.4.1.14179.2.1.16',
      bsnRogueClientPerRogueAPEntry => '1.3.6.1.4.1.14179.2.1.16.1',
      bsnRogueAPDot11MacAddr => '1.3.6.1.4.1.14179.2.1.16.1.1',
      bsnRogueClientDot11MacAddr => '1.3.6.1.4.1.14179.2.1.16.1.20',
      bsnDot11QosProfileTable => '1.3.6.1.4.1.14179.2.1.17',
      bsnDot11QosProfileEntry => '1.3.6.1.4.1.14179.2.1.17.1',
      bsnDot11QosProfileName => '1.3.6.1.4.1.14179.2.1.17.1.1',
      bsnDot11802Dot1PTag => '1.3.6.1.4.1.14179.2.1.17.1.10',
      bsnDot11QosProfileDesc => '1.3.6.1.4.1.14179.2.1.17.1.2',
      bsnDot11QosAverageDataRate => '1.3.6.1.4.1.14179.2.1.17.1.3',
      bsnDot11QosBurstDataRate => '1.3.6.1.4.1.14179.2.1.17.1.4',
      bsnDot11ResetProfileToDefault => '1.3.6.1.4.1.14179.2.1.17.1.40',
      bsnDot11QosAvgRealTimeDataRate => '1.3.6.1.4.1.14179.2.1.17.1.5',
      bsnDot11QosBurstRealTimeDataRate => '1.3.6.1.4.1.14179.2.1.17.1.6',
      bsnDot11QosMaxRFUsagePerAP => '1.3.6.1.4.1.14179.2.1.17.1.7',
      bsnDot11QosProfileQueueDepth => '1.3.6.1.4.1.14179.2.1.17.1.8',
      bsnDot11WiredQosProtocol => '1.3.6.1.4.1.14179.2.1.17.1.9',
      bsnTagTable => '1.3.6.1.4.1.14179.2.1.18',
      bsnTagEntry => '1.3.6.1.4.1.14179.2.1.18.1',
      bsnTagDot11MacAddress => '1.3.6.1.4.1.14179.2.1.18.1.1',
      bsnTagType => '1.3.6.1.4.1.14179.2.1.18.1.2',
      bsnTagLastReported => '1.3.6.1.4.1.14179.2.1.18.1.23',
      bsnTagTimeInterval => '1.3.6.1.4.1.14179.2.1.18.1.3',
      bsnTagBatteryStatus => '1.3.6.1.4.1.14179.2.1.18.1.4',
      bsnTagRssiDataTable => '1.3.6.1.4.1.14179.2.1.19',
      bsnTagRssiDataEntry => '1.3.6.1.4.1.14179.2.1.19.1',
      bsnTagRssiDataApMacAddress => '1.3.6.1.4.1.14179.2.1.19.1.1',
      bsnTagRssiDataApIfSlotId => '1.3.6.1.4.1.14179.2.1.19.1.2',
      bsnTagRssiDataSnr => '1.3.6.1.4.1.14179.2.1.19.1.26',
      bsnTagRssiDataApIfType => '1.3.6.1.4.1.14179.2.1.19.1.3',
      bsnTagRssiDataApName => '1.3.6.1.4.1.14179.2.1.19.1.4',
      bsnTagRssiDataLastHeard => '1.3.6.1.4.1.14179.2.1.19.1.5',
      bsnTagRssiData => '1.3.6.1.4.1.14179.2.1.19.1.6',
      bsnTagStatsTable => '1.3.6.1.4.1.14179.2.1.20',
      bsnTagStatsEntry => '1.3.6.1.4.1.14179.2.1.20.1',
      bsnTagBytesReceived => '1.3.6.1.4.1.14179.2.1.20.1.1',
      bsnTagPacketsReceived => '1.3.6.1.4.1.14179.2.1.20.1.20',
      bsnMobileStationExtStatsTable => '1.3.6.1.4.1.14179.2.1.21',
      bsnMobileStationExtStatsEntry => '1.3.6.1.4.1.14179.2.1.21.1',
      bsnMobileStationSampleTime => '1.3.6.1.4.1.14179.2.1.21.1.1',
      bsnMobileStationTxExcessiveRetries => '1.3.6.1.4.1.14179.2.1.21.1.2',
      bsnMobileStationTxFiltered => '1.3.6.1.4.1.14179.2.1.21.1.20',
      bsnMobileStationTxRetries => '1.3.6.1.4.1.14179.2.1.21.1.3',
      bsnMobileStationTable => '1.3.6.1.4.1.14179.2.1.4',
      bsnMobileStationEntry => '1.3.6.1.4.1.14179.2.1.4.1',
      bsnMobileStationMacAddress => '1.3.6.1.4.1.14179.2.1.4.1.1',
      bsnMobileStationReasonCode => '1.3.6.1.4.1.14179.2.1.4.1.10',
      bsnMobileStationMobilityStatus => '1.3.6.1.4.1.14179.2.1.4.1.11',
      bsnMobileStationAnchorAddress => '1.3.6.1.4.1.14179.2.1.4.1.12',
      bsnMobileStationCFPollable => '1.3.6.1.4.1.14179.2.1.4.1.13',
      bsnMobileStationCFPollRequest => '1.3.6.1.4.1.14179.2.1.4.1.14',
      bsnMobileStationChannelAgilityEnabled => '1.3.6.1.4.1.14179.2.1.4.1.15',
      bsnMobileStationPBCCOptionImplemented => '1.3.6.1.4.1.14179.2.1.4.1.16',
      bsnMobileStationShortPreambleOptionImplemented => '1.3.6.1.4.1.14179.2.1.4.1.17',
      bsnMobileStationSessionTimeout => '1.3.6.1.4.1.14179.2.1.4.1.18',
      bsnMobileStationAuthenticationAlgorithm => '1.3.6.1.4.1.14179.2.1.4.1.19',
      bsnMobileStationIpAddress => '1.3.6.1.4.1.14179.2.1.4.1.2',
      bsnMobileStationWepState => '1.3.6.1.4.1.14179.2.1.4.1.20',
      bsnMobileStationPortNumber => '1.3.6.1.4.1.14179.2.1.4.1.21',
      bsnMobileStationDeleteAction => '1.3.6.1.4.1.14179.2.1.4.1.22',
      bsnMobileStationPolicyManagerState => '1.3.6.1.4.1.14179.2.1.4.1.23',
      bsnMobileStationSecurityPolicyStatus => '1.3.6.1.4.1.14179.2.1.4.1.24',
      bsnMobileStationProtocol => '1.3.6.1.4.1.14179.2.1.4.1.25',
      bsnMobileStationMirrorMode => '1.3.6.1.4.1.14179.2.1.4.1.26',
      bsnMobileStationInterface => '1.3.6.1.4.1.14179.2.1.4.1.27',
      bsnMobileStationApMode => '1.3.6.1.4.1.14179.2.1.4.1.28',
      bsnMobileStationVlanId => '1.3.6.1.4.1.14179.2.1.4.1.29',
      bsnMobileStationUserName => '1.3.6.1.4.1.14179.2.1.4.1.3',
      bsnMobileStationPolicyType => '1.3.6.1.4.1.14179.2.1.4.1.30',
      bsnMobileStationEncryptionCypher => '1.3.6.1.4.1.14179.2.1.4.1.31',
      bsnMobileStationEapType => '1.3.6.1.4.1.14179.2.1.4.1.32',
      bsnMobileStationCcxVersion => '1.3.6.1.4.1.14179.2.1.4.1.33',
      bsnMobileStationE2eVersion => '1.3.6.1.4.1.14179.2.1.4.1.34',
      bsnMobileStationAPMacAddr => '1.3.6.1.4.1.14179.2.1.4.1.4',
      bsnMobileStationStatusCode => '1.3.6.1.4.1.14179.2.1.4.1.42',
      bsnMobileStationAPIfSlotId => '1.3.6.1.4.1.14179.2.1.4.1.5',
      bsnMobileStationEssIndex => '1.3.6.1.4.1.14179.2.1.4.1.6',
      bsnMobileStationSsid => '1.3.6.1.4.1.14179.2.1.4.1.7',
      bsnMobileStationAID => '1.3.6.1.4.1.14179.2.1.4.1.8',
      bsnMobileStationStatus => '1.3.6.1.4.1.14179.2.1.4.1.9',
      bsnMobileStationPerRadioPerVapTable => '1.3.6.1.4.1.14179.2.1.5',
      bsnMobileStationPerRadioPerVapEntry => '1.3.6.1.4.1.14179.2.1.5.1',
      bsnMobileStationPerRadioPerVapIndex => '1.3.6.1.4.1.14179.2.1.5.1.1',
      bsnMobileStationMacAddr => '1.3.6.1.4.1.14179.2.1.5.1.20',
      bsnMobileStationStatsTable => '1.3.6.1.4.1.14179.2.1.6',
      bsnMobileStationStatsEntry => '1.3.6.1.4.1.14179.2.1.6.1',
      bsnMobileStationRSSI => '1.3.6.1.4.1.14179.2.1.6.1.1',
      bsnMobileStationBytesReceived => '1.3.6.1.4.1.14179.2.1.6.1.2',
      bsnMobileStationSnr => '1.3.6.1.4.1.14179.2.1.6.1.26',
      bsnMobileStationBytesSent => '1.3.6.1.4.1.14179.2.1.6.1.3',
      bsnMobileStationPolicyErrors => '1.3.6.1.4.1.14179.2.1.6.1.4',
      bsnMobileStationPacketsReceived => '1.3.6.1.4.1.14179.2.1.6.1.5',
      bsnMobileStationPacketsSent => '1.3.6.1.4.1.14179.2.1.6.1.6',
      bsnRogueAPTable => '1.3.6.1.4.1.14179.2.1.7',
      bsnRogueAPEntry => '1.3.6.1.4.1.14179.2.1.7.1',
      bsnRogueAPDot11MacAddress => '1.3.6.1.4.1.14179.2.1.7.1.1',
      bsnRogueAPMaxDetectedRSSI => '1.3.6.1.4.1.14179.2.1.7.1.10',
      bsnRogueAPSSID => '1.3.6.1.4.1.14179.2.1.7.1.11',
      bsnRogueAPDetectingAPRadioType => '1.3.6.1.4.1.14179.2.1.7.1.12',
      bsnRogueAPDetectingAPMacAddress => '1.3.6.1.4.1.14179.2.1.7.1.13',
      bsnRogueAPMaxRssiRadioType => '1.3.6.1.4.1.14179.2.1.7.1.14',
      bsnRogueAPTotalDetectingAPs => '1.3.6.1.4.1.14179.2.1.7.1.2',
      bsnRogueAPState => '1.3.6.1.4.1.14179.2.1.7.1.24',
      bsnRogueAPClassType => '1.3.6.1.4.1.14179.2.1.7.1.25',
      bsnRogueAPChannel => '1.3.6.1.4.1.14179.2.1.7.1.26',
      bsnRogueAPDetectingAPName => '1.3.6.1.4.1.14179.2.1.7.1.27',
      bsnRogueAPFirstReported => '1.3.6.1.4.1.14179.2.1.7.1.3',
      bsnRogueAPLastReported => '1.3.6.1.4.1.14179.2.1.7.1.4',
      bsnRogueAPContainmentLevel => '1.3.6.1.4.1.14179.2.1.7.1.5',
      bsnRogueAPType => '1.3.6.1.4.1.14179.2.1.7.1.6',
      bsnRogueAPOnNetwork => '1.3.6.1.4.1.14179.2.1.7.1.7',
      bsnRogueAPTotalClients => '1.3.6.1.4.1.14179.2.1.7.1.8',
      bsnRogueAPRowStatus => '1.3.6.1.4.1.14179.2.1.7.1.9',
      bsnRogueAPAirespaceAPTable => '1.3.6.1.4.1.14179.2.1.8',
      bsnRogueAPAirespaceAPEntry => '1.3.6.1.4.1.14179.2.1.8.1',
      bsnRogueAPAirespaceAPMacAddress => '1.3.6.1.4.1.14179.2.1.8.1.1',
      bsnRogueAPContainmentChannels => '1.3.6.1.4.1.14179.2.1.8.1.10',
      bsnRogueAPAirespaceAPLastHeard => '1.3.6.1.4.1.14179.2.1.8.1.11',
      bsnRogueAPAirespaceAPWepMode => '1.3.6.1.4.1.14179.2.1.8.1.12',
      bsnRogueAPAirespaceAPPreamble => '1.3.6.1.4.1.14179.2.1.8.1.13',
      bsnRogueAPAirespaceAPWpaMode => '1.3.6.1.4.1.14179.2.1.8.1.14',
      bsnRogueAPAirespaceAPSlotId => '1.3.6.1.4.1.14179.2.1.8.1.2',
      bsnRogueAPAirespaceAPSNR => '1.3.6.1.4.1.14179.2.1.8.1.27',
      bsnRogueAPChannelWidth => '1.3.6.1.4.1.14179.2.1.8.1.28',
      bsnRogueAPRadioType => '1.3.6.1.4.1.14179.2.1.8.1.3',
      bsnRogueAPAirespaceAPName => '1.3.6.1.4.1.14179.2.1.8.1.4',
      bsnRogueAPChannelNumber => '1.3.6.1.4.1.14179.2.1.8.1.5',
      bsnRogueAPSsid => '1.3.6.1.4.1.14179.2.1.8.1.6',
      bsnRogueAPAirespaceAPRSSI => '1.3.6.1.4.1.14179.2.1.8.1.7',
      bsnRogueAPContainmentMode => '1.3.6.1.4.1.14179.2.1.8.1.8',
      bsnRogueAPContainmentChannelCount => '1.3.6.1.4.1.14179.2.1.8.1.9',
      bsnThirdPartyAPTable => '1.3.6.1.4.1.14179.2.1.9',
      bsnThirdPartyAPEntry => '1.3.6.1.4.1.14179.2.1.9.1',
      bsnThirdPartyAPMacAddress => '1.3.6.1.4.1.14179.2.1.9.1.1',
      bsnThirdPartyAPInterface => '1.3.6.1.4.1.14179.2.1.9.1.2',
      bsnThirdPartyAPRowStatus => '1.3.6.1.4.1.14179.2.1.9.1.24',
      bsnThirdPartyAPIpAddress => '1.3.6.1.4.1.14179.2.1.9.1.3',
      bsnThirdPartyAP802Dot1XRequired => '1.3.6.1.4.1.14179.2.1.9.1.4',
      bsnThirdPartyAPMirrorMode => '1.3.6.1.4.1.14179.2.1.9.1.5',
      bsnAPGroupsVlanConfig => '1.3.6.1.4.1.14179.2.10',
      bsnAPGroupsVlanFeature => '1.3.6.1.4.1.14179.2.10.1',
      bsnAPGroupsVlanTable => '1.3.6.1.4.1.14179.2.10.2',
      bsnAPGroupsVlanEntry => '1.3.6.1.4.1.14179.2.10.2.1',
      bsnAPGroupsVlanName => '1.3.6.1.4.1.14179.2.10.2.1.1',
      bsnAPGroupsVlanDescription => '1.3.6.1.4.1.14179.2.10.2.1.2',
      bsnAPGroupsVlanRowStatus => '1.3.6.1.4.1.14179.2.10.2.1.20',
      bsnAPGroupsVlanMappingTable => '1.3.6.1.4.1.14179.2.10.3',
      bsnAPGroupsVlanMappingEntry => '1.3.6.1.4.1.14179.2.10.3.1',
      bsnAPGroupsVlanMappingSsid => '1.3.6.1.4.1.14179.2.10.3.1.1',
      bsnAPGroupsVlanMappingInterfaceName => '1.3.6.1.4.1.14179.2.10.3.1.2',
      bsnAPGroupsVlanMappingRowStatus => '1.3.6.1.4.1.14179.2.10.3.1.20',
      bsnAP => '1.3.6.1.4.1.14179.2.2',
      bsnAPTable => '1.3.6.1.4.1.14179.2.2.1',
      bsnAPEntry => '1.3.6.1.4.1.14179.2.2.1.1',
      bsnAPDot3MacAddress => '1.3.6.1.4.1.14179.2.2.1.1.1',
      bsnAPPrimaryMwarName => '1.3.6.1.4.1.14179.2.2.1.1.10',
      bsnAPReset => '1.3.6.1.4.1.14179.2.2.1.1.11',
      bsnAPStatsTimer => '1.3.6.1.4.1.14179.2.2.1.1.12',
      bsnAPPortNumber => '1.3.6.1.4.1.14179.2.2.1.1.13',
      bsnAPModel => '1.3.6.1.4.1.14179.2.2.1.1.16',
      bsnAPSerialNumber => '1.3.6.1.4.1.14179.2.2.1.1.17',
      bsnAPClearConfig => '1.3.6.1.4.1.14179.2.2.1.1.18',
      bsnApIpAddress => '1.3.6.1.4.1.14179.2.2.1.1.19',
      bsnAPNumOfSlots => '1.3.6.1.4.1.14179.2.2.1.1.2',
      bsnAPMirrorMode => '1.3.6.1.4.1.14179.2.2.1.1.20',
      bsnAPRemoteModeSupport => '1.3.6.1.4.1.14179.2.2.1.1.21',
      bsnAPType => '1.3.6.1.4.1.14179.2.2.1.1.22',
      bsnAPTypeDefinition => {
      1 => 'ap1000',
      2 => 'ap1030',
      3 => 'mimo',
      4 => 'unknown',
      5 => 'ap1100',
      6 => 'ap1130',
      7 => 'ap1240',
      8 => 'ap1200',
      9 => 'ap1310',
      10 => 'ap1500',
      11 => 'ap1250',
      12 => 'ap1505',
      13 => 'ap3201',
      14 => 'ap1520',
      15 => 'ap800',
      16 => 'ap1140',
      17 => 'ap800agn',
      18 => 'ap3500i',
      19 => 'ap3500e',
      20 => 'ap1260',
      },
      bsnAPSecondaryMwarName => '1.3.6.1.4.1.14179.2.2.1.1.23',
      bsnAPTertiaryMwarName => '1.3.6.1.4.1.14179.2.2.1.1.24',
      bsnAPIsStaticIP => '1.3.6.1.4.1.14179.2.2.1.1.25',
      bsnAPNetmask => '1.3.6.1.4.1.14179.2.2.1.1.26',
      bsnAPGateway => '1.3.6.1.4.1.14179.2.2.1.1.27',
      bsnAPStaticIPAddress => '1.3.6.1.4.1.14179.2.2.1.1.28',
      bsnAPBridgingSupport => '1.3.6.1.4.1.14179.2.2.1.1.29',
      bsnAPName => '1.3.6.1.4.1.14179.2.2.1.1.3',
      bsnAPGroupVlanName => '1.3.6.1.4.1.14179.2.2.1.1.30',
      bsnAPIOSVersion => '1.3.6.1.4.1.14179.2.2.1.1.31',
      bsnAPCertificateType => '1.3.6.1.4.1.14179.2.2.1.1.32',
      bsnAPEthernetMacAddress => '1.3.6.1.4.1.14179.2.2.1.1.33',
      bsnAPAdminStatus => '1.3.6.1.4.1.14179.2.2.1.1.37',
      bsnAPLocation => '1.3.6.1.4.1.14179.2.2.1.1.4',
      bsnAPMonitorOnlyMode => '1.3.6.1.4.1.14179.2.2.1.1.5',
      bsnAPOperationStatus => '1.3.6.1.4.1.14179.2.2.1.1.6',
      bsnAPOperationStatusDefinition => {
          1 => 'associated',
          2 => 'disassociating',
          3 => 'downloading',
      },
      bsnAPSoftwareVersion => '1.3.6.1.4.1.14179.2.2.1.1.8',
      bsnAPBootVersion => '1.3.6.1.4.1.14179.2.2.1.1.9',
      bsnAPIfProfileThresholdConfigTable => '1.3.6.1.4.1.14179.2.2.12',
      bsnAPIfProfileThresholdConfigEntry => '1.3.6.1.4.1.14179.2.2.12.1',
      bsnAPIfProfileParamAssignment => '1.3.6.1.4.1.14179.2.2.12.1.1',
      bsnAPIfForeignInterferenceThreshold => '1.3.6.1.4.1.14179.2.2.12.1.2',
      bsnAPIfCoverageExceptionLevel => '1.3.6.1.4.1.14179.2.2.12.1.28',
      bsnAPIfForeignNoiseThreshold => '1.3.6.1.4.1.14179.2.2.12.1.3',
      bsnAPIfRFUtilizationThreshold => '1.3.6.1.4.1.14179.2.2.12.1.4',
      bsnAPIfThroughputThreshold => '1.3.6.1.4.1.14179.2.2.12.1.5',
      bsnAPIfMobilesThreshold => '1.3.6.1.4.1.14179.2.2.12.1.6',
      bsnAPIfCoverageThreshold => '1.3.6.1.4.1.14179.2.2.12.1.7',
      bsnAPIfMobileMinExceptionLevel => '1.3.6.1.4.1.14179.2.2.12.1.8',
      bsnAPIfLoadParametersTable => '1.3.6.1.4.1.14179.2.2.13',
      bsnAPIfLoadParametersEntry => '1.3.6.1.4.1.14179.2.2.13.1',
      bsnAPIfLoadRxUtilization => '1.3.6.1.4.1.14179.2.2.13.1.1',
      bsnAPIfLoadTxUtilization => '1.3.6.1.4.1.14179.2.2.13.1.2',
      bsnAPIfPoorSNRClients => '1.3.6.1.4.1.14179.2.2.13.1.24',
      bsnAPIfLoadChannelUtilization => '1.3.6.1.4.1.14179.2.2.13.1.3',
      bsnAPIfLoadNumOfClients => '1.3.6.1.4.1.14179.2.2.13.1.4',
      bsnAPIfChannelInterferenceInfoTable => '1.3.6.1.4.1.14179.2.2.14',
      bsnAPIfChannelInterferenceInfoEntry => '1.3.6.1.4.1.14179.2.2.14.1',
      bsnAPIfInterferenceChannelNo => '1.3.6.1.4.1.14179.2.2.14.1.1',
      bsnAPIfInterferencePower => '1.3.6.1.4.1.14179.2.2.14.1.2',
      bsnAPIfInterferenceUtilization => '1.3.6.1.4.1.14179.2.2.14.1.22',
      bsnAPIfChannelNoiseInfoTable => '1.3.6.1.4.1.14179.2.2.15',
      bsnAPIfChannelNoiseInfoEntry => '1.3.6.1.4.1.14179.2.2.15.1',
      bsnAPIfNoiseChannelNo => '1.3.6.1.4.1.14179.2.2.15.1.1',
      bsnAPIfDBNoisePower => '1.3.6.1.4.1.14179.2.2.15.1.21',
      bsnAPIfProfileStateTable => '1.3.6.1.4.1.14179.2.2.16',
      bsnAPIfProfileStateEntry => '1.3.6.1.4.1.14179.2.2.16.1',
      bsnAPIfLoadProfileState => '1.3.6.1.4.1.14179.2.2.16.1.1',
      bsnAPIfInterferenceProfileState => '1.3.6.1.4.1.14179.2.2.16.1.2',
      bsnAPIfCoverageProfileState => '1.3.6.1.4.1.14179.2.2.16.1.24',
      bsnAPIfNoiseProfileState => '1.3.6.1.4.1.14179.2.2.16.1.3',
      bsnAPIfRxNeighborsTable => '1.3.6.1.4.1.14179.2.2.17',
      bsnAPIfRxNeighborsEntry => '1.3.6.1.4.1.14179.2.2.17.1',
      bsnAPIfRxNeighborMacAddress => '1.3.6.1.4.1.14179.2.2.17.1.1',
      bsnAPIfRxNeighborIpAddress => '1.3.6.1.4.1.14179.2.2.17.1.2',
      bsnAPIfRxNeighborSlot => '1.3.6.1.4.1.14179.2.2.17.1.24',
      bsnAPIfRxNeighborChannel => '1.3.6.1.4.1.14179.2.2.17.1.26',
      bsnAPIfRxNeighborChannelWidth => '1.3.6.1.4.1.14179.2.2.17.1.27',
      bsnAPIfRxNeighborRSSI => '1.3.6.1.4.1.14179.2.2.17.1.3',
      bsnAPIfStationRSSICoverageInfoTable => '1.3.6.1.4.1.14179.2.2.18',
      bsnAPIfStationRSSICoverageInfoEntry => '1.3.6.1.4.1.14179.2.2.18.1',
      bsnAPIfStationRSSICoverageIndex => '1.3.6.1.4.1.14179.2.2.18.1.1',
      bsnAPIfRSSILevel => '1.3.6.1.4.1.14179.2.2.18.1.2',
      bsnAPIfStationCountOnRSSI => '1.3.6.1.4.1.14179.2.2.18.1.23',
      bsnAPIfStationSNRCoverageInfoTable => '1.3.6.1.4.1.14179.2.2.19',
      bsnAPIfStationSNRCoverageInfoEntry => '1.3.6.1.4.1.14179.2.2.19.1',
      bsnAPIfStationSNRCoverageIndex => '1.3.6.1.4.1.14179.2.2.19.1.1',
      bsnAPIfSNRLevel => '1.3.6.1.4.1.14179.2.2.19.1.2',
      bsnAPIfStationCountOnSNR => '1.3.6.1.4.1.14179.2.2.19.1.23',
      bsnAPIfTable => '1.3.6.1.4.1.14179.2.2.2',
      bsnAPIfEntry => '1.3.6.1.4.1.14179.2.2.2.1',
      bsnAPIfSlotId => '1.3.6.1.4.1.14179.2.2.2.1.1',
      bsnAPIfCellSiteConfigId => '1.3.6.1.4.1.14179.2.2.2.1.10',
      bsnAPIfNumberOfVaps => '1.3.6.1.4.1.14179.2.2.2.1.11',
      bsnAPIfOperStatus => '1.3.6.1.4.1.14179.2.2.2.1.12',
      bsnAPIfPortNumber => '1.3.6.1.4.1.14179.2.2.2.1.13',
      bsnAPIfPhyAntennaOptions => '1.3.6.1.4.1.14179.2.2.2.1.14',
      bsnApIfNoOfUsers => '1.3.6.1.4.1.14179.2.2.2.1.15',
      bsnAPIfWlanOverride => '1.3.6.1.4.1.14179.2.2.2.1.16',
      bsnAPIfPacketsSniffingFeature => '1.3.6.1.4.1.14179.2.2.2.1.17',
      bsnAPIfSniffChannel => '1.3.6.1.4.1.14179.2.2.2.1.18',
      bsnAPIfSniffServerIPAddress => '1.3.6.1.4.1.14179.2.2.2.1.19',
      bsnAPIfType => '1.3.6.1.4.1.14179.2.2.2.1.2',
      bsnAPIfAntennaGain => '1.3.6.1.4.1.14179.2.2.2.1.20',
      bsnAPIfChannelList => '1.3.6.1.4.1.14179.2.2.2.1.21',
      bsnAPIfAbsolutePowerList => '1.3.6.1.4.1.14179.2.2.2.1.22',
      bsnAPIfRegulatoryDomainSupport => '1.3.6.1.4.1.14179.2.2.2.1.23',
      bsnAPIfPhyChannelAssignment => '1.3.6.1.4.1.14179.2.2.2.1.3',
      bsnAPIfAdminStatus => '1.3.6.1.4.1.14179.2.2.2.1.34',
      bsnAPIfPhyChannelNumber => '1.3.6.1.4.1.14179.2.2.2.1.4',
      bsnAPIfPhyTxPowerControl => '1.3.6.1.4.1.14179.2.2.2.1.5',
      bsnAPIfPhyTxPowerLevel => '1.3.6.1.4.1.14179.2.2.2.1.6',
      bsnAPIfPhyAntennaMode => '1.3.6.1.4.1.14179.2.2.2.1.7',
      bsnAPIfPhyAntennaType => '1.3.6.1.4.1.14179.2.2.2.1.8',
      bsnAPIfPhyAntennaDiversity => '1.3.6.1.4.1.14179.2.2.2.1.9',
      bsnAPIfRecommendedRFParametersTable => '1.3.6.1.4.1.14179.2.2.20',
      bsnAPIfRecommendedRFParametersEntry => '1.3.6.1.4.1.14179.2.2.20.1',
      bsnAPIfRecommendedChannelNumber => '1.3.6.1.4.1.14179.2.2.20.1.1',
      bsnAPIfRecommendedTxPowerLevel => '1.3.6.1.4.1.14179.2.2.20.1.2',
      bsnAPIfRecommendedFragmentationThreshold => '1.3.6.1.4.1.14179.2.2.20.1.24',
      bsnAPIfRecommendedRTSThreshold => '1.3.6.1.4.1.14179.2.2.20.1.3',
      bsnAPIfWlanOverrideTable => '1.3.6.1.4.1.14179.2.2.21',
      bsnAPIfWlanOverrideEntry => '1.3.6.1.4.1.14179.2.2.21.1',
      bsnAPIfWlanOverrideId => '1.3.6.1.4.1.14179.2.2.21.1.1',
      bsnAPIfWlanOverrideRowStatus => '1.3.6.1.4.1.14179.2.2.21.1.15',
      bsnAPIfWlanOverrideSsid => '1.3.6.1.4.1.14179.2.2.21.1.2',
      bsnMeshNodeTable => '1.3.6.1.4.1.14179.2.2.22',
      bsnMeshNodeEntry => '1.3.6.1.4.1.14179.2.2.22.1',
      bsnMeshNodeRole => '1.3.6.1.4.1.14179.2.2.22.1.1',
      bsnMeshNodePoorNeighSnr => '1.3.6.1.4.1.14179.2.2.22.1.10',
      bsnMeshNodeBlacklistPackets => '1.3.6.1.4.1.14179.2.2.22.1.11',
      bsnMeshNodeInsufficientMemory => '1.3.6.1.4.1.14179.2.2.22.1.12',
      bsnMeshNodeRxNeighReq => '1.3.6.1.4.1.14179.2.2.22.1.13',
      bsnMeshNodeRxNeighRsp => '1.3.6.1.4.1.14179.2.2.22.1.14',
      bsnMeshNodeTxNeighReq => '1.3.6.1.4.1.14179.2.2.22.1.15',
      bsnMeshNodeTxNeighRsp => '1.3.6.1.4.1.14179.2.2.22.1.16',
      bsnMeshNodeParentChanges => '1.3.6.1.4.1.14179.2.2.22.1.17',
      bsnMeshNodeNeighTimeout => '1.3.6.1.4.1.14179.2.2.22.1.18',
      bsnMeshNodeParentMacAddress => '1.3.6.1.4.1.14179.2.2.22.1.19',
      bsnMeshNodeGroup => '1.3.6.1.4.1.14179.2.2.22.1.2',
      bsnMeshNodeAPType => '1.3.6.1.4.1.14179.2.2.22.1.20',
      bsnMeshNodeEthernetBridge => '1.3.6.1.4.1.14179.2.2.22.1.21',
      bsnMeshNodeBackhaul => '1.3.6.1.4.1.14179.2.2.22.1.3',
      bsnMeshNodeHops => '1.3.6.1.4.1.14179.2.2.22.1.30',
      bsnMeshNodeBackhaulPAP => '1.3.6.1.4.1.14179.2.2.22.1.4',
      bsnMeshNodeBackhaulRAP => '1.3.6.1.4.1.14179.2.2.22.1.5',
      bsnMeshNodeDataRate => '1.3.6.1.4.1.14179.2.2.22.1.6',
      bsnMeshNodeChannel => '1.3.6.1.4.1.14179.2.2.22.1.7',
      bsnMeshNodeRoutingState => '1.3.6.1.4.1.14179.2.2.22.1.8',
      bsnMeshNodeMalformedNeighPackets => '1.3.6.1.4.1.14179.2.2.22.1.9',
      bsnMeshNeighsTable => '1.3.6.1.4.1.14179.2.2.23',
      bsnMeshNeighsEntry => '1.3.6.1.4.1.14179.2.2.23.1',
      bsnMeshNeighMacAddress => '1.3.6.1.4.1.14179.2.2.23.1.1',
      bsnMeshNeighRapEase => '1.3.6.1.4.1.14179.2.2.23.1.10',
      bsnMeshNeighTxParent => '1.3.6.1.4.1.14179.2.2.23.1.11',
      bsnMeshNeighRxParent => '1.3.6.1.4.1.14179.2.2.23.1.12',
      bsnMeshNeighPoorSnr => '1.3.6.1.4.1.14179.2.2.23.1.13',
      bsnMeshNeighLastUpdate => '1.3.6.1.4.1.14179.2.2.23.1.14',
      bsnMeshNeighType => '1.3.6.1.4.1.14179.2.2.23.1.2',
      bsnMeshNeighParentChange => '1.3.6.1.4.1.14179.2.2.23.1.20',
      bsnMeshNeighState => '1.3.6.1.4.1.14179.2.2.23.1.3',
      bsnMeshNeighSnr => '1.3.6.1.4.1.14179.2.2.23.1.4',
      bsnMeshNeighSnrUp => '1.3.6.1.4.1.14179.2.2.23.1.5',
      bsnMeshNeighSnrDown => '1.3.6.1.4.1.14179.2.2.23.1.6',
      bsnMeshNeighLinkSnr => '1.3.6.1.4.1.14179.2.2.23.1.7',
      bsnMeshNeighAdjustedEase => '1.3.6.1.4.1.14179.2.2.23.1.8',
      bsnMeshNeighUnadjustedEase => '1.3.6.1.4.1.14179.2.2.23.1.9',
      bsnAPIfRadarChannelStatisticsTable => '1.3.6.1.4.1.14179.2.2.24',
      bsnAPIfRadarChannelStatisticsEntry => '1.3.6.1.4.1.14179.2.2.24.1',
      bsnAPIfRadarDetectedChannelNumber => '1.3.6.1.4.1.14179.2.2.24.1.1',
      bsnAPIfRadarSignalLastHeard => '1.3.6.1.4.1.14179.2.2.24.1.2',
      bsnAPIfSmtParamTable => '1.3.6.1.4.1.14179.2.2.3',
      bsnAPIfSmtParamEntry => '1.3.6.1.4.1.14179.2.2.3.1',
      bsnAPIfDot11BeaconPeriod => '1.3.6.1.4.1.14179.2.2.3.1.1',
      bsnAPIfDot11SmtParamsConfigType => '1.3.6.1.4.1.14179.2.2.3.1.10',
      bsnAPIfDot11MediumOccupancyLimit => '1.3.6.1.4.1.14179.2.2.3.1.2',
      bsnAPIfDot11CFPPeriod => '1.3.6.1.4.1.14179.2.2.3.1.3',
      bsnAPIfDot11BSSID => '1.3.6.1.4.1.14179.2.2.3.1.30',
      bsnAPIfDot11CFPMaxDuration => '1.3.6.1.4.1.14179.2.2.3.1.4',
      bsnAPIfDot11OperationalRateSet => '1.3.6.1.4.1.14179.2.2.3.1.5',
      bsnAPIfDot11DTIMPeriod => '1.3.6.1.4.1.14179.2.2.3.1.6',
      bsnAPIfDot11MultiDomainCapabilityImplemented => '1.3.6.1.4.1.14179.2.2.3.1.7',
      bsnAPIfDot11MultiDomainCapabilityEnabled => '1.3.6.1.4.1.14179.2.2.3.1.8',
      bsnAPIfDot11CountryString => '1.3.6.1.4.1.14179.2.2.3.1.9',
      bsnAPIfMultiDomainCapabilityTable => '1.3.6.1.4.1.14179.2.2.4',
      bsnAPIfMultiDomainCapabilityEntry => '1.3.6.1.4.1.14179.2.2.4.1',
      bsnAPIfDot11MaximumTransmitPowerLevel => '1.3.6.1.4.1.14179.2.2.4.1.1',
      bsnAPIfDot11FirstChannelNumber => '1.3.6.1.4.1.14179.2.2.4.1.2',
      bsnAPIfDot11NumberofChannels => '1.3.6.1.4.1.14179.2.2.4.1.20',
      bsnAPIfMacOperationParamTable => '1.3.6.1.4.1.14179.2.2.5',
      bsnAPIfMacOperationParamEntry => '1.3.6.1.4.1.14179.2.2.5.1',
      bsnAPIfDot11MacRTSThreshold => '1.3.6.1.4.1.14179.2.2.5.1.1',
      bsnAPIfDot11MacShortRetryLimit => '1.3.6.1.4.1.14179.2.2.5.1.2',
      bsnAPIfDot11MacMaxReceiveLifetime => '1.3.6.1.4.1.14179.2.2.5.1.25',
      bsnAPIfDot11MacLongRetryLimit => '1.3.6.1.4.1.14179.2.2.5.1.3',
      bsnAPIfDot11MacFragmentationThreshold => '1.3.6.1.4.1.14179.2.2.5.1.4',
      bsnAPIfDot11MacMaxTransmitMSDULifetime => '1.3.6.1.4.1.14179.2.2.5.1.5',
      bsnAPIfDot11MacParamsConfigType => '1.3.6.1.4.1.14179.2.2.5.1.6',
      bsnAPIfDot11CountersTable => '1.3.6.1.4.1.14179.2.2.6',
      bsnAPIfDot11CountersEntry => '1.3.6.1.4.1.14179.2.2.6.1',
      bsnAPIfDot11TransmittedFragmentCount => '1.3.6.1.4.1.14179.2.2.6.1.1',
      bsnAPIfDot11MulticastReceivedFrameCount => '1.3.6.1.4.1.14179.2.2.6.1.10',
      bsnAPIfDot11FCSErrorCount => '1.3.6.1.4.1.14179.2.2.6.1.11',
      bsnAPIfDot11TransmittedFrameCount => '1.3.6.1.4.1.14179.2.2.6.1.12',
      bsnAPIfDot11WEPUndecryptableCount => '1.3.6.1.4.1.14179.2.2.6.1.13',
      bsnAPIfDot11MulticastTransmittedFrameCount => '1.3.6.1.4.1.14179.2.2.6.1.2',
      bsnAPIfDot11RetryCount => '1.3.6.1.4.1.14179.2.2.6.1.3',
      bsnAPIfDot11FailedCount => '1.3.6.1.4.1.14179.2.2.6.1.33',
      bsnAPIfDot11MultipleRetryCount => '1.3.6.1.4.1.14179.2.2.6.1.4',
      bsnAPIfDot11FrameDuplicateCount => '1.3.6.1.4.1.14179.2.2.6.1.5',
      bsnAPIfDot11RTSSuccessCount => '1.3.6.1.4.1.14179.2.2.6.1.6',
      bsnAPIfDot11RTSFailureCount => '1.3.6.1.4.1.14179.2.2.6.1.7',
      bsnAPIfDot11ACKFailureCount => '1.3.6.1.4.1.14179.2.2.6.1.8',
      bsnAPIfDot11ReceivedFragmentCount => '1.3.6.1.4.1.14179.2.2.6.1.9',
      bsnAPIfDot11PhyTxPowerTable => '1.3.6.1.4.1.14179.2.2.8',
      bsnAPIfDot11PhyTxPowerEntry => '1.3.6.1.4.1.14179.2.2.8.1',
      bsnAPIfDot11NumberSupportedPowerLevels => '1.3.6.1.4.1.14179.2.2.8.1.1',
      bsnAPIfDot11TxPowerLevel1 => '1.3.6.1.4.1.14179.2.2.8.1.2',
      bsnAPIfDot11TxPowerLevel8 => '1.3.6.1.4.1.14179.2.2.8.1.28',
      bsnAPIfDot11TxPowerLevel2 => '1.3.6.1.4.1.14179.2.2.8.1.3',
      bsnAPIfDot11TxPowerLevel3 => '1.3.6.1.4.1.14179.2.2.8.1.4',
      bsnAPIfDot11TxPowerLevel4 => '1.3.6.1.4.1.14179.2.2.8.1.5',
      bsnAPIfDot11TxPowerLevel5 => '1.3.6.1.4.1.14179.2.2.8.1.6',
      bsnAPIfDot11TxPowerLevel6 => '1.3.6.1.4.1.14179.2.2.8.1.7',
      bsnAPIfDot11TxPowerLevel7 => '1.3.6.1.4.1.14179.2.2.8.1.8',
      bsnAPIfDot11PhyChannelTable => '1.3.6.1.4.1.14179.2.2.9',
      bsnAPIfDot11PhyChannelEntry => '1.3.6.1.4.1.14179.2.2.9.1',
      bsnAPIfDot11CurrentCCAMode => '1.3.6.1.4.1.14179.2.2.9.1.1',
      bsnAPIfDot11EDThreshold => '1.3.6.1.4.1.14179.2.2.9.1.2',
      bsnAPIfDot11TIThreshold => '1.3.6.1.4.1.14179.2.2.9.1.23',
      bsnGlobalDot11 => '1.3.6.1.4.1.14179.2.3',
      bsnGlobalDot11Config => '1.3.6.1.4.1.14179.2.3.1',
      bsnGlobalDot11PrivacyOptionImplemented => '1.3.6.1.4.1.14179.2.3.1.1',
      bsnSystemCurrentTime => '1.3.6.1.4.1.14179.2.3.1.10',
      bsnUpdateSystemTime => '1.3.6.1.4.1.14179.2.3.1.11',
      bsnOperatingTemperatureEnvironment => '1.3.6.1.4.1.14179.2.3.1.12',
      bsnOperatingTemperatureEnvironmentDefinition => {
          0 => 'unknown',
          1 => 'commercial', # 0 - 40
          2 => 'industrial', # -10 - 70
      },
      bsnSensorTemperature => '1.3.6.1.4.1.14179.2.3.1.13',
      bsnTemperatureAlarmLowLimit => '1.3.6.1.4.1.14179.2.3.1.14',
      bsnTemperatureAlarmHighLimit => '1.3.6.1.4.1.14179.2.3.1.15',
      bsnVirtualGatewayAddress => '1.3.6.1.4.1.14179.2.3.1.16',
      bsnRFMobilityDomainName => '1.3.6.1.4.1.14179.2.3.1.17',
      bsnClientWatchListFeature => '1.3.6.1.4.1.14179.2.3.1.18',
      bsnRogueLocationDiscoveryProtocol => '1.3.6.1.4.1.14179.2.3.1.19',
      bsnGlobalDot11AuthenticationResponseTimeOut => '1.3.6.1.4.1.14179.2.3.1.2',
      bsnRogueAutoContainFeature => '1.3.6.1.4.1.14179.2.3.1.20',
      bsnOverAirProvisionApMode => '1.3.6.1.4.1.14179.2.3.1.21',
      bsnMaximumNumberOfConcurrentLogins => '1.3.6.1.4.1.14179.2.3.1.22',
      bsnAutoContainRoguesAdvertisingSsid => '1.3.6.1.4.1.14179.2.3.1.23',
      bsnAutoContainAdhocNetworks => '1.3.6.1.4.1.14179.2.3.1.24',
      bsnAutoContainTrustedClientsOnRogueAps => '1.3.6.1.4.1.14179.2.3.1.25',
      bsnValidateRogueClientsAgainstAAA => '1.3.6.1.4.1.14179.2.3.1.26',
      bsnSystemTimezoneDelta => '1.3.6.1.4.1.14179.2.3.1.27',
      bsnSystemTimezoneDaylightSavings => '1.3.6.1.4.1.14179.2.3.1.28',
      bsnAllowAuthorizeApAgainstAAA => '1.3.6.1.4.1.14179.2.3.1.29',
      bsnGlobalDot11MultiDomainCapabilityImplemented => '1.3.6.1.4.1.14179.2.3.1.3',
      bsnSystemTimezoneDeltaMinutes => '1.3.6.1.4.1.14179.2.3.1.30',
      bsnApFallbackEnabled => '1.3.6.1.4.1.14179.2.3.1.31',
      bsnAppleTalkEnabled => '1.3.6.1.4.1.14179.2.3.1.32',
      bsnGlobalDot11MultiDomainCapabilityEnabled => '1.3.6.1.4.1.14179.2.3.1.4',
      bsnTrustedApPolicyConfig => '1.3.6.1.4.1.14179.2.3.1.40',
      bsnPolicyForMisconfiguredAps => '1.3.6.1.4.1.14179.2.3.1.40.1',
      bsnEncryptionPolicyEnforced => '1.3.6.1.4.1.14179.2.3.1.40.2',
      bsnPreamblePolicyEnforced => '1.3.6.1.4.1.14179.2.3.1.40.3',
      bsnDot11ModePolicyEnforced => '1.3.6.1.4.1.14179.2.3.1.40.4',
      bsnRadioTypePolicyEnforced => '1.3.6.1.4.1.14179.2.3.1.40.5',
      bsnValidateSsidForTrustedAp => '1.3.6.1.4.1.14179.2.3.1.40.6',
      bsnAlertIfTrustedApMissing => '1.3.6.1.4.1.14179.2.3.1.40.7',
      bsnTrustedApEntryExpirationTimeout => '1.3.6.1.4.1.14179.2.3.1.40.8',
      bsnClientExclusionPolicyConfig => '1.3.6.1.4.1.14179.2.3.1.41',
      bsnExcessive80211AssocFailures => '1.3.6.1.4.1.14179.2.3.1.41.1',
      bsnExcessive80211AuthFailures => '1.3.6.1.4.1.14179.2.3.1.41.2',
      bsnExcessive8021xAuthFailures => '1.3.6.1.4.1.14179.2.3.1.41.3',
      bsnExternalPolicyServerFailures => '1.3.6.1.4.1.14179.2.3.1.41.4',
      bsnExcessiveWebAuthFailures => '1.3.6.1.4.1.14179.2.3.1.41.5',
      bsnIPTheftORReuse => '1.3.6.1.4.1.14179.2.3.1.41.6',
      bsnSignatureConfig => '1.3.6.1.4.1.14179.2.3.1.42',
      bsnStandardSignatureTable => '1.3.6.1.4.1.14179.2.3.1.42.1',
      bsnStandardSignatureEntry => '1.3.6.1.4.1.14179.2.3.1.42.1.1',
      bsnStandardSignaturePrecedence => '1.3.6.1.4.1.14179.2.3.1.42.1.1.1',
      bsnStandardSignatureConfigType => '1.3.6.1.4.1.14179.2.3.1.42.1.1.10',
      bsnStandardSignatureEnable => '1.3.6.1.4.1.14179.2.3.1.42.1.1.11',
      bsnStandardSignatureMacInfo => '1.3.6.1.4.1.14179.2.3.1.42.1.1.12',
      bsnStandardSignatureMacFreq => '1.3.6.1.4.1.14179.2.3.1.42.1.1.13',
      bsnStandardSignatureName => '1.3.6.1.4.1.14179.2.3.1.42.1.1.2',
      bsnStandardSignatureRowStatus => '1.3.6.1.4.1.14179.2.3.1.42.1.1.20',
      bsnStandardSignatureInterval => '1.3.6.1.4.1.14179.2.3.1.42.1.1.21',
      bsnStandardSignatureDescription => '1.3.6.1.4.1.14179.2.3.1.42.1.1.3',
      bsnStandardSignatureFrameType => '1.3.6.1.4.1.14179.2.3.1.42.1.1.4',
      bsnStandardSignatureAction => '1.3.6.1.4.1.14179.2.3.1.42.1.1.5',
      bsnStandardSignatureState => '1.3.6.1.4.1.14179.2.3.1.42.1.1.6',
      bsnStandardSignatureFrequency => '1.3.6.1.4.1.14179.2.3.1.42.1.1.7',
      bsnStandardSignatureQuietTime => '1.3.6.1.4.1.14179.2.3.1.42.1.1.8',
      bsnStandardSignatureVersion => '1.3.6.1.4.1.14179.2.3.1.42.1.1.9',
      bsnStandardSignaturePatternTable => '1.3.6.1.4.1.14179.2.3.1.42.2',
      bsnStandardSignaturePatternEntry => '1.3.6.1.4.1.14179.2.3.1.42.2.1',
      bsnStandardSignaturePatternIndex => '1.3.6.1.4.1.14179.2.3.1.42.2.1.1',
      bsnStandardSignaturePatternRowStatus => '1.3.6.1.4.1.14179.2.3.1.42.2.1.15',
      bsnStandardSignaturePatternOffset => '1.3.6.1.4.1.14179.2.3.1.42.2.1.2',
      bsnStandardSignaturePatternString => '1.3.6.1.4.1.14179.2.3.1.42.2.1.3',
      bsnStandardSignaturePatternMask => '1.3.6.1.4.1.14179.2.3.1.42.2.1.4',
      bsnStandardSignaturePatternOffSetStart => '1.3.6.1.4.1.14179.2.3.1.42.2.1.5',
      bsnCustomSignatureTable => '1.3.6.1.4.1.14179.2.3.1.42.3',
      bsnCustomSignatureEntry => '1.3.6.1.4.1.14179.2.3.1.42.3.1',
      bsnCustomSignaturePrecedence => '1.3.6.1.4.1.14179.2.3.1.42.3.1.1',
      bsnCustomSignatureConfigType => '1.3.6.1.4.1.14179.2.3.1.42.3.1.10',
      bsnCustomSignatureEnable => '1.3.6.1.4.1.14179.2.3.1.42.3.1.11',
      bsnCustomSignatureMacInfo => '1.3.6.1.4.1.14179.2.3.1.42.3.1.12',
      bsnCustomSignatureMacFreq => '1.3.6.1.4.1.14179.2.3.1.42.3.1.13',
      bsnCustomSignatureName => '1.3.6.1.4.1.14179.2.3.1.42.3.1.2',
      bsnCustomSignatureRowStatus => '1.3.6.1.4.1.14179.2.3.1.42.3.1.20',
      bsnCustomSignatureInterval => '1.3.6.1.4.1.14179.2.3.1.42.3.1.21',
      bsnCustomSignatureDescription => '1.3.6.1.4.1.14179.2.3.1.42.3.1.3',
      bsnCustomSignatureFrameType => '1.3.6.1.4.1.14179.2.3.1.42.3.1.4',
      bsnCustomSignatureAction => '1.3.6.1.4.1.14179.2.3.1.42.3.1.5',
      bsnCustomSignatureState => '1.3.6.1.4.1.14179.2.3.1.42.3.1.6',
      bsnCustomSignatureFrequency => '1.3.6.1.4.1.14179.2.3.1.42.3.1.7',
      bsnCustomSignatureQuietTime => '1.3.6.1.4.1.14179.2.3.1.42.3.1.8',
      bsnCustomSignatureVersion => '1.3.6.1.4.1.14179.2.3.1.42.3.1.9',
      bsnCustomSignaturePatternTable => '1.3.6.1.4.1.14179.2.3.1.42.4',
      bsnCustomSignaturePatternEntry => '1.3.6.1.4.1.14179.2.3.1.42.4.1',
      bsnCustomSignaturePatternIndex => '1.3.6.1.4.1.14179.2.3.1.42.4.1.1',
      bsnCustomSignaturePatternRowStatus => '1.3.6.1.4.1.14179.2.3.1.42.4.1.15',
      bsnCustomSignaturePatternOffset => '1.3.6.1.4.1.14179.2.3.1.42.4.1.2',
      bsnCustomSignaturePatternString => '1.3.6.1.4.1.14179.2.3.1.42.4.1.3',
      bsnCustomSignaturePatternMask => '1.3.6.1.4.1.14179.2.3.1.42.4.1.4',
      bsnCustomSignaturePatternOffSetStart => '1.3.6.1.4.1.14179.2.3.1.42.4.1.5',
      bsnSignatureCheckState => '1.3.6.1.4.1.14179.2.3.1.42.5',
      bsnRfIdTagConfig => '1.3.6.1.4.1.14179.2.3.1.43',
      bsnRfIdTagStatus => '1.3.6.1.4.1.14179.2.3.1.43.1',
      bsnRfIdTagDataTimeout => '1.3.6.1.4.1.14179.2.3.1.43.2',
      bsnRfIdTagAutoTimeoutStatus => '1.3.6.1.4.1.14179.2.3.1.43.3',
      bsnAPNeighborAuthConfig => '1.3.6.1.4.1.14179.2.3.1.44',
      bsnAPNeighborAuthStatus => '1.3.6.1.4.1.14179.2.3.1.44.1',
      bsnAPNeighborAuthAlarmThreshold => '1.3.6.1.4.1.14179.2.3.1.44.2',
      bsnRFNetworkName => '1.3.6.1.4.1.14179.2.3.1.45',
      bsnFastSSIDChangeFeature => '1.3.6.1.4.1.14179.2.3.1.46',
      bsnBridgingPolicyConfig => '1.3.6.1.4.1.14179.2.3.1.47',
      bsnBridgingZeroTouchConfig => '1.3.6.1.4.1.14179.2.3.1.47.1',
      bsnBridgingSharedSecretKey => '1.3.6.1.4.1.14179.2.3.1.47.2',
      bsnAcceptSelfSignedCertificate => '1.3.6.1.4.1.14179.2.3.1.48',
      bsnSystemClockTime => '1.3.6.1.4.1.14179.2.3.1.49',
      bsnGlobalDot11CountryIndex => '1.3.6.1.4.1.14179.2.3.1.5',
      bsnGlobalDot11LoadBalancing => '1.3.6.1.4.1.14179.2.3.1.6',
      bsnGlobalDot11RogueTimer => '1.3.6.1.4.1.14179.2.3.1.7',
      bsnPrimaryMwarForAPs => '1.3.6.1.4.1.14179.2.3.1.8',
      bsnRtpProtocolPriority => '1.3.6.1.4.1.14179.2.3.1.9',
      bsnGlobalDot11b => '1.3.6.1.4.1.14179.2.3.2',
      bsnGlobalDot11bConfig => '1.3.6.1.4.1.14179.2.3.2.1',
      bsnGlobalDot11bNetworkStatus => '1.3.6.1.4.1.14179.2.3.2.1.1',
      bsnGlobalDot11bDynamicTxPowerControlInterval => '1.3.6.1.4.1.14179.2.3.2.1.10',
      bsnGlobalDot11bCurrentTxPowerLevel => '1.3.6.1.4.1.14179.2.3.2.1.11',
      bsnGlobalDot11bInputsForDTP => '1.3.6.1.4.1.14179.2.3.2.1.12',
      bsnGlobalDot11bPowerUpdateCmdInvoke => '1.3.6.1.4.1.14179.2.3.2.1.13',
      bsnGlobalDot11bPowerUpdateCmdStatus => '1.3.6.1.4.1.14179.2.3.2.1.14',
      bsnGlobalDot11bDataRate1Mhz => '1.3.6.1.4.1.14179.2.3.2.1.15',
      bsnGlobalDot11bDataRate2Mhz => '1.3.6.1.4.1.14179.2.3.2.1.16',
      bsnGlobalDot11bDataRate5AndHalfMhz => '1.3.6.1.4.1.14179.2.3.2.1.17',
      bsnGlobalDot11bDataRate11Mhz => '1.3.6.1.4.1.14179.2.3.2.1.18',
      bsnGlobalDot11bShortPreamble => '1.3.6.1.4.1.14179.2.3.2.1.19',
      bsnGlobalDot11bBeaconPeriod => '1.3.6.1.4.1.14179.2.3.2.1.2',
      bsnGlobalDot11bDot11gSupport => '1.3.6.1.4.1.14179.2.3.2.1.20',
      bsnGlobalDot11bDataRate6Mhz => '1.3.6.1.4.1.14179.2.3.2.1.21',
      bsnGlobalDot11bDataRate9Mhz => '1.3.6.1.4.1.14179.2.3.2.1.22',
      bsnGlobalDot11bDataRate12Mhz => '1.3.6.1.4.1.14179.2.3.2.1.23',
      bsnGlobalDot11bDataRate18Mhz => '1.3.6.1.4.1.14179.2.3.2.1.24',
      bsnGlobalDot11bDataRate24Mhz => '1.3.6.1.4.1.14179.2.3.2.1.25',
      bsnGlobalDot11bDataRate36Mhz => '1.3.6.1.4.1.14179.2.3.2.1.26',
      bsnGlobalDot11bDataRate48Mhz => '1.3.6.1.4.1.14179.2.3.2.1.27',
      bsnGlobalDot11bDataRate54Mhz => '1.3.6.1.4.1.14179.2.3.2.1.28',
      bsnGlobalDot11bPicoCellMode => '1.3.6.1.4.1.14179.2.3.2.1.29',
      bsnGlobalDot11bDynamicChannelAssignment => '1.3.6.1.4.1.14179.2.3.2.1.3',
      bsnGlobalDot11bFastRoamingMode => '1.3.6.1.4.1.14179.2.3.2.1.30',
      bsnGlobalDot11bFastRoamingVoipMinRate => '1.3.6.1.4.1.14179.2.3.2.1.31',
      bsnGlobalDot11bFastRoamingVoipPercentage => '1.3.6.1.4.1.14179.2.3.2.1.32',
      bsnGlobalDot11b80211eMaxBandwidth => '1.3.6.1.4.1.14179.2.3.2.1.33',
      bsnGlobalDot11bDTPCSupport => '1.3.6.1.4.1.14179.2.3.2.1.34',
      bsnGlobalDot11bCurrentChannel => '1.3.6.1.4.1.14179.2.3.2.1.4',
      bsnGlobalDot11bDynamicChannelUpdateInterval => '1.3.6.1.4.1.14179.2.3.2.1.5',
      bsnGlobalDot11bInputsForDCA => '1.3.6.1.4.1.14179.2.3.2.1.6',
      bsnGlobalDot11bChannelUpdateCmdInvoke => '1.3.6.1.4.1.14179.2.3.2.1.7',
      bsnGlobalDot11bChannelUpdateCmdStatus => '1.3.6.1.4.1.14179.2.3.2.1.8',
      bsnGlobalDot11bDynamicTransmitPowerControl => '1.3.6.1.4.1.14179.2.3.2.1.9',
      bsnGlobalDot11bPhy => '1.3.6.1.4.1.14179.2.3.2.2',
      bsnGlobalDot11bMediumOccupancyLimit => '1.3.6.1.4.1.14179.2.3.2.2.1',
      bsnGlobalDot11bNumberofChannels => '1.3.6.1.4.1.14179.2.3.2.2.10',
      bsnGlobalDot11bRTSThreshold => '1.3.6.1.4.1.14179.2.3.2.2.11',
      bsnGlobalDot11bShortRetryLimit => '1.3.6.1.4.1.14179.2.3.2.2.12',
      bsnGlobalDot11bLongRetryLimit => '1.3.6.1.4.1.14179.2.3.2.2.13',
      bsnGlobalDot11bFragmentationThreshold => '1.3.6.1.4.1.14179.2.3.2.2.14',
      bsnGlobalDot11bMaxTransmitMSDULifetime => '1.3.6.1.4.1.14179.2.3.2.2.15',
      bsnGlobalDot11bMaxReceiveLifetime => '1.3.6.1.4.1.14179.2.3.2.2.16',
      bsnGlobalDot11bEDThreshold => '1.3.6.1.4.1.14179.2.3.2.2.17',
      bsnGlobalDot11bChannelAgilityEnabled => '1.3.6.1.4.1.14179.2.3.2.2.18',
      bsnGlobalDot11bPBCCOptionImplemented => '1.3.6.1.4.1.14179.2.3.2.2.19',
      bsnGlobalDot11bCFPPeriod => '1.3.6.1.4.1.14179.2.3.2.2.2',
      bsnGlobalDot11bShortPreambleOptionImplemented => '1.3.6.1.4.1.14179.2.3.2.2.20',
      bsnGlobalDot11bCFPMaxDuration => '1.3.6.1.4.1.14179.2.3.2.2.3',
      bsnGlobalDot11bCFPollable => '1.3.6.1.4.1.14179.2.3.2.2.5',
      bsnGlobalDot11bCFPollRequest => '1.3.6.1.4.1.14179.2.3.2.2.6',
      bsnGlobalDot11bDTIMPeriod => '1.3.6.1.4.1.14179.2.3.2.2.7',
      bsnGlobalDot11bMaximumTransmitPowerLevel => '1.3.6.1.4.1.14179.2.3.2.2.8',
      bsnGlobalDot11bFirstChannelNumber => '1.3.6.1.4.1.14179.2.3.2.2.9',
      bsnGlobalDot11a => '1.3.6.1.4.1.14179.2.3.3',
      bsnGlobalDot11aConfig => '1.3.6.1.4.1.14179.2.3.3.1',
      bsnGlobalDot11aNetworkStatus => '1.3.6.1.4.1.14179.2.3.3.1.1',
      bsnGlobalDot11aChannelUpdateCmdInvoke => '1.3.6.1.4.1.14179.2.3.3.1.10',
      bsnGlobalDot11aChannelUpdateCmdStatus => '1.3.6.1.4.1.14179.2.3.3.1.11',
      bsnGlobalDot11aDynamicTransmitPowerControl => '1.3.6.1.4.1.14179.2.3.3.1.12',
      bsnGlobalDot11aCurrentTxPowerLevel => '1.3.6.1.4.1.14179.2.3.3.1.13',
      bsnGlobalDot11aDynamicTxPowerControlInterval => '1.3.6.1.4.1.14179.2.3.3.1.14',
      bsnGlobalDot11aInputsForDTP => '1.3.6.1.4.1.14179.2.3.3.1.15',
      bsnGlobalDot11aPowerUpdateCmdInvoke => '1.3.6.1.4.1.14179.2.3.3.1.16',
      bsnGlobalDot11aPowerUpdateCmdStatus => '1.3.6.1.4.1.14179.2.3.3.1.17',
      bsnGlobalDot11aDataRate6Mhz => '1.3.6.1.4.1.14179.2.3.3.1.19',
      bsnGlobalDot11aLowBandNetwork => '1.3.6.1.4.1.14179.2.3.3.1.2',
      bsnGlobalDot11aDataRate9Mhz => '1.3.6.1.4.1.14179.2.3.3.1.20',
      bsnGlobalDot11aDataRate12Mhz => '1.3.6.1.4.1.14179.2.3.3.1.21',
      bsnGlobalDot11aDataRate18Mhz => '1.3.6.1.4.1.14179.2.3.3.1.22',
      bsnGlobalDot11aDataRate24Mhz => '1.3.6.1.4.1.14179.2.3.3.1.23',
      bsnGlobalDot11aDataRate36Mhz => '1.3.6.1.4.1.14179.2.3.3.1.24',
      bsnGlobalDot11aDataRate48Mhz => '1.3.6.1.4.1.14179.2.3.3.1.25',
      bsnGlobalDot11aDataRate54Mhz => '1.3.6.1.4.1.14179.2.3.3.1.26',
      bsnGlobalDot11aPicoCellMode => '1.3.6.1.4.1.14179.2.3.3.1.27',
      bsnGlobalDot11aFastRoamingMode => '1.3.6.1.4.1.14179.2.3.3.1.28',
      bsnGlobalDot11aFastRoamingVoipMinRate => '1.3.6.1.4.1.14179.2.3.3.1.29',
      bsnGlobalDot11aMediumBandNetwork => '1.3.6.1.4.1.14179.2.3.3.1.3',
      bsnGlobalDot11aFastRoamingVoipPercentage => '1.3.6.1.4.1.14179.2.3.3.1.30',
      bsnGlobalDot11a80211eMaxBandwidth => '1.3.6.1.4.1.14179.2.3.3.1.31',
      bsnGlobalDot11aDTPCSupport => '1.3.6.1.4.1.14179.2.3.3.1.32',
      bsnGlobalDot11aHighBandNetwork => '1.3.6.1.4.1.14179.2.3.3.1.4',
      bsnGlobalDot11aBeaconPeriod => '1.3.6.1.4.1.14179.2.3.3.1.5',
      bsnGlobalDot11aDynamicChannelAssignment => '1.3.6.1.4.1.14179.2.3.3.1.6',
      bsnGlobalDot11aCurrentChannel => '1.3.6.1.4.1.14179.2.3.3.1.7',
      bsnGlobalDot11aDynamicChannelUpdateInterval => '1.3.6.1.4.1.14179.2.3.3.1.8',
      bsnGlobalDot11aInputsForDCA => '1.3.6.1.4.1.14179.2.3.3.1.9',
      bsnGlobalDot11aPhy => '1.3.6.1.4.1.14179.2.3.3.2',
      bsnGlobalDot11aMediumOccupancyLimit => '1.3.6.1.4.1.14179.2.3.3.2.1',
      bsnGlobalDot11aNumberofChannels => '1.3.6.1.4.1.14179.2.3.3.2.10',
      bsnGlobalDot11aRTSThreshold => '1.3.6.1.4.1.14179.2.3.3.2.11',
      bsnGlobalDot11aShortRetryLimit => '1.3.6.1.4.1.14179.2.3.3.2.12',
      bsnGlobalDot11aLongRetryLimit => '1.3.6.1.4.1.14179.2.3.3.2.13',
      bsnGlobalDot11aFragmentationThreshold => '1.3.6.1.4.1.14179.2.3.3.2.14',
      bsnGlobalDot11aMaxTransmitMSDULifetime => '1.3.6.1.4.1.14179.2.3.3.2.15',
      bsnGlobalDot11aMaxReceiveLifetime => '1.3.6.1.4.1.14179.2.3.3.2.16',
      bsnGlobalDot11aTIThreshold => '1.3.6.1.4.1.14179.2.3.3.2.17',
      bsnGlobalDot11aChannelAgilityEnabled => '1.3.6.1.4.1.14179.2.3.3.2.18',
      bsnGlobalDot11aCFPPeriod => '1.3.6.1.4.1.14179.2.3.3.2.2',
      bsnGlobalDot11aCFPMaxDuration => '1.3.6.1.4.1.14179.2.3.3.2.3',
      bsnGlobalDot11aCFPollable => '1.3.6.1.4.1.14179.2.3.3.2.5',
      bsnGlobalDot11aCFPollRequest => '1.3.6.1.4.1.14179.2.3.3.2.6',
      bsnGlobalDot11aDTIMPeriod => '1.3.6.1.4.1.14179.2.3.3.2.7',
      bsnGlobalDot11aMaximumTransmitPowerLevel => '1.3.6.1.4.1.14179.2.3.3.2.8',
      bsnGlobalDot11aFirstChannelNumber => '1.3.6.1.4.1.14179.2.3.3.2.9',
      bsnGlobalDot11h => '1.3.6.1.4.1.14179.2.3.4',
      bsnGlobalDot11hConfig => '1.3.6.1.4.1.14179.2.3.4.1',
      bsnGlobalDot11hPowerConstraint => '1.3.6.1.4.1.14179.2.3.4.1.1',
      bsnGlobalDot11hChannelSwitchEnable => '1.3.6.1.4.1.14179.2.3.4.1.2',
      bsnGlobalDot11hChannelSwitchMode => '1.3.6.1.4.1.14179.2.3.4.1.3',
      bsnRrm => '1.3.6.1.4.1.14179.2.4',
      bsnRrmDot11a => '1.3.6.1.4.1.14179.2.4.1',
      bsnRrmDot11aGroup => '1.3.6.1.4.1.14179.2.4.1.1',
      bsnRrmDot11aGlobalAutomaticGrouping => '1.3.6.1.4.1.14179.2.4.1.1.1',
      bsnRrmDot11aGroupLeaderMacAddr => '1.3.6.1.4.1.14179.2.4.1.1.2',
      bsnRrmIsDot11aGroupLeader => '1.3.6.1.4.1.14179.2.4.1.1.3',
      bsnRrmDot11aGroupLastUpdateTime => '1.3.6.1.4.1.14179.2.4.1.1.4',
      bsnRrmDot11aGlobalGroupInterval => '1.3.6.1.4.1.14179.2.4.1.1.5',
      bsnWrasDot11aGroupTable => '1.3.6.1.4.1.14179.2.4.1.1.9',
      bsnWrasDot11aGroupEntry => '1.3.6.1.4.1.14179.2.4.1.1.9.1',
      bsnWrasDot11aPeerMacAddress => '1.3.6.1.4.1.14179.2.4.1.1.9.1.1',
      bsnWrasDot11aPeerIpAddress => '1.3.6.1.4.1.14179.2.4.1.1.9.1.21',
      bsnRrmDot11aAPDefault => '1.3.6.1.4.1.14179.2.4.1.6',
      bsnRrmDot11aForeignInterferenceThreshold => '1.3.6.1.4.1.14179.2.4.1.6.1',
      bsnRrmDot11aNoiseMeasurementInterval => '1.3.6.1.4.1.14179.2.4.1.6.10',
      bsnRrmDot11aLoadMeasurementInterval => '1.3.6.1.4.1.14179.2.4.1.6.11',
      bsnRrmDot11aCoverageMeasurementInterval => '1.3.6.1.4.1.14179.2.4.1.6.12',
      bsnRrmDot11aChannelMonitorList => '1.3.6.1.4.1.14179.2.4.1.6.13',
      bsnRrmDot11aForeignNoiseThreshold => '1.3.6.1.4.1.14179.2.4.1.6.2',
      bsnRrmDot11aRFUtilizationThreshold => '1.3.6.1.4.1.14179.2.4.1.6.3',
      bsnRrmDot11aThroughputThreshold => '1.3.6.1.4.1.14179.2.4.1.6.4',
      bsnRrmDot11aMobilesThreshold => '1.3.6.1.4.1.14179.2.4.1.6.5',
      bsnRrmDot11aCoverageThreshold => '1.3.6.1.4.1.14179.2.4.1.6.6',
      bsnRrmDot11aMobileMinExceptionLevel => '1.3.6.1.4.1.14179.2.4.1.6.7',
      bsnRrmDot11aCoverageExceptionLevel => '1.3.6.1.4.1.14179.2.4.1.6.8',
      bsnRrmDot11aSignalMeasurementInterval => '1.3.6.1.4.1.14179.2.4.1.6.9',
      bsnRrmDot11aSetFactoryDefault => '1.3.6.1.4.1.14179.2.4.1.7',
      bsnRrmDot11b => '1.3.6.1.4.1.14179.2.4.2',
      bsnRrmDot11bGroup => '1.3.6.1.4.1.14179.2.4.2.1',
      bsnRrmDot11bGlobalAutomaticGrouping => '1.3.6.1.4.1.14179.2.4.2.1.1',
      bsnRrmDot11bGroupLeaderMacAddr => '1.3.6.1.4.1.14179.2.4.2.1.2',
      bsnRrmIsDot11bGroupLeader => '1.3.6.1.4.1.14179.2.4.2.1.3',
      bsnRrmDot11bGroupLastUpdateTime => '1.3.6.1.4.1.14179.2.4.2.1.4',
      bsnRrmDot11bGlobalGroupInterval => '1.3.6.1.4.1.14179.2.4.2.1.5',
      bsnWrasDot11bGroupTable => '1.3.6.1.4.1.14179.2.4.2.1.9',
      bsnWrasDot11bGroupEntry => '1.3.6.1.4.1.14179.2.4.2.1.9.1',
      bsnWrasDot11bPeerMacAddress => '1.3.6.1.4.1.14179.2.4.2.1.9.1.1',
      bsnWrasDot11bPeerIpAddress => '1.3.6.1.4.1.14179.2.4.2.1.9.1.21',
      bsnRrmDot11bAPDefault => '1.3.6.1.4.1.14179.2.4.2.6',
      bsnRrmDot11bForeignInterferenceThreshold => '1.3.6.1.4.1.14179.2.4.2.6.1',
      bsnRrmDot11bNoiseMeasurementInterval => '1.3.6.1.4.1.14179.2.4.2.6.10',
      bsnRrmDot11bLoadMeasurementInterval => '1.3.6.1.4.1.14179.2.4.2.6.11',
      bsnRrmDot11bCoverageMeasurementInterval => '1.3.6.1.4.1.14179.2.4.2.6.12',
      bsnRrmDot11bChannelMonitorList => '1.3.6.1.4.1.14179.2.4.2.6.13',
      bsnRrmDot11bForeignNoiseThreshold => '1.3.6.1.4.1.14179.2.4.2.6.2',
      bsnRrmDot11bRFUtilizationThreshold => '1.3.6.1.4.1.14179.2.4.2.6.3',
      bsnRrmDot11bThroughputThreshold => '1.3.6.1.4.1.14179.2.4.2.6.4',
      bsnRrmDot11bMobilesThreshold => '1.3.6.1.4.1.14179.2.4.2.6.5',
      bsnRrmDot11bCoverageThreshold => '1.3.6.1.4.1.14179.2.4.2.6.6',
      bsnRrmDot11bMobileMinExceptionLevel => '1.3.6.1.4.1.14179.2.4.2.6.7',
      bsnRrmDot11bCoverageExceptionLevel => '1.3.6.1.4.1.14179.2.4.2.6.8',
      bsnRrmDot11bSignalMeasurementInterval => '1.3.6.1.4.1.14179.2.4.2.6.9',
      bsnRrmDot11bSetFactoryDefault => '1.3.6.1.4.1.14179.2.4.2.7',
      bsnAAA => '1.3.6.1.4.1.14179.2.5',
      bsnRadiusAuthServerTable => '1.3.6.1.4.1.14179.2.5.1',
      bsnRadiusAuthServerEntry => '1.3.6.1.4.1.14179.2.5.1.1',
      bsnRadiusAuthServerIndex => '1.3.6.1.4.1.14179.2.5.1.1.1',
      bsnRadiusAuthServerIPSecEncryption => '1.3.6.1.4.1.14179.2.5.1.1.10',
      bsnRadiusAuthServerIPSecIKEPhase1 => '1.3.6.1.4.1.14179.2.5.1.1.11',
      bsnRadiusAuthServerIPSecIKELifetime => '1.3.6.1.4.1.14179.2.5.1.1.12',
      bsnRadiusAuthServerIPSecDHGroup => '1.3.6.1.4.1.14179.2.5.1.1.13',
      bsnRadiusAuthServerNetworkUserConfig => '1.3.6.1.4.1.14179.2.5.1.1.14',
      bsnRadiusAuthServerMgmtUserConfig => '1.3.6.1.4.1.14179.2.5.1.1.15',
      bsnRadiusAuthServerRetransmitTimeout => '1.3.6.1.4.1.14179.2.5.1.1.17',
      bsnRadiusAuthServerKeyWrapKEKkey => '1.3.6.1.4.1.14179.2.5.1.1.18',
      bsnRadiusAuthServerKeyWrapMACKkey => '1.3.6.1.4.1.14179.2.5.1.1.19',
      bsnRadiusAuthServerAddress => '1.3.6.1.4.1.14179.2.5.1.1.2',
      bsnRadiusAuthServerKeyWrapFormat => '1.3.6.1.4.1.14179.2.5.1.1.20',
      bsnRadiusAuthServerRowStatus => '1.3.6.1.4.1.14179.2.5.1.1.26',
      bsnRadiusAuthClientServerPortNumber => '1.3.6.1.4.1.14179.2.5.1.1.3',
      bsnRadiusAuthServerKey => '1.3.6.1.4.1.14179.2.5.1.1.4',
      bsnRadiusAuthServerStatus => '1.3.6.1.4.1.14179.2.5.1.1.5',
      bsnRadiusAuthServerKeyFormat => '1.3.6.1.4.1.14179.2.5.1.1.6',
      bsnRadiusAuthServerRFC3576 => '1.3.6.1.4.1.14179.2.5.1.1.7',
      bsnRadiusAuthServerIPSec => '1.3.6.1.4.1.14179.2.5.1.1.8',
      bsnRadiusAuthServerIPSecAuth => '1.3.6.1.4.1.14179.2.5.1.1.9',
      bsnLocalNetUserTable => '1.3.6.1.4.1.14179.2.5.10',
      bsnLocalNetUserEntry => '1.3.6.1.4.1.14179.2.5.10.1',
      bsnLocalNetUserName => '1.3.6.1.4.1.14179.2.5.10.1.1',
      bsnLocalNetUserWlanId => '1.3.6.1.4.1.14179.2.5.10.1.2',
      bsnLocalNetUserRowStatus => '1.3.6.1.4.1.14179.2.5.10.1.24',
      bsnLocalNetUserPassword => '1.3.6.1.4.1.14179.2.5.10.1.3',
      bsnLocalNetUserDescription => '1.3.6.1.4.1.14179.2.5.10.1.4',
      bsnLocalNetUserLifetime => '1.3.6.1.4.1.14179.2.5.10.1.5',
      bsnLocalNetUserStartTime => '1.3.6.1.4.1.14179.2.5.10.1.6',
      bsnLocalNetUserRemainingTime => '1.3.6.1.4.1.14179.2.5.10.1.7',
      bsnLocalManagementUserTable => '1.3.6.1.4.1.14179.2.5.11',
      bsnLocalManagementUserEntry => '1.3.6.1.4.1.14179.2.5.11.1',
      bsnLocalManagementUserName => '1.3.6.1.4.1.14179.2.5.11.1.1',
      bsnLocalManagementUserPassword => '1.3.6.1.4.1.14179.2.5.11.1.2',
      bsnLocalManagementUserRowStatus => '1.3.6.1.4.1.14179.2.5.11.1.23',
      bsnLocalManagementUserAccessMode => '1.3.6.1.4.1.14179.2.5.11.1.3',
      bsnRadiusAuthKeyWrapEnable => '1.3.6.1.4.1.14179.2.5.12',
      bsnRadiusAuthCacheCredentialsLocally => '1.3.6.1.4.1.14179.2.5.14',
      bsnAAAMacDelimiter => '1.3.6.1.4.1.14179.2.5.15',
      bsnAAARadiusCompatibilityMode => '1.3.6.1.4.1.14179.2.5.16',
      bsnAAARadiusCallStationIdType => '1.3.6.1.4.1.14179.2.5.17',
      bsnExternalPolicyServerAclName => '1.3.6.1.4.1.14179.2.5.18',
      bsnExternalPolicyServerTable => '1.3.6.1.4.1.14179.2.5.19',
      bsnExternalPolicyServerEntry => '1.3.6.1.4.1.14179.2.5.19.1',
      bsnExternalPolicyServerIndex => '1.3.6.1.4.1.14179.2.5.19.1.1',
      bsnExternalPolicyServerAddress => '1.3.6.1.4.1.14179.2.5.19.1.2',
      bsnExternalPolicyServerRowStatus => '1.3.6.1.4.1.14179.2.5.19.1.26',
      bsnExternalPolicyServerPortNumber => '1.3.6.1.4.1.14179.2.5.19.1.3',
      bsnExternalPolicyServerKey => '1.3.6.1.4.1.14179.2.5.19.1.4',
      bsnExternalPolicyServerAdminStatus => '1.3.6.1.4.1.14179.2.5.19.1.5',
      bsnExternalPolicyServerConnectionStatus => '1.3.6.1.4.1.14179.2.5.19.1.6',
      bsnRadiusAccServerTable => '1.3.6.1.4.1.14179.2.5.2',
      bsnRadiusAccServerEntry => '1.3.6.1.4.1.14179.2.5.2.1',
      bsnRadiusAccServerIndex => '1.3.6.1.4.1.14179.2.5.2.1.1',
      bsnRadiusAccServerIPSecIKEPhase1 => '1.3.6.1.4.1.14179.2.5.2.1.10',
      bsnRadiusAccServerIPSecIKELifetime => '1.3.6.1.4.1.14179.2.5.2.1.11',
      bsnRadiusAccServerIPSecDHGroup => '1.3.6.1.4.1.14179.2.5.2.1.12',
      bsnRadiusAccServerNetworkUserConfig => '1.3.6.1.4.1.14179.2.5.2.1.13',
      bsnRadiusAccServerRetransmitTimeout => '1.3.6.1.4.1.14179.2.5.2.1.14',
      bsnRadiusAccServerAddress => '1.3.6.1.4.1.14179.2.5.2.1.2',
      bsnRadiusAccServerRowStatus => '1.3.6.1.4.1.14179.2.5.2.1.26',
      bsnRadiusAccClientServerPortNumber => '1.3.6.1.4.1.14179.2.5.2.1.3',
      bsnRadiusAccServerKey => '1.3.6.1.4.1.14179.2.5.2.1.4',
      bsnRadiusAccServerStatus => '1.3.6.1.4.1.14179.2.5.2.1.5',
      bsnRadiusAccServerKeyFormat => '1.3.6.1.4.1.14179.2.5.2.1.6',
      bsnRadiusAccServerIPSec => '1.3.6.1.4.1.14179.2.5.2.1.7',
      bsnRadiusAccServerIPSecAuth => '1.3.6.1.4.1.14179.2.5.2.1.8',
      bsnRadiusAccServerIPSecEncryption => '1.3.6.1.4.1.14179.2.5.2.1.9',
      bsnAAALocalDatabaseSize => '1.3.6.1.4.1.14179.2.5.20',
      bsnAAACurrentLocalDatabaseSize => '1.3.6.1.4.1.14179.2.5.21',
      bsnAPAuthorizationTable => '1.3.6.1.4.1.14179.2.5.22',
      bsnAPAuthorizationEntry => '1.3.6.1.4.1.14179.2.5.22.1',
      bsnAPAuthMacAddress => '1.3.6.1.4.1.14179.2.5.22.1.1',
      bsnAPAuthCertificateType => '1.3.6.1.4.1.14179.2.5.22.1.2',
      bsnAPAuthRowStatus => '1.3.6.1.4.1.14179.2.5.22.1.20',
      bsnAPAuthHashKey => '1.3.6.1.4.1.14179.2.5.22.1.3',
      bsnRadiusAuthServerStatsTable => '1.3.6.1.4.1.14179.2.5.3',
      bsnRadiusAuthServerStatsEntry => '1.3.6.1.4.1.14179.2.5.3.1',
      bsnRadiusAuthClientAccessRejects => '1.3.6.1.4.1.14179.2.5.3.1.10',
      bsnRadiusAuthClientAccessChallenges => '1.3.6.1.4.1.14179.2.5.3.1.11',
      bsnRadiusAuthClientMalformedAccessResponses => '1.3.6.1.4.1.14179.2.5.3.1.12',
      bsnRadiusAuthClientBadAuthenticators => '1.3.6.1.4.1.14179.2.5.3.1.13',
      bsnRadiusAuthClientPendingRequests => '1.3.6.1.4.1.14179.2.5.3.1.14',
      bsnRadiusAuthClientTimeouts => '1.3.6.1.4.1.14179.2.5.3.1.15',
      bsnRadiusAuthClientUnknownTypes => '1.3.6.1.4.1.14179.2.5.3.1.16',
      bsnRadiusAuthClientPacketsDropped => '1.3.6.1.4.1.14179.2.5.3.1.36',
      bsnRadiusAuthClientRoundTripTime => '1.3.6.1.4.1.14179.2.5.3.1.6',
      bsnRadiusAuthClientAccessRequests => '1.3.6.1.4.1.14179.2.5.3.1.7',
      bsnRadiusAuthClientAccessRetransmissions => '1.3.6.1.4.1.14179.2.5.3.1.8',
      bsnRadiusAuthClientAccessAccepts => '1.3.6.1.4.1.14179.2.5.3.1.9',
      bsnRadiusAccServerStatsTable => '1.3.6.1.4.1.14179.2.5.4',
      bsnRadiusAccServerStatsEntry => '1.3.6.1.4.1.14179.2.5.4.1',
      bsnRadiusAccClientMalformedResponses => '1.3.6.1.4.1.14179.2.5.4.1.10',
      bsnRadiusAccClientBadAuthenticators => '1.3.6.1.4.1.14179.2.5.4.1.11',
      bsnRadiusAccClientPendingRequests => '1.3.6.1.4.1.14179.2.5.4.1.12',
      bsnRadiusAccClientTimeouts => '1.3.6.1.4.1.14179.2.5.4.1.13',
      bsnRadiusAccClientUnknownTypes => '1.3.6.1.4.1.14179.2.5.4.1.14',
      bsnRadiusAccClientPacketsDropped => '1.3.6.1.4.1.14179.2.5.4.1.34',
      bsnRadiusAccClientRoundTripTime => '1.3.6.1.4.1.14179.2.5.4.1.6',
      bsnRadiusAccClientRequests => '1.3.6.1.4.1.14179.2.5.4.1.7',
      bsnRadiusAccClientRetransmissions => '1.3.6.1.4.1.14179.2.5.4.1.8',
      bsnRadiusAccClientResponses => '1.3.6.1.4.1.14179.2.5.4.1.9',
      bsnUsersTable => '1.3.6.1.4.1.14179.2.5.5',
      bsnUsersEntry => '1.3.6.1.4.1.14179.2.5.5.1',
      bsnUserName => '1.3.6.1.4.1.14179.2.5.5.1.2',
      bsnUserRowStatus => '1.3.6.1.4.1.14179.2.5.5.1.26',
      bsnUserPassword => '1.3.6.1.4.1.14179.2.5.5.1.3',
      bsnUserEssIndex => '1.3.6.1.4.1.14179.2.5.5.1.4',
      bsnUserAccessMode => '1.3.6.1.4.1.14179.2.5.5.1.5',
      bsnUserType => '1.3.6.1.4.1.14179.2.5.5.1.6',
      bsnUserInterfaceName => '1.3.6.1.4.1.14179.2.5.5.1.7',
      bsnBlackListClientTable => '1.3.6.1.4.1.14179.2.5.6',
      bsnBlackListClientEntry => '1.3.6.1.4.1.14179.2.5.6.1',
      bsnBlackListClientMacAddress => '1.3.6.1.4.1.14179.2.5.6.1.1',
      bsnBlackListClientDescription => '1.3.6.1.4.1.14179.2.5.6.1.2',
      bsnBlackListClientRowStatus => '1.3.6.1.4.1.14179.2.5.6.1.22',
      bsnAclTable => '1.3.6.1.4.1.14179.2.5.7',
      bsnAclEntry => '1.3.6.1.4.1.14179.2.5.7.1',
      bsnAclName => '1.3.6.1.4.1.14179.2.5.7.1.1',
      bsnAclApplyMode => '1.3.6.1.4.1.14179.2.5.7.1.2',
      bsnAclRowStatus => '1.3.6.1.4.1.14179.2.5.7.1.20',
      bsnAclRuleTable => '1.3.6.1.4.1.14179.2.5.8',
      bsnAclRuleEntry => '1.3.6.1.4.1.14179.2.5.8.1',
      bsnAclRuleStartSourcePort => '1.3.6.1.4.1.14179.2.5.8.1.10',
      bsnAclRuleEndSourcePort => '1.3.6.1.4.1.14179.2.5.8.1.11',
      bsnAclRuleStartDestinationPort => '1.3.6.1.4.1.14179.2.5.8.1.12',
      bsnAclRuleEndDestinationPort => '1.3.6.1.4.1.14179.2.5.8.1.13',
      bsnAclRuleDscp => '1.3.6.1.4.1.14179.2.5.8.1.14',
      bsnAclNewRuleIndex => '1.3.6.1.4.1.14179.2.5.8.1.15',
      bsnAclRuleIndex => '1.3.6.1.4.1.14179.2.5.8.1.2',
      bsnAclRuleAction => '1.3.6.1.4.1.14179.2.5.8.1.3',
      bsnAclRuleDirection => '1.3.6.1.4.1.14179.2.5.8.1.4',
      bsnAclRuleRowStatus => '1.3.6.1.4.1.14179.2.5.8.1.40',
      bsnAclRuleSourceIpAddress => '1.3.6.1.4.1.14179.2.5.8.1.5',
      bsnAclRuleSourceIpNetmask => '1.3.6.1.4.1.14179.2.5.8.1.6',
      bsnAclRuleDestinationIpAddress => '1.3.6.1.4.1.14179.2.5.8.1.7',
      bsnAclRuleDestinationIpNetmask => '1.3.6.1.4.1.14179.2.5.8.1.8',
      bsnAclRuleProtocol => '1.3.6.1.4.1.14179.2.5.8.1.9',
      bsnMacFilterTable => '1.3.6.1.4.1.14179.2.5.9',
      bsnMacFilterEntry => '1.3.6.1.4.1.14179.2.5.9.1',
      bsnMacFilterAddress => '1.3.6.1.4.1.14179.2.5.9.1.1',
      bsnMacFilterWlanId => '1.3.6.1.4.1.14179.2.5.9.1.2',
      bsnMacFilterRowStatus => '1.3.6.1.4.1.14179.2.5.9.1.24',
      bsnMacFilterInterfaceName => '1.3.6.1.4.1.14179.2.5.9.1.3',
      bsnMacFilterDescription => '1.3.6.1.4.1.14179.2.5.9.1.4',
      bsnWrasGroups => '1.3.6.1.4.1.14179.2.50',
      bsnEssGroup => '1.3.6.1.4.1.14179.2.50.1',
      bsnWrasDepGroup => '1.3.6.1.4.1.14179.2.50.10',
      bsnWrasObsGroup => '1.3.6.1.4.1.14179.2.50.11',
      bsnWrasTrap => '1.3.6.1.4.1.14179.2.50.12',
      bsnEssGroupRev1 => '1.3.6.1.4.1.14179.2.50.13',
      bsnGlobalDot11GroupRev1 => '1.3.6.1.4.1.14179.2.50.14',
      bsnAAAGroupRev1 => '1.3.6.1.4.1.14179.2.50.15',
      bsnTrapsGroupRev1 => '1.3.6.1.4.1.14179.2.50.16',
      bsnWrasTrapRev1 => '1.3.6.1.4.1.14179.2.50.17',
      bsnApGroupRev1 => '1.3.6.1.4.1.14179.2.50.18',
      bsnUtilityGroupRev1 => '1.3.6.1.4.1.14179.2.50.19',
      bsnApGroup => '1.3.6.1.4.1.14179.2.50.2',
      bsnWrasObsGroupRev1 => '1.3.6.1.4.1.14179.2.50.20',
      bsnWrasObsTrap => '1.3.6.1.4.1.14179.2.50.21',
      bsnGlobalDot11Group => '1.3.6.1.4.1.14179.2.50.3',
      bsnRrmGroup => '1.3.6.1.4.1.14179.2.50.4',
      bsnAAAGroup => '1.3.6.1.4.1.14179.2.50.5',
      bsnTrapsGroup => '1.3.6.1.4.1.14179.2.50.6',
      bsnUtilityGroup => '1.3.6.1.4.1.14179.2.50.7',
      bsnMobilityGroup => '1.3.6.1.4.1.14179.2.50.8',
      bsnIpsecGroup => '1.3.6.1.4.1.14179.2.50.9',
      bsnWrasCompliances => '1.3.6.1.4.1.14179.2.51',
      bsnWrasCompliance => '1.3.6.1.4.1.14179.2.51.1',
      bsnWrasComplianceRev1 => '1.3.6.1.4.1.14179.2.51.2',
      bsnTrap => '1.3.6.1.4.1.14179.2.6',
      bsnTrapControl => '1.3.6.1.4.1.14179.2.6.1',
      bsnDot11StationTrapControlMask => '1.3.6.1.4.1.14179.2.6.1.1',
      bsn80211SecurityTrapControlMask => '1.3.6.1.4.1.14179.2.6.1.10',
      bsnWpsTrapControlEnable => '1.3.6.1.4.1.14179.2.6.1.11',
      bsnAPTrapControlMask => '1.3.6.1.4.1.14179.2.6.1.2',
      bsnAPProfileTrapControlMask => '1.3.6.1.4.1.14179.2.6.1.3',
      bsnAPParamUpdateTrapControlMask => '1.3.6.1.4.1.14179.2.6.1.4',
      bsnIpsecTrapsMask => '1.3.6.1.4.1.14179.2.6.1.5',
      bsnRogueAPTrapEnable => '1.3.6.1.4.1.14179.2.6.1.6',
      bsnRADIUSServerTrapEnable => '1.3.6.1.4.1.14179.2.6.1.7',
      bsnAuthenticationFailureTrapEnable => '1.3.6.1.4.1.14179.2.6.1.8',
      bsnConfigSaveTrapEnable => '1.3.6.1.4.1.14179.2.6.1.9',
      bsnTrapVariable => '1.3.6.1.4.1.14179.2.6.2',
      bsnAuthFailureUserName => '1.3.6.1.4.1.14179.2.6.2.1',
      bsnIkeTotalRespFailures => '1.3.6.1.4.1.14179.2.6.2.10',
      bsnNotifiesSent => '1.3.6.1.4.1.14179.2.6.2.11',
      bsnNotifiesReceived => '1.3.6.1.4.1.14179.2.6.2.12',
      bsnSuiteInitFailures => '1.3.6.1.4.1.14179.2.6.2.13',
      bsnSuiteRespondFailures => '1.3.6.1.4.1.14179.2.6.2.14',
      bsnInitiatorCookie => '1.3.6.1.4.1.14179.2.6.2.15',
      bsnResponderCookie => '1.3.6.1.4.1.14179.2.6.2.16',
      bsnIsakmpInvalidCookies => '1.3.6.1.4.1.14179.2.6.2.17',
      bsnCurrentRadiosCount => '1.3.6.1.4.1.14179.2.6.2.18',
      bsnLicenseRadioCount => '1.3.6.1.4.1.14179.2.6.2.19',
      bsnAuthFailureUserType => '1.3.6.1.4.1.14179.2.6.2.2',
      bsnAPMacAddrTrapVariable => '1.3.6.1.4.1.14179.2.6.2.20',
      bsnAPNameTrapVariable => '1.3.6.1.4.1.14179.2.6.2.21',
      bsnAPSlotIdTrapVariable => '1.3.6.1.4.1.14179.2.6.2.22',
      bsnAPChannelNumberTrapVariable => '1.3.6.1.4.1.14179.2.6.2.23',
      bsnAPCoverageThresholdTrapVariable => '1.3.6.1.4.1.14179.2.6.2.24',
      bsnAPCoverageFailedClients => '1.3.6.1.4.1.14179.2.6.2.25',
      bsnAPCoverageTotalClients => '1.3.6.1.4.1.14179.2.6.2.26',
      bsnClientMacAddr => '1.3.6.1.4.1.14179.2.6.2.27',
      bsnClientRssi => '1.3.6.1.4.1.14179.2.6.2.28',
      bsnClientSnr => '1.3.6.1.4.1.14179.2.6.2.29',
      bsnRemoteIPv4Address => '1.3.6.1.4.1.14179.2.6.2.3',
      bsnInterferenceEnergyBeforeChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.30',
      bsnInterferenceEnergyAfterChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.31',
      bsnAPPortNumberTrapVariable => '1.3.6.1.4.1.14179.2.6.2.32',
      bsnMaxRogueCount => '1.3.6.1.4.1.14179.2.6.2.33',
      bsnStationMacAddress => '1.3.6.1.4.1.14179.2.6.2.34',
      bsnStationAPMacAddr => '1.3.6.1.4.1.14179.2.6.2.35',
      bsnStationAPIfSlotId => '1.3.6.1.4.1.14179.2.6.2.36',
      bsnStationReasonCode => '1.3.6.1.4.1.14179.2.6.2.37',
      bsnStationBlacklistingReasonCode => '1.3.6.1.4.1.14179.2.6.2.38',
      bsnStationUserName => '1.3.6.1.4.1.14179.2.6.2.39',
      bsnIpsecErrorCount => '1.3.6.1.4.1.14179.2.6.2.4',
      bsnRogueAPOnWiredNetwork => '1.3.6.1.4.1.14179.2.6.2.40',
      bsnNavDosAttackSourceMacAddr => '1.3.6.1.4.1.14179.2.6.2.41',
      bsnWlanIdTrapVariable => '1.3.6.1.4.1.14179.2.6.2.42',
      bsnUserIpAddress => '1.3.6.1.4.1.14179.2.6.2.43',
      bsnRogueAdhocMode => '1.3.6.1.4.1.14179.2.6.2.44',
      bsnClearTrapVariable => '1.3.6.1.4.1.14179.2.6.2.45',
      bsnDuplicateIpTrapVariable => '1.3.6.1.4.1.14179.2.6.2.46',
      bsnDuplicateIpTrapClear => '1.3.6.1.4.1.14179.2.6.2.47',
      bsnDuplicateIpReportedByAP => '1.3.6.1.4.1.14179.2.6.2.48',
      bsnTrustedApRadioPolicyRequired => '1.3.6.1.4.1.14179.2.6.2.49',
      bsnIpsecSPI => '1.3.6.1.4.1.14179.2.6.2.5',
      bsnTrustedApEncryptionUsed => '1.3.6.1.4.1.14179.2.6.2.50',
      bsnTrustedApEncryptionRequired => '1.3.6.1.4.1.14179.2.6.2.51',
      bsnTrustedApRadioPolicyUsed => '1.3.6.1.4.1.14179.2.6.2.52',
      bsnNetworkType => '1.3.6.1.4.1.14179.2.6.2.53',
      bsnNetworkState => '1.3.6.1.4.1.14179.2.6.2.54',
      bsnSignatureType => '1.3.6.1.4.1.14179.2.6.2.55',
      bsnSignatureName => '1.3.6.1.4.1.14179.2.6.2.56',
      bsnSignatureDescription => '1.3.6.1.4.1.14179.2.6.2.57',
      bsnImpersonatedAPMacAddr => '1.3.6.1.4.1.14179.2.6.2.58',
      bsnTrustedApPreambleUsed => '1.3.6.1.4.1.14179.2.6.2.59',
      bsnRemoteUdpPort => '1.3.6.1.4.1.14179.2.6.2.6',
      bsnTrustedApPreambleRequired => '1.3.6.1.4.1.14179.2.6.2.60',
      bsnSignatureAttackPreced => '1.3.6.1.4.1.14179.2.6.2.61',
      bsnSignatureAttackFrequency => '1.3.6.1.4.1.14179.2.6.2.62',
      bsnSignatureAttackChannel => '1.3.6.1.4.1.14179.2.6.2.63',
      bsnSignatureAttackerMacAddress => '1.3.6.1.4.1.14179.2.6.2.64',
      bsnLicenseKeyTrapVariable => '1.3.6.1.4.1.14179.2.6.2.65',
      bsnApFunctionalityDisableReasonCode => '1.3.6.1.4.1.14179.2.6.2.66',
      bsnLicenseKeyFeatureSetTrapVariable => '1.3.6.1.4.1.14179.2.6.2.67',
      bsnApRegulatoryDomain => '1.3.6.1.4.1.14179.2.6.2.68',
      bsnAPAuthorizationFailureCause => '1.3.6.1.4.1.14179.2.6.2.69',
      bsnIkeAuthMethod => '1.3.6.1.4.1.14179.2.6.2.7',
      bsnAPIfUpDownCause => '1.3.6.1.4.1.14179.2.6.2.70',
      bsnAPInvalidRadioType => '1.3.6.1.4.1.14179.2.6.2.71',
      locationNotifyContent => '1.3.6.1.4.1.14179.2.6.2.72',
      bsnSignatureMacInfo => '1.3.6.1.4.1.14179.2.6.2.73',
      bsnImpersonatingSourceMacAddr => '1.3.6.1.4.1.14179.2.6.2.74',
      bsnIkeTotalInitFailures => '1.3.6.1.4.1.14179.2.6.2.8',
      bsnAPPreviousChannelNumberTrapVariable => '1.3.6.1.4.1.14179.2.6.2.83',
      bsnAPReasonCodeTrapVariable => '1.3.6.1.4.1.14179.2.6.2.84',
      bsnNoiseBeforeChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.85',
      bsnNoiseAfterChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.86',
      bsnInterferenceBeforeChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.87',
      bsnInterferenceAfterChannelUpdate => '1.3.6.1.4.1.14179.2.6.2.88',
      bsnIkeTotalInitNoResponses => '1.3.6.1.4.1.14179.2.6.2.9',
      bsnTraps => '1.3.6.1.4.1.14179.2.6.3',
      bsnDot11StationDisassociate => '1.3.6.1.4.1.14179.2.6.3.1',
      bsnAPIfDown => '1.3.6.1.4.1.14179.2.6.3.10',
      bsnAPLoadProfileFailed => '1.3.6.1.4.1.14179.2.6.3.11',
      bsnAPNoiseProfileFailed => '1.3.6.1.4.1.14179.2.6.3.12',
      bsnAPInterferenceProfileFailed => '1.3.6.1.4.1.14179.2.6.3.13',
      bsnAPCoverageProfileFailed => '1.3.6.1.4.1.14179.2.6.3.14',
      bsnAPCurrentTxPowerChanged => '1.3.6.1.4.1.14179.2.6.3.15',
      bsnAPCurrentChannelChanged => '1.3.6.1.4.1.14179.2.6.3.16',
      bsnDot11StationDeauthenticate => '1.3.6.1.4.1.14179.2.6.3.2',
      bsnRrmDot11aGroupingDone => '1.3.6.1.4.1.14179.2.6.3.21',
      bsnRrmDot11bGroupingDone => '1.3.6.1.4.1.14179.2.6.3.22',
      bsnConfigSaved => '1.3.6.1.4.1.14179.2.6.3.23',
      bsnDot11EssCreated => '1.3.6.1.4.1.14179.2.6.3.24',
      bsnDot11EssDeleted => '1.3.6.1.4.1.14179.2.6.3.25',
      bsnRADIUSServerNotResponding => '1.3.6.1.4.1.14179.2.6.3.26',
      bsnAuthenticationFailure => '1.3.6.1.4.1.14179.2.6.3.27',
      bsnIpsecEspAuthFailureTrap => '1.3.6.1.4.1.14179.2.6.3.28',
      bsnIpsecEspReplayFailureTrap => '1.3.6.1.4.1.14179.2.6.3.29',
      bsnDot11StationAuthenticateFail => '1.3.6.1.4.1.14179.2.6.3.3',
      bsnIpsecEspInvalidSpiTrap => '1.3.6.1.4.1.14179.2.6.3.31',
      bsnIpsecIkeNegFailure => '1.3.6.1.4.1.14179.2.6.3.33',
      bsnIpsecSuiteNegFailure => '1.3.6.1.4.1.14179.2.6.3.34',
      bsnIpsecInvalidCookieTrap => '1.3.6.1.4.1.14179.2.6.3.35',
      bsnRogueAPDetected => '1.3.6.1.4.1.14179.2.6.3.36',
      bsnAPLoadProfileUpdatedToPass => '1.3.6.1.4.1.14179.2.6.3.37',
      bsnAPNoiseProfileUpdatedToPass => '1.3.6.1.4.1.14179.2.6.3.38',
      bsnAPInterferenceProfileUpdatedToPass => '1.3.6.1.4.1.14179.2.6.3.39',
      bsnDot11StationAssociateFail => '1.3.6.1.4.1.14179.2.6.3.4',
      bsnAPCoverageProfileUpdatedToPass => '1.3.6.1.4.1.14179.2.6.3.40',
      bsnRogueAPRemoved => '1.3.6.1.4.1.14179.2.6.3.41',
      bsnRadiosExceedLicenseCount => '1.3.6.1.4.1.14179.2.6.3.42',
      bsnSensedTemperatureTooHigh => '1.3.6.1.4.1.14179.2.6.3.43',
      bsnSensedTemperatureTooLow => '1.3.6.1.4.1.14179.2.6.3.44',
      bsnTemperatureSensorFailure => '1.3.6.1.4.1.14179.2.6.3.45',
      bsnTemperatureSensorClear => '1.3.6.1.4.1.14179.2.6.3.46',
      bsnPOEControllerFailure => '1.3.6.1.4.1.14179.2.6.3.47',
      bsnMaxRogueCountExceeded => '1.3.6.1.4.1.14179.2.6.3.48',
      bsnMaxRogueCountClear => '1.3.6.1.4.1.14179.2.6.3.49',
      bsnAPUp => '1.3.6.1.4.1.14179.2.6.3.5',
      bsnApMaxRogueCountExceeded => '1.3.6.1.4.1.14179.2.6.3.50',
      bsnApMaxRogueCountClear => '1.3.6.1.4.1.14179.2.6.3.51',
      bsnDot11StationBlacklisted => '1.3.6.1.4.1.14179.2.6.3.52',
      bsnDot11StationAssociate => '1.3.6.1.4.1.14179.2.6.3.53',
      bsnApBigNavDosAttack => '1.3.6.1.4.1.14179.2.6.3.55',
      bsnTooManyUnsuccessLoginAttempts => '1.3.6.1.4.1.14179.2.6.3.56',
      bsnWepKeyDecryptError => '1.3.6.1.4.1.14179.2.6.3.57',
      bsnWpaMicErrorCounterActivated => '1.3.6.1.4.1.14179.2.6.3.58',
      bsnRogueAPDetectedOnWiredNetwork => '1.3.6.1.4.1.14179.2.6.3.59',
      bsnAPDown => '1.3.6.1.4.1.14179.2.6.3.6',
      bsnApHasNoRadioCards => '1.3.6.1.4.1.14179.2.6.3.60',
      bsnDuplicateIpAddressReported => '1.3.6.1.4.1.14179.2.6.3.61',
      bsnAPContainedAsARogue => '1.3.6.1.4.1.14179.2.6.3.62',
      bsnTrustedApHasInvalidSsid => '1.3.6.1.4.1.14179.2.6.3.63',
      bsnTrustedApIsMissing => '1.3.6.1.4.1.14179.2.6.3.64',
      bsnAdhocRogueAutoContained => '1.3.6.1.4.1.14179.2.6.3.65',
      bsnRogueApAutoContained => '1.3.6.1.4.1.14179.2.6.3.66',
      bsnTrustedApHasInvalidEncryption => '1.3.6.1.4.1.14179.2.6.3.67',
      bsnTrustedApHasInvalidRadioPolicy => '1.3.6.1.4.1.14179.2.6.3.68',
      bsnNetworkStateChanged => '1.3.6.1.4.1.14179.2.6.3.69',
      bsnAPAssociated => '1.3.6.1.4.1.14179.2.6.3.7',
      bsnSignatureAttackDetected => '1.3.6.1.4.1.14179.2.6.3.70',
      bsnAPRadioCardTxFailure => '1.3.6.1.4.1.14179.2.6.3.71',
      bsnAPRadioCardTxFailureClear => '1.3.6.1.4.1.14179.2.6.3.72',
      bsnAPRadioCardRxFailure => '1.3.6.1.4.1.14179.2.6.3.73',
      bsnAPRadioCardRxFailureClear => '1.3.6.1.4.1.14179.2.6.3.74',
      bsnAPImpersonationDetected => '1.3.6.1.4.1.14179.2.6.3.75',
      bsnTrustedApHasInvalidPreamble => '1.3.6.1.4.1.14179.2.6.3.76',
      bsnAPIPAddressFallback => '1.3.6.1.4.1.14179.2.6.3.77',
      bsnAPFunctionalityDisabled => '1.3.6.1.4.1.14179.2.6.3.78',
      bsnAPRegulatoryDomainMismatch => '1.3.6.1.4.1.14179.2.6.3.79',
      bsnAPDisassociated => '1.3.6.1.4.1.14179.2.6.3.8',
      bsnRxMulticastQueueFull => '1.3.6.1.4.1.14179.2.6.3.80',
      bsnRadarChannelDetected => '1.3.6.1.4.1.14179.2.6.3.81',
      bsnRadarChannelCleared => '1.3.6.1.4.1.14179.2.6.3.82',
      bsnAPAuthorizationFailure => '1.3.6.1.4.1.14179.2.6.3.83',
      radioCoreDumpTrap => '1.3.6.1.4.1.14179.2.6.3.84',
      invalidRadioTrap => '1.3.6.1.4.1.14179.2.6.3.85',
      countryChangeTrap => '1.3.6.1.4.1.14179.2.6.3.86',
      unsupportedAPTrap => '1.3.6.1.4.1.14179.2.6.3.87',
      heartbeatLossTrap => '1.3.6.1.4.1.14179.2.6.3.88',
      locationNotifyTrap => '1.3.6.1.4.1.14179.2.6.3.89',
      bsnAPIfUp => '1.3.6.1.4.1.14179.2.6.3.9',
      bsnUtility => '1.3.6.1.4.1.14179.2.7',
      bsnSyslog => '1.3.6.1.4.1.14179.2.7.1',
      bsnSyslogEnable => '1.3.6.1.4.1.14179.2.7.1.1',
      bsnSyslogRemoteAddress => '1.3.6.1.4.1.14179.2.7.1.2',
      bsnPing => '1.3.6.1.4.1.14179.2.7.2',
      bsnPingTestTable => '1.3.6.1.4.1.14179.2.7.2.1',
      bsnPingTestEntry => '1.3.6.1.4.1.14179.2.7.2.1.1',
      bsnPingTestId => '1.3.6.1.4.1.14179.2.7.2.1.1.1',
      bsnPingTestIPAddress => '1.3.6.1.4.1.14179.2.7.2.1.1.2',
      bsnPingTestRowStatus => '1.3.6.1.4.1.14179.2.7.2.1.1.25',
      bsnPingTestSendCount => '1.3.6.1.4.1.14179.2.7.2.1.1.3',
      bsnPingTestReceivedCount => '1.3.6.1.4.1.14179.2.7.2.1.1.4',
      bsnPingTestStatus => '1.3.6.1.4.1.14179.2.7.2.1.1.5',
      bsnPingTestMaxTimeInterval => '1.3.6.1.4.1.14179.2.7.2.1.1.6',
      bsnPingTestMinTimeInterval => '1.3.6.1.4.1.14179.2.7.2.1.1.7',
      bsnPingTestAvgTimeInterval => '1.3.6.1.4.1.14179.2.7.2.1.1.8',
      bsnLinkTest => '1.3.6.1.4.1.14179.2.7.3',
      bsnLinkTestTable => '1.3.6.1.4.1.14179.2.7.3.1',
      bsnLinkTestEntry => '1.3.6.1.4.1.14179.2.7.3.1.1',
      bsnLinkTestId => '1.3.6.1.4.1.14179.2.7.3.1.1.1',
      bsnLinkTestMacAddress => '1.3.6.1.4.1.14179.2.7.3.1.1.2',
      bsnLinkTestSendPktCount => '1.3.6.1.4.1.14179.2.7.3.1.1.3',
      bsnLinkTestRowStatus => '1.3.6.1.4.1.14179.2.7.3.1.1.30',
      bsnLinkTestSendPktLength => '1.3.6.1.4.1.14179.2.7.3.1.1.4',
      bsnLinkTestReceivedPktCount => '1.3.6.1.4.1.14179.2.7.3.1.1.5',
      bsnLinkTestClientRSSI => '1.3.6.1.4.1.14179.2.7.3.1.1.6',
      bsnLinkTestLocalSNR => '1.3.6.1.4.1.14179.2.7.3.1.1.7',
      bsnLinkTestLocalRSSI => '1.3.6.1.4.1.14179.2.7.3.1.1.8',
      bsnLinkTestStatus => '1.3.6.1.4.1.14179.2.7.3.1.1.9',
      bsnMobility => '1.3.6.1.4.1.14179.2.8',
      bsnMobilityConfig => '1.3.6.1.4.1.14179.2.8.1',
      bsnMobilityProtocolPortNum => '1.3.6.1.4.1.14179.2.8.1.1',
      bsnMobilityGroupMembersTable => '1.3.6.1.4.1.14179.2.8.1.10',
      bsnMobilityGroupMembersEntry => '1.3.6.1.4.1.14179.2.8.1.10.1',
      bsnMobilityGroupMemberMacAddress => '1.3.6.1.4.1.14179.2.8.1.10.1.1',
      bsnMobilityGroupMemberIPAddress => '1.3.6.1.4.1.14179.2.8.1.10.1.2',
      bsnMobilityGroupMemberRowStatus => '1.3.6.1.4.1.14179.2.8.1.10.1.22',
      bsnMobilityGroupMemberGroupName => '1.3.6.1.4.1.14179.2.8.1.10.1.3',
      bsnMobilityAnchorsTable => '1.3.6.1.4.1.14179.2.8.1.11',
      bsnMobilityAnchorsEntry => '1.3.6.1.4.1.14179.2.8.1.11.1',
      bsnMobilityAnchorWlanSsid => '1.3.6.1.4.1.14179.2.8.1.11.1.1',
      bsnMobilityAnchorSwitchIPAddress => '1.3.6.1.4.1.14179.2.8.1.11.1.2',
      bsnMobilityAnchorRowStatus => '1.3.6.1.4.1.14179.2.8.1.11.1.20',
      bsnMobilityDynamicDiscovery => '1.3.6.1.4.1.14179.2.8.1.3',
      bsnMobilityStatsReset => '1.3.6.1.4.1.14179.2.8.1.4',
      bsnMobilityStats => '1.3.6.1.4.1.14179.2.8.2',
      bsnTotalHandoffRequests => '1.3.6.1.4.1.14179.2.8.2.1',
      bsnTotalReceiveErrors => '1.3.6.1.4.1.14179.2.8.2.10',
      bsnTotalTransmitErrors => '1.3.6.1.4.1.14179.2.8.2.11',
      bsnTotalResponsesRetransmitted => '1.3.6.1.4.1.14179.2.8.2.12',
      bsnTotalHandoffEndRequestsReceived => '1.3.6.1.4.1.14179.2.8.2.13',
      bsnTotalStateTransitionsDisallowed => '1.3.6.1.4.1.14179.2.8.2.14',
      bsnTotalResourceErrors => '1.3.6.1.4.1.14179.2.8.2.15',
      bsnTotalHandoffRequestsSent => '1.3.6.1.4.1.14179.2.8.2.16',
      bsnTotalHandoffRepliesReceived => '1.3.6.1.4.1.14179.2.8.2.17',
      bsnTotalHandoffAsLocalReceived => '1.3.6.1.4.1.14179.2.8.2.18',
      bsnTotalHandoffAsForeignReceived => '1.3.6.1.4.1.14179.2.8.2.19',
      bsnTotalHandoffs => '1.3.6.1.4.1.14179.2.8.2.2',
      bsnTotalHandoffDeniesReceived => '1.3.6.1.4.1.14179.2.8.2.20',
      bsnTotalAnchorRequestsSent => '1.3.6.1.4.1.14179.2.8.2.21',
      bsnTotalAnchorDenyReceived => '1.3.6.1.4.1.14179.2.8.2.22',
      bsnTotalAnchorGrantReceived => '1.3.6.1.4.1.14179.2.8.2.23',
      bsnTotalAnchorTransferReceived => '1.3.6.1.4.1.14179.2.8.2.24',
      bsnTotalHandoffRequestsIgnored => '1.3.6.1.4.1.14179.2.8.2.25',
      bsnTotalPingPongHandoffRequestsDropped => '1.3.6.1.4.1.14179.2.8.2.26',
      bsnTotalHandoffRequestsDropped => '1.3.6.1.4.1.14179.2.8.2.27',
      bsnTotalHandoffRequestsDenied => '1.3.6.1.4.1.14179.2.8.2.28',
      bsnTotalClientHandoffAsLocal => '1.3.6.1.4.1.14179.2.8.2.29',
      bsnCurrentExportedClients => '1.3.6.1.4.1.14179.2.8.2.3',
      bsnTotalClientHandoffAsForeign => '1.3.6.1.4.1.14179.2.8.2.30',
      bsnTotalAnchorRequestsReceived => '1.3.6.1.4.1.14179.2.8.2.31',
      bsnTotalAnchorRequestsDenied => '1.3.6.1.4.1.14179.2.8.2.32',
      bsnTotalAnchorRequestsGranted => '1.3.6.1.4.1.14179.2.8.2.33',
      bsnTotalAnchorTransferred => '1.3.6.1.4.1.14179.2.8.2.34',
      bsnTotalHandoffRequestsReceived => '1.3.6.1.4.1.14179.2.8.2.35',
      bsnTotalExportedClients => '1.3.6.1.4.1.14179.2.8.2.4',
      bsnCurrentImportedClients => '1.3.6.1.4.1.14179.2.8.2.5',
      bsnTotalImportedClients => '1.3.6.1.4.1.14179.2.8.2.6',
      bsnTotalHandoffErrors => '1.3.6.1.4.1.14179.2.8.2.7',
      bsnTotalCommunicationErrors => '1.3.6.1.4.1.14179.2.8.2.8',
      bsnMobilityGroupDirectoryTable => '1.3.6.1.4.1.14179.2.8.2.9',
      bsnMobilityGroupDirectoryEntry => '1.3.6.1.4.1.14179.2.8.2.9.1',
      bsnGroupDirectoryMemberIPAddress => '1.3.6.1.4.1.14179.2.8.2.9.1.1',
      bsnMemberTotalHandoffErrors => '1.3.6.1.4.1.14179.2.8.2.9.1.10',
      bsnGroupDirectoryMemberMacAddress => '1.3.6.1.4.1.14179.2.8.2.9.1.2',
      bsnGroupDirectoryDicoveryType => '1.3.6.1.4.1.14179.2.8.2.9.1.3',
      bsnMemberTotalCommunicationErrors => '1.3.6.1.4.1.14179.2.8.2.9.1.30',
      bsnMemberCurrentAnchoredClients => '1.3.6.1.4.1.14179.2.8.2.9.1.4',
      bsnMemberTotalAnchoredClients => '1.3.6.1.4.1.14179.2.8.2.9.1.5',
      bsnMemberCurrentExportedClients => '1.3.6.1.4.1.14179.2.8.2.9.1.6',
      bsnMemberTotalExportedClients => '1.3.6.1.4.1.14179.2.8.2.9.1.7',
      bsnMemberCurrentImportedClients => '1.3.6.1.4.1.14179.2.8.2.9.1.8',
      bsnMemberTotalImportedClients => '1.3.6.1.4.1.14179.2.8.2.9.1.9',
      bsnIpsec => '1.3.6.1.4.1.14179.2.9',
      bsnWrasIpsecCACertificate => '1.3.6.1.4.1.14179.2.9.1',
      bsnWrasIpsecCACertificateUpdate => '1.3.6.1.4.1.14179.2.9.2',
      bsnWrasIpsecCertTable => '1.3.6.1.4.1.14179.2.9.3',
      bsnWrasIpsecCertEntry => '1.3.6.1.4.1.14179.2.9.3.1',
      bsnWrasIpsecCertName => '1.3.6.1.4.1.14179.2.9.3.1.1',
      bsnWrasIpsecCertificateUpdate => '1.3.6.1.4.1.14179.2.9.3.1.2',
      bsnWrasIpsecCertStatus => '1.3.6.1.4.1.14179.2.9.3.1.24',
      bsnWrasIpsecCertificate => '1.3.6.1.4.1.14179.2.9.3.1.3',
      bsnWrasIpsecCertPassword => '1.3.6.1.4.1.14179.2.9.3.1.4',
  },
  'ASYNCOS-MAIL-MIB' => {
      asyncOSMailObjects => '1.3.6.1.4.1.15497.1.1.1',
      perCentMemoryUtilization => '1.3.6.1.4.1.15497.1.1.1.1.0',
      perCentCPUUtilization => '1.3.6.1.4.1.15497.1.1.1.2.0',
      perCentDiskIOUtilization => '1.3.6.1.4.1.15497.1.1.1.3.0',
      perCentQueueUtilization => '1.3.6.1.4.1.15497.1.1.1.4.0',
      queueAvailabilityStatus => '1.3.6.1.4.1.15497.1.1.1.5.0',
      queueAvailabilityStatusDefinition => {
        1 => 'queueSpaceAvailable',
        2 => 'queueSpaceShortage',
        3 => 'queueFull',
      },
      resourceConservationReason => '1.3.6.1.4.1.15497.1.1.1.6.0',
      memoryAvailabilityStatus => '1.3.6.1.4.1.15497.1.1.1.7.0',
      memoryAvailabilityStatusDefinition => {
        1 => 'memoryAvailable',
        2 => 'memoryShortage',
        3 => 'memoryFull',
      },
      powerSupplyTable => '1.3.6.1.4.1.15497.1.1.1.8',
      powerSupplyEntry => '1.3.6.1.4.1.15497.1.1.1.8.1',
      powerSupplyIndex => '1.3.6.1.4.1.15497.1.1.1.8.1.1',
      powerSupplyStatus => '1.3.6.1.4.1.15497.1.1.1.8.1.2',
      powerSupplyStatusDefinition => {
        1 => 'powerSupplyNotInstalled',
        2 => 'powerSupplyHealthy',
        3 => 'powerSupplyNoAC',
        4 => 'powerSupplyFaulty',
      },
      powerSupplyRedundancy => '1.3.6.1.4.1.15497.1.1.1.8.1.3',
      powerSupplyName => '1.3.6.1.4.1.15497.1.1.1.8.1.4',
      temperatureTable => '1.3.6.1.4.1.15497.1.1.1.9',
      temperatureEntry => '1.3.6.1.4.1.15497.1.1.1.9.1',
      temperatureIndex => '1.3.6.1.4.1.15497.1.1.1.9.1.1',
      degreesCelsius => '1.3.6.1.4.1.15497.1.1.1.9.1.2',
      temperatureName => '1.3.6.1.4.1.15497.1.1.1.9.1.3',
      fanTable => '1.3.6.1.4.1.15497.1.1.1.10',
      fanEntry => '1.3.6.1.4.1.15497.1.1.1.10.1',
      fanIndex => '1.3.6.1.4.1.15497.1.1.1.10.1.1',
      fanRPMs => '1.3.6.1.4.1.15497.1.1.1.10.1.2',
      fanName => '1.3.6.1.4.1.15497.1.1.1.10.1.3',
      workQueueMessages => '1.3.6.1.4.1.15497.1.1.1.11.0',
      keyExpirationTable => '1.3.6.1.4.1.15497.1.1.1.12',
      keyExpirationEntry => '1.3.6.1.4.1.15497.1.1.1.12.1',
      keyExpirationIndex => '1.3.6.1.4.1.15497.1.1.1.12.1.1',
      keyDescription => '1.3.6.1.4.1.15497.1.1.1.12.1.2',
      keyIsPerpetual => '1.3.6.1.4.1.15497.1.1.1.12.1.3',
      keyIsPerpetualDefinition => 'SNMPv2-TC-v1::TruthValue',
      keySecondsUntilExpire => '1.3.6.1.4.1.15497.1.1.1.12.1.4',
      updateTable => '1.3.6.1.4.1.15497.1.1.1.13',
      updateEntry => '1.3.6.1.4.1.15497.1.1.1.13.1',
      updateIndex => '1.3.6.1.4.1.15497.1.1.1.13.1.1',
      updateServiceName => '1.3.6.1.4.1.15497.1.1.1.13.1.2',
      updates => '1.3.6.1.4.1.15497.1.1.1.13.1.3',
      updateFailures => '1.3.6.1.4.1.15497.1.1.1.13.1.4',
      oldestMessageAge => '1.3.6.1.4.1.15497.1.1.1.14.0',
      outstandingDNSRequests => '1.3.6.1.4.1.15497.1.1.1.15.0',
      pendingDNSRequests => '1.3.6.1.4.1.15497.1.1.1.16.0',
      raidEvents => '1.3.6.1.4.1.15497.1.1.1.17.0',
      raidTable => '1.3.6.1.4.1.15497.1.1.1.18',
      raidEntry => '1.3.6.1.4.1.15497.1.1.1.18.1',
      raidIndex => '1.3.6.1.4.1.15497.1.1.1.18.1.1',
      raidStatus => '1.3.6.1.4.1.15497.1.1.1.18.1.2',
      raidStatusDefinition => {
        1 => 'driveHealthy',
        2 => 'driveFailure',
        3 => 'driveRebuild',
      },
      raidID => '1.3.6.1.4.1.15497.1.1.1.18.1.3',
      raidLastError => '1.3.6.1.4.1.15497.1.1.1.18.1.4',
      openFilesOrSockets => '1.3.6.1.4.1.15497.1.1.1.19.0',
      mailTransferThreads => '1.3.6.1.4.1.15497.1.1.1.20.0',
  },
  # END Cisco
  'SW-MIB' => {
      sw => '1.3.6.1.4.1.1588.2.1.1.1',
      swFirmwareVersion => '1.3.6.1.4.1.1588.2.1.1.1.1.6.0',
      swSensorTable => '1.3.6.1.4.1.1588.2.1.1.1.1.22',
      swSensorEntry => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1',
      swSensorIndex => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1.1',
      swSensorType => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1.2',
      swSensorTypeDefinition => {
          1 => 'temperature',
          2 => 'fan',
          3 => 'power-supply',
      },
      swSensorStatus => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1.3',
      swSensorStatusDefinition => {
          1 => 'unknown',
          2 => 'faulty',
          3 => 'below-min',
          4 => 'nominal',
          5 => 'above-max',
          6 => 'absent',
      },
      # the value, -2147483648, represents an unknown quantity
      # In V2.0, the temperature sensor
      # value will be in Celsius; the fan value will be in RPM
      # (revoluation per minute); and the power supply sensor reading
      # will be unknown.
      swSensorValue => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1.4',
      swSensorInfo => '1.3.6.1.4.1.1588.2.1.1.1.1.22.1.5',

      swFwFabricWatchLicense => '1.3.6.1.4.1.1588.2.1.1.1.10.1.0',
      swFwFabricWatchLicenseDefinition => {
          1 => 'swFwLicensed',
          2 => 'swFwNotLicensed',
      },

      swFwThresholdTable => '1.3.6.1.4.1.1588.2.1.1.1.10.3',
      swFwThresholdEntry => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1',
      swFwThresholdIndex => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.1',
      swFwStatus => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.2',
      swFwName => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.3',
      swFwLabel => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.4',
      swFwCurVal => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.5',
      swFwLastEvent => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.6',
      swFwLastEventVal => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.7',
      swFwLastEventTime => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.8',
      swFwLastState => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.9',
      swFwBehaviorType => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.10',
      swFwBehaviorInt => '1.3.6.1.4.1.1588.2.1.1.1.10.3.1.11',

      swCpuOrMemoryUsage => '1.3.6.1.4.1.1588.2.1.1.1.26',
      swCpuUsage => '1.3.6.1.4.1.1588.2.1.1.1.26.1',
        # The system's CPU usage.
      swCpuNoOfRetries => '1.3.6.1.4.1.1588.2.1.1.1.26.2',
        # The number of times the system should take a CPU utilization sample before sending the CPU utilization trap.
      swCpuUsageLimit => '1.3.6.1.4.1.1588.2.1.1.1.26.3',
        # The CPU usage limit.
      swCpuPollingInterval => '1.3.6.1.4.1.1588.2.1.1.1.26.4',
        # The time after which the next CPU usage value will be recorded.
      swCpuAction => '1.3.6.1.4.1.1588.2.1.1.1.26.5',
        # The action to be taken if the CPU usage exceeds the specified threshold limit.
      swMemUsage => '1.3.6.1.4.1.1588.2.1.1.1.26.6',
        # The system's memory usage.
      swMemNoOfRetries => '1.3.6.1.4.1.1588.2.1.1.1.26.7',
        # The number of times the system should take a memory usage sample before sending the Fabric Watch trap that indicates the current memory usage.
      swMemUsageLimit => '1.3.6.1.4.1.1588.2.1.1.1.26.8',
        # The memory usage limit. This OID specifies the in-between threshold value.
      swMemPollingInterval => '1.3.6.1.4.1.1588.2.1.1.1.26.9',
        # The time after which the next memory usage sample will be taken
      swMemAction => '1.3.6.1.4.1.1588.2.1.1.1.26.10',
        # The action to be taken if the memory usage exceed the specified threshold limit.
      swMemUsageLimit1 => '1.3.6.1.4.1.1588.2.1.1.1.26.11',
        # This OID specifies the low threshold value.
      swMemUsageLimit3 => '1.3.6.1.4.1.1588.2.1.1.1.26.12',
        # This OID specifies the high threshold value.
  },
  'ENTITY-MIB' => {
      entPhysicalTable => '1.3.6.1.2.1.47.1.1.1',
      entPhysicalEntry => '1.3.6.1.2.1.47.1.1.1.1',
      entPhysicalIndex => '1.3.6.1.2.1.47.1.1.1.1.1',
      entPhysicalDescr => '1.3.6.1.2.1.47.1.1.1.1.2',
      entPhysicalVendorType => '1.3.6.1.2.1.47.1.1.1.1.3',
      entPhysicalContainedIn => '1.3.6.1.2.1.47.1.1.1.1.4',
      entPhysicalClass => '1.3.6.1.2.1.47.1.1.1.1.5',
      entPhysicalClassDefinition => 'ENTITY-MIB::PhysicalClass',
      entPhysicalParentRelPos => '1.3.6.1.2.1.47.1.1.1.1.6',
      entPhysicalName => '1.3.6.1.2.1.47.1.1.1.1.7',
      entPhysicalHardwareRev => '1.3.6.1.2.1.47.1.1.1.1.8',
      entPhysicalFirmwareRev => '1.3.6.1.2.1.47.1.1.1.1.9',
      entPhysicalSoftwareRev => '1.3.6.1.2.1.47.1.1.1.1.10',
      entPhysicalSerialNum => '1.3.6.1.2.1.47.1.1.1.1.11',
      entPhysicalMfgName => '1.3.6.1.2.1.47.1.1.1.1.12',
      entPhysicalModelName => '1.3.6.1.2.1.47.1.1.1.1.13',
      entPhysicalAlias => '1.3.6.1.2.1.47.1.1.1.1.14',
      entPhysicalAssetID => '1.3.6.1.2.1.47.1.1.1.1.15',
      entPhysicalIsFRU => '1.3.6.1.2.1.47.1.1.1.1.16',
      entPhysicalMfgDate => '1.3.6.1.2.1.47.1.1.1.1.17',
      entPhysicalUris => '1.3.6.1.2.1.47.1.1.1.1.18',

  },
  'UCD-SNMP-MIB' => {
        laTable => '1.3.6.1.4.1.2021.10',
        laEntry => '1.3.6.1.4.1.2021.10.1',
        laIndex => '1.3.6.1.4.1.2021.10.1.1',
        laNames => '1.3.6.1.4.1.2021.10.1.2',
        laLoad => '1.3.6.1.4.1.2021.10.1.3',
        laConfig => '1.3.6.1.4.1.2021.10.1.4',
        laLoadInt => '1.3.6.1.4.1.2021.10.1.5',
        laLoadFloat => '1.3.6.1.4.1.2021.10.1.6',
        laErrorFlag => '1.3.6.1.4.1.2021.10.1.100',
        laErrMessage => '1.3.6.1.4.1.2021.10.1.101',

        memoryGroup => '1.3.6.1.4.1.2021.4',
        memIndex => '1.3.6.1.4.1.2021.4.1',
        memErrorName => '1.3.6.1.4.1.2021.4.2',
        memTotalSwap => '1.3.6.1.4.1.2021.4.3',
        memAvailSwap => '1.3.6.1.4.1.2021.4.4',
        memTotalReal => '1.3.6.1.4.1.2021.4.5',
        memAvailReal => '1.3.6.1.4.1.2021.4.6',
        memTotalSwapTXT => '1.3.6.1.4.1.2021.4.7',
        memAvailSwapTXT => '1.3.6.1.4.1.2021.4.8',
        memTotalRealTXT => '1.3.6.1.4.1.2021.4.9',
        memAvailRealTXT => '1.3.6.1.4.1.2021.4.10',
        memTotalFree => '1.3.6.1.4.1.2021.4.11',
        memMinimumSwap => '1.3.6.1.4.1.2021.4.12',
        memShared => '1.3.6.1.4.1.2021.4.13',
        memBuffer => '1.3.6.1.4.1.2021.4.14',
        memCached => '1.3.6.1.4.1.2021.4.15',
        memSwapError => '1.3.6.1.4.1.2021.4.100',
        memSwapErrorMsg => '1.3.6.1.4.1.2021.4.101',

        systemStatsGroup => '1.3.6.1.4.1.2021.11',
        ssIndex => '1.3.6.1.4.1.2021.11.1',
        ssErrorName => '1.3.6.1.4.1.2021.11.2',
        ssSwapIn => '1.3.6.1.4.1.2021.11.3',
        ssSwapOut => '1.3.6.1.4.1.2021.11.4',
        ssIOSent => '1.3.6.1.4.1.2021.11.5',
        ssIOReceive => '1.3.6.1.4.1.2021.11.6',
        ssSysInterrupts => '1.3.6.1.4.1.2021.11.7',
        ssSysContext => '1.3.6.1.4.1.2021.11.8',
        ssCpuUser => '1.3.6.1.4.1.2021.11.9',
        ssCpuSystem => '1.3.6.1.4.1.2021.11.10',
        ssCpuIdle => '1.3.6.1.4.1.2021.11.11',
        ssCpuRawUser => '1.3.6.1.4.1.2021.11.50',
        ssCpuRawNice => '1.3.6.1.4.1.2021.11.51',
        ssCpuRawSystem => '1.3.6.1.4.1.2021.11.52',
        ssCpuRawIdle => '1.3.6.1.4.1.2021.11.53',
  },
  'FCMGMT-MIB' => {
      fcConnUnitTable => '1.3',
      fcConnUnitEntry => '1.3.1',
      fcConnUnitId => '1.3.1.1',
      fcConnUnitGlobalId => '1.3.1.2',
      fcConnUnitType => '1.3',
      fcConnUnitNumPorts => '1.3.1.4',
      fcConnUnitState => '1.3.1.5',
      fcConnUnitStatus => '1.3.1.6',
      fcConnUnitProduct => '1.3.1.7',
      fcConnUnitSerialNo => '1.3.1.8',
      fcConnUnitUpTime => '1.3.1.9',
      fcConnUnitUrl => '1.3.1.10',
      fcConnUnitDomainId => '1.3.1.11',
      fcConnUnitProxyMaster => '1.3.1.12',
      fcConnUnitPrincipal => '1.3.1.13',
      fcConnUnitNumSensors => '1.3.1.14',
      fcConnUnitNumRevs => '1.3.1.15',
      fcConnUnitModuleId => '1.3.1.16',
      fcConnUnitName => '1.3.1.17',
      fcConnUnitInfo => '1.3.1.18',
      fcConnUnitControl => '1.3.1.19',
      fcConnUnitContact => '1.3.1.20',
      fcConnUnitLocation => '1.3.1.21',
      fcConnUnitEventFilter => '1.3.1.22',
      fcConnUnitNumEvents => '1.3.1.23',
      fcConnUnitMaxEvents => '1.3.1.24',
      fcConnUnitEventCurrID => '1.3.1.25',

      fcConnUnitRevsTable => '1.3.6.1.2.1.8888.1.1.4',
      fcConnUnitRevsEntry => '1.3.6.1.2.1.8888.1.1.4.1',
      fcConnUnitRevsIndex => '1.3.6.1.2.1.8888.1.1.4.1.1',
      fcConnUnitRevsRevision => '1.3.6.1.2.1.8888.1.1.4.1.2',
      fcConnUnitRevsDescription => '1.3',

      fcConnUnitSensorTable => '1.3.6.1.2.1.8888.1.1.5',
      fcConnUnitSensorEntry => '1.3.6.1.2.1.8888.1.1.5.1',
      fcConnUnitSensorIndex => '1.3.6.1.2.1.8888.1.1.5.1.1',
      fcConnUnitSensorName => '1.3.6.1.2.1.8888.1.1.5.1.2',
      fcConnUnitSensorStatus => '1.3.6.1.2.1.8888.1.1.5.1.3',
      fcConnUnitSensorStatusDefinition => {
          1 => 'unknown',
          2 => 'other',
          3 => 'ok',
          4 => 'warning',
          5 => 'failed',
      },
      fcConnUnitSensorInfo => '1.3.6.1.2.1.8888.1.1.5.1.4',
      fcConnUnitSensorMessage => '1.3.6.1.2.1.8888.1.1.5.1.5',
      fcConnUnitSensorType => '1.3.6.1.2.1.8888.1.1.5.1.6',
      fcConnUnitSensorTypeDefinition => {
          1 => 'unknown',
          2 => 'other',
          3 => 'battery',
          4 => 'fan',
          5 => 'powerSupply',
          6 => 'transmitter',
          7 => 'enclosure',
          8 => 'board',
          9 => 'receiver',
      },
      fcConnUnitSensorCharacteristic => '1.3.6.1.2.1.8888.1.1.5.1.7',
      fcConnUnitSensorCharacteristicDefinition => {
          1 => 'unknown',
          2 => 'other',
          3 => 'temperature',
          4 => 'pressure',
          5 => 'emf',
          6 => 'currentValue',
          7 => 'airflow',
          8 => 'frequency',
          9 => 'power',
      },

      fcConnUnitPortTable => '1.3.6.1.2.1.8888.1.1.6',
      fcConnUnitPortEntry => '1.3.6.1.2.1.8888.1.1.6.1',
      fcConnUnitPortIndex => '1.3.6.1.2.1.8888.1.1.6.1.1',
      fcConnUnitPortType => '1.3.6.1.2.1.8888.1.1.6.1.2',
      fcConnUnitPortFCClassCap => '1.3',
      fcConnUnitPortFCClassOp => '1.3.6.1.2.1.8888.1.1.6.1.4',
      fcConnUnitPortState => '1.3.6.1.2.1.8888.1.1.6.1.5',
      fcConnUnitPortStatus => '1.3.6.1.2.1.8888.1.1.6.1.6',
      fcConnUnitPortTransmitterType => '1.3.6.1.2.1.8888.1.1.6.1.7',
      fcConnUnitPortModuleType => '1.3.6.1.2.1.8888.1.1.6.1.8',
      fcConnUnitPortWwn => '1.3.6.1.2.1.8888.1.1.6.1.9',
      fcConnUnitPortFCId => '1.3.6.1.2.1.8888.1.1.6.1.10',
      fcConnUnitPortSerialNo => '1.3.6.1.2.1.8888.1.1.6.1.11',
      fcConnUnitPortRevision => '1.3.6.1.2.1.8888.1.1.6.1.12',
      fcConnUnitPortVendor => '1.3.6.1.2.1.8888.1.1.6.1.13',
      fcConnUnitPortSpeed => '1.3.6.1.2.1.8888.1.1.6.1.14',
      fcConnUnitPortControl => '1.3.6.1.2.1.8888.1.1.6.1.15',
      fcConnUnitPortName => '1.3.6.1.2.1.8888.1.1.6.1.16',
      fcConnUnitPortPhysicalNumber => '1.3.6.1.2.1.8888.1.1.6.1.17',
      fcConnUnitPortProtocolCap => '1.3.6.1.2.1.8888.1.1.6.1.18',
      fcConnUnitPortProtocolOp => '1.3.6.1.2.1.8888.1.1.6.1.19',
      fcConnUnitPortNodeWwn => '1.3.6.1.2.1.8888.1.1.6.1.20',
      fcConnUnitPortHWState => '1.3.6.1.2.1.8888.1.1.6.1.21',

      fcConnUnitEventTable => '1.3.6.1.2.1.8888.1.1.7',
      fcConnUnitEventEntry => '1.3.6.1.2.1.8888.1.1.7.1',
      fcConnUnitEventIndex => '1.3.6.1.2.1.8888.1.1.7.1.1',
      fcConnUnitREventTime => '1.3.6.1.2.1.8888.1.1.7.1.2',
      fcConnUnitSEventTime => '1.3',
      fcConnUnitEventSeverity => '1.3.6.1.2.1.8888.1.1.7.1.4',
      fcConnUnitEventType => '1.3.6.1.2.1.8888.1.1.7.1.5',
      fcConnUnitEventObject => '1.3.6.1.2.1.8888.1.1.7.1.6',
      fcConnUnitEventDescr => '1.3.6.1.2.1.8888.1.1.7.1.7',

      fcConnUnitLinkTable => '1.3.6.1.2.1.8888.1.1.8',
      fcConnUnitLinkEntry => '1.3.6.1.2.1.8888.1.1.8.1',
      fcConnUnitLinkIndex => '1.3.6.1.2.1.8888.1.1.8.1.1',
      fcConnUnitLinkNodeIdX => '1.3.6.1.2.1.8888.1.1.8.1.2',
      fcConnUnitLinkPortNumberX => '1.3',
      fcConnUnitLinkPortWwnX => '1.3.6.1.2.1.8888.1.1.8.1.4',
      fcConnUnitLinkNodeIdY => '1.3.6.1.2.1.8888.1.1.8.1.5',
      fcConnUnitLinkPortNumberY => '1.3.6.1.2.1.8888.1.1.8.1.6',
      fcConnUnitLinkPortWwnY => '1.3.6.1.2.1.8888.1.1.8.1.7',
      fcConnUnitLinkAgentAddressY => '1.3.6.1.2.1.8888.1.1.8.1.8',
      fcConnUnitLinkAgentAddressTypeY => '1.3.6.1.2.1.8888.1.1.8.1.9',
      fcConnUnitLinkAgentPortY => '1.3.6.1.2.1.8888.1.1.8.1.10',
      fcConnUnitLinkUnitTypeY => '1.3.6.1.2.1.8888.1.1.8.1.11',
      fcConnUnitLinkConnIdY => '1.3.6.1.2.1.8888.1.1.8.1.12',

      fcConnUnitPortStatTable => '1.3.1',
      fcConnUnitPortStatEntry => '1.3.1.1',
      fcConnUnitPortStatIndex => '1.3.1.1.1',
      fcConnUnitPortStatErrs => '1.3.1.1.2',
      fcConnUnitPortStatTxObjects => '1.3',
      fcConnUnitPortStatRxObjects => '1.3.1.1.4',
      fcConnUnitPortStatTxElements => '1.3.1.1.5',
      fcConnUnitPortStatRxElements => '1.3.1.1.6',
      fcConnUnitPortStatBBCreditZero => '1.3.1.1.7',
      fcConnUnitPortStatInputBuffsFull => '1.3.1.1.8',
      fcConnUnitPortStatFBSYFrames => '1.3.1.1.9',
      fcConnUnitPortStatPBSYFrames => '1.3.1.1.10',
      fcConnUnitPortStatFRJTFrames => '1.3.1.1.11',
      fcConnUnitPortStatPRJTFrames => '1.3.1.1.12',
      fcConnUnitPortStatC1RxFrames => '1.3.1.1.13',
      fcConnUnitPortStatC1TxFrames => '1.3.1.1.14',
      fcConnUnitPortStatC1FBSYFrames => '1.3.1.1.15',
      fcConnUnitPortStatC1PBSYFrames => '1.3.1.1.16',
      fcConnUnitPortStatC1FRJTFrames => '1.3.1.1.17',
      fcConnUnitPortStatC1PRJTFrames => '1.3.1.1.18',
      fcConnUnitPortStatC2RxFrames => '1.3.1.1.19',
      fcConnUnitPortStatC2TxFrames => '1.3.1.1.20',
      fcConnUnitPortStatC2FBSYFrames => '1.3.1.1.21',
      fcConnUnitPortStatC2PBSYFrames => '1.3.1.1.22',
      fcConnUnitPortStatC2FRJTFrames => '1.3.1.1.23',
      fcConnUnitPortStatC2PRJTFrames => '1.3.1.1.24',
      fcConnUnitPortStatC3RxFrames => '1.3.1.1.25',
      fcConnUnitPortStatC3TxFrames => '1.3.1.1.26',
      fcConnUnitPortStatC3Discards => '1.3.1.1.27',
      fcConnUnitPortStatRxMcastObjects => '1.3.1.1.28',
      fcConnUnitPortStatTxMcastObjects => '1.3.1.1.29',
      fcConnUnitPortStatRxBcastObjects => '1.30',
      fcConnUnitPortStatTxBcastObjects => '1.31',
      fcConnUnitPortStatRxLinkResets => '1.32',
      fcConnUnitPortStatTxLinkResets => '1.33',
      fcConnUnitPortStatLinkResets => '1.34',
      fcConnUnitPortStatRxOfflineSeqs => '1.35',
      fcConnUnitPortStatTxOfflineSeqs => '1.36',
      fcConnUnitPortStatOfflineSeqs => '1.37',
      fcConnUnitPortStatLinkFailures => '1.38',
      fcConnUnitPortStatInvalidCRC => '1.39',
      fcConnUnitPortStatInvalidTxWords => '1.3.1.1.40',
      fcConnUnitPortStatPSPErrs => '1.3.1.1.41',
      fcConnUnitPortStatLossOfSignal => '1.3.1.1.42',
      fcConnUnitPortStatLossOfSync => '1.3.1.1.43',
      fcConnUnitPortStatInvOrderedSets => '1.3.1.1.44',
      fcConnUnitPortStatFramesTooLong => '1.3.1.1.45',
      fcConnUnitPortStatFramesTooShort => '1.3.1.1.46',
      fcConnUnitPortStatAddressErrs => '1.3.1.1.47',
      fcConnUnitPortStatDelimiterErrs => '1.3.1.1.48',
      fcConnUnitPortStatEncodingErrs => '1.3.1.1.49',

      fcConnUnitSnsMaxRows => '1.3.6.1.2.1.8888.1.1.9.0',
      fcConnUnitSnsTable => '1.3.6.1.2.1.8888.1.4.1',
      fcConnUnitSnsEntry => '1.3.6.1.2.1.8888.1.4.1.1',
      fcConnUnitSnsPortIndex => '1.3.6.1.2.1.8888.1.4.1.1.1',
      fcConnUnitSnsPortIdentifier => '1.3.6.1.2.1.8888.1.4.1.1.2',
      fcConnUnitSnsPortName => '1.3',
      fcConnUnitSnsNodeName => '1.3.6.1.2.1.8888.1.4.1.1.4',
      fcConnUnitSnsClassOfSvc => '1.3.6.1.2.1.8888.1.4.1.1.5',
      fcConnUnitSnsNodeIPAddress => '1.3.6.1.2.1.8888.1.4.1.1.6',
      fcConnUnitSnsProcAssoc => '1.3.6.1.2.1.8888.1.4.1.1.7',
      fcConnUnitSnsFC4Type => '1.3.6.1.2.1.8888.1.4.1.1.8',
      fcConnUnitSnsPortType => '1.3.6.1.2.1.8888.1.4.1.1.9',
      fcConnUnitSnsPortIPAddress => '1.3.6.1.2.1.8888.1.4.1.1.10',
      fcConnUnitSnsFabricPortName => '1.3.6.1.2.1.8888.1.4.1.1.11',
      fcConnUnitSnsHardAddress => '1.3.6.1.2.1.8888.1.4.1.1.12',
      fcConnUnitSnsSymbolicPortName => '1.3.6.1.2.1.8888.1.4.1.1.13',
      fcConnUnitSnsSymbolicNodeName => '1.3.6.1.2.1.8888.1.4.1.1.14',
  },
  'FCEOS-MIB' => {
      fcEosSysCurrentDate => '1.3.6.1.4.1.289.2.1.1.2.1.1.0',
      fcEosSysBootDate => '1.3.6.1.4.1.289.2.1.1.2.1.2.0',
      fcEosSysFirmwareVersion => '1.3.6.1.4.1.289.2.1.1.2.1.3.0',
      fcEosSysTypeNum => '1.3.6.1.4.1.289.2.1.1.2.1.4.0',
      fcEosSysModelNum => '1.3.6.1.4.1.289.2.1.1.2.1.5.0',
      fcEosSysMfg => '1.3.6.1.4.1.289.2.1.1.2.1.6.0',
      fcEosSysPlantOfMfg => '1.3.6.1.4.1.289.2.1.1.2.1.7.0',
      fcEosSysEcLevel => '1.3.6.1.4.1.289.2.1.1.2.1.8.0',
      fcEosSysSerialNum => '1.3.6.1.4.1.289.2.1.1.2.1.9.0',
      fcEosSysOperStatus => '1.3.6.1.4.1.289.2.1.1.2.1.10.0',
      fcEosSysOperStatusDefinition => {
          1 => 'operational',
          2 => 'redundant-failure',
          3 => 'minor-failure',
          4 => 'major-failure',
          5 => 'not-operational',
      },
      fcEosSysState => '1.3.6.1.4.1.289.2.1.1.2.1.11.0',
      fcEosSysAdmStatus => '1.3.6.1.4.1.289.2.1.1.2.1.12.0',
      fcEosSysConfigSpeed => '1.3.6.1.4.1.289.2.1.1.2.1.13.0',
      fcEosSysOpenTrunking => '1.3.6.1.4.1.289.2.1.1.2.1.14.0',

      fcEosFruTable => '1.3.6.1.4.1.289.2.1.1.2.2.1',
      fcEosFruEntry => '1.3.6.1.4.1.289.2.1.1.2.2.1.1',
      fcEosFruCode => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.1',
      fcEosFruCodeDefinition => {
          1 => 'fru-bkplane', # Backplane 
          2 => 'fru-ctp', # Control Processor card 
          3 => 'fru-sbar', # Serial Crossbar 
          4 => 'fru-fan2', # Center fan module 
          5 => 'fru-fan', # Fan module 
          6 => 'fru-power', # Power supply module 
          7 => 'fru-reserved', # Reserved, not used 
          8 => 'fru-glsl', # Longwave, Single-Mode, LC connector, 1 Gig 
          9 => 'fru-gsml', # Shortwave, Multi-Mode, LC connector, 1 Gig 
          10 => 'fru-gxxl', # Mixed, LC connector, 1 Gig 
          11 => 'fru-gsf1', # SFO pluggable, 1 Gig 
          12 => 'fru-gsf2', # SFO pluggable, 2 Gig 
          13 => 'fru-glsr', # Longwave, Single-Mode, MT-RJ connector, 1 Gig 
          14 => 'fru-gsmr', # Shortwave, Multi-Mode, MT-RJ connector, 1 Gig 
          15 => 'fru-gxxr', # Mixed, MT-RJ connector, 1 Gig 
          16 => 'fru-fint1', # F-Port, internal, 1 Gig 
      },
      fcEosFruPosition => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.2',
      fcEosFruStatus => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.3',
      fcEosFruStatusDefinition => {
          0 => 'unknown',
          1 => 'active',
          2 => 'backup',
          3 => 'update-busy',
          4 => 'failed',
      },
      fcEosFruPartNumber => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.4',
      fcEosFruSerialNumber => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.5',
      fcEosFruPowerOnHours => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.6',
      fcEosFruTestDate => '1.3.6.1.4.1.289.2.1.1.2.2.1.1.7',

      fcEosTATable => '1.3.6.1.4.1.289.2.1.1.2.6.1',
      fcEosTAEntry => '1.3.6.1.4.1.289.2.1.1.2.6.1.1',
      fcEosTAIndex => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.1',
      fcEosTAName => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.2',
      fcEosTAState => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.3',
      fcEosTAType => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.4',
      fcEosTAPortType => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.5',
      fcEosTAPortList => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.6',
      fcEosTAInterval => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.7',
      fcEosTATriggerValue => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.8',
      fcEosTTADirection => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.9',
      fcEosTTATriggerDuration => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.10',
      fcEosCTACounter => '1.3.6.1.4.1.289.2.1.1.2.6.1.1.11',
  },
  'F5-BIGIP-SYSTEM-MIB' => {
# http://support.f5.com/kb/en-us/products/big-ip_ltm/manuals/product/bigip9_2_2mgmt/BIG-IP_9_2_2nsm_guide-16-1.html
# http://support.f5.com/kb/en-us/products/big-ip_ltm/manuals/product/tmos_management_guide_10_0_0/tmos_appendix_a_traps.html
# http://support.f5.com/kb/en-us/solutions/public/9000/400/sol9476.html
      sysStatMemoryTotal => '1.3.6.1.4.1.3375.2.1.1.2.1.44.0',
      sysStatMemoryUsed => '1.3.6.1.4.1.3375.2.1.1.2.1.45.0',
      sysHostMemoryTotal => '1.3.6.1.4.1.3375.2.1.7.1.1.0',
      sysHostMemoryUsed => '1.3.6.1.4.1.3375.2.1.7.1.2.0',
# http://www.midnight-visions.de/f5-bigip-und-snmp/
      sysStatTmTotalCycles => '1.3.6.1.4.1.3375.2.1.1.2.1.41.0',
      sysStatTmIdleCycles => '1.3.6.1.4.1.3375.2.1.1.2.1.42.0',
      sysStatTmSleepCycles => '1.3.6.1.4.1.3375.2.1.1.2.1.43.0',

      sysCpuNumber => '1.3.6.1.4.1.3375.2.1.3.1.1.0',
      sysCpuTable => '1.3.6.1.4.1.3375.2.1.3.1.2',
      sysCpuEntry => '1.3.6.1.4.1.3375.2.1.3.1.2.1',
      sysCpuIndex => '1.3.6.1.4.1.3375.2.1.3.1.2.1.1',
      sysCpuTemperature => '1.3.6.1.4.1.3375.2.1.3.1.2.1.2',
      sysCpuFanSpeed => '1.3.6.1.4.1.3375.2.1.3.1.2.1.3',
      sysCpuName => '1.3.6.1.4.1.3375.2.1.3.1.2.1.4',
      sysCpuSlot => '1.3.6.1.4.1.3375.2.1.3.1.2.1.5',

      sysChassisFan => '1.3.6.1.4.1.3375.2.1.3.2.1',
      sysChassisFanNumber => '1.3.6.1.4.1.3375.2.1.3.2.1.1.0',
      sysChassisFanTable => '1.3.6.1.4.1.3375.2.1.3.2.1.2',
      sysChassisFanEntry => '1.3.6.1.4.1.3375.2.1.3.2.1.2.1',
      sysChassisFanIndex => '1.3.6.1.4.1.3375.2.1.3.2.1.2.1.1',
      sysChassisFanStatus => '1.3.6.1.4.1.3375.2.1.3.2.1.2.1.2',
      sysChassisFanStatusDefinition => {
          0 => 'bad',
          1 => 'good',
          2 => 'notpresent',
      },
      sysChassisFanSpeed => '1.3.6.1.4.1.3375.2.1.3.2.1.2.1.3',

      sysChassisPowerSupply => '1.3.6.1.4.1.3375.2.1.3.2.2',
      sysChassisPowerSupplyNumber => '1.3.6.1.4.1.3375.2.1.3.2.2.1.0',
      sysChassisPowerSupplyTable => '1.3.6.1.4.1.3375.2.1.3.2.2.2',
      sysChassisPowerSupplyEntry => '1.3.6.1.4.1.3375.2.1.3.2.2.2.1',
      sysChassisPowerSupplyIndex => '1.3.6.1.4.1.3375.2.1.3.2.2.2.1.1',
      sysChassisPowerSupplyStatus => '1.3.6.1.4.1.3375.2.1.3.2.2.2.1.2',
      sysChassisPowerSupplyStatusDefinition => {
          0 => 'bad',
          1 => 'good',
          2 => 'notpresent',
      },

      sysChassisTemp => '1.3.6.1.4.1.3375.2.1.3.2.3',
      sysChassisTempNumber => '1.3.6.1.4.1.3375.2.1.3.2.3.1.0',
      sysChassisTempTable => '1.3.6.1.4.1.3375.2.1.3.2.3.2',
      sysChassisTempEntry => '1.3.6.1.4.1.3375.2.1.3.2.3.2.1',
      sysChassisTempIndex => '1.3.6.1.4.1.3375.2.1.3.2.3.2.1.1',
      sysChassisTempTemperature => '1.3.6.1.4.1.3375.2.1.3.2.3.2.1.2',

      sysProduct => '1.3.6.1.4.1.3375.2.1.4',
      sysProductName => '1.3.6.1.4.1.3375.2.1.4.1.0',
      sysProductVersion => '1.3.6.1.4.1.3375.2.1.4.2.0',
      sysProductBuild => '1.3.6.1.4.1.3375.2.1.4.3.0',
      sysProductEdition => '1.3.6.1.4.1.3375.2.1.4.4.0',
      sysProductDate => '1.3.6.1.4.1.3375.2.1.4.5.0',

      sysSubMemory => '1.3.6.1.4.1.3375.2.1.5',
      sysSubMemoryResetStats => '1.3.6.1.4.1.3375.2.1.5.1.0',
      sysSubMemoryNumber => '1.3.6.1.4.1.3375.2.1.5.2.0',
      sysSubMemoryTable => '1.3.6.1.4.1.3375.2.1.5.3',
      sysSubMemoryEntry => '1.3.6.1.4.1.3375.2.1.5.3.1',
      sysSubMemoryName => '1.3.6.1.4.1.3375.2.1.5.3.1.1',
      sysSubMemoryAllocated => '1.3.6.1.4.1.3375.2.1.5.3.1.2',
      sysSubMemoryMaxAllocated => '1.3.6.1.4.1.3375.2.1.5.3.1.3',
      sysSubMemorySize => '1.3.6.1.4.1.3375.2.1.5.3.1.4',

      sysSystem => '1.3.6.1.4.1.3375.2.1.6',
      sysSystemName => '1.3.6.1.4.1.3375.2.1.6.1.0',
      sysSystemNodeName => '1.3.6.1.4.1.3375.2.1.6.2.0',
      sysSystemRelease => '1.3.6.1.4.1.3375.2.1.6.3.0',
      sysSystemVersion => '1.3.6.1.4.1.3375.2.1.6.4.0',
      sysSystemMachine => '1.3.6.1.4.1.3375.2.1.6.5.0',
      sysSystemUptime => '1.3.6.1.4.1.3375.2.1.6.6.0',
      bigipSystemGroups => '1.3.6.1.4.1.3375.2.5.2.1',
  },
  'HP-ICF-CHASSIS-MIB' => {
      hpicfSensorTable => '1.3.6.1.4.1.11.2.14.11.1.2.6',
      hpicfSensorEntry => '1.3.6.1.4.1.11.2.14.11.1.2.6.1',
      hpicfSensorIndex => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.1',
      hpicfSensorObjectId => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.2',
      hpicfSensorObjectIdDefinition => {
          1 => 'fan sensor',
          2 => 'power supply',
          3 => 'redundant power supply',
          4 => 'over-temperature sensor',
      },
      hpicfSensorNumber => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.3',
      hpicfSensorStatus => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.4',
      hpicfSensorStatusDefinition => {
          1 => 'unknown',
          2 => 'bad',
          3 => 'warning',
          4 => 'good',
          5 => 'notPresent',
      },
      hpicfSensorWarnings => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.5',
      hpicfSensorFailures => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.6',
      hpicfSensorDescr => '1.3.6.1.4.1.11.2.14.11.1.2.6.1.7',
#hpicfSensorObjectId.1 = icfFanSensor
#hpicfSensorObjectId.2 = icfPowerSupplySensor
#hpicfSensorObjectId.3 = icfPowerSupplySensor
#hpicfSensorObjectId.4 = icfTemperatureSensor

#hpicfSensorDescr.1 = Fan Sensor
#hpicfSensorDescr.2 = Power Supply Sensor
#hpicfSensorDescr.3 = Redundant Power Supply Sensor
#hpicfSensorDescr.4 = Over-temperature Sensor

  },
  'F5-BIGIP-LOCAL-MIB' => {
    ltmPoolNumber => '1.3.6.1.4.1.3375.2.2.5.1.1.0',
    ltmPoolTable => '1.3.6.1.4.1.3375.2.2.5.1.2',
    ltmPoolEntry => '1.3.6.1.4.1.3375.2.2.5.1.2.1',
    ltmPoolName => '1.3.6.1.4.1.3375.2.2.5.1.2.1.1',
    ltmPoolLbMode => '1.3.6.1.4.1.3375.2.2.5.1.2.1.2',
    ltmPoolActionOnServiceDown => '1.3.6.1.4.1.3375.2.2.5.1.2.1.3',
    ltmPoolMinUpMembers => '1.3.6.1.4.1.3375.2.2.5.1.2.1.4',
    ltmPoolMinUpMembersEnable => '1.3.6.1.4.1.3375.2.2.5.1.2.1.5',
    ltmPoolMinUpMemberAction => '1.3.6.1.4.1.3375.2.2.5.1.2.1.6',
    ltmPoolMinActiveMembers => '1.3.6.1.4.1.3375.2.2.5.1.2.1.7',
    ltmPoolActiveMemberCnt => '1.3.6.1.4.1.3375.2.2.5.1.2.1.8',
    ltmPoolDisallowSnat => '1.3.6.1.4.1.3375.2.2.5.1.2.1.9',
    ltmPoolDisallowNat => '1.3.6.1.4.1.3375.2.2.5.1.2.1.10',
    ltmPoolSimpleTimeout => '1.3.6.1.4.1.3375.2.2.5.1.2.1.11',
    ltmPoolIpTosToClient => '1.3.6.1.4.1.3375.2.2.5.1.2.1.12',
    ltmPoolIpTosToServer => '1.3.6.1.4.1.3375.2.2.5.1.2.1.13',
    ltmPoolLinkQosToClient => '1.3.6.1.4.1.3375.2.2.5.1.2.1.14',
    ltmPoolLinkQosToServer => '1.3.6.1.4.1.3375.2.2.5.1.2.1.15',
    ltmPoolDynamicRatioSum => '1.3.6.1.4.1.3375.2.2.5.1.2.1.16',
    ltmPoolMonitorRule => '1.3.6.1.4.1.3375.2.2.5.1.2.1.17',
    ltmPoolAvailabilityState => '1.3.6.1.4.1.3375.2.2.5.1.2.1.18',
    ltmPoolEnabledState => '1.3.6.1.4.1.3375.2.2.5.1.2.1.19',
    ltmPoolDisabledParentType => '1.3.6.1.4.1.3375.2.2.5.1.2.1.20',
    ltmPoolStatusReason => '1.3.6.1.4.1.3375.2.2.5.1.2.1.21',
    ltmPoolSlowRampTime => '1.3.6.1.4.1.3375.2.2.5.1.2.1.22',
    ltmPoolMemberCnt => '1.3.6.1.4.1.3375.2.2.5.1.2.1.23',

    ltmPoolStatTable => '1.3.6.1.4.1.3375.2.2.5.2.3',
    ltmPoolStatEntry => '1.3.6.1.4.1.3375.2.2.5.2.3.1',
    ltmPoolStatName => '1.3.6.1.4.1.3375.2.2.5.2.3.1.1',
    ltmPoolStatServerCurConns => '1.3.6.1.4.1.3375.2.2.5.2.3.1.8',
    ltmPoolStatCurSessions => '1.3.6.1.4.1.3375.2.2.5.2.3.1.31',

    ltmPoolMemberTable => '1.3.6.1.4.1.3375.2.2.5.3.2',
    ltmPoolMemberEntry => '1.3.6.1.4.1.3375.2.2.5.3.2.1',
    ltmPoolMemberPoolName => '1.3.6.1.4.1.3375.2.2.5.3.2.1.1',
    ltmPoolMemberAddrType => '1.3.6.1.4.1.3375.2.2.5.3.2.1.2',
    ltmPoolMemberAddr => '1.3.6.1.4.1.3375.2.2.5.3.2.1.3',
    ltmPoolMemberPort => '1.3.6.1.4.1.3375.2.2.5.3.2.1.4',
    ltmPoolMemberConnLimit => '1.3.6.1.4.1.3375.2.2.5.3.2.1.5',
    ltmPoolMemberRatio => '1.3.6.1.4.1.3375.2.2.5.3.2.1.6',
    ltmPoolMemberWeight => '1.3.6.1.4.1.3375.2.2.5.3.2.1.7',
    ltmPoolMemberPriority => '1.3.6.1.4.1.3375.2.2.5.3.2.1.8',
    ltmPoolMemberDynamicRatio => '1.3.6.1.4.1.3375.2.2.5.3.2.1.9',
    ltmPoolMemberMonitorState => '1.3.6.1.4.1.3375.2.2.5.3.2.1.10',
    ltmPoolMemberMonitorStateDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolMemberMonitorState',
    ltmPoolMemberMonitorStatus => '1.3.6.1.4.1.3375.2.2.5.3.2.1.11',
    ltmPoolMemberMonitorStatusDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolMemberMonitorStatus',
    ltmPoolMemberNewSessionEnable => '1.3.6.1.4.1.3375.2.2.5.3.2.1.12',
    ltmPoolMemberSessionStatus => '1.3.6.1.4.1.3375.2.2.5.3.2.1.13',
    ltmPoolMemberMonitorRule => '1.3.6.1.4.1.3375.2.2.5.3.2.1.14',
    ltmPoolMemberAvailabilityState => '1.3.6.1.4.1.3375.2.2.5.3.2.1.15',
    ltmPoolMemberEnabledState => '1.3.6.1.4.1.3375.2.2.5.3.2.1.16',
    ltmPoolMemberDisabledParentType => '1.3.6.1.4.1.3375.2.2.5.3.2.1.17',
    ltmPoolMemberStatusReason => '1.3.6.1.4.1.3375.2.2.5.3.2.1.18',

    ltmPoolStatusNumber => '1.3.6.1.4.1.3375.2.2.5.5.1.0',
    ltmPoolStatusTable => '1.3.6.1.4.1.3375.2.2.5.5.2',
    ltmPoolStatusEntry => '1.3.6.1.4.1.3375.2.2.5.5.2.1',
    ltmPoolStatusName => '1.3.6.1.4.1.3375.2.2.5.5.2.1.1',
    ltmPoolStatusAvailState => '1.3.6.1.4.1.3375.2.2.5.5.2.1.2',
    ltmPoolStatusAvailStateDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolStatusAvailState',
    ltmPoolStatusEnabledState => '1.3.6.1.4.1.3375.2.2.5.5.2.1.3',
    ltmPoolStatusEnabledStateDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolStatusEnabledState',
    ltmPoolStatusParentType => '1.3.6.1.4.1.3375.2.2.5.5.2.1.4',
    ltmPoolStatusDetailReason => '1.3.6.1.4.1.3375.2.2.5.5.2.1.5',

    ltmPoolMbrStatusNumber => '1.3.6.1.4.1.3375.2.2.5.6.1.0',
    ltmPoolMbrStatusTable => '1.3.6.1.4.1.3375.2.2.5.6.2',
    ltmPoolMbrStatusEntry => '1.3.6.1.4.1.3375.2.2.5.6.2.1',
    ltmPoolMbrStatusPoolName => '1.3.6.1.4.1.3375.2.2.5.6.2.1.1',
    ltmPoolMbrStatusAddrType => '1.3.6.1.4.1.3375.2.2.5.6.2.1.2',
    ltmPoolMbrStatusAddr => '1.3.6.1.4.1.3375.2.2.5.6.2.1.3',
    ltmPoolMbrStatusPort => '1.3.6.1.4.1.3375.2.2.5.6.2.1.4',
    ltmPoolMbrStatusAvailState => '1.3.6.1.4.1.3375.2.2.5.6.2.1.5',
    ltmPoolMbrStatusAvailStateDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolMbrStatusAvailState',
    ltmPoolMbrStatusEnabledState => '1.3.6.1.4.1.3375.2.2.5.6.2.1.6',
    ltmPoolMbrStatusEnabledStateDefinition => 'F5-BIGIP-LOCAL-MIB::ltmPoolMbrStatusEnabledState',
    ltmPoolMbrStatusParentType => '1.3.6.1.4.1.3375.2.2.5.6.2.1.7',
    ltmPoolMbrStatusDetailReason => '1.3.6.1.4.1.3375.2.2.5.6.2.1.8',
    ltmPoolMbrStatusNodeName => '1.3.6.1.4.1.3375.2.2.5.6.2.1.9',

    ltmNodeAddrStatusTable => '1.3.6.1.4.1.3375.2.2.4.3.2',
    ltmNodeAddrStatusEntry => '1.3.6.1.4.1.3375.2.2.4.3.2.1',
    ltmNodeAddrStatusAddrType => '1.3.6.1.4.1.3375.2.2.4.3.2.1.1',
    ltmNodeAddrStatusAddr => '1.3.6.1.4.1.3375.2.2.4.3.2.1.2',
    ltmNodeAddrStatusAvailState => '1.3.6.1.4.1.3375.2.2.4.3.2.1.3',
    ltmNodeAddrStatusEnabledState => '1.3.6.1.4.1.3375.2.2.4.3.2.1.4',
    ltmNodeAddrStatusParentType => '1.3.6.1.4.1.3375.2.2.4.3.2.1.5',
    ltmNodeAddrStatusDetailReason => '1.3.6.1.4.1.3375.2.2.4.3.2.1.6',
    ltmNodeAddrStatusName => '1.3.6.1.4.1.3375.2.2.4.3.2.1.7',
  },
  'LOAD-BAL-SYSTEM-MIB' => {
    poolTable => '1.3.6.1.4.1.3375.1.1.7.2',
    poolEntry => '1.3.6.1.4.1.3375.1.1.7.2.1',
    poolName => '1.3.6.1.4.1.3375.1.1.7.2.1.1',
    poolLBMode => '1.3.6.1.4.1.3375.1.1.7.2.1.2',
    poolDependent => '1.3.6.1.4.1.3375.1.1.7.2.1.3',
    poolMemberQty => '1.3.6.1.4.1.3375.1.1.7.2.1.4',
    poolBitsin => '1.3.6.1.4.1.3375.1.1.7.2.1.5',
    poolBitsout => '1.3.6.1.4.1.3375.1.1.7.2.1.6',
    poolBitsinHi32 => '1.3.6.1.4.1.3375.1.1.7.2.1.7',
    poolBitsoutHi32 => '1.3.6.1.4.1.3375.1.1.7.2.1.8',
    poolPktsin => '1.3.6.1.4.1.3375.1.1.7.2.1.9',
    poolPktsout => '1.3.6.1.4.1.3375.1.1.7.2.1.10',
    poolPktsinHi32 => '1.3.6.1.4.1.3375.1.1.7.2.1.11',
    poolPktsoutHi32 => '1.3.6.1.4.1.3375.1.1.7.2.1.12',
    poolMaxConn => '1.3.6.1.4.1.3375.1.1.7.2.1.13',
    poolCurrentConn => '1.3.6.1.4.1.3375.1.1.7.2.1.14',
    poolTotalConn => '1.3.6.1.4.1.3375.1.1.7.2.1.15',
    poolPersistMode => '1.3.6.1.4.1.3375.1.1.7.2.1.16',
    poolSSLTimeout => '1.3.6.1.4.1.3375.1.1.7.2.1.17',
    poolSimpleTimeout => '1.3.6.1.4.1.3375.1.1.7.2.1.18',
    poolSimpleMask => '1.3.6.1.4.1.3375.1.1.7.2.1.19',
    poolStickyMask => '1.3.6.1.4.1.3375.1.1.7.2.1.20',
    poolCookieMode => '1.3.6.1.4.1.3375.1.1.7.2.1.21',
    poolCookieExpiration => '1.3.6.1.4.1.3375.1.1.7.2.1.22',
    poolCookieHashName => '1.3.6.1.4.1.3375.1.1.7.2.1.23',
    poolCookieHashOffset => '1.3.6.1.4.1.3375.1.1.7.2.1.24',
    poolCookieHashLength => '1.3.6.1.4.1.3375.1.1.7.2.1.25',
    poolMinActiveMembers => '1.3.6.1.4.1.3375.1.1.7.2.1.26',
    poolActiveMemberCount => '1.3.6.1.4.1.3375.1.1.7.2.1.27',
    poolPersistMirror => '1.3.6.1.4.1.3375.1.1.7.2.1.28',
    poolFallbackHost => '1.3.6.1.4.1.3375.1.1.7.2.1.29',
    poolMemberTable => '1.3.6.1.4.1.3375.1.1.8.2',
    poolMemberEntry => '1.3.6.1.4.1.3375.1.1.8.2.1',
    poolMemberPoolName => '1.3.6.1.4.1.3375.1.1.8.2.1.1',
    poolMemberIpAddress => '1.3.6.1.4.1.3375.1.1.8.2.1.2',
    poolMemberPort => '1.3.6.1.4.1.3375.1.1.8.2.1.3',
    poolMemberMaintenance => '1.3.6.1.4.1.3375.1.1.8.2.1.4',
    poolMemberRatio => '1.3.6.1.4.1.3375.1.1.8.2.1.5',
    poolMemberPriority => '1.3.6.1.4.1.3375.1.1.8.2.1.6',
    poolMemberWeight => '1.3.6.1.4.1.3375.1.1.8.2.1.7',
    poolMemberRipeness => '1.3.6.1.4.1.3375.1.1.8.2.1.8',
    poolMemberBitsin => '1.3.6.1.4.1.3375.1.1.8.2.1.9',
    poolMemberBitsout => '1.3.6.1.4.1.3375.1.1.8.2.1.10',
    poolMemberBitsinHi32 => '1.3.6.1.4.1.3375.1.1.8.2.1.11',
    poolMemberBitsoutHi32 => '1.3.6.1.4.1.3375.1.1.8.2.1.12',
    poolMemberPktsin => '1.3.6.1.4.1.3375.1.1.8.2.1.13',
    poolMemberPktsout => '1.3.6.1.4.1.3375.1.1.8.2.1.14',
    poolMemberPktsinHi32 => '1.3.6.1.4.1.3375.1.1.8.2.1.15',
    poolMemberPktsoutHi32 => '1.3.6.1.4.1.3375.1.1.8.2.1.16',
    poolMemberConnLimit => '1.3.6.1.4.1.3375.1.1.8.2.1.17',
    poolMemberMaxConn => '1.3.6.1.4.1.3375.1.1.8.2.1.18',
    poolMemberCurrentConn => '1.3.6.1.4.1.3375.1.1.8.2.1.19',
    poolMemberTotalConn => '1.3.6.1.4.1.3375.1.1.8.2.1.20',
    poolMemberStatus => '1.3.6.1.4.1.3375.1.1.8.2.1.21',
    poolMemberIpStatus => '1.3.6.1.4.1.3375.1.1.8.2.1.22',
  },
  'OLD-STATISTICS-MIB' => {
      hpSwitchCpuStat => '1.3.6.1.2.1.1.7.11.12.9.6.1.0',  # 'The CPU utilization in percent(%).'
  },
  'STATISTICS-MIB' => {
      hpSwitchCpuStat => '1.3.6.1.4.1.11.2.14.11.5.1.9.6.1.0',  # 'The CPU utilization in percent(%).'
  },
  'OLD-NETSWITCH-MIB' => {
      # hpLocalMemTotalBytes   1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.5
      # hpLocalMemFreeBytes    1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.6
      # hpLocalMemAllocBytes   1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.7
      hpLocalMemTable => '1.3.6.1.2.1.1.7.11.12.1.2.1.1',
      hpLocalMemEntry => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1',
      hpLocalMemSlotIndex => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.1',
      hpLocalMemSlabCnt => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.2',
      hpLocalMemFreeSegCnt => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.3',
      hpLocalMemAllocSegCnt => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.4',
      hpLocalMemTotalBytes => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.5',
      hpLocalMemFreeBytes => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.6',
      hpLocalMemAllocBytes => '1.3.6.1.2.1.1.7.11.12.1.2.1.1.1.7',
      hpGlobalMemTable => '1.3.6.1.2.1.1.7.11.12.1.2.2.1',
      hpGlobalMemEntry => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1',
      hpGlobalMemSlotIndex => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.1',
      hpGlobalMemSlabCnt => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.2',
      hpGlobalMemFreeSegCnt => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.3',
      hpGlobalMemAllocSegCnt => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.4',
      hpGlobalMemTotalBytes => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.5',
      hpGlobalMemFreeBytes => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.6',
      hpGlobalMemAllocBytes => '1.3.6.1.2.1.1.7.11.12.1.2.2.1.1.7',
  },
  'NETSWITCH-MIB' => { #evt moderner
      hpLocalMemTable => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1',
      hpLocalMemEntry => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1',
      hpLocalMemSlotIndex => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.1',
      hpLocalMemSlabCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.2',
      hpLocalMemFreeSegCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.3',
      hpLocalMemAllocSegCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.4',
      hpLocalMemTotalBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.5',
      hpLocalMemFreeBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.6',
      hpLocalMemAllocBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.7',
      hpGlobalMemTable => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1',
      hpGlobalMemEntry => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1',
      hpGlobalMemSlotIndex => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.1',
      hpGlobalMemSlabCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.2',
      hpGlobalMemFreeSegCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.3',
      hpGlobalMemAllocSegCnt => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.4',
      hpGlobalMemTotalBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.5',
      hpGlobalMemFreeBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.6',
      hpGlobalMemAllocBytes => '1.3.6.1.4.1.11.2.14.11.5.1.1.2.2.1.1.7',
  },
  'CHECKPOINT-MIB' => { #evt moderner
      'checkpoint' => '1.3.6.1.4.1.2620',
      'products' => '1.3.6.1.4.1.2620.1',
      'fw' => '1.3.6.1.4.1.2620.1.1',
      'vpn' => '1.3.6.1.4.1.2620.1.2',
      'fg' => '1.3.6.1.4.1.2620.1.3',
      'ha' => '1.3.6.1.4.1.2620.1.5',
      'svn' => '1.3.6.1.4.1.2620.1.6',
      'mngmt' => '1.3.6.1.4.1.2620.1.7',
      'wam' => '1.3.6.1.4.1.2620.1.8',
      'dtps' => '1.3.6.1.4.1.2620.1.9',
      'ls' => '1.3.6.1.4.1.2620.1.11',
      'fwPolicyStat' => '1.3.6.1.4.1.2620.1.1.25',
      'fwPerfStat' => '1.3.6.1.4.1.2620.1.1.26',
      'fwHmem' => '1.3.6.1.4.1.2620.1.1.26.1',
      'fwKmem' => '1.3.6.1.4.1.2620.1.1.26.2',
      'fwInspect' => '1.3.6.1.4.1.2620.1.1.26.3',
      'fwCookies' => '1.3.6.1.4.1.2620.1.1.26.4',
      'fwChains' => '1.3.6.1.4.1.2620.1.1.26.5',
      'fwFragments' => '1.3.6.1.4.1.2620.1.1.26.6',
      'fwUfp' => '1.3.6.1.4.1.2620.1.1.26.8',
      'fwSS' => '1.3.6.1.4.1.2620.1.1.26.9',
      'fwSS-http' => '1.3.6.1.4.1.2620.1.1.26.9.1',
      'fwSS-ftp' => '1.3.6.1.4.1.2620.1.1.26.9.2',
      'fwSS-telnet' => '1.3.6.1.4.1.2620.1.1.26.9.3',
      'fwSS-rlogin' => '1.3.6.1.4.1.2620.1.1.26.9.4',
      'fwSS-ufp' => '1.3.6.1.4.1.2620.1.1.26.9.5',
      'fwSS-smtp' => '1.3.6.1.4.1.2620.1.1.26.9.6',
      'fw' => '1.3.6.1.4.1.2620.1.1',
      'fwModuleState' => '1.3.6.1.4.1.2620.1.1.1.0',
      'fwFilterName' => '1.3.6.1.4.1.2620.1.1.2.0',
      'fwFilterDate' => '1.3.6.1.4.1.2620.1.1.3.0',
      'fwAccepted' => '1.3.6.1.4.1.2620.1.1.4.0',
      'fwRejected' => '1.3.6.1.4.1.2620.1.1.5.0',
      'fwDropped' => '1.3.6.1.4.1.2620.1.1.6.0',
      'fwLogged' => '1.3.6.1.4.1.2620.1.1.7.0',
      'fwMajor' => '1.3.6.1.4.1.2620.1.1.8.0',
      'fwMinor' => '1.3.6.1.4.1.2620.1.1.9.0',
      'fwProduct' => '1.3.6.1.4.1.2620.1.1.10.0',
      'fwEvent' => '1.3.6.1.4.1.2620.1.1.11.0',
      'fwProdName' => '1.3.6.1.4.1.2620.1.1.21.0',
      'fwVerMajor' => '1.3.6.1.4.1.2620.1.1.22.0',
      'fwVerMinor' => '1.3.6.1.4.1.2620.1.1.23.0',
      'fwKernelBuild' => '1.3.6.1.4.1.2620.1.1.24.0',
      'fwPolicyStat' => '1.3.6.1.4.1.2620.1.1.25',
      'fwPolicyName' => '1.3.6.1.4.1.2620.1.1.25.1.0',
      'fwInstallTime' => '1.3.6.1.4.1.2620.1.1.25.2.0',
      'fwNumConn' => '1.3.6.1.4.1.2620.1.1.25.3.0',
      'fwPeakNumConn' => '1.3.6.1.4.1.2620.1.1.25.4.0',
      'fwIfTable' => '1.3.6.1.4.1.2620.1.1.25.5',
      'fwIfEntry' => '1.3.6.1.4.1.2620.1.1.25.5.1',
      'fwIfIndex' => '1.3.6.1.4.1.2620.1.1.25.5.1.1',
      'fwIfName' => '1.3.6.1.4.1.2620.1.1.25.5.1.2',
      'fwAcceptPcktsIn' => '1.3.6.1.4.1.2620.1.1.25.5.1.5',
      'fwAcceptPcktsOut' => '1.3.6.1.4.1.2620.1.1.25.5.1.6',
      'fwAcceptBytesIn' => '1.3.6.1.4.1.2620.1.1.25.5.1.7',
      'fwAcceptBytesOut' => '1.3.6.1.4.1.2620.1.1.25.5.1.8',
      'fwDropPcktsIn' => '1.3.6.1.4.1.2620.1.1.25.5.1.9',
      'fwDropPcktsOut' => '1.3.6.1.4.1.2620.1.1.25.5.1.10',
      'fwRejectPcktsIn' => '1.3.6.1.4.1.2620.1.1.25.5.1.11',
      'fwRejectPcktsOut' => '1.3.6.1.4.1.2620.1.1.25.5.1.12',
      'fwLogIn' => '1.3.6.1.4.1.2620.1.1.25.5.1.13',
      'fwLogOut' => '1.3.6.1.4.1.2620.1.1.25.5.1.14',
      'fwHmem' => '1.3.6.1.4.1.2620.1.1.26.1',
      'fwHmem-block-size' => '1.3.6.1.4.1.2620.1.1.26.1.1.0',
      'fwHmem-requested-bytes' => '1.3.6.1.4.1.2620.1.1.26.1.2.0',
      'fwHmem-initial-allocated-bytes' => '1.3.6.1.4.1.2620.1.1.26.1.3.0',
      'fwHmem-initial-allocated-blocks' => '1.3.6.1.4.1.2620.1.1.26.1.4.0',
      'fwHmem-initial-allocated-pools' => '1.3.6.1.4.1.2620.1.1.26.1.5.0',
      'fwHmem-current-allocated-bytes' => '1.3.6.1.4.1.2620.1.1.26.1.6.0',
      'fwHmem-current-allocated-blocks' => '1.3.6.1.4.1.2620.1.1.26.1.7.0',
      'fwHmem-current-allocated-pools' => '1.3.6.1.4.1.2620.1.1.26.1.8.0',
      'fwHmem-maximum-bytes' => '1.3.6.1.4.1.2620.1.1.26.1.9.0',
      'fwHmem-maximum-pools' => '1.3.6.1.4.1.2620.1.1.26.1.10.0',
      'fwHmem-bytes-used' => '1.3.6.1.4.1.2620.1.1.26.1.11.0',
      'fwHmem-blocks-used' => '1.3.6.1.4.1.2620.1.1.26.1.12.0',
      'fwHmem-bytes-unused' => '1.3.6.1.4.1.2620.1.1.26.1.13.0',
      'fwHmem-blocks-unused' => '1.3.6.1.4.1.2620.1.1.26.1.14.0',
      'fwHmem-bytes-peak' => '1.3.6.1.4.1.2620.1.1.26.1.15.0',
      'fwHmem-blocks-peak' => '1.3.6.1.4.1.2620.1.1.26.1.16.0',
      'fwHmem-bytes-internal-use' => '1.3.6.1.4.1.2620.1.1.26.1.17.0',
      'fwHmem-number-of-items' => '1.3.6.1.4.1.2620.1.1.26.1.18.0',
      'fwHmem-alloc-operations' => '1.3.6.1.4.1.2620.1.1.26.1.19.0',
      'fwHmem-free-operations' => '1.3.6.1.4.1.2620.1.1.26.1.20.0',
      'fwHmem-failed-alloc' => '1.3.6.1.4.1.2620.1.1.26.1.21.0',
      'fwHmem-failed-free' => '1.3.6.1.4.1.2620.1.1.26.1.22.0',
      'fwKmem' => '1.3.6.1.4.1.2620.1.1.26.2',
      'fwKmem-system-physical-mem' => '1.3.6.1.4.1.2620.1.1.26.2.1.0',
      'fwKmem-available-physical-mem' => '1.3.6.1.4.1.2620.1.1.26.2.2.0',
      'fwKmem-aix-heap-size' => '1.3.6.1.4.1.2620.1.1.26.2.3.0',
      'fwKmem-bytes-used' => '1.3.6.1.4.1.2620.1.1.26.2.4.0',
      'fwKmem-blocking-bytes-used' => '1.3.6.1.4.1.2620.1.1.26.2.5.0',
      'fwKmem-non-blocking-bytes-used' => '1.3.6.1.4.1.2620.1.1.26.2.6.0',
      'fwKmem-bytes-unused' => '1.3.6.1.4.1.2620.1.1.26.2.7.0',
      'fwKmem-bytes-peak' => '1.3.6.1.4.1.2620.1.1.26.2.8.0',
      'fwKmem-blocking-bytes-peak' => '1.3.6.1.4.1.2620.1.1.26.2.9.0',
      'fwKmem-non-blocking-bytes-peak' => '1.3.6.1.4.1.2620.1.1.26.2.10.0',
      'fwKmem-bytes-internal-use' => '1.3.6.1.4.1.2620.1.1.26.2.11.0',
      'fwKmem-number-of-items' => '1.3.6.1.4.1.2620.1.1.26.2.12.0',
      'fwKmem-alloc-operations' => '1.3.6.1.4.1.2620.1.1.26.2.13.0',
      'fwKmem-free-operations' => '1.3.6.1.4.1.2620.1.1.26.2.14.0',
      'fwKmem-failed-alloc' => '1.3.6.1.4.1.2620.1.1.26.2.15.0',
      'fwKmem-failed-free' => '1.3.6.1.4.1.2620.1.1.26.2.16.0',
      'fwInspect' => '1.3.6.1.4.1.2620.1.1.26.3',
      'fwInspect-packets' => '1.3.6.1.4.1.2620.1.1.26.3.1.0',
      'fwInspect-operations' => '1.3.6.1.4.1.2620.1.1.26.3.2.0',
      'fwInspect-lookups' => '1.3.6.1.4.1.2620.1.1.26.3.3.0',
      'fwInspect-record' => '1.3.6.1.4.1.2620.1.1.26.3.4.0',
      'fwInspect-extract' => '1.3.6.1.4.1.2620.1.1.26.3.5.0',
      'fwCookies' => '1.3.6.1.4.1.2620.1.1.26.4',
      'fwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.1.0',
      'fwCookies-allocfwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.2.0',
      'fwCookies-freefwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.3.0',
      'fwCookies-dupfwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.4.0',
      'fwCookies-getfwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.5.0',
      'fwCookies-putfwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.6.0',
      'fwCookies-lenfwCookies-total' => '1.3.6.1.4.1.2620.1.1.26.4.7.0',
      'fwChains' => '1.3.6.1.4.1.2620.1.1.26.5',
      'fwChains-alloc' => '1.3.6.1.4.1.2620.1.1.26.5.1.0',
      'fwChains-free' => '1.3.6.1.4.1.2620.1.1.26.5.2.0',
      'fwFragments' => '1.3.6.1.4.1.2620.1.1.26.6',
      'fwFrag-fragments' => '1.3.6.1.4.1.2620.1.1.26.6.1.0',
      'fwFrag-expired' => '1.3.6.1.4.1.2620.1.1.26.6.2.0',
      'fwFrag-packets' => '1.3.6.1.4.1.2620.1.1.26.6.3.0',
      'fwUfp' => '1.3.6.1.4.1.2620.1.1.26.8',
      'fwUfpHitRatio' => '1.3.6.1.4.1.2620.1.1.26.8.1.0',
      'fwUfpInspected' => '1.3.6.1.4.1.2620.1.1.26.8.2.0',
      'fwUfpHits' => '1.3.6.1.4.1.2620.1.1.26.8.3.0',
      'fwSS-http' => '1.3.6.1.4.1.2620.1.1.26.9.1',
      'fwSS-http-pid' => '1.3.6.1.4.1.2620.1.1.26.9.1.1.0',
      'fwSS-http-proto' => '1.3.6.1.4.1.2620.1.1.26.9.1.2.0',
      'fwSS-http-port' => '1.3.6.1.4.1.2620.1.1.26.9.1.3.0',
      'fwSS-http-logical-port' => '1.3.6.1.4.1.2620.1.1.26.9.1.4.0',
      'fwSS-http-max-avail-socket' => '1.3.6.1.4.1.2620.1.1.26.9.1.5.0',
      'fwSS-http-socket-in-use-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.6.0',
      'fwSS-http-socket-in-use-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.7.0',
      'fwSS-http-socket-in-use-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.8.0',
      'fwSS-http-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.9.0',
      'fwSS-http-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.10.0',
      'fwSS-http-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.11.0',
      'fwSS-http-auth-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.12.0',
      'fwSS-http-auth-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.13.0',
      'fwSS-http-auth-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.14.0',
      'fwSS-http-accepted-sess' => '1.3.6.1.4.1.2620.1.1.26.9.1.15.0',
      'fwSS-http-rejected-sess' => '1.3.6.1.4.1.2620.1.1.26.9.1.16.0',
      'fwSS-http-auth-failures' => '1.3.6.1.4.1.2620.1.1.26.9.1.17.0',
      'fwSS-http-ops-cvp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.18.0',
      'fwSS-http-ops-cvp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.19.0',
      'fwSS-http-ops-cvp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.20.0',
      'fwSS-http-ops-cvp-rej-sess' => '1.3.6.1.4.1.2620.1.1.26.9.1.21.0',
      'fwSS-http-ssl-encryp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.22.0',
      'fwSS-http-ssl-encryp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.23.0',
      'fwSS-http-ssl-encryp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.24.0',
      'fwSS-http-transp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.25.0',
      'fwSS-http-transp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.26.0',
      'fwSS-http-transp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.27.0',
      'fwSS-http-proxied-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.28.0',
      'fwSS-http-proxied-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.29.0',
      'fwSS-http-proxied-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.30.0',
      'fwSS-http-tunneled-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.31.0',
      'fwSS-http-tunneled-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.32.0',
      'fwSS-http-tunneled-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.33.0',
      'fwSS-http-ftp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.1.34.0',
      'fwSS-http-ftp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.1.35.0',
      'fwSS-http-ftp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.1.36.0',
      'fwSS-http-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.1.37.0',
      'fwSS-http-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.1.38.0',
      'fwSS-ftp' => '1.3.6.1.4.1.2620.1.1.26.9.2',
      'fwSS-ftp-pid' => '1.3.6.1.4.1.2620.1.1.26.9.2.1.0',
      'fwSS-ftp-proto' => '1.3.6.1.4.1.2620.1.1.26.9.2.2.0',
      'fwSS-ftp-port' => '1.3.6.1.4.1.2620.1.1.26.9.2.3.0',
      'fwSS-ftp-logical-port' => '1.3.6.1.4.1.2620.1.1.26.9.2.4.0',
      'fwSS-ftp-max-avail-socket' => '1.3.6.1.4.1.2620.1.1.26.9.2.5.0',
      'fwSS-ftp-socket-in-use-max' => '1.3.6.1.4.1.2620.1.1.26.9.2.6.0',
      'fwSS-ftp-socket-in-use-curr' => '1.3.6.1.4.1.2620.1.1.26.9.2.7.0',
      'fwSS-ftp-socket-in-use-count' => '1.3.6.1.4.1.2620.1.1.26.9.2.8.0',
      'fwSS-ftp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.2.9.0',
      'fwSS-ftp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.2.10.0',
      'fwSS-ftp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.2.11.0',
      'fwSS-ftp-auth-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.2.12.0',
      'fwSS-ftp-auth-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.2.13.0',
      'fwSS-ftp-auth-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.2.14.0',
      'fwSS-ftp-accepted-sess' => '1.3.6.1.4.1.2620.1.1.26.9.2.15.0',
      'fwSS-ftp-rejected-sess' => '1.3.6.1.4.1.2620.1.1.26.9.2.16.0',
      'fwSS-ftp-auth-failures' => '1.3.6.1.4.1.2620.1.1.26.9.2.17.0',
      'fwSS-ftp-ops-cvp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.2.18.0',
      'fwSS-ftp-ops-cvp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.2.19.0',
      'fwSS-ftp-ops-cvp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.2.20.0',
      'fwSS-ftp-ops-cvp-rej-sess' => '1.3.6.1.4.1.2620.1.1.26.9.2.21.0',
      'fwSS-ftp-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.2.22.0',
      'fwSS-ftp-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.2.23.0',
      'fwSS-telnet' => '1.3.6.1.4.1.2620.1.1.26.9.3',
      'fwSS-telnet-pid' => '1.3.6.1.4.1.2620.1.1.26.9.3.1.0',
      'fwSS-telnet-proto' => '1.3.6.1.4.1.2620.1.1.26.9.3.2.0',
      'fwSS-telnet-port' => '1.3.6.1.4.1.2620.1.1.26.9.3.3.0',
      'fwSS-telnet-logical-port' => '1.3.6.1.4.1.2620.1.1.26.9.3.4.0',
      'fwSS-telnet-max-avail-socket' => '1.3.6.1.4.1.2620.1.1.26.9.3.5.0',
      'fwSS-telnet-socket-in-use-max' => '1.3.6.1.4.1.2620.1.1.26.9.3.6.0',
      'fwSS-telnet-socket-in-use-curr' => '1.3.6.1.4.1.2620.1.1.26.9.3.7.0',
      'fwSS-telnet-socket-in-use-count' => '1.3.6.1.4.1.2620.1.1.26.9.3.8.0',
      'fwSS-telnet-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.3.9.0',
      'fwSS-telnet-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.3.10.0',
      'fwSS-telnet-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.3.11.0',
      'fwSS-telnet-auth-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.3.12.0',
      'fwSS-telnet-auth-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.3.13.0',
      'fwSS-telnet-auth-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.3.14.0',
      'fwSS-telnet-accepted-sess' => '1.3.6.1.4.1.2620.1.1.26.9.3.15.0',
      'fwSS-telnet-rejected-sess' => '1.3.6.1.4.1.2620.1.1.26.9.3.16.0',
      'fwSS-telnet-auth-failures' => '1.3.6.1.4.1.2620.1.1.26.9.3.17.0',
      'fwSS-telnet-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.3.18.0',
      'fwSS-telnet-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.3.19.0',
      'fwSS-rlogin' => '1.3.6.1.4.1.2620.1.1.26.9.4',
      'fwSS-rlogin-pid' => '1.3.6.1.4.1.2620.1.1.26.9.4.1.0',
      'fwSS-rlogin-proto' => '1.3.6.1.4.1.2620.1.1.26.9.4.2.0',
      'fwSS-rlogin-port' => '1.3.6.1.4.1.2620.1.1.26.9.4.3.0',
      'fwSS-rlogin-logical-port' => '1.3.6.1.4.1.2620.1.1.26.9.4.4.0',
      'fwSS-rlogin-max-avail-socket' => '1.3.6.1.4.1.2620.1.1.26.9.4.5.0',
      'fwSS-rlogin-socket-in-use-max' => '1.3.6.1.4.1.2620.1.1.26.9.4.6.0',
      'fwSS-rlogin-socket-in-use-curr' => '1.3.6.1.4.1.2620.1.1.26.9.4.7.0',
      'fwSS-rlogin-socket-in-use-count' => '1.3.6.1.4.1.2620.1.1.26.9.4.8.0',
      'fwSS-rlogin-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.4.9.0',
      'fwSS-rlogin-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.4.10.0',
      'fwSS-rlogin-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.4.11.0',
      'fwSS-rlogin-auth-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.4.12.0',
      'fwSS-rlogin-auth-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.4.13.0',
      'fwSS-rlogin-auth-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.4.14.0',
      'fwSS-rlogin-accepted-sess' => '1.3.6.1.4.1.2620.1.1.26.9.4.15.0',
      'fwSS-rlogin-rejected-sess' => '1.3.6.1.4.1.2620.1.1.26.9.4.16.0',
      'fwSS-rlogin-auth-failures' => '1.3.6.1.4.1.2620.1.1.26.9.4.17.0',
      'fwSS-rlogin-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.4.18.0',
      'fwSS-rlogin-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.4.19.0',
      'fwSS-ufp' => '1.3.6.1.4.1.2620.1.1.26.9.5',
      'fwSS-ufp-ops-ufp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.5.1.0',
      'fwSS-ufp-ops-ufp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.5.2.0',
      'fwSS-ufp-ops-ufp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.5.3.0',
      'fwSS-ufp-ops-ufp-rej-sess' => '1.3.6.1.4.1.2620.1.1.26.9.5.4.0',
      'fwSS-ufp-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.5.5.0',
      'fwSS-ufp-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.5.6.0',
      'fwSS-smtp' => '1.3.6.1.4.1.2620.1.1.26.9.6',
      'fwSS-smtp-pid' => '1.3.6.1.4.1.2620.1.1.26.9.6.1.0',
      'fwSS-smtp-proto' => '1.3.6.1.4.1.2620.1.1.26.9.6.2.0',
      'fwSS-smtp-port' => '1.3.6.1.4.1.2620.1.1.26.9.6.3.0',
      'fwSS-smtp-logical-port' => '1.3.6.1.4.1.2620.1.1.26.9.6.4.0',
      'fwSS-smtp-max-avail-socket' => '1.3.6.1.4.1.2620.1.1.26.9.6.5.0',
      'fwSS-smtp-socket-in-use-max' => '1.3.6.1.4.1.2620.1.1.26.9.6.6.0',
      'fwSS-smtp-socket-in-use-curr' => '1.3.6.1.4.1.2620.1.1.26.9.6.7.0',
      'fwSS-smtp-socket-in-use-count' => '1.3.6.1.4.1.2620.1.1.26.9.6.8.0',
      'fwSS-smtp-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.6.9.0',
      'fwSS-smtp-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.6.10.0',
      'fwSS-smtp-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.6.11.0',
      'fwSS-smtp-auth-sess-max' => '1.3.6.1.4.1.2620.1.1.26.9.6.12.0',
      'fwSS-smtp-auth-sess-curr' => '1.3.6.1.4.1.2620.1.1.26.9.6.13.0',
      'fwSS-smtp-auth-sess-count' => '1.3.6.1.4.1.2620.1.1.26.9.6.14.0',
      'fwSS-smtp-accepted-sess' => '1.3.6.1.4.1.2620.1.1.26.9.6.15.0',
      'fwSS-smtp-rejected-sess' => '1.3.6.1.4.1.2620.1.1.26.9.6.16.0',
      'fwSS-smtp-auth-failures' => '1.3.6.1.4.1.2620.1.1.26.9.6.17.0',
      'fwSS-smtp-mail-max' => '1.3.6.1.4.1.2620.1.1.26.9.6.18.0',
      'fwSS-smtp-mail-curr' => '1.3.6.1.4.1.2620.1.1.26.9.6.19.0',
      'fwSS-smtp-mail-count' => '1.3.6.1.4.1.2620.1.1.26.9.6.20.0',
      'fwSS-smtp-outgoing-mail-max' => '1.3.6.1.4.1.2620.1.1.26.9.6.21.0',
      'fwSS-smtp-outgoing-mail-curr' => '1.3.6.1.4.1.2620.1.1.26.9.6.22.0',
      'fwSS-smtp-outgoing-mail-count' => '1.3.6.1.4.1.2620.1.1.26.9.6.23.0',
      'fwSS-smtp-max-mail-on-conn' => '1.3.6.1.4.1.2620.1.1.26.9.6.24.0',
      'fwSS-smtp-total-mails' => '1.3.6.1.4.1.2620.1.1.26.9.6.25.0',
      'fwSS-smtp-time-stamp' => '1.3.6.1.4.1.2620.1.1.26.9.6.26.0',
      'fwSS-smtp-is-alive' => '1.3.6.1.4.1.2620.1.1.26.9.6.27.0',
      'cpvGeneral' => '1.3.6.1.4.1.2620.1.2.4',
      'cpvIpsec' => '1.3.6.1.4.1.2620.1.2.5',
      'cpvFwz' => '1.3.6.1.4.1.2620.1.2.6',
      'cpvAccelerator' => '1.3.6.1.4.1.2620.1.2.8',
      'cpvIKE' => '1.3.6.1.4.1.2620.1.2.9',
      'cpvIPsec' => '1.3.6.1.4.1.2620.1.2.10',
      'cpvStatistics' => '1.3.6.1.4.1.2620.1.2.4.1',
      'cpvErrors' => '1.3.6.1.4.1.2620.1.2.4.2',
      'cpvSaStatistics' => '1.3.6.1.4.1.2620.1.2.5.2',
      'cpvSaErrors' => '1.3.6.1.4.1.2620.1.2.5.3',
      'cpvIpsecStatistics' => '1.3.6.1.4.1.2620.1.2.5.4',
      'cpvFwzStatistics' => '1.3.6.1.4.1.2620.1.2.6.1',
      'cpvFwzErrors' => '1.3.6.1.4.1.2620.1.2.6.2',
      'cpvHwAccelGeneral' => '1.3.6.1.4.1.2620.1.2.8.1',
      'cpvHwAccelStatistics' => '1.3.6.1.4.1.2620.1.2.8.2',
      'cpvIKEglobals' => '1.3.6.1.4.1.2620.1.2.9.1',
      'cpvIKEerrors' => '1.3.6.1.4.1.2620.1.2.9.2',
      'cpvIPsecNIC' => '1.3.6.1.4.1.2620.1.2.10.1',
      'vpn' => '1.3.6.1.4.1.2620.1.2',
      'cpvProdName' => '1.3.6.1.4.1.2620.1.2.1.0',
      'cpvVerMajor' => '1.3.6.1.4.1.2620.1.2.2.0',
      'cpvVerMinor' => '1.3.6.1.4.1.2620.1.2.3.0',
      'cpvStatistics' => '1.3.6.1.4.1.2620.1.2.4.1',
      'cpvEncPackets' => '1.3.6.1.4.1.2620.1.2.4.1.1.0',
      'cpvDecPackets' => '1.3.6.1.4.1.2620.1.2.4.1.2.0',
      'cpvErrors' => '1.3.6.1.4.1.2620.1.2.4.2',
      'cpvErrOut' => '1.3.6.1.4.1.2620.1.2.4.2.1.0',
      'cpvErrIn' => '1.3.6.1.4.1.2620.1.2.4.2.2.0',
      'cpvErrIke' => '1.3.6.1.4.1.2620.1.2.4.2.3.0',
      'cpvErrPolicy' => '1.3.6.1.4.1.2620.1.2.4.2.4.0',
      'cpvSaStatistics' => '1.3.6.1.4.1.2620.1.2.5.2',
      'cpvCurrEspSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.1.0',
      'cpvTotalEspSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.2.0',
      'cpvCurrEspSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.3.0',
      'cpvTotalEspSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.4.0',
      'cpvCurrAhSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.5.0',
      'cpvTotalAhSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.6.0',
      'cpvCurrAhSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.7.0',
      'cpvTotalAhSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.8.0',
      'cpvMaxConncurEspSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.9.0',
      'cpvMaxConncurEspSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.10.0',
      'cpvMaxConncurAhSAsIn' => '1.3.6.1.4.1.2620.1.2.5.2.11.0',
      'cpvMaxConncurAhSAsOut' => '1.3.6.1.4.1.2620.1.2.5.2.12.0',
      'cpvSaErrors' => '1.3.6.1.4.1.2620.1.2.5.3',
      'cpvSaDecrErr' => '1.3.6.1.4.1.2620.1.2.5.3.1.0',
      'cpvSaAuthErr' => '1.3.6.1.4.1.2620.1.2.5.3.2.0',
      'cpvSaReplayErr' => '1.3.6.1.4.1.2620.1.2.5.3.3.0',
      'cpvSaPolicyErr' => '1.3.6.1.4.1.2620.1.2.5.3.4.0',
      'cpvSaOtherErrIn' => '1.3.6.1.4.1.2620.1.2.5.3.5.0',
      'cpvSaOtherErrOut' => '1.3.6.1.4.1.2620.1.2.5.3.6.0',
      'cpvSaUnknownSpiErr' => '1.3.6.1.4.1.2620.1.2.5.3.7.0',
      'cpvIpsecStatistics' => '1.3.6.1.4.1.2620.1.2.5.4',
      'cpvIpsecUdpEspEncPkts' => '1.3.6.1.4.1.2620.1.2.5.4.1.0',
      'cpvIpsecUdpEspDecPkts' => '1.3.6.1.4.1.2620.1.2.5.4.2.0',
      'cpvIpsecAhEncPkts' => '1.3.6.1.4.1.2620.1.2.5.4.3.0',
      'cpvIpsecAhDecPkts' => '1.3.6.1.4.1.2620.1.2.5.4.4.0',
      'cpvIpsecEspEncPkts' => '1.3.6.1.4.1.2620.1.2.5.4.5.0',
      'cpvIpsecEspDecPkts' => '1.3.6.1.4.1.2620.1.2.5.4.6.0',
      'cpvIpsecDecomprBytesBefore' => '1.3.6.1.4.1.2620.1.2.5.4.7.0',
      'cpvIpsecDecomprBytesAfter' => '1.3.6.1.4.1.2620.1.2.5.4.8.0',
      'cpvIpsecDecomprOverhead' => '1.3.6.1.4.1.2620.1.2.5.4.9.0',
      'cpvIpsecDecomprPkts' => '1.3.6.1.4.1.2620.1.2.5.4.10.0',
      'cpvIpsecDecomprErr' => '1.3.6.1.4.1.2620.1.2.5.4.11.0',
      'cpvIpsecComprBytesBefore' => '1.3.6.1.4.1.2620.1.2.5.4.12.0',
      'cpvIpsecComprBytesAfter' => '1.3.6.1.4.1.2620.1.2.5.4.13.0',
      'cpvIpsecComprOverhead' => '1.3.6.1.4.1.2620.1.2.5.4.14.0',
      'cpvIpsecNonCompressibleBytes' => '1.3.6.1.4.1.2620.1.2.5.4.15.0',
      'cpvIpsecCompressiblePkts' => '1.3.6.1.4.1.2620.1.2.5.4.16.0',
      'cpvIpsecNonCompressiblePkts' => '1.3.6.1.4.1.2620.1.2.5.4.17.0',
      'cpvIpsecComprErrors' => '1.3.6.1.4.1.2620.1.2.5.4.18.0',
      'cpvIpsecEspEncBytes' => '1.3.6.1.4.1.2620.1.2.5.4.19.0',
      'cpvIpsecEspDecBytes' => '1.3.6.1.4.1.2620.1.2.5.4.20.0',
      'cpvFwzStatistics' => '1.3.6.1.4.1.2620.1.2.6.1',
      'cpvFwzEncapsEncPkts' => '1.3.6.1.4.1.2620.1.2.6.1.1.0',
      'cpvFwzEncapsDecPkts' => '1.3.6.1.4.1.2620.1.2.6.1.2.0',
      'cpvFwzEncPkts' => '1.3.6.1.4.1.2620.1.2.6.1.3.0',
      'cpvFwzDecPkts' => '1.3.6.1.4.1.2620.1.2.6.1.4.0',
      'cpvFwzErrors' => '1.3.6.1.4.1.2620.1.2.6.2',
      'cpvFwzEncapsEncErrs' => '1.3.6.1.4.1.2620.1.2.6.2.1.0',
      'cpvFwzEncapsDecErrs' => '1.3.6.1.4.1.2620.1.2.6.2.2.0',
      'cpvFwzEncErrs' => '1.3.6.1.4.1.2620.1.2.6.2.3.0',
      'cpvFwzDecErrs' => '1.3.6.1.4.1.2620.1.2.6.2.4.0',
      'cpvHwAccelGeneral' => '1.3.6.1.4.1.2620.1.2.8.1',
      'cpvHwAccelVendor' => '1.3.6.1.4.1.2620.1.2.8.1.1.0',
      'cpvHwAccelStatus' => '1.3.6.1.4.1.2620.1.2.8.1.2.0',
      'cpvHwAccelDriverMajorVer' => '1.3.6.1.4.1.2620.1.2.8.1.3.0',
      'cpvHwAccelDriverMinorVer' => '1.3.6.1.4.1.2620.1.2.8.1.4.0',
      'cpvHwAccelStatistics' => '1.3.6.1.4.1.2620.1.2.8.2',
      'cpvHwAccelEspEncPkts' => '1.3.6.1.4.1.2620.1.2.8.2.1.0',
      'cpvHwAccelEspDecPkts' => '1.3.6.1.4.1.2620.1.2.8.2.2.0',
      'cpvHwAccelEspEncBytes' => '1.3.6.1.4.1.2620.1.2.8.2.3.0',
      'cpvHwAccelEspDecBytes' => '1.3.6.1.4.1.2620.1.2.8.2.4.0',
      'cpvHwAccelAhEncPkts' => '1.3.6.1.4.1.2620.1.2.8.2.5.0',
      'cpvHwAccelAhDecPkts' => '1.3.6.1.4.1.2620.1.2.8.2.6.0',
      'cpvHwAccelAhEncBytes' => '1.3.6.1.4.1.2620.1.2.8.2.7.0',
      'cpvHwAccelAhDecBytes' => '1.3.6.1.4.1.2620.1.2.8.2.8.0',
      'cpvIKEglobals' => '1.3.6.1.4.1.2620.1.2.9.1',
      'cpvIKECurrSAs' => '1.3.6.1.4.1.2620.1.2.9.1.1.0',
      'cpvIKECurrInitSAs' => '1.3.6.1.4.1.2620.1.2.9.1.2.0',
      'cpvIKECurrRespSAs' => '1.3.6.1.4.1.2620.1.2.9.1.3.0',
      'cpvIKETotalSAs' => '1.3.6.1.4.1.2620.1.2.9.1.4.0',
      'cpvIKETotalInitSAs' => '1.3.6.1.4.1.2620.1.2.9.1.5.0',
      'cpvIKETotalRespSAs' => '1.3.6.1.4.1.2620.1.2.9.1.6.0',
      'cpvIKETotalSAsAttempts' => '1.3.6.1.4.1.2620.1.2.9.1.7.0',
      'cpvIKETotalSAsInitAttempts' => '1.3.6.1.4.1.2620.1.2.9.1.8.0',
      'cpvIKETotalSAsRespAttempts' => '1.3.6.1.4.1.2620.1.2.9.1.9.0',
      'cpvIKEMaxConncurSAs' => '1.3.6.1.4.1.2620.1.2.9.1.10.0',
      'cpvIKEMaxConncurInitSAs' => '1.3.6.1.4.1.2620.1.2.9.1.11.0',
      'cpvIKEMaxConncurRespSAs' => '1.3.6.1.4.1.2620.1.2.9.1.12.0',
      'cpvIKEerrors' => '1.3.6.1.4.1.2620.1.2.9.2',
      'cpvIKETotalFailuresInit' => '1.3.6.1.4.1.2620.1.2.9.2.1.0',
      'cpvIKENoResp' => '1.3.6.1.4.1.2620.1.2.9.2.2.0',
      'cpvIKETotalFailuresResp' => '1.3.6.1.4.1.2620.1.2.9.2.3.0',
      'cpvIPsecNIC' => '1.3.6.1.4.1.2620.1.2.10.1',
      'cpvIPsecNICsNum' => '1.3.6.1.4.1.2620.1.2.10.1.1.0',
      'cpvIPsecNICTotalDownLoadedSAs' => '1.3.6.1.4.1.2620.1.2.10.1.2.0',
      'cpvIPsecNICCurrDownLoadedSAs' => '1.3.6.1.4.1.2620.1.2.10.1.3.0',
      'cpvIPsecNICDecrBytes' => '1.3.6.1.4.1.2620.1.2.10.1.4.0',
      'cpvIPsecNICEncrBytes' => '1.3.6.1.4.1.2620.1.2.10.1.5.0',
      'cpvIPsecNICDecrPackets' => '1.3.6.1.4.1.2620.1.2.10.1.6.0',
      'cpvIPsecNICEncrPackets' => '1.3.6.1.4.1.2620.1.2.10.1.7.0',
      'vpn' => '1.3.6.1.4.1.2620.1.2',
      'cpvTnlMon' => '1.3.6.1.4.1.2620.1.2.11',
      'cpvTnlMonEntry' => '1.3.6.1.4.1.2620.1.2.11.1',
      'cpvTnlMonAddr' => '1.3.6.1.4.1.2620.1.2.11.1.1',
      'cpvTnlMonStatus' => '1.3.6.1.4.1.2620.1.2.11.1.2',
      'cpvTnlMonCurrAddr' => '1.3.6.1.4.1.2620.1.2.11.1.3',
      'fg' => '1.3.6.1.4.1.2620.1.3',
      'fgProdName' => '1.3.6.1.4.1.2620.1.3.1.0',
      'fgVerMajor' => '1.3.6.1.4.1.2620.1.3.2.0',
      'fgVerMinor' => '1.3.6.1.4.1.2620.1.3.3.0',
      'fgVersionString' => '1.3.6.1.4.1.2620.1.3.4.0',
      'fgModuleKernelBuild' => '1.3.6.1.4.1.2620.1.3.5.0',
      'fgStrPolicyName' => '1.3.6.1.4.1.2620.1.3.6.0',
      'fgInstallTime' => '1.3.6.1.4.1.2620.1.3.7.0',
      'fgNumInterfaces' => '1.3.6.1.4.1.2620.1.3.8.0',
      'fgIfTable' => '1.3.6.1.4.1.2620.1.3.9',
      'fgIfEntry' => '1.3.6.1.4.1.2620.1.3.9.1',
      'fgIfIndex' => '1.3.6.1.4.1.2620.1.3.9.1.1',
      'fgIfName' => '1.3.6.1.4.1.2620.1.3.9.1.2',
      'fgPolicyName' => '1.3.6.1.4.1.2620.1.3.9.1.3',
      'fgRateLimitIn' => '1.3.6.1.4.1.2620.1.3.9.1.4',
      'fgRateLimitOut' => '1.3.6.1.4.1.2620.1.3.9.1.5',
      'fgAvrRateIn' => '1.3.6.1.4.1.2620.1.3.9.1.6',
      'fgAvrRateOut' => '1.3.6.1.4.1.2620.1.3.9.1.7',
      'fgRetransPcktsIn' => '1.3.6.1.4.1.2620.1.3.9.1.8',
      'fgRetransPcktsOut' => '1.3.6.1.4.1.2620.1.3.9.1.9',
      'fgPendPcktsIn' => '1.3.6.1.4.1.2620.1.3.9.1.10',
      'fgPendPcktsOut' => '1.3.6.1.4.1.2620.1.3.9.1.11',
      'fgPendBytesIn' => '1.3.6.1.4.1.2620.1.3.9.1.12',
      'fgPendBytesOut' => '1.3.6.1.4.1.2620.1.3.9.1.13',
      'fgNumConnIn' => '1.3.6.1.4.1.2620.1.3.9.1.14',
      'fgNumConnOut' => '1.3.6.1.4.1.2620.1.3.9.1.15',
      'ha' => '1.3.6.1.4.1.2620.1.5',
      'haProdName' => '1.3.6.1.4.1.2620.1.5.1.0',
      'haInstalled' => '1.3.6.1.4.1.2620.1.5.2.0',
      'haVerMajor' => '1.3.6.1.4.1.2620.1.5.3.0',
      'haVerMinor' => '1.3.6.1.4.1.2620.1.5.4.0',
      'haStarted' => '1.3.6.1.4.1.2620.1.5.5.0',
      'haState' => '1.3.6.1.4.1.2620.1.5.6.0',
      'haBlockState' => '1.3.6.1.4.1.2620.1.5.7.0',
      'haIdentifier' => '1.3.6.1.4.1.2620.1.5.8.0',
      'haProtoVersion' => '1.3.6.1.4.1.2620.1.5.10.0',
      'haWorkMode' => '1.3.6.1.4.1.2620.1.5.11.0',
      'haVersionSting' => '1.3.6.1.4.1.2620.1.5.14.0',
      'haStatCode' => '1.3.6.1.4.1.2620.1.5.101.0',
      'haStatShort' => '1.3.6.1.4.1.2620.1.5.102.0',
      'haStatLong' => '1.3.6.1.4.1.2620.1.5.103.0',
      'haServicePack' => '1.3.6.1.4.1.2620.1.5.999.0',
      'haIfTable' => '1.3.6.1.4.1.2620.1.5.12',
      'haIfEntry' => '1.3.6.1.4.1.2620.1.5.12.1',
      'haIfIndex' => '1.3.6.1.4.1.2620.1.5.12.1.1',
      'haIfName' => '1.3.6.1.4.1.2620.1.5.12.1.2',
      'haIP' => '1.3.6.1.4.1.2620.1.5.12.1.3',
      'haStatus' => '1.3.6.1.4.1.2620.1.5.12.1.4',
      'haVerified' => '1.3.6.1.4.1.2620.1.5.12.1.5',
      'haTrusted' => '1.3.6.1.4.1.2620.1.5.12.1.6',
      'haShared' => '1.3.6.1.4.1.2620.1.5.12.1.7',
      'haProblemTable' => '1.3.6.1.4.1.2620.1.5.13',
      'haProblemEntry' => '1.3.6.1.4.1.2620.1.5.13.1',
      'haProblemIndex' => '1.3.6.1.4.1.2620.1.5.13.1.1',
      'haProblemName' => '1.3.6.1.4.1.2620.1.5.13.1.2',
      'haProblemStatus' => '1.3.6.1.4.1.2620.1.5.13.1.3',
      'haProblemPriority' => '1.3.6.1.4.1.2620.1.5.13.1.4',
      'haProblemVerified' => '1.3.6.1.4.1.2620.1.5.13.1.5',
      'haProblemDescr' => '1.3.6.1.4.1.2620.1.5.13.1.6',
      'svnInfo' => '1.3.6.1.4.1.2620.1.6.4',
      'svnOSInfo' => '1.3.6.1.4.1.2620.1.6.5',
      'svnPerf' => '1.3.6.1.4.1.2620.1.6.7',
      'svnMem' => '1.3.6.1.4.1.2620.1.6.7.1',
      'svnProc' => '1.3.6.1.4.1.2620.1.6.7.2',
      'svnDisk' => '1.3.6.1.4.1.2620.1.6.7.3',
      'svnMem64' => '1.3.6.1.4.1.2620.1.6.7.4',
      'svn' => '1.3.6.1.4.1.2620.1.6',
      'svnProdName' => '1.3.6.1.4.1.2620.1.6.1.0',
      'svnProdVerMajor' => '1.3.6.1.4.1.2620.1.6.2.0',
      'svnProdVerMinor' => '1.3.6.1.4.1.2620.1.6.3.0',
      'svnInfo' => '1.3.6.1.4.1.2620.1.6.4',
      'svnVersion' => '1.3.6.1.4.1.2620.1.6.4.1.0',
      'svnBuild' => '1.3.6.1.4.1.2620.1.6.4.2.0',
      'svnOSInfo' => '1.3.6.1.4.1.2620.1.6.5',
      'osName' => '1.3.6.1.4.1.2620.1.6.5.1.0',
      'osMajorVer' => '1.3.6.1.4.1.2620.1.6.5.2.0',
      'osMinorVer' => '1.3.6.1.4.1.2620.1.6.5.3.0',
      'osBuildNum' => '1.3.6.1.4.1.2620.1.6.5.4.0',
      'osSPmajor' => '1.3.6.1.4.1.2620.1.6.5.5.0',
      'osSPminor' => '1.3.6.1.4.1.2620.1.6.5.6.0',
      'osVersionLevel' => '1.3.6.1.4.1.2620.1.6.5.7.0',
      'svnMem' => '1.3.6.1.4.1.2620.1.6.7.1',
      'memTotalVirtual' => '1.3.6.1.4.1.2620.1.6.7.1.1.0',
      'memActiveVirtual' => '1.3.6.1.4.1.2620.1.6.7.1.2.0',
      'memTotalReal' => '1.3.6.1.4.1.2620.1.6.7.1.3.0',
      'memActiveReal' => '1.3.6.1.4.1.2620.1.6.7.1.4.0',
      'memFreeReal' => '1.3.6.1.4.1.2620.1.6.7.1.5.0',
      'memSwapsSec' => '1.3.6.1.4.1.2620.1.6.7.1.6.0',
      'memDiskTransfers' => '1.3.6.1.4.1.2620.1.6.7.1.7.0',
      'svnProc' => '1.3.6.1.4.1.2620.1.6.7.2',
      'procUsrTime' => '1.3.6.1.4.1.2620.1.6.7.2.1.0',
      'procSysTime' => '1.3.6.1.4.1.2620.1.6.7.2.2.0',
      'procIdleTime' => '1.3.6.1.4.1.2620.1.6.7.2.3.0',
      'procUsage' => '1.3.6.1.4.1.2620.1.6.7.2.4.0',
      'procQueue' => '1.3.6.1.4.1.2620.1.6.7.2.5.0',
      'procInterrupts' => '1.3.6.1.4.1.2620.1.6.7.2.6.0',
      'procNum' => '1.3.6.1.4.1.2620.1.6.7.2.7.0',
      'svnDisk' => '1.3.6.1.4.1.2620.1.6.7.3',
      'diskTime' => '1.3.6.1.4.1.2620.1.6.7.3.1.0',
      'diskQueue' => '1.3.6.1.4.1.2620.1.6.7.3.2.0',
      'diskPercent' => '1.3.6.1.4.1.2620.1.6.7.3.3.0',
      'diskFreeTotal' => '1.3.6.1.4.1.2620.1.6.7.3.4.0',
      'diskFreeAvail' => '1.3.6.1.4.1.2620.1.6.7.3.5.0',
      'diskTotal' => '1.3.6.1.4.1.2620.1.6.7.3.6.0',
      'svnMem64' => '1.3.6.1.4.1.2620.1.6.7.4',
      'memTotalVirtual64' => '1.3.6.1.4.1.2620.1.6.7.4.1.0',
      'memActiveVirtual64' => '1.3.6.1.4.1.2620.1.6.7.4.2.0',
      'memTotalReal64' => '1.3.6.1.4.1.2620.1.6.7.4.3.0',
      'memActiveReal64' => '1.3.6.1.4.1.2620.1.6.7.4.4.0',
      'memFreeReal64' => '1.3.6.1.4.1.2620.1.6.7.4.5.0',
      'memSwapsSec64' => '1.3.6.1.4.1.2620.1.6.7.4.6.0',
      'memDiskTransfers64' => '1.3.6.1.4.1.2620.1.6.7.4.7.0',
      'svn' => '1.3.6.1.4.1.2620.1.6',
      'routingTable' => '1.3.6.1.4.1.2620.1.6.6',
      'routingEntry' => '1.3.6.1.4.1.2620.1.6.6.1',
      'routingIndex' => '1.3.6.1.4.1.2620.1.6.6.1.1',
      'routingDest' => '1.3.6.1.4.1.2620.1.6.6.1.2',
      'routingMask' => '1.3.6.1.4.1.2620.1.6.6.1.3',
      'routingGatweway' => '1.3.6.1.4.1.2620.1.6.6.1.4',
      'routingIntrfName' => '1.3.6.1.4.1.2620.1.6.6.1.5',
      'svnStatCode' => '1.3.6.1.4.1.2620.1.6.101.0',
      'svnStatShortDescr' => '1.3.6.1.4.1.2620.1.6.102.0',
      'svnStatLongDescr' => '1.3.6.1.4.1.2620.1.6.103.0',
      'svnServicePack' => '1.3.6.1.4.1.2620.1.6.999.0',
      'mngmt' => '1.3.6.1.4.1.2620.1.7',
      'mgProdName' => '1.3.6.1.4.1.2620.1.7.1.0',
      'mgVerMajor' => '1.3.6.1.4.1.2620.1.7.2.0',
      'mgVerMinor' => '1.3.6.1.4.1.2620.1.7.3.0',
      'mgBuildNumber' => '1.3.6.1.4.1.2620.1.7.4.0',
      'mgActiveStatus' => '1.3.6.1.4.1.2620.1.7.5.0',
      'mgFwmIsAlive' => '1.3.6.1.4.1.2620.1.7.6.0',
      'mgConnectedClientsTable' => '1.3.6.1.4.1.2620.1.7.7',
      'mgConnectedClientsEntry' => '1.3.6.1.4.1.2620.1.7.7.1',
      'mgIndex' => '1.3.6.1.4.1.2620.1.7.7.1.1',
      'mgClientName' => '1.3.6.1.4.1.2620.1.7.7.1.2',
      'mgClientHost' => '1.3.6.1.4.1.2620.1.7.7.1.3',
      'mgClientDbLock' => '1.3.6.1.4.1.2620.1.7.7.1.4',
      'mgApplicationType' => '1.3.6.1.4.1.2620.1.7.7.1.5',
      'mgStatCode' => '1.3.6.1.4.1.2620.1.7.101.0',
      'mgStatShortDescr' => '1.3.6.1.4.1.2620.1.7.102.0',
      'mgStatLongDescr' => '1.3.6.1.4.1.2620.1.7.103.0',
      'wamPluginPerformance' => '1.3.6.1.4.1.2620.1.8.6',
      'wamPolicy' => '1.3.6.1.4.1.2620.1.8.7',
      'wamUagQueries' => '1.3.6.1.4.1.2620.1.8.8',
      'wamGlobalPerformance' => '1.3.6.1.4.1.2620.1.8.9',
      'wam' => '1.3.6.1.4.1.2620.1.8',
      'wamProdName' => '1.3.6.1.4.1.2620.1.8.1.0',
      'wamVerMajor' => '1.3.6.1.4.1.2620.1.8.2.0',
      'wamVerMinor' => '1.3.6.1.4.1.2620.1.8.3.0',
      'wamState' => '1.3.6.1.4.1.2620.1.8.4.0',
      'wamName' => '1.3.6.1.4.1.2620.1.8.5.0',
      'wamStatCode' => '1.3.6.1.4.1.2620.1.8.101.0',
      'wamStatShortDescr' => '1.3.6.1.4.1.2620.1.8.102.0',
      'wamStatLongDescr' => '1.3.6.1.4.1.2620.1.8.103.0',
      'wamPluginPerformance' => '1.3.6.1.4.1.2620.1.8.6',
      'wamAcceptReq' => '1.3.6.1.4.1.2620.1.8.6.1.0',
      'wamRejectReq' => '1.3.6.1.4.1.2620.1.8.6.2.0',
      'wamPolicy' => '1.3.6.1.4.1.2620.1.8.7',
      'wamPolicyName' => '1.3.6.1.4.1.2620.1.8.7.1.0',
      'wamPolicyUpdate' => '1.3.6.1.4.1.2620.1.8.7.2.0',
      'wamUagQueries' => '1.3.6.1.4.1.2620.1.8.8',
      'wamUagHost' => '1.3.6.1.4.1.2620.1.8.8.1.0',
      'wamUagIp' => '1.3.6.1.4.1.2620.1.8.8.2.0',
      'wamUagPort' => '1.3.6.1.4.1.2620.1.8.8.3.0',
      'wamUagNoQueries' => '1.3.6.1.4.1.2620.1.8.8.4.0',
      'wamUagLastQuery' => '1.3.6.1.4.1.2620.1.8.8.5.0',
      'wamGlobalPerformance' => '1.3.6.1.4.1.2620.1.8.9',
      'wamOpenSessions' => '1.3.6.1.4.1.2620.1.8.9.1.0',
      'wamLastSession' => '1.3.6.1.4.1.2620.1.8.9.2.0',
      'dtps' => '1.3.6.1.4.1.2620.1.9',
      'dtpsProdName' => '1.3.6.1.4.1.2620.1.9.1.0',
      'dtpsVerMajor' => '1.3.6.1.4.1.2620.1.9.2.0',
      'dtpsVerMinor' => '1.3.6.1.4.1.2620.1.9.3.0',
      'dtpsLicensedUsers' => '1.3.6.1.4.1.2620.1.9.4.0',
      'dtpsConnectedUsers' => '1.3.6.1.4.1.2620.1.9.5.0',
      'dtpsStatCode' => '1.3.6.1.4.1.2620.1.9.101.0',
      'dtpsStatShortDescr' => '1.3.6.1.4.1.2620.1.9.102.0',
      'dtpsStatLongDescr' => '1.3.6.1.4.1.2620.1.9.103.0',
      'ls' => '1.3.6.1.4.1.2620.1.11',
      'lsProdName' => '1.3.6.1.4.1.2620.1.11.1.0',
      'lsVerMajor' => '1.3.6.1.4.1.2620.1.11.2.0',
      'lsVerMinor' => '1.3.6.1.4.1.2620.1.11.3.0',
      'lsBuildNumber' => '1.3.6.1.4.1.2620.1.11.4.0',
      'lsFwmIsAlive' => '1.3.6.1.4.1.2620.1.11.5.0',
      'lsStatCode' => '1.3.6.1.4.1.2620.1.11.101.0',
      'lsStatShortDescr' => '1.3.6.1.4.1.2620.1.11.102.0',
      'lsStatLongDescr' => '1.3.6.1.4.1.2620.1.11.103.0',
      'lsConnectedClientsTable' => '1.3.6.1.4.1.2620.1.11.7',
      'lsConnectedClientsEntry' => '1.3.6.1.4.1.2620.1.11.7.1',
      'lsIndex' => '1.3.6.1.4.1.2620.1.11.7.1.1',
      'lsClientName' => '1.3.6.1.4.1.2620.1.11.7.1.2',
      'lsClientHost' => '1.3.6.1.4.1.2620.1.11.7.1.3',
      'lsClientDbLock' => '1.3.6.1.4.1.2620.1.11.7.1.4',
      'lsApplicationType' => '1.3.6.1.4.1.2620.1.11.7.1.5',
      # undocumented?
      # https://sc1.checkpoint.com/documents/R76/CP_R76_Splat_AdminGuide/51555.htm
      'volumesTable' => '1.3.6.1.4.1.2620.1.6.7.7.1',
      'volumesEntry' => '1.3.6.1.4.1.2620.1.6.7.7.1.1',
      'volumesIndex' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.1',
      'volumesVolumeID' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.2',
      'volumesVolumeType' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.3',
      'volumesNumberOfDisks' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.4',
      'volumesVolumeSize' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.5',
      'volumesVolumeState' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.6',
      'volumesVolumeStateDefinition' => {
          0 => 'optimal',
          1 => 'degraded',
          2 => 'failed',
      },
      'volumesVolumeFlags' => '1.3.6.1.4.1.2620.1.6.7.7.1.1.7',
      'volumesVolumeFlagsDefinition' => {
          0 => 'enabled',
          1 => 'quiesced',
          2 => 'resync_in_progress',
          3 => 'volume_inactive',
      },
      'disksTable' => '1.3.6.1.4.1.2620.1.6.7.7.2',
      'disksEntry' => '1.3.6.1.4.1.2620.1.6.7.7.2.1',
      'disksIndex' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.1',
      'disksVolumeID' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.2',
      'disksScsiID' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.3',
      'disksDiskNumber' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.4',
      'disksDiskNumber' => {
          0 => 'upper',
          1 => 'lower',
      },
      'disksVendor' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.5',
      'disksProductID' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.6',
      'disksRevision' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.7',
      'disksSize' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.8',
      'disksState' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.9',
      'disksStateDefinition' => {
          0 => 'online',
          1 => 'missing',
          2 => 'not_compatible',
          3 => 'failed',
          4 => 'initializing',
          5 => 'offline_requested',
          6 => 'failed_requested',
          7 => 'other_offline',
      },
      'disksFlags' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.10',
      'disksFlagsDefinition' => {
          0 => 'out_of_sync',
          1 => 'quiesced',
          16 => 'ok',
      },
      'disksSyncState' => '1.3.6.1.4.1.2620.1.6.7.7.2.1.11',
      'sensorsTemperatureTable' => '1.3.6.1.4.1.2620.1.6.7.8.1',
      'sensorsTemperatureEntry' => '1.3.6.1.4.1.2620.1.6.7.8.1.1',
      'sensorsTemperatureIndex' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.1',
      'sensorsTemperatureName' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.2',
      'sensorsTemperatureValue' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.3',
      'sensorsTemperatureUOM' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.4',
      'sensorsTemperatureType' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.5',
      'sensorsTemperatureStatus' => '1.3.6.1.4.1.2620.1.6.7.8.1.1.6',
      'sensorsTemperatureStatusDefinition' => {
          0 => 'normal', # In normal range
          1 => 'abnormal', # Out of normal range
          2 => 'unknown', # Reading error
      },

      'sensorsFanTable' => '1.3.6.1.4.1.2620.1.6.7.8.2',
      'sensorsFanEntry' => '1.3.6.1.4.1.2620.1.6.7.8.2.1',
      'sensorsFanIndex' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.1',
      'sensorsFanName' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.2',
      'sensorsFanValue' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.3',
      'sensorsFanUOM' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.4',
      'sensorsFanType' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.5',
      'sensorsFanStatus' => '1.3.6.1.4.1.2620.1.6.7.8.2.1.6',
      'sensorsFanStatusDefinition' => {
          0 => 'normal',
          1 => 'abnormal',
          2 => 'unknown',
      },

      'sensorsVoltageTable' => '1.3.6.1.4.1.2620.1.6.7.8.3',
      'sensorsVoltageEntry' => '1.3.6.1.4.1.2620.1.6.7.8.3.1',
      'sensorsVoltageIndex' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.1',
      'sensorsVoltageName' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.2',
      'sensorsVoltageValue' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.3',
      'sensorsVoltageUOM' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.4',
      'sensorsVoltageType' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.5',
      'sensorsVoltageStatus' => '1.3.6.1.4.1.2620.1.6.7.8.3.1.6',
      'sensorsVoltageStatusDefinition' => {
          0 => 'normal',
          1 => 'abnormal',
          2 => 'unknown',
      },
  },
  'CLAVISTER-MIB' => {
      'clvSystem' => '1.3.6.1.4.1.5089.1.2.1',
      'clvSysCpuLoad' => '1.3.6.1.4.1.5089.1.2.1.1.0',
      'clvHWSensorTable' => '1.3.6.1.4.1.5089.1.2.1.11',
      'clvHWSensorEntry' => '1.3.6.1.4.1.5089.1.2.1.11.1',
      'clvHWSensorIndex' => '1.3.6.1.4.1.5089.1.2.1.11.1.1',
      'clvHWSensorName' => '1.3.6.1.4.1.5089.1.2.1.11.1.2',
      'clvHWSensorValue' => '1.3.6.1.4.1.5089.1.2.1.11.1.3',
      'clvHWSensorUnit' => '1.3.6.1.4.1.5089.1.2.1.11.1.4',
      'clvSysMemUsage' => '1.3.6.1.4.1.5089.1.2.1.12.0',
  },
  'NETSCREEN-RESOURCE-MIB' => {
      nsResCpuAvg => '1.3.6.1.4.1.3224.16.1.1.0',
      nsResCpuLast15Min => '1.3.6.1.4.1.3224.16.1.4.0',
      nsResCpuLast1Min => '1.3.6.1.4.1.3224.16.1.2.0',
      nsResCpuLast5Min => '1.3.6.1.4.1.3224.16.1.3.0',
      nsResMemAllocate => '1.3.6.1.4.1.3224.16.2.1.0',
      nsResMemFrag => '1.3.6.1.4.1.3224.16.2.3.0',
      nsResMemLeft => '1.3.6.1.4.1.3224.16.2.2.0',
      nsResSessAllocate => '1.3.6.1.4.1.3224.16.3.2.0',
      nsResSessFailed => '1.3.6.1.4.1.3224.16.3.4.0',
      nsResSessMaxium => '1.3.6.1.4.1.3224.16.3.3.0',
  },
  'NETSCREEN-CHASSIS-MIB' => {
      nsPowerTable => '1.3.6.1.4.1.3224.21.1',
      nsPowerEntry => '1.3.6.1.4.1.3224.21.1.1',
      nsPowerId => '1.3.6.1.4.1.3224.21.1.1.1',
      nsPowerStatus => '1.3.6.1.4.1.3224.21.1.1.2',
      nsPowerStatusDefinition => {
          0 => 'fail',
          1 => 'good',
      },
      nsPowerDesc => '1.3.6.1.4.1.3224.21.1.1.3',
      nsFanTable => '1.3.6.1.4.1.3224.21.2',
      nsFanEntry => '1.3.6.1.4.1.3224.21.2.1',
      nsFanId => '1.3.6.1.4.1.3224.21.2.1.1',
      nsFanStatus => '1.3.6.1.4.1.3224.21.2.1.2',
      nsFanStatusDefinition => {
          0 => 'fail',
          1 => 'good',
          2 => 'notInstalled',
      },
      nsFanDesc => '1.3.6.1.4.1.3224.21.2.1.3',
      sysBatteryStatus => '1.3.6.1.4.1.3224.21.3.0',
      sysBatteryStatusDefinition => {
          1 => 'good',
          2 => 'error',
      },
      nsTemperatureTable => '1.3.6.1.4.1.3224.21.4',
      nsTemperatureEntry => '1.3.6.1.4.1.3224.21.4.1',
      nsTemperatureId => '1.3.6.1.4.1.3224.21.4.1.1',
      nsTemperatureSlotId => '1.3.6.1.4.1.3224.21.4.1.2',
      nsTemperatureCur => '1.3.6.1.4.1.3224.21.4.1.3',
      nsTemperatureDesc => '1.3.6.1.4.1.3224.21.4.1.4',
      nsSlotTable => '1.3.6.1.4.1.3224.21.5',
      nsSlotEntry => '1.3.6.1.4.1.3224.21.5.1',
      nsSlotId => '1.3.6.1.4.1.3224.21.5.1.1',
      nsSlotType => '1.3.6.1.4.1.3224.21.5.1.2',
      nsSlotStatus => '1.3.6.1.4.1.3224.21.5.1.3',
      nsSlotStatusDefinition => {
          0 => 'fail',
          1 => 'good',
          2 => 'notInstalled',
      },
      nsSlotSN => '1.3.6.1.4.1.3224.21.5.1.4',
  },
  'ATTACK-MIB' => { # Blue Coat
      deviceAttackTable => '1.3.6.1.4.1.3417.2.3.1.1.1',
      deviceAttackEntry => '1.3.6.1.4.1.3417.2.3.1.1.1.1',
      deviceAttackIndex => '1.3.6.1.4.1.3417.2.3.1.1.1.1.1',
      deviceAttackName => '1.3.6.1.4.1.3417.2.3.1.1.1.1.2',
      deviceAttackStatus => '1.3.6.1.4.1.3417.2.3.1.1.1.1.3',
      deviceAttackStatusDefinition => {
          1 => 'no-attack',
          2 => 'under-attack',
      },
      deviceAttackTime => '1.3.6.1.4.1.3417.2.3.1.1.1.1.4',
  },
  'DISK-MIB' => {
      deviceDiskValueTable => '1.3.6.1.4.1.3417.2.2.1.1.1',
      deviceDiskValueEntry => '1.3.6.1.4.1.3417.2.2.1.1.1.1',
      deviceDiskIndex => '1.3.6.1.4.1.3417.2.2.1.1.1.1.1',
      deviceDiskTrapEnabled => '1.3.6.1.4.1.3417.2.2.1.1.1.1.2',
      deviceDiskStatus => '1.3.6.1.4.1.3417.2.2.1.1.1.1.3',
      deviceDiskStatusDefinition => {
      1 => 'present',
      2 => 'initializing',
      3 => 'inserted',
      4 => 'offline',
      5 => 'removed',
      6 => 'not-present',
      7 => 'empty',
      8 => 'bad',
      9 => 'unknown',
      },
      deviceDiskTimeStamp => '1.3.6.1.4.1.3417.2.2.1.1.1.1.4',
      deviceDiskVendor => '1.3.6.1.4.1.3417.2.2.1.1.1.1.5',
      deviceDiskProduct => '1.3.6.1.4.1.3417.2.2.1.1.1.1.6',
      deviceDiskRevision => '1.3.6.1.4.1.3417.2.2.1.1.1.1.7',
      deviceDiskSerialN => '1.3.6.1.4.1.3417.2.2.1.1.1.1.8',
      deviceDiskBlockSize => '1.3.6.1.4.1.3417.2.2.1.1.1.1.9',
      deviceDiskBlockCount => '1.3.6.1.4.1.3417.2.2.1.1.1.1.10',
  },
  'SENSOR-MIB' => {
      deviceSensorValueTable => '1.3.6.1.4.1.3417.2.1.1.1.1',
      deviceSensorValueEntry => '1.3.6.1.4.1.3417.2.1.1.1.1.1',
      deviceSensorIndex => '1.3.6.1.4.1.3417.2.1.1.1.1.1.1',
      deviceSensorTrapEnabled => '1.3.6.1.4.1.3417.2.1.1.1.1.1.2',
      deviceSensorUnits => '1.3.6.1.4.1.3417.2.1.1.1.1.1.3',
      deviceSensorUnitsDefinition => {
      1 => 'other',
      2 => 'truthvalue',
      3 => 'specialEnum',
      4 => 'volts',
      5 => 'celsius',
      6 => 'rpm',
      },
      deviceSensorScale => '1.3.6.1.4.1.3417.2.1.1.1.1.1.4',
      deviceSensorValue => '1.3.6.1.4.1.3417.2.1.1.1.1.1.5',
      deviceSensorCode => '1.3.6.1.4.1.3417.2.1.1.1.1.1.6',
      deviceSensorCodeDefinition => {
      1 => 'ok',
      2 => 'unknown',
      3 => 'not-installed',
      4 => 'voltage-low-warning',
      5 => 'voltage-low-critical',
      6 => 'no-power',
      7 => 'voltage-high-warning',
      8 => 'voltage-high-critical',
      9 => 'voltage-high-severe',
      10 => 'temperature-high-warning',
      11 => 'temperature-high-critical',
      12 => 'temperature-high-severe',
      13 => 'fan-slow-warning',
      14 => 'fan-slow-critical',
      15 => 'fan-stopped',
      },
      deviceSensorStatus => '1.3.6.1.4.1.3417.2.1.1.1.1.1.7',
      deviceSensorStatusDefinition => {
      1 => 'ok',
      2 => 'unavailable',
      3 => 'nonoperational',
      },
      deviceSensorTimeStamp => '1.3.6.1.4.1.3417.2.1.1.1.1.1.8',
      deviceSensorName => '1.3.6.1.4.1.3417.2.1.1.1.1.1.9',
  },
  'SYSTEM-RESOURCES-MIB' => {
      cpuIndex => '1.3.6.1.4.1.3417.2.8.1.1.0',
      cpuName => '1.3.6.1.4.1.3417.2.8.1.2.0',
      cpuUtilizationValue => '1.3.6.1.4.1.3417.2.8.1.3.0',
      cpuWarningThreshold => '1.3.6.1.4.1.3417.2.8.1.4.0',
      cpuWarningInterval => '1.3.6.1.4.1.3417.2.8.1.5.0',
      cpuCriticalThreshold => '1.3.6.1.4.1.3417.2.8.1.6.0',
      cpuCriticalInterval => '1.3.6.1.4.1.3417.2.8.1.7.0',
      cpuNotificationType => '1.3.6.1.4.1.3417.2.8.1.8.0',
      cpuCurrentState => '1.3.6.1.4.1.3417.2.8.1.9.0',
      cpuPreviousState => '1.3.6.1.4.1.3417.2.8.1.10.0',
      cpuLastChangeTime => '1.3.6.1.4.1.3417.2.8.1.11.0',
      cpuEvent => '1.3.6.1.4.1.3417.2.8.1.12',
      cpuTrap => '1.3.6.1.4.1.3417.2.8.1.12.1',
      memory => '1.3.6.1.4.1.3417.2.8.2',
      memIndex => '1.3.6.1.4.1.3417.2.8.2.1.0',
      memName => '1.3.6.1.4.1.3417.2.8.2.2.0',
      memPressureValue => '1.3.6.1.4.1.3417.2.8.2.3.0',
      memWarningThreshold => '1.3.6.1.4.1.3417.2.8.2.4.0',
      memWarningInterval => '1.3.6.1.4.1.3417.2.8.2.5.0',
      memCriticalThreshold => '1.3.6.1.4.1.3417.2.8.2.6.0',
      memCriticalInterval => '1.3.6.1.4.1.3417.2.8.2.7.0',
      memNotificationType => '1.3.6.1.4.1.3417.2.8.2.8.0',
      memCurrentState => '1.3.6.1.4.1.3417.2.8.2.9.0',
      memPreviousState => '1.3.6.1.4.1.3417.2.8.2.10.0',
      memLastChangeTime => '1.3.6.1.4.1.3417.2.8.2.11.0',
      memEvent => '1.3.6.1.4.1.3417.2.8.2.12',
      memTrap => '1.3.6.1.4.1.3417.2.8.2.12.1',
      network => '1.3.6.1.4.1.3417.2.8.3',
      netTable => '1.3.6.1.4.1.3417.2.8.3.1',
      netEntry => '1.3.6.1.4.1.3417.2.8.3.1.1',
      netIndex => '1.3.6.1.4.1.3417.2.8.3.1.1.1',
      netName => '1.3.6.1.4.1.3417.2.8.3.1.1.2',
      netUtilizationValue => '1.3.6.1.4.1.3417.2.8.3.1.1.3',
      netWarningThreshold => '1.3.6.1.4.1.3417.2.8.3.1.1.4',
      netWarningInterval => '1.3.6.1.4.1.3417.2.8.3.1.1.5',
      netCriticalThreshold => '1.3.6.1.4.1.3417.2.8.3.1.1.6',
      netCriticalInterval => '1.3.6.1.4.1.3417.2.8.3.1.1.7',
      netNotificationType => '1.3.6.1.4.1.3417.2.8.3.1.1.8',
      netCurrentState => '1.3.6.1.4.1.3417.2.8.3.1.1.9',
      netPreviousState => '1.3.6.1.4.1.3417.2.8.3.1.1.10',
      netLastChangeTime => '1.3.6.1.4.1.3417.2.8.3.1.1.11',
  },
  'USAGE-MIB' => {
      deviceUsageTable => '1.3.6.1.4.1.3417.2.4.1.1',
      deviceUsageEntry => '1.3.6.1.4.1.3417.2.4.1.1.1',
      deviceUsageIndex => '1.3.6.1.4.1.3417.2.4.1.1.1.1',
      deviceUsageTrapEnabled => '1.3.6.1.4.1.3417.2.4.1.1.1.2',
      deviceUsageName => '1.3.6.1.4.1.3417.2.4.1.1.1.3',
      deviceUsagePercent => '1.3.6.1.4.1.3417.2.4.1.1.1.4',
      deviceUsageHigh => '1.3.6.1.4.1.3417.2.4.1.1.1.5',
      deviceUsageStatus => '1.3.6.1.4.1.3417.2.4.1.1.1.6',
      deviceUsageStatusDefinition => {
          1 => 'ok',
          2 => 'high',
      },
      deviceUsageTime => '1.3.6.1.4.1.3417.2.4.1.1.1.7',
  },
  'ENTITY-SENSOR-MIB' => {
      entitySensorObjects => '1.3.6.1.2.1.99.1',
      entitySensorConformance => '1.3.6.1.2.1.99.3',
      entitySensorObjects => '1.3.6.1.2.1.99.1',
      entPhySensorTable => '1.3.6.1.2.1.99.1.1',
      entPhySensorEntry => '1.3.6.1.2.1.99.1.1.1',
      entPhySensorType => '1.3.6.1.2.1.99.1.1.1.1',
      entPhySensorTypeDefinition => {
        1 => 'other',
        2 => 'unknown',
        3 => 'voltsAC',
        4 => 'voltsDC',
        5 => 'amperes',
        6 => 'watts',
        7 => 'hertz',
        8 => 'celsius',
        9 => 'percentRH',
        10 => 'rpm',
        11 => 'cmm',
        12 => 'truthvalue',
      },
      entPhySensorScale => '1.3.6.1.2.1.99.1.1.1.2',
      entPhySensorScaleDefinition => {
        1 => 'yocto',
        2 => 'zepto',
        3 => 'atto',
        4 => 'femto',
        5 => 'pico',
        6 => 'nano',
        7 => 'micro',
        8 => 'milli',
        9 => 'units',
        10 => 'kilo',
        11 => 'mega',
        12 => 'giga',
        13 => 'tera',
        14 => 'exa',
        15 => 'peta',
        16 => 'zetta',
        17 => 'yotta',
      },
      entPhySensorPrecision => '1.3.6.1.2.1.99.1.1.1.3',
      entPhySensorValue => '1.3.6.1.2.1.99.1.1.1.4',
      entPhySensorOperStatus => '1.3.6.1.2.1.99.1.1.1.5',
      entPhySensorOperStatusDefinition => {
        1 => 'ok',
        2 => 'unavailable',
        3 => 'nonoperational',
      },
      entPhySensorUnitsDisplay => '1.3.6.1.2.1.99.1.1.1.6',
      entPhySensorValueTimeStamp => '1.3.6.1.2.1.99.1.1.1.7',
      entPhySensorValueUpdateRate => '1.3.6.1.2.1.99.1.1.1.8',
      entitySensorCompliances => '1.3.6.1.2.1.99.3.1',
      entitySensorGroups => '1.3.6.1.2.1.99.3.2',
  },
  'BLUECOAT-SG-PROXY-MIB' => {
      blueCoatMgmt => '1.3.6.1.4.1.3417.2',
      bluecoatSGProxyMIB => '1.3.6.1.4.1.3417.2.11',
      sgProxyConfig => '1.3.6.1.4.1.3417.2.11.1',
      sgProxySystem => '1.3.6.1.4.1.3417.2.11.2',
      sgProxyMemAvailable => '1.3.6.1.4.1.3417.2.11.2.3.1.0',
      sgProxyMemCacheUsage => '1.3.6.1.4.1.3417.2.11.2.3.2.0',
      sgProxyMemSysUsage => '1.3.6.1.4.1.3417.2.11.2.3.3.0',
      sgProxyMemPressure => '1.3.6.1.4.1.3417.2.11.2.3.4.0',
      sgProxyCpuCoreTable => '1.3.6.1.4.1.3417.2.11.2.4',
      sgProxyCpuCoreEntry => '1.3.6.1.4.1.3417.2.11.2.4.1',
      sgProxyCpuCoreIndex => '1.3.6.1.4.1.3417.2.11.2.4.1.1',
      sgProxyCpuCoreUpTime => '1.3.6.1.4.1.3417.2.11.2.4.1.2',
      sgProxyCpuCoreBusyTime => '1.3.6.1.4.1.3417.2.11.2.4.1.3',
      sgProxyCpuCoreIdleTime => '1.3.6.1.4.1.3417.2.11.2.4.1.4',
      sgProxyCpuCoreUpTimeSinceLastAccess => '1.3.6.1.4.1.3417.2.11.2.4.1.5',
      sgProxyCpuCoreBusyTimeSinceLastAccess => '1.3.6.1.4.1.3417.2.11.2.4.1.6',
      sgProxyCpuCoreIdleTimeSinceLastAccess => '1.3.6.1.4.1.3417.2.11.2.4.1.7',
      sgProxyCpuCoreBusyPerCent => '1.3.6.1.4.1.3417.2.11.2.4.1.8',
      sgProxyCpuCoreIdlePerCent => '1.3.6.1.4.1.3417.2.11.2.4.1.9',
      sgProxyHttp => '1.3.6.1.4.1.3417.2.11.3',
      sgProxyHttpPerf => '1.3.6.1.4.1.3417.2.11.3.1',
      sgProxyHttpClient => '1.3.6.1.4.1.3417.2.11.3.1.1',
      sgProxyHttpServer => '1.3.6.1.4.1.3417.2.11.3.1.2',
      sgProxyHttpConnections => '1.3.6.1.4.1.3417.2.11.3.1.3',
      sgProxyHttpClientConnections => '1.3.6.1.4.1.3417.2.11.3.1.3.1',
      sgProxyHttpClientConnectionsActive => '1.3.6.1.4.1.3417.2.11.3.1.3.2',
      sgProxyHttpClientConnectionsIdle => '1.3.6.1.4.1.3417.2.11.3.1.3.3',
      sgProxyHttpServerConnections => '1.3.6.1.4.1.3417.2.11.3.1.3.4',
      sgProxyHttpServerConnectionsActive => '1.3.6.1.4.1.3417.2.11.3.1.3.5',
      sgProxyHttpServerConnectionsIdle => '1.3.6.1.4.1.3417.2.11.3.1.3.6',
      sgProxyHttpResponse => '1.3.6.1.4.1.3417.2.11.3.2',
      sgProxyHttpResponseTime => '1.3.6.1.4.1.3417.2.11.3.2.1',
      sgProxyHttpResponseTimeAll => '1.3.6.1.4.1.3417.2.11.3.2.1.1', #ok
      sgProxyHttpResponseFirstByte => '1.3.6.1.4.1.3417.2.11.3.2.1.2',
      sgProxyHttpResponseByteRate => '1.3.6.1.4.1.3417.2.11.3.2.1.3',
      sgProxyHttpResponseSize => '1.3.6.1.4.1.3417.2.11.3.2.1.4',
  },
  'PROXY-MIB' => {
      proxyMemUsage => '1.3.6.1.3.25.17.1.1.0',
      proxyStorage => '1.3.6.1.3.25.17.1.2.0',
      proxyCpuUsage => '1.3.6.1.3.25.17.1.3.0',
      proxyUpTime => '1.3.6.1.3.25.17.1.4.0',
      proxyConfig => '1.3.6.1.3.25.17.2',
      proxyAdmin => '1.3.6.1.3.25.17.2.1.0',
      proxySoftware => '1.3.6.1.3.25.17.2.2.0',
      proxyVersion => '1.3.6.1.3.25.17.2.3.0',
      proxySysPerf => '1.3.6.1.3.25.17.3.1',
      proxyProtoPerf => '1.3.6.1.3.25.17.3.2',
      proxySysPerf => '1.3.6.1.3.25.17.3.1',
      proxyCpuLoad => '1.3.6.1.3.25.17.3.1.1.0',
      proxyNumObjects => '1.3.6.1.3.25.17.3.1.2.0',
  },
  'RESOURCE-MIB' => {
      cpuIndex => '1.3.6.1.4.1.3417.2.8.1.1.0',
      cpuName => '1.3.6.1.4.1.3417.2.8.1.2.0',
      cpuUtilizationValue => '1.3.6.1.4.1.3417.2.8.1.3.0',
      cpuWarningThreshold => '1.3.6.1.4.1.3417.2.8.1.4.0',
      cpuWarningInterval => '1.3.6.1.4.1.3417.2.8.1.5.0',
      cpuCriticalThreshold => '1.3.6.1.4.1.3417.2.8.1.6.0',
      cpuCriticalInterval => '1.3.6.1.4.1.3417.2.8.1.7.0',
      cpuNotificationType => '1.3.6.1.4.1.3417.2.8.1.8.0',
      cpuCurrentState => '1.3.6.1.4.1.3417.2.8.1.9.0',
      cpuPreviousState => '1.3.6.1.4.1.3417.2.8.1.10.0',
      cpuLastChangeTime => '1.3.6.1.4.1.3417.2.8.1.11.0',
      cpuEvent => '1.3.6.1.4.1.3417.2.8.1.12',
      cpuTrap => '1.3.6.1.4.1.3417.2.8.1.12.1',
      memory => '1.3.6.1.4.1.3417.2.8.2',
      memIndex => '1.3.6.1.4.1.3417.2.8.2.1.0',
      memName => '1.3.6.1.4.1.3417.2.8.2.2.0',
      memPressureValue => '1.3.6.1.4.1.3417.2.8.2.3.0',
      memWarningThreshold => '1.3.6.1.4.1.3417.2.8.2.4.0',
      memWarningInterval => '1.3.6.1.4.1.3417.2.8.2.5.0',
      memCriticalThreshold => '1.3.6.1.4.1.3417.2.8.2.6.0',
      memCriticalInterval => '1.3.6.1.4.1.3417.2.8.2.7.0',
      memNotificationType => '1.3.6.1.4.1.3417.2.8.2.8.0',
      memCurrentState => '1.3.6.1.4.1.3417.2.8.2.9.0',
      memPreviousState => '1.3.6.1.4.1.3417.2.8.2.10.0',
      memLastChangeTime => '1.3.6.1.4.1.3417.2.8.2.11.0',
      memEvent => '1.3.6.1.4.1.3417.2.8.2.12',
      memTrap => '1.3.6.1.4.1.3417.2.8.2.12.1',
      network => '1.3.6.1.4.1.3417.2.8.3',
      netTable => '1.3.6.1.4.1.3417.2.8.3.1',
      netEntry => '1.3.6.1.4.1.3417.2.8.3.1.1',
      netIndex => '1.3.6.1.4.1.3417.2.8.3.1.1.1',
      netName => '1.3.6.1.4.1.3417.2.8.3.1.1.2',
      netUtilizationValue => '1.3.6.1.4.1.3417.2.8.3.1.1.3',
      netWarningThreshold => '1.3.6.1.4.1.3417.2.8.3.1.1.4',
      netWarningInterval => '1.3.6.1.4.1.3417.2.8.3.1.1.5',
      netCriticalThreshold => '1.3.6.1.4.1.3417.2.8.3.1.1.6',
      netCriticalInterval => '1.3.6.1.4.1.3417.2.8.3.1.1.7',
      netNotificationType => '1.3.6.1.4.1.3417.2.8.3.1.1.8',
      netCurrentState => '1.3.6.1.4.1.3417.2.8.3.1.1.9',
      netPreviousState => '1.3.6.1.4.1.3417.2.8.3.1.1.10',
      netLastChangeTime => '1.3.6.1.4.1.3417.2.8.3.1.1.11',
  },
  'BLUECOAT-AV-MIB' => {
      avEngineVersion => '1.3.6.1.4.1.3417.2.10.1.5.0',
      avErrorCode => '1.3.6.1.4.1.3417.2.10.2.5.0',
      avErrorDetails => '1.3.6.1.4.1.3417.2.10.2.6.0',
      avFilesScanned => '1.3.6.1.4.1.3417.2.10.1.1.0',
      avICTMWarningReason => '1.3.6.1.4.1.3417.2.10.2.8.0',
      avInstalledFirmwareVersion => '1.3.6.1.4.1.3417.2.10.1.9.0',
      avLicenseDaysRemaining => '1.3.6.1.4.1.3417.2.10.1.7.0',
      avPatternDateTime => '1.3.6.1.4.1.3417.2.10.1.4.0',
      avPatternVersion => '1.3.6.1.4.1.3417.2.10.1.3.0',
      avPreviousFirmwareVersion => '1.3.6.1.4.1.3417.2.10.2.7.0',
      avPublishedFirmwareVersion => '1.3.6.1.4.1.3417.2.10.1.8.0',
      avSlowICAPConnections => '1.3.6.1.4.1.3417.2.10.1.10.0',
      avUpdateFailureReason => '1.3.6.1.4.1.3417.2.10.2.1.0',
      avUrl => '1.3.6.1.4.1.3417.2.10.2.2.0',
      avVendorName => '1.3.6.1.4.1.3417.2.10.1.6.0',
      avVirusDetails => '1.3.6.1.4.1.3417.2.10.2.4.0',
      avVirusesDetected => '1.3.6.1.4.1.3417.2.10.1.2.0',
      avVirusName => '1.3.6.1.4.1.3417.2.10.2.3.0',
  },
  'FOUNDRY-SN-AGENT-MIB' => {
      snAgGblCpuUtil1SecAvg => '1.3.6.1.4.1.1991.1.1.2.1.50.0',
      snAgGblCpuUtil5SecAvg => '1.3.6.1.4.1.1991.1.1.2.1.51.0',
      snAgGblCpuUtil1MinAvg => '1.3.6.1.4.1.1991.1.1.2.1.52.0',
      snAgGblDynMemUtil => '1.3.6.1.4.1.1991.1.1.2.1.53.0',
      snAgGblDynMemTotal => '1.3.6.1.4.1.1991.1.1.2.1.54.0',
      snAgGblDynMemFree => '1.3.6.1.4.1.1991.1.1.2.1.55.0',

      snAgentCpuUtilTable => '1.3.6.1.4.1.1991.1.1.2.11.1',
      snAgentCpuUtilEntry => '1.3.6.1.4.1.1991.1.1.2.11.1.1',
      snAgentCpuUtilSlotNum => '1.3.6.1.4.1.1991.1.1.2.11.1.1.1',
      snAgentCpuUtilCpuId => '1.3.6.1.4.1.1991.1.1.2.11.1.1.2',
      snAgentCpuUtilInterval => '1.3.6.1.4.1.1991.1.1.2.11.1.1.3',
      snAgentCpuUtilValue => '1.3.6.1.4.1.1991.1.1.2.11.1.1.4',
      snAgentCpuUtilPercent => '1.3.6.1.4.1.1991.1.1.2.11.1.1.5',
      snAgentCpuUtil100thPercent => '1.3.6.1.4.1.1991.1.1.2.11.1.1.6',

      snChasPwrSupplyTable => '1.3.6.1.4.1.1991.1.1.1.2.1',
      snChasPwrSupplyEntry => '1.3.6.1.4.1.1991.1.1.1.2.1.1',
      snChasPwrSupplyIndex => '1.3.6.1.4.1.1991.1.1.1.2.1.1.1',
      snChasPwrSupplyDescription => '1.3.6.1.4.1.1991.1.1.1.2.1.1.2',
      snChasPwrSupplyOperStatus => '1.3.6.1.4.1.1991.1.1.1.2.1.1.3',
      snChasPwrSupplyOperStatusDefinition => {
          1 => 'other',
          2 => 'normal',
          3 => 'failure',
      },
      snChasFan => '1.3.6.1.4.1.1991.1.1.1.3',
      snChasFanTable => '1.3.6.1.4.1.1991.1.1.1.3.1',
      snChasFanEntry => '1.3.6.1.4.1.1991.1.1.1.3.1.1',
      snChasFanIndex => '1.3.6.1.4.1.1991.1.1.1.3.1.1.1',
      snChasFanDescription => '1.3.6.1.4.1.1991.1.1.1.3.1.1.2',
      snChasFanOperStatus => '1.3.6.1.4.1.1991.1.1.1.3.1.1.3',
      snChasFanOperStatusDefinition => {
          1 => 'other',
          2 => 'normal',
          3 => 'failure',
      },
      snAgentTempTable => '1.3.6.1.4.1.1991.1.1.2.13.1',
      snAgentTempEntry => '1.3.6.1.4.1.1991.1.1.2.13.1.1',
      snAgentTempSlotNum => '1.3.6.1.4.1.1991.1.1.2.13.1.1.1',
      # sensor 1 - intake temperature, sensor 2 - exhaust-side temperature
      snAgentTempSensorId => '1.3.6.1.4.1.1991.1.1.2.13.1.1.2',
      snAgentTempSensorDescr => '1.3.6.1.4.1.1991.1.1.2.13.1.1.3',
      # This value is displayed in units of 0.5 Celsius. Valid: 110 - 250
      snAgentTempValue => '1.3.6.1.4.1.1991.1.1.2.13.1.1.4',
  },
  'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB' => {
      snL4Gen => '1.3.6.1.4.1.1991.1.1.4.1',
      snL4MaxSessionLimit => '1.3.6.1.4.1.1991.1.1.4.1.1.0',
      snL4TcpSynLimit => '1.3.6.1.4.1.1991.1.1.4.1.2.0',
      snL4slbGlobalSDAType => '1.3.6.1.4.1.1991.1.1.4.1.3.0',
      snL4slbTotalConnections => '1.3.6.1.4.1.1991.1.1.4.1.4.0',
      snL4slbLimitExceeds => '1.3.6.1.4.1.1991.1.1.4.1.5.0',
      snL4slbForwardTraffic => '1.3.6.1.4.1.1991.1.1.4.1.6.0',
      snL4slbReverseTraffic => '1.3.6.1.4.1.1991.1.1.4.1.7.0',
      snL4slbDrops => '1.3.6.1.4.1.1991.1.1.4.1.8.0',
      snL4slbDangling => '1.3.6.1.4.1.1991.1.1.4.1.9.0',
      snL4slbDisableCount => '1.3.6.1.4.1.1991.1.1.4.1.10.0',
      snL4slbAged => '1.3.6.1.4.1.1991.1.1.4.1.11.0',
      snL4slbFinished => '1.3.6.1.4.1.1991.1.1.4.1.12.0',
      snL4FreeSessionCount => '1.3.6.1.4.1.1991.1.1.4.1.13.0',
      snL4BackupInterface => '1.3.6.1.4.1.1991.1.1.4.1.14.0',
      snL4BackupMacAddr => '1.3.6.1.4.1.1991.1.1.4.1.15.0',
      snL4Active => '1.3.6.1.4.1.1991.1.1.4.1.16.0',
      snL4Redundancy => '1.3.6.1.4.1.1991.1.1.4.1.17.0',
      snL4Backup => '1.3.6.1.4.1.1991.1.1.4.1.18.0',
      snL4BecomeActive => '1.3.6.1.4.1.1991.1.1.4.1.19.0',
      snL4BecomeStandBy => '1.3.6.1.4.1.1991.1.1.4.1.20.0',
      snL4BackupState => '1.3.6.1.4.1.1991.1.1.4.1.21.0',
      snL4NoPDUSent => '1.3.6.1.4.1.1991.1.1.4.1.22.0',
      snL4NoPDUCount => '1.3.6.1.4.1.1991.1.1.4.1.23.0',
      snL4NoPortMap => '1.3.6.1.4.1.1991.1.1.4.1.24.0',
      snL4unsuccessfulConn => '1.3.6.1.4.1.1991.1.1.4.1.25.0',
      snL4PingInterval => '1.3.6.1.4.1.1991.1.1.4.1.26.0',
      snL4PingRetry => '1.3.6.1.4.1.1991.1.1.4.1.27.0',
      snL4TcpAge => '1.3.6.1.4.1.1991.1.1.4.1.28.0',
      snL4UdpAge => '1.3.6.1.4.1.1991.1.1.4.1.29.0',
      snL4EnableMaxSessionLimitReachedTrap => '1.3.6.1.4.1.1991.1.1.4.1.30.0',
      snL4EnableTcpSynLimitReachedTrap => '1.3.6.1.4.1.1991.1.1.4.1.31.0',
      snL4EnableRealServerUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.32.0',
      snL4EnableRealServerDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.33.0',
      snL4EnableRealServerPortUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.34.0',
      snL4EnableRealServerPortDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.35.0',
      snL4EnableRealServerMaxConnLimitReachedTrap => '1.3.6.1.4.1.1991.1.1.4.1.36.0',
      snL4EnableBecomeStandbyTrap => '1.3.6.1.4.1.1991.1.1.4.1.37.0',
      snL4EnableBecomeActiveTrap => '1.3.6.1.4.1.1991.1.1.4.1.38.0',
      snL4slbRouterInterfacePortMask => '1.3.6.1.4.1.1991.1.1.4.1.39.0',
      snL4MaxNumWebCacheGroup => '1.3.6.1.4.1.1991.1.1.4.1.40.0',
      snL4MaxNumWebCachePerGroup => '1.3.6.1.4.1.1991.1.1.4.1.41.0',
      snL4WebCacheStateful => '1.3.6.1.4.1.1991.1.1.4.1.42.0',
      snL4EnableGslbHealthCheckIpUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.43.0',
      snL4EnableGslbHealthCheckIpDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.44.0',
      snL4EnableGslbHealthCheckIpPortUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.45.0',
      snL4EnableGslbHealthCheckIpPortDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.46.0',
      snL4EnableGslbRemoteGslbSiDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.47.0',
      snL4EnableGslbRemoteGslbSiUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.48.0',
      snL4EnableGslbRemoteSiDownTrap => '1.3.6.1.4.1.1991.1.1.4.1.49.0',
      snL4EnableGslbRemoteSiUpTrap => '1.3.6.1.4.1.1991.1.1.4.1.50.0',
      snL4slbRouterInterfacePortList => '1.3.6.1.4.1.1991.1.1.4.1.51.0',
      snL4VirtualServer => '1.3.6.1.4.1.1991.1.1.4.2',
      snL4VirtualServerTable => '1.3.6.1.4.1.1991.1.1.4.2.1',
      snL4VirtualServerEntry => '1.3.6.1.4.1.1991.1.1.4.2.1.1',
      snL4VirtualServerIndex => '1.3.6.1.4.1.1991.1.1.4.2.1.1.1',
      snL4VirtualServerName => '1.3.6.1.4.1.1991.1.1.4.2.1.1.2',
      snL4VirtualServerVirtualIP => '1.3.6.1.4.1.1991.1.1.4.2.1.1.3',
      snL4VirtualServerAdminStatus => '1.3.6.1.4.1.1991.1.1.4.2.1.1.4',
      snL4VirtualServerAdminStatusDefinition => 'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB::L4Status',
      snL4VirtualServerSDAType => '1.3.6.1.4.1.1991.1.1.4.2.1.1.5',
      snL4VirtualServerSDATypeDefinition => {
          0 => 'default',
          1 => 'leastconnection',
          2 => 'roundrobin',
          3 => 'weighted',
      },
      snL4VirtualServerRowStatus => '1.3.6.1.4.1.1991.1.1.4.2.1.1.6',
      snL4VirtualServerDeleteState => '1.3.6.1.4.1.1991.1.1.4.2.1.1.7',
      snL4VirtualServerDeleteStateDefinition => 'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB::L4DeleteState',
      snL4RealServer => '1.3.6.1.4.1.1991.1.1.4.3',
      snL4RealServerTable => '1.3.6.1.4.1.1991.1.1.4.3.1',
      snL4RealServerEntry => '1.3.6.1.4.1.1991.1.1.4.3.1.1',
      snL4RealServerIndex => '1.3.6.1.4.1.1991.1.1.4.3.1.1.1',
      snL4RealServerName => '1.3.6.1.4.1.1991.1.1.4.3.1.1.2',
      snL4RealServerIP => '1.3.6.1.4.1.1991.1.1.4.3.1.1.3',
      snL4RealServerAdminStatus => '1.3.6.1.4.1.1991.1.1.4.3.1.1.4',
      snL4RealServerAdminStatusDefinition => 'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB::L4Status',
      snL4RealServerMaxConnections => '1.3.6.1.4.1.1991.1.1.4.3.1.1.5',
      snL4RealServerWeight => '1.3.6.1.4.1.1991.1.1.4.3.1.1.6',
      snL4RealServerRowStatus => '1.3.6.1.4.1.1991.1.1.4.3.1.1.7',
      snL4RealServerDeleteState => '1.3.6.1.4.1.1991.1.1.4.3.1.1.8',
      snL4VirtualServerPort => '1.3.6.1.4.1.1991.1.1.4.4',
      snL4VirtualServerPortTable => '1.3.6.1.4.1.1991.1.1.4.4.1',
      snL4VirtualServerPortEntry => '1.3.6.1.4.1.1991.1.1.4.4.1.1',
      snL4VirtualServerPortIndex => '1.3.6.1.4.1.1991.1.1.4.4.1.1.1',
      snL4VirtualServerPortServerName => '1.3.6.1.4.1.1991.1.1.4.4.1.1.2',
      snL4VirtualServerPortPort => '1.3.6.1.4.1.1991.1.1.4.4.1.1.3',
      snL4VirtualServerPortAdminStatus => '1.3.6.1.4.1.1991.1.1.4.4.1.1.4',
      snL4VirtualServerPortAdminStatusDefinition => 'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB::L4Status',
      snL4VirtualServerPortSticky => '1.3.6.1.4.1.1991.1.1.4.4.1.1.5',
      snL4VirtualServerPortStickyDefinition => {
          0 => 'disabled',
          1 => 'enabled',
      },
      snL4VirtualServerPortConcurrent => '1.3.6.1.4.1.1991.1.1.4.4.1.1.6',
      snL4VirtualServerPortConcurrentDefinition => {
          0 => 'disabled',
          1 => 'enabled',
      },
      snL4VirtualServerPortRowStatus => '1.3.6.1.4.1.1991.1.1.4.4.1.1.7',
      snL4VirtualServerPortDeleteState => '1.3.6.1.4.1.1991.1.1.4.4.1.1.8',
      snL4RealServerPort => '1.3.6.1.4.1.1991.1.1.4.5',
      snL4RealServerPortTable => '1.3.6.1.4.1.1991.1.1.4.5.1',
      snL4RealServerPortEntry => '1.3.6.1.4.1.1991.1.1.4.5.1.1',
      snL4RealServerPortIndex => '1.3.6.1.4.1.1991.1.1.4.5.1.1.1',
      snL4RealServerPortServerName => '1.3.6.1.4.1.1991.1.1.4.5.1.1.2',
      snL4RealServerPortPort => '1.3.6.1.4.1.1991.1.1.4.5.1.1.3',
      snL4RealServerPortAdminStatus => '1.3.6.1.4.1.1991.1.1.4.5.1.1.4',
      snL4RealServerPortRowStatus => '1.3.6.1.4.1.1991.1.1.4.5.1.1.5',
      snL4RealServerPortDeleteState => '1.3.6.1.4.1.1991.1.1.4.5.1.1.6',
      snL4Bind => '1.3.6.1.4.1.1991.1.1.4.6',
      snL4BindTable => '1.3.6.1.4.1.1991.1.1.4.6.1',
      snL4BindEntry => '1.3.6.1.4.1.1991.1.1.4.6.1.1',
      snL4BindIndex => '1.3.6.1.4.1.1991.1.1.4.6.1.1.1',
      snL4BindVirtualServerName => '1.3.6.1.4.1.1991.1.1.4.6.1.1.2',
      snL4BindVirtualPortNumber => '1.3.6.1.4.1.1991.1.1.4.6.1.1.3',
      snL4BindRealServerName => '1.3.6.1.4.1.1991.1.1.4.6.1.1.4',
      snL4BindRealPortNumber => '1.3.6.1.4.1.1991.1.1.4.6.1.1.5',
      snL4BindRowStatus => '1.3.6.1.4.1.1991.1.1.4.6.1.1.6',
      snL4VirtualServerStatus => '1.3.6.1.4.1.1991.1.1.4.7',
      snL4VirtualServerStatusTable => '1.3.6.1.4.1.1991.1.1.4.7.1',
      snL4VirtualServerStatusEntry => '1.3.6.1.4.1.1991.1.1.4.7.1.1',
      snL4VirtualServerStatusIndex => '1.3.6.1.4.1.1991.1.1.4.7.1.1.1',
      snL4VirtualServerStatusName => '1.3.6.1.4.1.1991.1.1.4.7.1.1.2',
      snL4VirtualServerStatusReceivePkts => '1.3.6.1.4.1.1991.1.1.4.7.1.1.3',
      snL4VirtualServerStatusTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.7.1.1.4',
      snL4VirtualServerStatusTotalConnections => '1.3.6.1.4.1.1991.1.1.4.7.1.1.5',
      snL4RealServerStatus => '1.3.6.1.4.1.1991.1.1.4.8',
      snL4RealServerStatusTable => '1.3.6.1.4.1.1991.1.1.4.8.1',
      snL4RealServerStatusEntry => '1.3.6.1.4.1.1991.1.1.4.8.1.1',
      snL4RealServerStatusIndex => '1.3.6.1.4.1.1991.1.1.4.8.1.1.1',
      snL4RealServerStatusName => '1.3.6.1.4.1.1991.1.1.4.8.1.1.2',
      snL4RealServerStatusRealIP => '1.3.6.1.4.1.1991.1.1.4.8.1.1.3',
      snL4RealServerStatusReceivePkts => '1.3.6.1.4.1.1991.1.1.4.8.1.1.4',
      snL4RealServerStatusTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.8.1.1.5',
      snL4RealServerStatusCurConnections => '1.3.6.1.4.1.1991.1.1.4.8.1.1.6',
      snL4RealServerStatusTotalConnections => '1.3.6.1.4.1.1991.1.1.4.8.1.1.7',
      snL4RealServerStatusAge => '1.3.6.1.4.1.1991.1.1.4.8.1.1.8',
      snL4RealServerStatusState => '1.3.6.1.4.1.1991.1.1.4.8.1.1.9',
      snL4RealServerStatusStateDefinition => {
          0 => 'serverdisabled',
          1 => 'serverenabled',
          2 => 'serverfailed',
          3 => 'servertesting',
          4 => 'serversuspect',
          5 => 'servershutdown',
          6 => 'serveractive',
      },
      snL4RealServerStatusReassignments => '1.3.6.1.4.1.1991.1.1.4.8.1.1.10',
      snL4RealServerStatusReassignmentLimit => '1.3.6.1.4.1.1991.1.1.4.8.1.1.11',
      snL4RealServerStatusFailedPortExists => '1.3.6.1.4.1.1991.1.1.4.8.1.1.12',
      snL4RealServerStatusFailTime => '1.3.6.1.4.1.1991.1.1.4.8.1.1.13',
      snL4RealServerStatusPeakConnections => '1.3.6.1.4.1.1991.1.1.4.8.1.1.14',
      snL4VirtualServerPortStatus => '1.3.6.1.4.1.1991.1.1.4.9',
      snL4VirtualServerPortStatusTable => '1.3.6.1.4.1.1991.1.1.4.9.1',
      snL4VirtualServerPortStatusEntry => '1.3.6.1.4.1.1991.1.1.4.9.1.1',
      snL4VirtualServerPortStatusIndex => '1.3.6.1.4.1.1991.1.1.4.9.1.1.1',
      snL4VirtualServerPortStatusPort => '1.3.6.1.4.1.1991.1.1.4.9.1.1.2',
      snL4VirtualServerPortStatusServerName => '1.3.6.1.4.1.1991.1.1.4.9.1.1.3',
      snL4VirtualServerPortStatusCurrentConnection => '1.3.6.1.4.1.1991.1.1.4.9.1.1.4',
      snL4VirtualServerPortStatusTotalConnection => '1.3.6.1.4.1.1991.1.1.4.9.1.1.5',
      snL4VirtualServerPortStatusPeakConnection => '1.3.6.1.4.1.1991.1.1.4.9.1.1.6',
      snL4RealServerPortStatus => '1.3.6.1.4.1.1991.1.1.4.10',
      snL4RealServerPortStatusTable => '1.3.6.1.4.1.1991.1.1.4.10.1',
      snL4RealServerPortStatusEntry => '1.3.6.1.4.1.1991.1.1.4.10.1.1',
      snL4RealServerPortStatusIndex => '1.3.6.1.4.1.1991.1.1.4.10.1.1.1',
      snL4RealServerPortStatusPort => '1.3.6.1.4.1.1991.1.1.4.10.1.1.2',
      snL4RealServerPortStatusServerName => '1.3.6.1.4.1.1991.1.1.4.10.1.1.3',
      snL4RealServerPortStatusReassignCount => '1.3.6.1.4.1.1991.1.1.4.10.1.1.4',
      snL4RealServerPortStatusState => '1.3.6.1.4.1.1991.1.1.4.10.1.1.5',
      snL4RealServerPortStatusStateDefinition => {
          0 => 'disabled',
          1 => 'enabled',
          2 => 'failed',
          3 => 'testing',
          4 => 'suspect',
          5 => 'shutdown',
          6 => 'active',
          7 => 'unbound',
          8 => 'awaitUnbind',
          9 => 'awaitDelete',
      },
      snL4RealServerPortStatusFailTime => '1.3.6.1.4.1.1991.1.1.4.10.1.1.6',
      snL4RealServerPortStatusCurrentConnection => '1.3.6.1.4.1.1991.1.1.4.10.1.1.7',
      snL4RealServerPortStatusTotalConnection => '1.3.6.1.4.1.1991.1.1.4.10.1.1.8',
      snL4RealServerPortStatusRxPkts => '1.3.6.1.4.1.1991.1.1.4.10.1.1.9',
      snL4RealServerPortStatusTxPkts => '1.3.6.1.4.1.1991.1.1.4.10.1.1.10',
      snL4RealServerPortStatusRxBytes => '1.3.6.1.4.1.1991.1.1.4.10.1.1.11',
      snL4RealServerPortStatusTxBytes => '1.3.6.1.4.1.1991.1.1.4.10.1.1.12',
      snL4RealServerPortStatusPeakConnection => '1.3.6.1.4.1.1991.1.1.4.10.1.1.13',
      snL4Policy => '1.3.6.1.4.1.1991.1.1.4.11',
      snL4PolicyTable => '1.3.6.1.4.1.1991.1.1.4.11.1',
      snL4PolicyEntry => '1.3.6.1.4.1.1991.1.1.4.11.1.1',
      snL4PolicyId => '1.3.6.1.4.1.1991.1.1.4.11.1.1.1',
      snL4PolicyPriority => '1.3.6.1.4.1.1991.1.1.4.11.1.1.2',
      snL4PolicyScope => '1.3.6.1.4.1.1991.1.1.4.11.1.1.3',
      snL4PolicyProtocol => '1.3.6.1.4.1.1991.1.1.4.11.1.1.4',
      snL4PolicyPort => '1.3.6.1.4.1.1991.1.1.4.11.1.1.5',
      snL4PolicyRowStatus => '1.3.6.1.4.1.1991.1.1.4.11.1.1.6',
      snL4PolicyPortAccess => '1.3.6.1.4.1.1991.1.1.4.12',
      snL4PolicyPortAccessTable => '1.3.6.1.4.1.1991.1.1.4.12.1',
      snL4PolicyPortAccessEntry => '1.3.6.1.4.1.1991.1.1.4.12.1.1',
      snL4PolicyPortAccessPort => '1.3.6.1.4.1.1991.1.1.4.12.1.1.1',
      snL4PolicyPortAccessList => '1.3.6.1.4.1.1991.1.1.4.12.1.1.2',
      snL4PolicyPortAccessRowStatus => '1.3.6.1.4.1.1991.1.1.4.12.1.1.3',
      snL4Trap => '1.3.6.1.4.1.1991.1.1.4.13',
      snL4TrapRealServerIP => '1.3.6.1.4.1.1991.1.1.4.13.1.0',
      snL4TrapRealServerName => '1.3.6.1.4.1.1991.1.1.4.13.2.0',
      snL4TrapRealServerPort => '1.3.6.1.4.1.1991.1.1.4.13.3.0',
      snL4TrapRealServerCurConnections => '1.3.6.1.4.1.1991.1.1.4.13.4.0',
      snL4WebCache => '1.3.6.1.4.1.1991.1.1.4.14',
      snL4WebCacheTable => '1.3.6.1.4.1.1991.1.1.4.14.1',
      snL4WebCacheEntry => '1.3.6.1.4.1.1991.1.1.4.14.1.1',
      snL4WebCacheIP => '1.3.6.1.4.1.1991.1.1.4.14.1.1.1',
      snL4WebCacheName => '1.3.6.1.4.1.1991.1.1.4.14.1.1.2',
      snL4WebCacheAdminStatus => '1.3.6.1.4.1.1991.1.1.4.14.1.1.3',
      snL4WebCacheMaxConnections => '1.3.6.1.4.1.1991.1.1.4.14.1.1.4',
      snL4WebCacheWeight => '1.3.6.1.4.1.1991.1.1.4.14.1.1.5',
      snL4WebCacheRowStatus => '1.3.6.1.4.1.1991.1.1.4.14.1.1.6',
      snL4WebCacheDeleteState => '1.3.6.1.4.1.1991.1.1.4.14.1.1.7',
      snL4WebCacheGroup => '1.3.6.1.4.1.1991.1.1.4.15',
      snL4WebCacheGroupTable => '1.3.6.1.4.1.1991.1.1.4.15.1',
      snL4WebCacheGroupEntry => '1.3.6.1.4.1.1991.1.1.4.15.1.1',
      snL4WebCacheGroupId => '1.3.6.1.4.1.1991.1.1.4.15.1.1.1',
      snL4WebCacheGroupName => '1.3.6.1.4.1.1991.1.1.4.15.1.1.2',
      snL4WebCacheGroupWebCacheIpList => '1.3.6.1.4.1.1991.1.1.4.15.1.1.3',
      snL4WebCacheGroupDestMask => '1.3.6.1.4.1.1991.1.1.4.15.1.1.4',
      snL4WebCacheGroupSrcMask => '1.3.6.1.4.1.1991.1.1.4.15.1.1.5',
      snL4WebCacheGroupAdminStatus => '1.3.6.1.4.1.1991.1.1.4.15.1.1.6',
      snL4WebCacheGroupRowStatus => '1.3.6.1.4.1.1991.1.1.4.15.1.1.7',
      snL4WebCacheTrafficStats => '1.3.6.1.4.1.1991.1.1.4.16',
      snL4WebCacheTrafficStatsTable => '1.3.6.1.4.1.1991.1.1.4.16.1',
      snL4WebCacheTrafficStatsEntry => '1.3.6.1.4.1.1991.1.1.4.16.1.1',
      snL4WebCacheTrafficIp => '1.3.6.1.4.1.1991.1.1.4.16.1.1.1',
      snL4WebCacheTrafficPort => '1.3.6.1.4.1.1991.1.1.4.16.1.1.2',
      snL4WebCacheCurrConnections => '1.3.6.1.4.1.1991.1.1.4.16.1.1.3',
      snL4WebCacheTotalConnections => '1.3.6.1.4.1.1991.1.1.4.16.1.1.4',
      snL4WebCacheTxPkts => '1.3.6.1.4.1.1991.1.1.4.16.1.1.5',
      snL4WebCacheRxPkts => '1.3.6.1.4.1.1991.1.1.4.16.1.1.6',
      snL4WebCacheTxOctets => '1.3.6.1.4.1.1991.1.1.4.16.1.1.7',
      snL4WebCacheRxOctets => '1.3.6.1.4.1.1991.1.1.4.16.1.1.8',
      snL4WebCachePortState => '1.3.6.1.4.1.1991.1.1.4.16.1.1.9',
      snL4WebUncachedTrafficStats => '1.3.6.1.4.1.1991.1.1.4.17',
      snL4WebUncachedTrafficStatsTable => '1.3.6.1.4.1.1991.1.1.4.17.1',
      snL4WebUncachedTrafficStatsEntry => '1.3.6.1.4.1.1991.1.1.4.17.1.1',
      snL4WebServerPort => '1.3.6.1.4.1.1991.1.1.4.17.1.1.1',
      snL4WebClientPort => '1.3.6.1.4.1.1991.1.1.4.17.1.1.2',
      snL4WebUncachedTxPkts => '1.3.6.1.4.1.1991.1.1.4.17.1.1.3',
      snL4WebUncachedRxPkts => '1.3.6.1.4.1.1991.1.1.4.17.1.1.4',
      snL4WebUncachedTxOctets => '1.3.6.1.4.1.1991.1.1.4.17.1.1.5',
      snL4WebUncachedRxOctets => '1.3.6.1.4.1.1991.1.1.4.17.1.1.6',
      snL4WebServerPortName => '1.3.6.1.4.1.1991.1.1.4.17.1.1.7',
      snL4WebClientPortName => '1.3.6.1.4.1.1991.1.1.4.17.1.1.8',
      snL4WebCachePort => '1.3.6.1.4.1.1991.1.1.4.18',
      snL4WebCachePortTable => '1.3.6.1.4.1.1991.1.1.4.18.1',
      snL4WebCachePortEntry => '1.3.6.1.4.1.1991.1.1.4.18.1.1',
      snL4WebCachePortServerIp => '1.3.6.1.4.1.1991.1.1.4.18.1.1.1',
      snL4WebCachePortPort => '1.3.6.1.4.1.1991.1.1.4.18.1.1.2',
      snL4WebCachePortAdminStatus => '1.3.6.1.4.1.1991.1.1.4.18.1.1.3',
      snL4WebCachePortRowStatus => '1.3.6.1.4.1.1991.1.1.4.18.1.1.4',
      snL4WebCachePortDeleteState => '1.3.6.1.4.1.1991.1.1.4.18.1.1.5',
      snL4RealServerCfg => '1.3.6.1.4.1.1991.1.1.4.19',
      snL4RealServerCfgTable => '1.3.6.1.4.1.1991.1.1.4.19.1',
      snL4RealServerCfgEntry => '1.3.6.1.4.1.1991.1.1.4.19.1.1',
      snL4RealServerCfgIP => '1.3.6.1.4.1.1991.1.1.4.19.1.1.1',
      snL4RealServerCfgName => '1.3.6.1.4.1.1991.1.1.4.19.1.1.2',
      snL4RealServerCfgAdminStatus => '1.3.6.1.4.1.1991.1.1.4.19.1.1.3',
      snL4RealServerCfgMaxConnections => '1.3.6.1.4.1.1991.1.1.4.19.1.1.4',
      snL4RealServerCfgWeight => '1.3.6.1.4.1.1991.1.1.4.19.1.1.5',
      snL4RealServerCfgRowStatus => '1.3.6.1.4.1.1991.1.1.4.19.1.1.6',
      snL4RealServerCfgDeleteState => '1.3.6.1.4.1.1991.1.1.4.19.1.1.7',
      snL4RealServerPortCfg => '1.3.6.1.4.1.1991.1.1.4.20',
      snL4RealServerPortCfgTable => '1.3.6.1.4.1.1991.1.1.4.20.1',
      snL4RealServerPortCfgEntry => '1.3.6.1.4.1.1991.1.1.4.20.1.1',
      snL4RealServerPortCfgIP => '1.3.6.1.4.1.1991.1.1.4.20.1.1.1',
      snL4RealServerPortCfgPort => '1.3.6.1.4.1.1991.1.1.4.20.1.1.3',
      snL4RealServerPortCfgServerName => '1.3.6.1.4.1.1991.1.1.4.20.1.1.2',
      snL4RealServerPortCfgAdminStatus => '1.3.6.1.4.1.1991.1.1.4.20.1.1.4',
      snL4RealServerPortCfgRowStatus => '1.3.6.1.4.1.1991.1.1.4.20.1.1.5',
      snL4RealServerPortCfgDeleteState => '1.3.6.1.4.1.1991.1.1.4.20.1.1.6',
      snL4VirtualServerCfg => '1.3.6.1.4.1.1991.1.1.4.21',
      snL4VirtualServerCfgTable => '1.3.6.1.4.1.1991.1.1.4.21.1',
      snL4VirtualServerCfgEntry => '1.3.6.1.4.1.1991.1.1.4.21.1.1',
      snL4VirtualServerCfgVirtualIP => '1.3.6.1.4.1.1991.1.1.4.21.1.1.1',
      snL4VirtualServerCfgName => '1.3.6.1.4.1.1991.1.1.4.21.1.1.2',
      snL4VirtualServerCfgAdminStatus => '1.3.6.1.4.1.1991.1.1.4.21.1.1.3',
      snL4VirtualServerCfgSDAType => '1.3.6.1.4.1.1991.1.1.4.21.1.1.4',
      snL4VirtualServerCfgRowStatus => '1.3.6.1.4.1.1991.1.1.4.21.1.1.5',
      snL4VirtualServerCfgDeleteState => '1.3.6.1.4.1.1991.1.1.4.21.1.1.6',
      snL4VirtualServerPortCfg => '1.3.6.1.4.1.1991.1.1.4.22',
      snL4VirtualServerPortCfgTable => '1.3.6.1.4.1.1991.1.1.4.22.1',
      snL4VirtualServerPortCfgEntry => '1.3.6.1.4.1.1991.1.1.4.22.1.1',
      snL4VirtualServerPortCfgIP => '1.3.6.1.4.1.1991.1.1.4.22.1.1.1',
      snL4VirtualServerPortCfgPort => '1.3.6.1.4.1.1991.1.1.4.22.1.1.2',
      snL4VirtualServerPortCfgServerName => '1.3.6.1.4.1.1991.1.1.4.22.1.1.3',
      snL4VirtualServerPortCfgAdminStatus => '1.3.6.1.4.1.1991.1.1.4.22.1.1.4',
      snL4VirtualServerPortCfgSticky => '1.3.6.1.4.1.1991.1.1.4.22.1.1.5',
      snL4VirtualServerPortCfgConcurrent => '1.3.6.1.4.1.1991.1.1.4.22.1.1.6',
      snL4VirtualServerPortCfgRowStatus => '1.3.6.1.4.1.1991.1.1.4.22.1.1.7',
      snL4VirtualServerPortCfgDeleteState => '1.3.6.1.4.1.1991.1.1.4.22.1.1.8',
      snL4VirtualServerStatistic => '1.3.6.1.4.1.1991.1.1.4.25',
      snL4VirtualServerStatisticTable => '1.3.6.1.4.1.1991.1.1.4.25.1',
      snL4VirtualServerStatisticEntry => '1.3.6.1.4.1.1991.1.1.4.25.1.1',
      snL4VirtualServerStatisticIP => '1.3.6.1.4.1.1991.1.1.4.25.1.1.1',
      snL4VirtualServerStatisticName => '1.3.6.1.4.1.1991.1.1.4.25.1.1.2',
      snL4VirtualServerStatisticReceivePkts => '1.3.6.1.4.1.1991.1.1.4.25.1.1.3',
      snL4VirtualServerStatisticTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.25.1.1.4',
      snL4VirtualServerStatisticTotalConnections => '1.3.6.1.4.1.1991.1.1.4.25.1.1.5',
      snL4VirtualServerStatisticReceiveBytes => '1.3.6.1.4.1.1991.1.1.4.25.1.1.6',
      snL4VirtualServerStatisticTransmitBytes => '1.3.6.1.4.1.1991.1.1.4.25.1.1.7',
      snL4VirtualServerStatisticSymmetricState => '1.3.6.1.4.1.1991.1.1.4.25.1.1.8',
      snL4VirtualServerStatisticSymmetricPriority => '1.3.6.1.4.1.1991.1.1.4.25.1.1.9',
      snL4VirtualServerStatisticSymmetricKeep => '1.3.6.1.4.1.1991.1.1.4.25.1.1.10',
      snL4VirtualServerStatisticSymmetricActivates => '1.3.6.1.4.1.1991.1.1.4.25.1.1.11',
      snL4VirtualServerStatisticSymmetricInactives => '1.3.6.1.4.1.1991.1.1.4.25.1.1.12',
      snL4VirtualServerStatisticSymmetricBestStandbyMacAddr => '1.3.6.1.4.1.1991.1.1.4.25.1.1.13',
      snL4VirtualServerStatisticSymmetricActiveMacAddr => '1.3.6.1.4.1.1991.1.1.4.25.1.1.14',
      snL4RealServerStatistic => '1.3.6.1.4.1.1991.1.1.4.23',
      snL4RealServerStatisticTable => '1.3.6.1.4.1.1991.1.1.4.23.1',
      snL4RealServerStatisticEntry => '1.3.6.1.4.1.1991.1.1.4.23.1.1',
      snL4RealServerStatisticRealIP => '1.3.6.1.4.1.1991.1.1.4.23.1.1.1',
      snL4RealServerStatisticName => '1.3.6.1.4.1.1991.1.1.4.23.1.1.2',
      snL4RealServerStatisticReceivePkts => '1.3.6.1.4.1.1991.1.1.4.23.1.1.3',
      snL4RealServerStatisticTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.23.1.1.4',
      snL4RealServerStatisticCurConnections => '1.3.6.1.4.1.1991.1.1.4.23.1.1.5',
      snL4RealServerStatisticTotalConnections => '1.3.6.1.4.1.1991.1.1.4.23.1.1.6',
      snL4RealServerStatisticAge => '1.3.6.1.4.1.1991.1.1.4.23.1.1.7',
      snL4RealServerStatisticState => '1.3.6.1.4.1.1991.1.1.4.23.1.1.8',
      snL4RealServerStatisticStateDefinition => {
          0 => 'serverdisabled',
          1 => 'serverenabled',
          2 => 'serverfailed',
          3 => 'servertesting',
          4 => 'serversuspect',
          5 => 'servershutdown',
          6 => 'serveractive',
      },
      snL4RealServerStatisticReassignments => '1.3.6.1.4.1.1991.1.1.4.23.1.1.9',
      snL4RealServerStatisticReassignmentLimit => '1.3.6.1.4.1.1991.1.1.4.23.1.1.10',
      snL4RealServerStatisticFailedPortExists => '1.3.6.1.4.1.1991.1.1.4.23.1.1.11',
      snL4RealServerStatisticFailTime => '1.3.6.1.4.1.1991.1.1.4.23.1.1.12',
      snL4RealServerStatisticPeakConnections => '1.3.6.1.4.1.1991.1.1.4.23.1.1.13',
      snL4VirtualServerPortStatistic => '1.3.6.1.4.1.1991.1.1.4.26',
      snL4VirtualServerPortStatisticTable => '1.3.6.1.4.1.1991.1.1.4.26.1',
      snL4VirtualServerPortStatisticEntry => '1.3.6.1.4.1.1991.1.1.4.26.1.1',
      snL4VirtualServerPortStatisticIP => '1.3.6.1.4.1.1991.1.1.4.26.1.1.1',
      snL4VirtualServerPortStatisticPort => '1.3.6.1.4.1.1991.1.1.4.26.1.1.2',
      snL4VirtualServerPortStatisticServerName => '1.3.6.1.4.1.1991.1.1.4.26.1.1.3',
      snL4VirtualServerPortStatisticCurrentConnection => '1.3.6.1.4.1.1991.1.1.4.26.1.1.4',
      snL4VirtualServerPortStatisticTotalConnection => '1.3.6.1.4.1.1991.1.1.4.26.1.1.5',
      snL4VirtualServerPortStatisticPeakConnection => '1.3.6.1.4.1.1991.1.1.4.26.1.1.6',
      snL4RealServerPortStatistic => '1.3.6.1.4.1.1991.1.1.4.24',
      snL4RealServerPortStatisticTable => '1.3.6.1.4.1.1991.1.1.4.24.1',
      snL4RealServerPortStatisticEntry => '1.3.6.1.4.1.1991.1.1.4.24.1.1',
      snL4RealServerPortStatisticIP => '1.3.6.1.4.1.1991.1.1.4.24.1.1.1',
      snL4RealServerPortStatisticPort => '1.3.6.1.4.1.1991.1.1.4.24.1.1.2',
      snL4RealServerPortStatisticServerName => '1.3.6.1.4.1.1991.1.1.4.24.1.1.3',
      snL4RealServerPortStatisticReassignCount => '1.3.6.1.4.1.1991.1.1.4.24.1.1.4',
      snL4RealServerPortStatisticState => '1.3.6.1.4.1.1991.1.1.4.24.1.1.5',
      snL4RealServerPortStatisticStateDefinition => {
          0 => 'disabled',
          1 => 'enabled',
          2 => 'failed',
          3 => 'testing',
          4 => 'suspect',
          5 => 'shutdown',
          6 => 'active',
          7 => 'unbound',
          8 => 'awaitUnbind',
          9 => 'awaitDelete',
      },
      snL4RealServerPortStatisticFailTime => '1.3.6.1.4.1.1991.1.1.4.24.1.1.6',
      snL4RealServerPortStatisticCurrentConnection => '1.3.6.1.4.1.1991.1.1.4.24.1.1.7',
      snL4RealServerPortStatisticTotalConnection => '1.3.6.1.4.1.1991.1.1.4.24.1.1.8',
      snL4RealServerPortStatisticRxPkts => '1.3.6.1.4.1.1991.1.1.4.24.1.1.9',
      snL4RealServerPortStatisticTxPkts => '1.3.6.1.4.1.1991.1.1.4.24.1.1.10',
      snL4RealServerPortStatisticRxBytes => '1.3.6.1.4.1.1991.1.1.4.24.1.1.11',
      snL4RealServerPortStatisticTxBytes => '1.3.6.1.4.1.1991.1.1.4.24.1.1.12',
      snL4RealServerPortStatisticPeakConnection => '1.3.6.1.4.1.1991.1.1.4.24.1.1.13',
      snL4GslbSiteRemoteServerIrons => '1.3.6.1.4.1.1991.1.1.4.27',
      snL4GslbSiteRemoteServerIronTable => '1.3.6.1.4.1.1991.1.1.4.27.1',
      snL4GslbSiteRemoteServerIronEntry => '1.3.6.1.4.1.1991.1.1.4.27.1.1',
      snL4GslbSiteRemoteServerIronIP => '1.3.6.1.4.1.1991.1.1.4.27.1.1.1',
      snL4GslbSiteRemoteServerIronPreference => '1.3.6.1.4.1.1991.1.1.4.27.1.1.2',
      snL4History => '1.3.6.1.4.1.1991.1.1.4.28',
      snL4RealServerHistoryControlTable => '1.3.6.1.4.1.1991.1.1.4.28.1',
      snL4RealServerHistoryControlEntry => '1.3.6.1.4.1.1991.1.1.4.28.1.1',
      snL4RealServerHistoryControlIndex => '1.3.6.1.4.1.1991.1.1.4.28.1.1.1',
      snL4RealServerHistoryControlDataSource => '1.3.6.1.4.1.1991.1.1.4.28.1.1.2',
      snL4RealServerHistoryControlBucketsRequested => '1.3.6.1.4.1.1991.1.1.4.28.1.1.3',
      snL4RealServerHistoryControlBucketsGranted => '1.3.6.1.4.1.1991.1.1.4.28.1.1.4',
      snL4RealServerHistoryControlInterval => '1.3.6.1.4.1.1991.1.1.4.28.1.1.5',
      snL4RealServerHistoryControlOwner => '1.3.6.1.4.1.1991.1.1.4.28.1.1.6',
      snL4RealServerHistoryControlStatus => '1.3.6.1.4.1.1991.1.1.4.28.1.1.7',
      snL4RealServerHistoryTable => '1.3.6.1.4.1.1991.1.1.4.28.2',
      snL4RealServerHistoryEntry => '1.3.6.1.4.1.1991.1.1.4.28.2.1',
      snL4RealServerHistoryIndex => '1.3.6.1.4.1.1991.1.1.4.28.2.1.1',
      snL4RealServerHistorySampleIndex => '1.3.6.1.4.1.1991.1.1.4.28.2.1.2',
      snL4RealServerHistoryIntervalStart => '1.3.6.1.4.1.1991.1.1.4.28.2.1.3',
      snL4RealServerHistoryReceivePkts => '1.3.6.1.4.1.1991.1.1.4.28.2.1.4',
      snL4RealServerHistoryTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.28.2.1.5',
      snL4RealServerHistoryTotalConnections => '1.3.6.1.4.1.1991.1.1.4.28.2.1.6',
      snL4RealServerHistoryCurConnections => '1.3.6.1.4.1.1991.1.1.4.28.2.1.7',
      snL4RealServerHistoryPeakConnections => '1.3.6.1.4.1.1991.1.1.4.28.2.1.8',
      snL4RealServerHistoryReassignments => '1.3.6.1.4.1.1991.1.1.4.28.2.1.9',
      snL4RealServerPortHistoryControlTable => '1.3.6.1.4.1.1991.1.1.4.28.3',
      snL4RealServerPortHistoryControlEntry => '1.3.6.1.4.1.1991.1.1.4.28.3.1',
      snL4RealServerPortHistoryControlIndex => '1.3.6.1.4.1.1991.1.1.4.28.3.1.1',
      snL4RealServerPortHistoryControlDataSource => '1.3.6.1.4.1.1991.1.1.4.28.3.1.2',
      snL4RealServerPortHistoryControlBucketsRequested => '1.3.6.1.4.1.1991.1.1.4.28.3.1.3',
      snL4RealServerPortHistoryControlBucketsGranted => '1.3.6.1.4.1.1991.1.1.4.28.3.1.4',
      snL4RealServerPortHistoryControlInterval => '1.3.6.1.4.1.1991.1.1.4.28.3.1.5',
      snL4RealServerPortHistoryControlOwner => '1.3.6.1.4.1.1991.1.1.4.28.3.1.6',
      snL4RealServerPortHistoryControlStatus => '1.3.6.1.4.1.1991.1.1.4.28.3.1.7',
      snL4RealServerPortHistoryTable => '1.3.6.1.4.1.1991.1.1.4.28.4',
      snL4RealServerPortHistoryEntry => '1.3.6.1.4.1.1991.1.1.4.28.4.1',
      snL4RealServerPortHistoryIndex => '1.3.6.1.4.1.1991.1.1.4.28.4.1.1',
      snL4RealServerPortHistorySampleIndex => '1.3.6.1.4.1.1991.1.1.4.28.4.1.2',
      snL4RealServerPortHistoryIntervalStart => '1.3.6.1.4.1.1991.1.1.4.28.4.1.3',
      snL4RealServerPortHistoryReceivePkts => '1.3.6.1.4.1.1991.1.1.4.28.4.1.4',
      snL4RealServerPortHistoryTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.28.4.1.5',
      snL4RealServerPortHistoryTotalConnections => '1.3.6.1.4.1.1991.1.1.4.28.4.1.6',
      snL4RealServerPortHistoryCurConnections => '1.3.6.1.4.1.1991.1.1.4.28.4.1.7',
      snL4RealServerPortHistoryPeakConnections => '1.3.6.1.4.1.1991.1.1.4.28.4.1.8',
      snL4RealServerPortHistoryResponseTime => '1.3.6.1.4.1.1991.1.1.4.28.4.1.9',
      snL4VirtualServerHistoryControlTable => '1.3.6.1.4.1.1991.1.1.4.28.5',
      snL4VirtualServerHistoryControlEntry => '1.3.6.1.4.1.1991.1.1.4.28.5.1',
      snL4VirtualServerHistoryControlIndex => '1.3.6.1.4.1.1991.1.1.4.28.5.1.1',
      snL4VirtualServerHistoryControlDataSource => '1.3.6.1.4.1.1991.1.1.4.28.5.1.2',
      snL4VirtualServerHistoryControlBucketsRequested => '1.3.6.1.4.1.1991.1.1.4.28.5.1.3',
      snL4VirtualServerHistoryControlBucketsGranted => '1.3.6.1.4.1.1991.1.1.4.28.5.1.4',
      snL4VirtualServerHistoryControlInterval => '1.3.6.1.4.1.1991.1.1.4.28.5.1.5',
      snL4VirtualServerHistoryControlOwner => '1.3.6.1.4.1.1991.1.1.4.28.5.1.6',
      snL4VirtualServerHistoryControlStatus => '1.3.6.1.4.1.1991.1.1.4.28.5.1.7',
      snL4VirtualServerHistoryTable => '1.3.6.1.4.1.1991.1.1.4.28.6',
      snL4VirtualServerHistoryEntry => '1.3.6.1.4.1.1991.1.1.4.28.6.1',
      snL4VirtualServerHistoryIndex => '1.3.6.1.4.1.1991.1.1.4.28.6.1.1',
      snL4VirtualServerHistorySampleIndex => '1.3.6.1.4.1.1991.1.1.4.28.6.1.2',
      snL4VirtualServerHistoryIntervalStart => '1.3.6.1.4.1.1991.1.1.4.28.6.1.3',
      snL4VirtualServerHistoryReceivePkts => '1.3.6.1.4.1.1991.1.1.4.28.6.1.4',
      snL4VirtualServerHistoryTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.28.6.1.5',
      snL4VirtualServerHistoryTotalConnections => '1.3.6.1.4.1.1991.1.1.4.28.6.1.6',
      snL4VirtualServerHistoryCurConnections => '1.3.6.1.4.1.1991.1.1.4.28.6.1.7',
      snL4VirtualServerHistoryPeakConnections => '1.3.6.1.4.1.1991.1.1.4.28.6.1.8',
      snL4VirtualServerPortHistoryControlTable => '1.3.6.1.4.1.1991.1.1.4.28.7',
      snL4VirtualServerPortHistoryControlEntry => '1.3.6.1.4.1.1991.1.1.4.28.7.1',
      snL4VirtualServerPortHistoryControlIndex => '1.3.6.1.4.1.1991.1.1.4.28.7.1.1',
      snL4VirtualServerPortHistoryControlDataSource => '1.3.6.1.4.1.1991.1.1.4.28.7.1.2',
      snL4VirtualServerPortHistoryControlBucketsRequested => '1.3.6.1.4.1.1991.1.1.4.28.7.1.3',
      snL4VirtualServerPortHistoryControlBucketsGranted => '1.3.6.1.4.1.1991.1.1.4.28.7.1.4',
      snL4VirtualServerPortHistoryControlInterval => '1.3.6.1.4.1.1991.1.1.4.28.7.1.5',
      snL4VirtualServerPortHistoryControlOwner => '1.3.6.1.4.1.1991.1.1.4.28.7.1.6',
      snL4VirtualServerPortHistoryControlStatus => '1.3.6.1.4.1.1991.1.1.4.28.7.1.7',
      snL4VirtualServerPortHistoryTable => '1.3.6.1.4.1.1991.1.1.4.28.8',
      snL4VirtualServerPortHistoryEntry => '1.3.6.1.4.1.1991.1.1.4.28.8.1',
      snL4VirtualServerPortHistoryIndex => '1.3.6.1.4.1.1991.1.1.4.28.8.1.1',
      snL4VirtualServerPortHistorySampleIndex => '1.3.6.1.4.1.1991.1.1.4.28.8.1.2',
      snL4VirtualServerPortHistoryIntervalStart => '1.3.6.1.4.1.1991.1.1.4.28.8.1.3',
      snL4VirtualServerPortHistoryReceivePkts => '1.3.6.1.4.1.1991.1.1.4.28.8.1.4',
      snL4VirtualServerPortHistoryTransmitPkts => '1.3.6.1.4.1.1991.1.1.4.28.8.1.5',
      snL4VirtualServerPortHistoryTotalConnections => '1.3.6.1.4.1.1991.1.1.4.28.8.1.6',
      snL4VirtualServerPortHistoryCurConnections => '1.3.6.1.4.1.1991.1.1.4.28.8.1.7',
      snL4VirtualServerPortHistoryPeakConnections => '1.3.6.1.4.1.1991.1.1.4.28.8.1.8',
  },
  'JUNIPER-IVE-MIB' => {
      logFullPercent => '1.3.6.1.4.1.12532.1.0',
      signedInWebUsers => '1.3.6.1.4.1.12532.2.0',
      signedInMailUsers => '1.3.6.1.4.1.12532.3.0',
      blockedIP => '1.3.6.1.4.1.12532.4.0',
      authServerName => '1.3.6.1.4.1.12532.5.0',
      productName => '1.3.6.1.4.1.12532.6.0',
      productVersion => '1.3.6.1.4.1.12532.7.0',
      fileName => '1.3.6.1.4.1.12532.8.0',
      meetingUserCount => '1.3.6.1.4.1.12532.9.0',
      iveCpuUtil => '1.3.6.1.4.1.12532.10.0',
      iveMemoryUtil => '1.3.6.1.4.1.12532.11.0',
      iveConcurrentUsers => '1.3.6.1.4.1.12532.12.0',
      clusterConcurrentUsers => '1.3.6.1.4.1.12532.13.0',
      iveTotalHits => '1.3.6.1.4.1.12532.14.0',
      iveFileHits => '1.3.6.1.4.1.12532.15.0',
      iveWebHits => '1.3.6.1.4.1.12532.16.0',
      iveAppletHits => '1.3.6.1.4.1.12532.17.0',
      ivetermHits => '1.3.6.1.4.1.12532.18.0',
      iveSAMHits => '1.3.6.1.4.1.12532.19.0',
      iveNCHits => '1.3.6.1.4.1.12532.20.0',
      meetingHits => '1.3.6.1.4.1.12532.21.0',
      meetingCount => '1.3.6.1.4.1.12532.22.0',
      logName => '1.3.6.1.4.1.12532.23.0',
      iveSwapUtil => '1.3.6.1.4.1.12532.24.0',
      diskFullPercent => '1.3.6.1.4.1.12532.25.0',
      logID => '1.3.6.1.4.1.12532.27.0',
      logType => '1.3.6.1.4.1.12532.28.0',
      logDescription => '1.3.6.1.4.1.12532.29.0',
      ivsName => '1.3.6.1.4.1.12532.30.0',
      ocspResponderURL => '1.3.6.1.4.1.12532.31.0',
      fanDescription => '1.3.6.1.4.1.12532.32.0',
      psDescription => '1.3.6.1.4.1.12532.33.0',
      raidDescription => '1.3.6.1.4.1.12532.34.0',
      clusterName => '1.3.6.1.4.1.12532.35.0',
      nodeList => '1.3.6.1.4.1.12532.36.0',
      vipType => '1.3.6.1.4.1.12532.37.0',
      currentVIP => '1.3.6.1.4.1.12532.38.0',
      newVIP => '1.3.6.1.4.1.12532.39.0',
      nicEvent => '1.3.6.1.4.1.12532.40.0',
      nodeName => '1.3.6.1.4.1.12532.41.0',
      iveTemperature => '1.3.6.1.4.1.12532.42.0',
      iveVPNTunnels => '1.3.6.1.4.1.12532.43.0',
      iveSSLConnections => '1.3.6.1.4.1.12532.44.0',
  },
  'BGP4-MIB' => {
      bgpVersion => '1.3.6.1.2.1.15.1.0',
      bgpLocalAs => '1.3.6.1.2.1.15.2.0',
      bgpPeerTable => '1.3.6.1.2.1.15.3',
      bgpPeerEntry => '1.3.6.1.2.1.15.3.1',
      bgpPeerIdentifier => '1.3.6.1.2.1.15.3.1.1',
      bgpPeerState => '1.3.6.1.2.1.15.3.1.2',
      bgpPeerStateDefinition => {
        1 => 'idle',
        2 => 'connect',
        3 => 'active',
        4 => 'opensent',
        5 => 'openconfirm',
        6 => 'established',
      },
      bgpPeerAdminStatus => '1.3.6.1.2.1.15.3.1.3',
      bgpPeerAdminStatusDefinition => {
        1 => 'stop',
        2 => 'start',
      },
      bgpPeerNegotiatedVersion => '1.3.6.1.2.1.15.3.1.4',
      bgpPeerLocalAddr => '1.3.6.1.2.1.15.3.1.5',
      bgpPeerLocalPort => '1.3.6.1.2.1.15.3.1.6',
      bgpPeerRemoteAddr => '1.3.6.1.2.1.15.3.1.7',
      bgpPeerRemotePort => '1.3.6.1.2.1.15.3.1.8',
      bgpPeerRemoteAs => '1.3.6.1.2.1.15.3.1.9',
      bgpPeerInUpdates => '1.3.6.1.2.1.15.3.1.10',
      bgpPeerOutUpdates => '1.3.6.1.2.1.15.3.1.11',
      bgpPeerInTotalMessages => '1.3.6.1.2.1.15.3.1.12',
      bgpPeerOutTotalMessages => '1.3.6.1.2.1.15.3.1.13',
      bgpPeerLastError => '1.3.6.1.2.1.15.3.1.14',
      bgpPeerFsmEstablishedTransitions => '1.3.6.1.2.1.15.3.1.15',
      bgpPeerFsmEstablishedTime => '1.3.6.1.2.1.15.3.1.16',
      bgpPeerConnectRetryInterval => '1.3.6.1.2.1.15.3.1.17',
      bgpPeerHoldTime => '1.3.6.1.2.1.15.3.1.18',
      bgpPeerKeepAlive => '1.3.6.1.2.1.15.3.1.19',
      bgpPeerHoldTimeConfigured => '1.3.6.1.2.1.15.3.1.20',
      bgpPeerKeepAliveConfigured => '1.3.6.1.2.1.15.3.1.21',
      bgpPeerMinASOriginationInterval => '1.3.6.1.2.1.15.3.1.22',
      bgpPeerMinRouteAdvertisementInterval => '1.3.6.1.2.1.15.3.1.23',
      bgpPeerInUpdateElapsedTime => '1.3.6.1.2.1.15.3.1.24',
  },
  'FORTINET-FORTIGATE-MIB' => {
      fgSystem => '1.3.6.1.4.1.12356.101.4',
      fgSystemInfo => '1.3.6.1.4.1.12356.101.4.1',
      fgSysVersion => '1.3.6.1.4.1.12356.101.4.1.1.0',
      fgSysMgmtVdom => '1.3.6.1.4.1.12356.101.4.1.2.0',
      fgSysCpuUsage => '1.3.6.1.4.1.12356.101.4.1.3.0',
      fgSysMemUsage => '1.3.6.1.4.1.12356.101.4.1.4.0',
      fgSysMemCapacity => '1.3.6.1.4.1.12356.101.4.1.5.0',
      fgSysDiskUsage => '1.3.6.1.4.1.12356.101.4.1.6.0',
      fgSysDiskCapacity => '1.3.6.1.4.1.12356.101.4.1.7.0',
      fgSysSesCount => '1.3.6.1.4.1.12356.101.4.1.8.0',
      fgSoftware => '1.3.6.1.4.1.12356.101.4.2',
      fgSoftware => '1.3.6.1.4.1.12356.101.4.2',
      fgSysVersionAv => '1.3.6.1.4.1.12356.101.4.2.1.0',
      fgSysVersionIps => '1.3.6.1.4.1.12356.101.4.2.2.0',
      fgHwSensors => '1.3.6.1.4.1.12356.101.4.3',
      fgHwSensors => '1.3.6.1.4.1.12356.101.4.3',
      fgHwSensorCount => '1.3.6.1.4.1.12356.101.4.3.1.0',
      fgHwSensorTable => '1.3.6.1.4.1.12356.101.4.3.2',
      fgHwSensorEntry => '1.3.6.1.4.1.12356.101.4.3.2.1',
      fgHwSensorEntIndex => '1.3.6.1.4.1.12356.101.4.3.2.1.1',
      fgHwSensorEntName => '1.3.6.1.4.1.12356.101.4.3.2.1.2',
      fgHwSensorEntValue => '1.3.6.1.4.1.12356.101.4.3.2.1.3',
      fgHwSensorEntAlarmStatus => '1.3.6.1.4.1.12356.101.4.3.2.1.4',
      fgHwSensorEntAlarmStatusDefinition => {
        0 => 'false',
        1 => 'true',
      },
      fgFirewall => '1.3.6.1.4.1.12356.101.5',
      fgFwPolicies => '1.3.6.1.4.1.12356.101.5.1',
      fgFwPolInfo => '1.3.6.1.4.1.12356.101.5.1.1',
      fgFwPolTables => '1.3.6.1.4.1.12356.101.5.1.2',
      fgFwPolTables => '1.3.6.1.4.1.12356.101.5.1.2',
      fgFwPolStatsTable => '1.3.6.1.4.1.12356.101.5.1.2.1',
      fgFwPolStatsEntry => '1.3.6.1.4.1.12356.101.5.1.2.1.1',
      fgFwPolID => '1.3.6.1.4.1.12356.101.5.1.2.1.1.1',
      fgFwPolPktCount => '1.3.6.1.4.1.12356.101.5.1.2.1.1.2',
      fgFwPolByteCount => '1.3.6.1.4.1.12356.101.5.1.2.1.1.3',
      fgFwUsers => '1.3.6.1.4.1.12356.101.5.2',
      fgFwUserInfo => '1.3.6.1.4.1.12356.101.5.2.1',
      fgFwUserInfo => '1.3.6.1.4.1.12356.101.5.2.1',
      fgFwUserNumber => '1.3.6.1.4.1.12356.101.5.2.1.1.0',
      fgFwUserAuthTimeout => '1.3.6.1.4.1.12356.101.5.2.1.2.0',
      fgFwUserTables => '1.3.6.1.4.1.12356.101.5.2.2',
      fgFwUserTables => '1.3.6.1.4.1.12356.101.5.2.2',
      fgFwUserTable => '1.3.6.1.4.1.12356.101.5.2.2.1',
      fgFwUserEntry => '1.3.6.1.4.1.12356.101.5.2.2.1.1',
      fgFwUserIndex => '1.3.6.1.4.1.12356.101.5.2.2.1.1.1',
      fgFwUserName => '1.3.6.1.4.1.12356.101.5.2.2.1.1.2',
      fgFwUserAuth => '1.3.6.1.4.1.12356.101.5.2.2.1.1.3',
      fgFwUserState => '1.3.6.1.4.1.12356.101.5.2.2.1.1.4',
      fgFwUserVdom => '1.3.6.1.4.1.12356.101.5.2.2.1.1.5',
      fgMgmt => '1.3.6.1.4.1.12356.101.6',
      fgFmTrapPrefix => '1.3.6.1.4.1.12356.101.6.0',
      fgAdmin => '1.3.6.1.4.1.12356.101.6.1',
      fgAdminOptions => '1.3.6.1.4.1.12356.101.6.1.1',
      fgAdminOptions => '1.3.6.1.4.1.12356.101.6.1.1',
      fgAdminIdleTimeout => '1.3.6.1.4.1.12356.101.6.1.1.1.0',
      fgAdminLcdProtection => '1.3.6.1.4.1.12356.101.6.1.1.2.0',
      fgAdminTables => '1.3.6.1.4.1.12356.101.6.1.2',
      fgAdminTables => '1.3.6.1.4.1.12356.101.6.1.2',
      fgAdminTable => '1.3.6.1.4.1.12356.101.6.1.2.1',
      fgAdminEntry => '1.3.6.1.4.1.12356.101.6.1.2.1.1',
      fgAdminVdom => '1.3.6.1.4.1.12356.101.6.1.2.1.1.1',
      fgMgmtTrapObjects => '1.3.6.1.4.1.12356.101.6.2',
      fgMgmtTrapObjects => '1.3.6.1.4.1.12356.101.6.2',
      fgManIfIp => '1.3.6.1.4.1.12356.101.6.2.1.0',
      fgManIfMask => '1.3.6.1.4.1.12356.101.6.2.2.0',
      fgIntf => '1.3.6.1.4.1.12356.101.7',
      fgIntfInfo => '1.3.6.1.4.1.12356.101.7.1',
      fgIntfTables => '1.3.6.1.4.1.12356.101.7.2',
      fgIntfTables => '1.3.6.1.4.1.12356.101.7.2',
      fgIntfTable => '1.3.6.1.4.1.12356.101.7.2.1',
      fgIntfEntry => '1.3.6.1.4.1.12356.101.7.2.1.1',
      fgIntfEntVdom => '1.3.6.1.4.1.12356.101.7.2.1.1.1',
      fgAntivirus => '1.3.6.1.4.1.12356.101.8',
      fgAvInfo => '1.3.6.1.4.1.12356.101.8.1',
      fgAvTables => '1.3.6.1.4.1.12356.101.8.2',
      fgAvTables => '1.3.6.1.4.1.12356.101.8.2',
      fgAvStatsTable => '1.3.6.1.4.1.12356.101.8.2.1',
      fgAvStatsEntry => '1.3.6.1.4.1.12356.101.8.2.1.1',
      fgAvVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.1',
      fgAvVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.2',
      fgAvHTTPVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.3',
      fgAvHTTPVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.4',
      fgAvSMTPVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.5',
      fgAvSMTPVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.6',
      fgAvPOP3VirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.7',
      fgAvPOP3VirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.8',
      fgAvIMAPVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.9',
      fgAvIMAPVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.10',
      fgAvFTPVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.11',
      fgAvFTPVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.12',
      fgAvIMVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.13',
      fgAvIMVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.14',
      fgAvNNTPVirusDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.15',
      fgAvNNTPVirusBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.16',
      fgAvOversizedDetected => '1.3.6.1.4.1.12356.101.8.2.1.1.17',
      fgAvOversizedBlocked => '1.3.6.1.4.1.12356.101.8.2.1.1.18',
      fgAvTrapObjects => '1.3.6.1.4.1.12356.101.8.3',
      fgAvTrapObjects => '1.3.6.1.4.1.12356.101.8.3',
      fgAvTrapVirName => '1.3.6.1.4.1.12356.101.8.3.1.0',
      fgIps => '1.3.6.1.4.1.12356.101.9',
      fgIpsInfo => '1.3.6.1.4.1.12356.101.9.1',
      fgIpsTables => '1.3.6.1.4.1.12356.101.9.2',
      fgIpsTables => '1.3.6.1.4.1.12356.101.9.2',
      fgIpsStatsTable => '1.3.6.1.4.1.12356.101.9.2.1',
      fgIpsStatsEntry => '1.3.6.1.4.1.12356.101.9.2.1.1',
      fgIpsIntrusionsDetected => '1.3.6.1.4.1.12356.101.9.2.1.1.1',
      fgIpsIntrusionsBlocked => '1.3.6.1.4.1.12356.101.9.2.1.1.2',
      fgIpsCritSevDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.3',
      fgIpsHighSevDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.4',
      fgIpsMedSevDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.5',
      fgIpsLowSevDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.6',
      fgIpsInfoSevDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.7',
      fgIpsSignatureDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.8',
      fgIpsAnomalyDetections => '1.3.6.1.4.1.12356.101.9.2.1.1.9',
      fgIpsTrapObjects => '1.3.6.1.4.1.12356.101.9.3',
      fgIpsTrapObjects => '1.3.6.1.4.1.12356.101.9.3',
      fgIpsTrapSigId => '1.3.6.1.4.1.12356.101.9.3.1.0',
      fgIpsTrapSrcIp => '1.3.6.1.4.1.12356.101.9.3.2.0',
      fgIpsTrapSigMsg => '1.3.6.1.4.1.12356.101.9.3.3.0',
      fgApplications => '1.3.6.1.4.1.12356.101.10',
      fgWebfilter => '1.3.6.1.4.1.12356.101.10.1',
      fgWebfilterInfo => '1.3.6.1.4.1.12356.101.10.1.1',
      fgWebfilterTables => '1.3.6.1.4.1.12356.101.10.1.2',
      fgWebfilterTables => '1.3.6.1.4.1.12356.101.10.1.2',
      fgWebfilterStatsTable => '1.3.6.1.4.1.12356.101.10.1.2.1',
      fgWebfilterStatsEntry => '1.3.6.1.4.1.12356.101.10.1.2.1.1',
      fgWfHTTPBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.1',
      fgWfHTTPSBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.2',
      fgWfHTTPURLBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.3',
      fgWfHTTPSURLBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.4',
      fgWfActiveXBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.5',
      fgWfCookieBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.6',
      fgWfAppletBlocked => '1.3.6.1.4.1.12356.101.10.1.2.1.1.7',
      fgFortiGuardStatsTable => '1.3.6.1.4.1.12356.101.10.1.2.2',
      fgFortiGuardStatsEntry => '1.3.6.1.4.1.12356.101.10.1.2.2.1',
      fgFgWfHTTPExamined => '1.3.6.1.4.1.12356.101.10.1.2.2.1.1',
      fgFgWfHTTPSExamined => '1.3.6.1.4.1.12356.101.10.1.2.2.1.2',
      fgFgWfHTTPAllowed => '1.3.6.1.4.1.12356.101.10.1.2.2.1.3',
      fgFgWfHTTPSAllowed => '1.3.6.1.4.1.12356.101.10.1.2.2.1.4',
      fgFgWfHTTPBlocked => '1.3.6.1.4.1.12356.101.10.1.2.2.1.5',
      fgFgWfHTTPSBlocked => '1.3.6.1.4.1.12356.101.10.1.2.2.1.6',
      fgFgWfHTTPLogged => '1.3.6.1.4.1.12356.101.10.1.2.2.1.7',
      fgFgWfHTTPSLogged => '1.3.6.1.4.1.12356.101.10.1.2.2.1.8',
      fgFgWfHTTPOverridden => '1.3.6.1.4.1.12356.101.10.1.2.2.1.9',
      fgFgWfHTTPSOverridden => '1.3.6.1.4.1.12356.101.10.1.2.2.1.10',
      fgAppProxyHTTP => '1.3.6.1.4.1.12356.101.10.100',
      fgAppProxyHTTP => '1.3.6.1.4.1.12356.101.10.100',
      fgApHTTPUpTime => '1.3.6.1.4.1.12356.101.10.100.1.0',
      fgApHTTPMemUsage => '1.3.6.1.4.1.12356.101.10.100.2.0',
      fgApHTTPStatsTable => '1.3.6.1.4.1.12356.101.10.100.3',
      fgApHTTPStatsEntry => '1.3.6.1.4.1.12356.101.10.100.3.1',
      fgApHTTPReqProcessed => '1.3.6.1.4.1.12356.101.10.100.3.1.1',
      fgAppProxySMTP => '1.3.6.1.4.1.12356.101.10.101',
      fgAppProxySMTP => '1.3.6.1.4.1.12356.101.10.101',
      fgApSMTPUpTime => '1.3.6.1.4.1.12356.101.10.101.1.0',
      fgApSMTPMemUsage => '1.3.6.1.4.1.12356.101.10.101.2.0',
      fgApSMTPStatsTable => '1.3.6.1.4.1.12356.101.10.101.3',
      fgApSMTPStatsEntry => '1.3.6.1.4.1.12356.101.10.101.3.1',
      fgApSMTPReqProcessed => '1.3.6.1.4.1.12356.101.10.101.3.1.1',
      fgApSMTPSpamDetected => '1.3.6.1.4.1.12356.101.10.101.3.1.2',
      fgAppProxyPOP3 => '1.3.6.1.4.1.12356.101.10.102',
      fgAppProxyPOP3 => '1.3.6.1.4.1.12356.101.10.102',
      fgApPOP3UpTime => '1.3.6.1.4.1.12356.101.10.102.1.0',
      fgApPOP3MemUsage => '1.3.6.1.4.1.12356.101.10.102.2.0',
      fgApPOP3StatsTable => '1.3.6.1.4.1.12356.101.10.102.3',
      fgApPOP3StatsEntry => '1.3.6.1.4.1.12356.101.10.102.3.1',
      fgApPOP3ReqProcessed => '1.3.6.1.4.1.12356.101.10.102.3.1.1',
      fgApPOP3SpamDetected => '1.3.6.1.4.1.12356.101.10.102.3.1.2',
      fgAppProxyIMAP => '1.3.6.1.4.1.12356.101.10.103',
      fgAppProxyIMAP => '1.3.6.1.4.1.12356.101.10.103',
      fgApIMAPUpTime => '1.3.6.1.4.1.12356.101.10.103.1.0',
      fgApIMAPMemUsage => '1.3.6.1.4.1.12356.101.10.103.2.0',
      fgApIMAPStatsTable => '1.3.6.1.4.1.12356.101.10.103.3',
      fgApIMAPStatsEntry => '1.3.6.1.4.1.12356.101.10.103.3.1',
      fgApIMAPReqProcessed => '1.3.6.1.4.1.12356.101.10.103.3.1.1',
      fgApIMAPSpamDetected => '1.3.6.1.4.1.12356.101.10.103.3.1.2',
      fgAppProxyNNTP => '1.3.6.1.4.1.12356.101.10.104',
      fgAppProxyNNTP => '1.3.6.1.4.1.12356.101.10.104',
      fgApNNTPUpTime => '1.3.6.1.4.1.12356.101.10.104.1.0',
      fgApNNTPMemUsage => '1.3.6.1.4.1.12356.101.10.104.2.0',
      fgApNNTPStatsTable => '1.3.6.1.4.1.12356.101.10.104.3',
      fgApNNTPStatsEntry => '1.3.6.1.4.1.12356.101.10.104.3.1',
      fgApNNTPReqProcessed => '1.3.6.1.4.1.12356.101.10.104.3.1.1',
      fgAppProxyIM => '1.3.6.1.4.1.12356.101.10.105',
      fgAppProxyIM => '1.3.6.1.4.1.12356.101.10.105',
      fgApIMUpTime => '1.3.6.1.4.1.12356.101.10.105.1.0',
      fgApIMMemUsage => '1.3.6.1.4.1.12356.101.10.105.2.0',
      fgApIMStatsTable => '1.3.6.1.4.1.12356.101.10.105.3',
      fgApIMStatsEntry => '1.3.6.1.4.1.12356.101.10.105.3.1',
      fgApIMReqProcessed => '1.3.6.1.4.1.12356.101.10.105.3.1.1',
      fgAppProxySIP => '1.3.6.1.4.1.12356.101.10.106',
      fgAppProxySIP => '1.3.6.1.4.1.12356.101.10.106',
      fgApSIPUpTime => '1.3.6.1.4.1.12356.101.10.106.1.0',
      fgApSIPMemUsage => '1.3.6.1.4.1.12356.101.10.106.2.0',
      fgApSIPStatsTable => '1.3.6.1.4.1.12356.101.10.106.3',
      fgApSIPStatsEntry => '1.3.6.1.4.1.12356.101.10.106.3.1',
      fgApSIPClientReg => '1.3.6.1.4.1.12356.101.10.106.3.1.1',
      fgApSIPCallHandling => '1.3.6.1.4.1.12356.101.10.106.3.1.2',
      fgApSIPServices => '1.3.6.1.4.1.12356.101.10.106.3.1.3',
      fgApSIPOtherReq => '1.3.6.1.4.1.12356.101.10.106.3.1.4',
      fgAppScanUnit => '1.3.6.1.4.1.12356.101.10.107',
      fgAppScanUnit => '1.3.6.1.4.1.12356.101.10.107',
      fgAppSuNumber => '1.3.6.1.4.1.12356.101.10.107.1.0',
      fgAppSuStatsTable => '1.3.6.1.4.1.12356.101.10.107.2',
      fgAppSuStatsEntry => '1.3.6.1.4.1.12356.101.10.107.2.1',
      fgAppSuIndex => '1.3.6.1.4.1.12356.101.10.107.2.1.1',
      fgAppSuFileScanned => '1.3.6.1.4.1.12356.101.10.107.2.1.2',
      fgAppVoIP => '1.3.6.1.4.1.12356.101.10.108',
      fgAppVoIP => '1.3.6.1.4.1.12356.101.10.108',
      fgAppVoIPStatsTable => '1.3.6.1.4.1.12356.101.10.108.1',
      fgAppVoIPStatsEntry => '1.3.6.1.4.1.12356.101.10.108.1.1',
      fgAppVoIPConn => '1.3.6.1.4.1.12356.101.10.108.1.1.1',
      fgAppVoIPCallBlocked => '1.3.6.1.4.1.12356.101.10.108.1.1.2',
      fgAppP2P => '1.3.6.1.4.1.12356.101.10.109',
      fgAppP2P => '1.3.6.1.4.1.12356.101.10.109',
      fgAppP2PStatsTable => '1.3.6.1.4.1.12356.101.10.109.1',
      fgAppP2PStatsEntry => '1.3.6.1.4.1.12356.101.10.109.1.1',
      fgAppP2PConnBlocked => '1.3.6.1.4.1.12356.101.10.109.1.1.1',
      fgAppP2PProtoTable => '1.3.6.1.4.1.12356.101.10.109.2',
      fgAppP2PProtoEntry => '1.3.6.1.4.1.12356.101.10.109.2.1',
      fgAppP2PProtEntProto => '1.3.6.1.4.1.12356.101.10.109.2.1.1',
      fgAppP2PProtEntBytes => '1.3.6.1.4.1.12356.101.10.109.2.1.2',
      fgAppP2PProtoEntLastReset => '1.3.6.1.4.1.12356.101.10.109.2.1.3',
      fgAppIM => '1.3.6.1.4.1.12356.101.10.110',
      fgAppIM => '1.3.6.1.4.1.12356.101.10.110',
      fgAppIMStatsTable => '1.3.6.1.4.1.12356.101.10.110.1',
      fgAppIMStatsEntry => '1.3.6.1.4.1.12356.101.10.110.1.1',
      fgAppIMMessages => '1.3.6.1.4.1.12356.101.10.110.1.1.1',
      fgAppIMFileTransfered => '1.3.6.1.4.1.12356.101.10.110.1.1.2',
      fgAppIMFileTxBlocked => '1.3.6.1.4.1.12356.101.10.110.1.1.3',
      fgAppIMConnBlocked => '1.3.6.1.4.1.12356.101.10.110.1.1.4',
      fgAppProxyFTP => '1.3.6.1.4.1.12356.101.10.111',
      fgAppProxyFTP => '1.3.6.1.4.1.12356.101.10.111',
      fgApFTPUpTime => '1.3.6.1.4.1.12356.101.10.111.1.0',
      fgApFTPMemUsage => '1.3.6.1.4.1.12356.101.10.111.2.0',
      fgApFTPStatsTable => '1.3.6.1.4.1.12356.101.10.111.3',
      fgApFTPStatsEntry => '1.3.6.1.4.1.12356.101.10.111.3.1',
      fgApFTPReqProcessed => '1.3.6.1.4.1.12356.101.10.111.3.1.1',
      fgInetProto => '1.3.6.1.4.1.12356.101.11',
      fgInetProtoInfo => '1.3.6.1.4.1.12356.101.11.1',
      fgInetProtoTables => '1.3.6.1.4.1.12356.101.11.2',
      fgInetProtoTables => '1.3.6.1.4.1.12356.101.11.2',
      fgIpSessTable => '1.3.6.1.4.1.12356.101.11.2.1',
      fgIpSessEntry => '1.3.6.1.4.1.12356.101.11.2.1.1',
      fgIpSessIndex => '1.3.6.1.4.1.12356.101.11.2.1.1.1',
      fgIpSessProto => '1.3.6.1.4.1.12356.101.11.2.1.1.2',
      fgIpSessFromAddr => '1.3.6.1.4.1.12356.101.11.2.1.1.3',
      fgIpSessFromPort => '1.3.6.1.4.1.12356.101.11.2.1.1.4',
      fgIpSessToAddr => '1.3.6.1.4.1.12356.101.11.2.1.1.5',
      fgIpSessToPort => '1.3.6.1.4.1.12356.101.11.2.1.1.6',
      fgIpSessExp => '1.3.6.1.4.1.12356.101.11.2.1.1.7',
      fgIpSessVdom => '1.3.6.1.4.1.12356.101.11.2.1.1.8',
      fgIpSessStatsTable => '1.3.6.1.4.1.12356.101.11.2.2',
      fgIpSessStatsEntry => '1.3.6.1.4.1.12356.101.11.2.2.1',
      fgIpSessNumber => '1.3.6.1.4.1.12356.101.11.2.2.1.1',
      fgVpn => '1.3.6.1.4.1.12356.101.12',
      fgVpnInfo => '1.3.6.1.4.1.12356.101.12.1',
      fgVpnTables => '1.3.6.1.4.1.12356.101.12.2',
      fgVpnTables => '1.3.6.1.4.1.12356.101.12.2',
      fgVpnDialupTable => '1.3.6.1.4.1.12356.101.12.2.1',
      fgVpnDialupEntry => '1.3.6.1.4.1.12356.101.12.2.1.1',
      fgVpnDialupIndex => '1.3.6.1.4.1.12356.101.12.2.1.1.1',
      fgVpnDialupGateway => '1.3.6.1.4.1.12356.101.12.2.1.1.2',
      fgVpnDialupLifetime => '1.3.6.1.4.1.12356.101.12.2.1.1.3',
      fgVpnDialupTimeout => '1.3.6.1.4.1.12356.101.12.2.1.1.4',
      fgVpnDialupSrcBegin => '1.3.6.1.4.1.12356.101.12.2.1.1.5',
      fgVpnDialupSrcEnd => '1.3.6.1.4.1.12356.101.12.2.1.1.6',
      fgVpnDialupDstAddr => '1.3.6.1.4.1.12356.101.12.2.1.1.7',
      fgVpnDialupVdom => '1.3.6.1.4.1.12356.101.12.2.1.1.8',
      fgVpnDialupInOctets => '1.3.6.1.4.1.12356.101.12.2.1.1.9',
      fgVpnDialupOutOctets => '1.3.6.1.4.1.12356.101.12.2.1.1.10',
      fgVpnTunTable => '1.3.6.1.4.1.12356.101.12.2.2',
      fgVpnTunEntry => '1.3.6.1.4.1.12356.101.12.2.2.1',
      fgVpnTunEntIndex => '1.3.6.1.4.1.12356.101.12.2.2.1.1',
      fgVpnTunEntPhase1Name => '1.3.6.1.4.1.12356.101.12.2.2.1.2',
      fgVpnTunEntPhase2Name => '1.3.6.1.4.1.12356.101.12.2.2.1.3',
      fgVpnTunEntRemGwyIp => '1.3.6.1.4.1.12356.101.12.2.2.1.4',
      fgVpnTunEntRemGwyPort => '1.3.6.1.4.1.12356.101.12.2.2.1.5',
      fgVpnTunEntLocGwyIp => '1.3.6.1.4.1.12356.101.12.2.2.1.6',
      fgVpnTunEntLocGwyPort => '1.3.6.1.4.1.12356.101.12.2.2.1.7',
      fgVpnTunEntSelectorSrcBeginIp => '1.3.6.1.4.1.12356.101.12.2.2.1.8',
      fgVpnTunEntSelectorSrcEndIp => '1.3.6.1.4.1.12356.101.12.2.2.1.9',
      fgVpnTunEntSelectorSrcPort => '1.3.6.1.4.1.12356.101.12.2.2.1.10',
      fgVpnTunEntSelectorDstBeginIp => '1.3.6.1.4.1.12356.101.12.2.2.1.11',
      fgVpnTunEntSelectorDstEndIp => '1.3.6.1.4.1.12356.101.12.2.2.1.12',
      fgVpnTunEntSelectorDstPort => '1.3.6.1.4.1.12356.101.12.2.2.1.13',
      fgVpnTunEntSelectorProto => '1.3.6.1.4.1.12356.101.12.2.2.1.14',
      fgVpnTunEntLifeSecs => '1.3.6.1.4.1.12356.101.12.2.2.1.15',
      fgVpnTunEntLifeBytes => '1.3.6.1.4.1.12356.101.12.2.2.1.16',
      fgVpnTunEntTimeout => '1.3.6.1.4.1.12356.101.12.2.2.1.17',
      fgVpnTunEntInOctets => '1.3.6.1.4.1.12356.101.12.2.2.1.18',
      fgVpnTunEntOutOctets => '1.3.6.1.4.1.12356.101.12.2.2.1.19',
      fgVpnTunEntStatus => '1.3.6.1.4.1.12356.101.12.2.2.1.20',
      fgVpnTunEntVdom => '1.3.6.1.4.1.12356.101.12.2.2.1.21',
      fgVpnSslStatsTable => '1.3.6.1.4.1.12356.101.12.2.3',
      fgVpnSslStatsEntry => '1.3.6.1.4.1.12356.101.12.2.3.1',
      fgVpnSslState => '1.3.6.1.4.1.12356.101.12.2.3.1.1',
      fgVpnSslStatsLoginUsers => '1.3.6.1.4.1.12356.101.12.2.3.1.2',
      fgVpnSslStatsMaxUsers => '1.3.6.1.4.1.12356.101.12.2.3.1.3',
      fgVpnSslStatsActiveWebSessions => '1.3.6.1.4.1.12356.101.12.2.3.1.4',
      fgVpnSslStatsMaxWebSessions => '1.3.6.1.4.1.12356.101.12.2.3.1.5',
      fgVpnSslStatsActiveTunnels => '1.3.6.1.4.1.12356.101.12.2.3.1.6',
      fgVpnSslStatsMaxTunnels => '1.3.6.1.4.1.12356.101.12.2.3.1.7',
      fgVpnSslTunnelTable => '1.3.6.1.4.1.12356.101.12.2.4',
      fgVpnSslTunnelEntry => '1.3.6.1.4.1.12356.101.12.2.4.1',
      fgVpnSslTunnelIndex => '1.3.6.1.4.1.12356.101.12.2.4.1.1',
      fgVpnSslTunnelVdom => '1.3.6.1.4.1.12356.101.12.2.4.1.2',
      fgVpnSslTunnelUserName => '1.3.6.1.4.1.12356.101.12.2.4.1.3',
      fgVpnSslTunnelSrcIp => '1.3.6.1.4.1.12356.101.12.2.4.1.4',
      fgVpnSslTunnelIp => '1.3.6.1.4.1.12356.101.12.2.4.1.5',
      fgVpnSslTunnelUpTime => '1.3.6.1.4.1.12356.101.12.2.4.1.6',
      fgVpnSslTunnelBytesIn => '1.3.6.1.4.1.12356.101.12.2.4.1.7',
      fgVpnSslTunnelBytesOut => '1.3.6.1.4.1.12356.101.12.2.4.1.8',
      fgVpnTrapObjects => '1.3.6.1.4.1.12356.101.12.3',
      fgVpnTrapObjects => '1.3.6.1.4.1.12356.101.12.3',
      fgVpnTrapLocalGateway => '1.3.6.1.4.1.12356.101.12.3.2.0',
      fgVpnTrapRemoteGateway => '1.3.6.1.4.1.12356.101.12.3.3.0',
      fgHighAvailability => '1.3.6.1.4.1.12356.101.13',
      fgHaInfo => '1.3.6.1.4.1.12356.101.13.1',
      fgHaInfo => '1.3.6.1.4.1.12356.101.13.1',
      fgHaSystemMode => '1.3.6.1.4.1.12356.101.13.1.1.0',
      fgHaGroupId => '1.3.6.1.4.1.12356.101.13.1.2.0',
      fgHaPriority => '1.3.6.1.4.1.12356.101.13.1.3.0',
      fgHaOverride => '1.3.6.1.4.1.12356.101.13.1.4.0',
      fgHaAutoSync => '1.3.6.1.4.1.12356.101.13.1.5.0',
      fgHaSchedule => '1.3.6.1.4.1.12356.101.13.1.6.0',
      fgHaGroupName => '1.3.6.1.4.1.12356.101.13.1.7.0',
      fgHaTables => '1.3.6.1.4.1.12356.101.13.2',
      fgHaTables => '1.3.6.1.4.1.12356.101.13.2',
      fgHaStatsTable => '1.3.6.1.4.1.12356.101.13.2.1',
      fgHaStatsEntry => '1.3.6.1.4.1.12356.101.13.2.1.1',
      fgHaStatsIndex => '1.3.6.1.4.1.12356.101.13.2.1.1.1',
      fgHaStatsSerial => '1.3.6.1.4.1.12356.101.13.2.1.1.2',
      fgHaStatsCpuUsage => '1.3.6.1.4.1.12356.101.13.2.1.1.3',
      fgHaStatsMemUsage => '1.3.6.1.4.1.12356.101.13.2.1.1.4',
      fgHaStatsNetUsage => '1.3.6.1.4.1.12356.101.13.2.1.1.5',
      fgHaStatsSesCount => '1.3.6.1.4.1.12356.101.13.2.1.1.6',
      fgHaStatsPktCount => '1.3.6.1.4.1.12356.101.13.2.1.1.7',
      fgHaStatsByteCount => '1.3.6.1.4.1.12356.101.13.2.1.1.8',
      fgHaStatsIdsCount => '1.3.6.1.4.1.12356.101.13.2.1.1.9',
      fgHaStatsAvCount => '1.3.6.1.4.1.12356.101.13.2.1.1.10',
      fgHaStatsHostname => '1.3.6.1.4.1.12356.101.13.2.1.1.11',
  },
  'LARA-MIB' => {
    lantronix => '1.3.6.1.4.1.244',
    products => '1.3.6.1.4.1.244.1',
    sls => '1.3.6.1.4.1.244.1.11',
    board => '1.3.6.1.4.1.244.1.11.1',
    host => '1.3.6.1.4.1.244.1.11.2',
    Common => '1.3.6.1.4.1.244.1.11.3',
    Traps => '1.3.6.1.4.1.244.1.11.4',
    Info => '1.3.6.1.4.1.244.1.11.1.1',
    Users => '1.3.6.1.4.1.244.1.11.1.2',
    Actions => '1.3.6.1.4.1.244.1.11.1.3',
    HostInfo => '1.3.6.1.4.1.244.1.11.2.1',
    HostActions => '1.3.6.1.4.1.244.1.11.2.2',
    firmwareVersion => '1.3.6.1.4.1.244.1.11.1.1.1',
    serialNumber => '1.3.6.1.4.1.244.1.11.1.1.2',
    IP => '1.3.6.1.4.1.244.1.11.1.1.3',
    Netmask => '1.3.6.1.4.1.244.1.11.1.1.4',
    Gateway => '1.3.6.1.4.1.244.1.11.1.1.5',
    MAC => '1.3.6.1.4.1.244.1.11.1.1.6',
    HardwareRev => '1.3.6.1.4.1.244.1.11.1.1.7',
    eventType => '1.3.6.1.4.1.244.1.11.1.1.8',
    eventDesc => '1.3.6.1.4.1.244.1.11.1.1.9',
    userLoginName => '1.3.6.1.4.1.244.1.11.1.1.10',
    remoteHost => '1.3.6.1.4.1.244.1.11.1.1.11',
    checkHostPower => '1.3.6.1.4.1.244.1.11.2.1.1',
    checkHostPowerDefinition => {
      1 => 'hasPower',
      2 => 'hasnoPower',
      3 => 'error',
      4 => 'notsupported',
    },
    DummyTrap => '1.3.6.1.4.1.244.1.11.4.1',
    Loginfailed => '1.3.6.1.4.1.244.1.11.4.2',
    Loginsuccess => '1.3.6.1.4.1.244.1.11.4.3',
    SecurityViolation => '1.3.6.1.4.1.244.1.11.4.4',
    Generic => '1.3.6.1.4.1.244.1.11.4.5',
  },
  'xPAN-PRODUCTS-MIB' => {
    "x"=>1.3.6.1.4.1.25461.2.3.9
  },
  'PAN-COMMON-MIB' => {
    panCommonConfMib => '1.3.6.1.4.1.25461.2.1.1',
    panCommonObjs => '1.3.6.1.4.1.25461.2.1.2',
    panCommonEvents => '1.3.6.1.4.1.25461.2.1.3',
    panSys => '1.3.6.1.4.1.25461.2.1.2.1',
    panChassis => '1.3.6.1.4.1.25461.2.1.2.2',
    panSession => '1.3.6.1.4.1.25461.2.1.2.3',
    panMgmt => '1.3.6.1.4.1.25461.2.1.2.4',
    panGlobalProtect => '1.3.6.1.4.1.25461.2.1.2.5',
    panSys => '1.3.6.1.4.1.25461.2.1.2.1',
    panSysSwVersion => '1.3.6.1.4.1.25461.2.1.2.1.1.0',
    panSysHwVersion => '1.3.6.1.4.1.25461.2.1.2.1.2.0',
    panSysSerialNumber => '1.3.6.1.4.1.25461.2.1.2.1.3.0',
    panSysTimeZoneOffset => '1.3.6.1.4.1.25461.2.1.2.1.4.0',
    panSysDaylightSaving => '1.3.6.1.4.1.25461.2.1.2.1.5.0',
    panSysVpnClientVersion => '1.3.6.1.4.1.25461.2.1.2.1.6.0',
    panSysAppVersion => '1.3.6.1.4.1.25461.2.1.2.1.7.0',
    panSysAvVersion => '1.3.6.1.4.1.25461.2.1.2.1.8.0',
    panSysThreatVersion => '1.3.6.1.4.1.25461.2.1.2.1.9.0',
    panSysUrlFilteringVersion => '1.3.6.1.4.1.25461.2.1.2.1.10.0',
    panSysHAState => '1.3.6.1.4.1.25461.2.1.2.1.11.0',
    panSysHAPeerState => '1.3.6.1.4.1.25461.2.1.2.1.12.0',
    panSysHAMode => '1.3.6.1.4.1.25461.2.1.2.1.13.0',
    panSysUrlFilteringDatabase => '1.3.6.1.4.1.25461.2.1.2.1.14.0',
    panSysGlobalProtectClientVersion => '1.3.6.1.4.1.25461.2.1.2.1.15.0',
    panSysOpswatDatafileVersion => '1.3.6.1.4.1.25461.2.1.2.1.16.0',
    panChassis => '1.3.6.1.4.1.25461.2.1.2.2',
    panChassisType => '1.3.6.1.4.1.25461.2.1.2.2.1.0',
    panMSeriesMode => '1.3.6.1.4.1.25461.2.1.2.2.2.0',
    panSession => '1.3.6.1.4.1.25461.2.1.2.3',
    panSessionUtilization => '1.3.6.1.4.1.25461.2.1.2.3.1.0',
    panSessionMax => '1.3.6.1.4.1.25461.2.1.2.3.2.0',
    panSessionActive => '1.3.6.1.4.1.25461.2.1.2.3.3.0',
    panSessionActiveTcp => '1.3.6.1.4.1.25461.2.1.2.3.4.0',
    panSessionActiveUdp => '1.3.6.1.4.1.25461.2.1.2.3.5.0',
    panSessionActiveICMP => '1.3.6.1.4.1.25461.2.1.2.3.6.0',
    panSessionActiveSslProxy => '1.3.6.1.4.1.25461.2.1.2.3.7.0',
    panSessionSslProxyUtilization => '1.3.6.1.4.1.25461.2.1.2.3.8.0',
    panVsysTable => '1.3.6.1.4.1.25461.2.1.2.3.9',
    panVsysEntry => '1.3.6.1.4.1.25461.2.1.2.3.9.1',
    panVsysId => '1.3.6.1.4.1.25461.2.1.2.3.9.1.1',
    panVsysName => '1.3.6.1.4.1.25461.2.1.2.3.9.1.2',
    panVsysSessionUtilizationPct => '1.3.6.1.4.1.25461.2.1.2.3.9.1.3',
    panVsysActiveSessions => '1.3.6.1.4.1.25461.2.1.2.3.9.1.4',
    panVsysMaxSessions => '1.3.6.1.4.1.25461.2.1.2.3.9.1.5',
    panMgmt => '1.3.6.1.4.1.25461.2.1.2.4',
    panMgmtPanoramaConnected => '1.3.6.1.4.1.25461.2.1.2.4.1.0',
    panMgmtPanorama2Connected => '1.3.6.1.4.1.25461.2.1.2.4.2.0',
    panGPGatewayUtilization => '1.3.6.1.4.1.25461.2.1.2.5.1',
    panGPGatewayUtilization => '1.3.6.1.4.1.25461.2.1.2.5.1',
    panGPGWUtilizationPct => '1.3.6.1.4.1.25461.2.1.2.5.1.1.0',
    panGPGWUtilizationMaxTunnels => '1.3.6.1.4.1.25461.2.1.2.5.1.2.0',
    panGPGWUtilizationActiveTunnels => '1.3.6.1.4.1.25461.2.1.2.5.1.3.0',
    panCommonEventObjs => '1.3.6.1.4.1.25461.2.1.3.1',
    panCommonEventEvents => '1.3.6.1.4.1.25461.2.1.3.2',
    panCommonEventEventsV2 => '1.3.6.1.4.1.25461.2.1.3.2.0',
    panCommonEventObjs => '1.3.6.1.4.1.25461.2.1.3.1',
    panCommonEventDescr => '1.3.6.1.4.1.25461.2.1.3.1.1.0',
  },
};

$GLPlugin::SNMP::definitions = {
  'CISCO-ENVMON-MIB' => {
     ciscoEnvMonState => {
       1 => 'normal',
       2 => 'warning',
       3 => 'critical',
       4 => 'shutdown',
       5 => 'notPresent',
       6 => 'notFunctioning',
     },
  },
  'CISCO-HSRP-MIB' => {
      HsrpState => {
        1 => 'initial',
        2 => 'learn',
        3 => 'listen',
        4 => 'speak',
        5 => 'standby',
        6 => 'active',
      },
  },
  'SNMPv2-TC-v1' => {
      'TruthValue' => {
        1 => 'true',
        2 => 'false',
      },
      'RowStatus' => {
        1 => 'active',
        2 => 'notInService',
        3 => 'notReady',
        4 => 'createAndGo',
        5 => 'createAndWait',
        6 => 'destroy',
      },
  },
  'CISCO-ENTITY-SENSOR-MIB' => {
      'SensorDataType' => {
        1 => 'other',
        2 => 'unknown',
        3 => 'voltsAC',
        4 => 'voltsDC',
        5 => 'amperes',
        6 => 'watts',
        7 => 'hertz',
        8 => 'celsius',
        9 => 'percentRH',
        10 => 'rpm',
        11 => 'cmm',
        12 => 'truthvalue',
        13 => 'specialEnum',
        14 => 'dBm',
      },
      'SensorStatus' => {
        1 => 'ok',
        2 => 'unavailable',
        3 => 'nonoperational',
      },
      'SensorDataScale' => {
        1 => 'yocto',
        2 => 'zepto',
        3 => 'atto',
        4 => 'femto',
        5 => 'pico',
        6 => 'nano',
        7 => 'micro',
        8 => 'milli',
        9 => 'units',
        10 => 'kilo',
        11 => 'mega',
        12 => 'giga',
        13 => 'tera',
        14 => 'exa',
        15 => 'peta',
        16 => 'zetta',
        17 => 'yotta',
      },
      'SensorThresholdSeverity' => {
        1 => 'other',
        10 => 'minor',
        20 => 'major',
        30 => 'critical',
      },
      'SensorThresholdRelation' => {
        1 => 'lessThan',
        2 => 'lessOrEqual',
        3 => 'greaterThan',
        4 => 'greaterOrEqual',
        5 => 'equalTo',
        6 => 'notEqualTo',
      },
  },
  'CISCO-ENTITY-FRU-CONTROL-MIB' => {
    'PowerRedundancyType' => {
      1 => 'notsupported',
      2 => 'redundant',
      3 => 'combined',
      4 => 'nonRedundant',
      5 => 'psRedundant',
      6 => 'inPwrSrcRedundant',
      7 => 'psRedundantSingleInput',
    },
    'PowerAdminType' => {
      1 => 'on',
      2 => 'off',
      3 => 'inlineAuto',
      4 => 'inlineOn',
      5 => 'powerCycle',
    },
    'PowerOperType' => {
      1 => 'offEnvOther',
      2 => 'on',
      3 => 'offAdmin',
      4 => 'offDenied',
      5 => 'offEnvPower',
      6 => 'offEnvTemp',
      7 => 'offEnvFan',
      8 => 'failed',
      9 => 'onButFanFail',
      10 => 'offCooling',
      11 => 'offConnectorRating',
      12 => 'onButInlinePowerFail',
    },
  },
  'CISCO-L2L3-INTERFACE-CONFIG-MIB' => {
      'CL2L3InterfaceMode' => {
        1 => 'routed',
        2 => 'switchport',
      },
  },
  'CISCO-FIREWALL-MIB' => {
    'Services' => {
      1 => 'otherFWService',
      2 => 'fileXferFtp',
      3 => 'fileXferTftp',
      4 => 'fileXferFtps',
      5 => 'loginTelnet',
      6 => 'loginRlogin',
      7 => 'loginTelnets',
      8 => 'remoteExecSunRPC',
      9 => 'remoteExecMSRPC',
      10 => 'remoteExecRsh',
      11 => 'remoteExecXserver',
      12 => 'webHttp',
      13 => 'webHttps',
      14 => 'mailSmtp',
      15 => 'multimediaStreamworks',
      16 => 'multimediaH323',
      17 => 'multimediaNetShow',
      18 => 'multimediaVDOLive',
      19 => 'multimediaRealAV',
      20 => 'multimediaRTSP',
      21 => 'dbOracle',
      22 => 'dbMSsql',
      23 => 'contInspProgLang',
      24 => 'contInspUrl',
      25 => 'directoryNis',
      26 => 'directoryDns',
      27 => 'directoryNetbiosns',
      28 => 'directoryNetbiosdgm',
      29 => 'directoryNetbiosssn',
      30 => 'directoryWins',
      31 => 'qryWhois',
      32 => 'qryFinger',
      33 => 'qryIdent',
      34 => 'fsNfsStatus',
      35 => 'fsNfs',
      36 => 'fsCifs',
      37 => 'protoIcmp',
      38 => 'protoTcp',
      39 => 'protoUdp',
      40 => 'protoIp',
      41 => 'protoSnmp',
    },
  },
  'F5-BIGIP-LOCAL-MIB' => {
    ltmPoolLbMode => {
      0 => 'roundRobin',
      1 => 'ratioMember',
      2 => 'leastConnMember',
      3 => 'observedMember',
      4 => 'predictiveMember',
      5 => 'ratioNodeAddress',
      6 => 'leastConnNodeAddress',
      7 => 'fastestNodeAddress',
      8 => 'observedNodeAddress',
      9 => 'predictiveNodeAddress',
      10 => 'dynamicRatio',
      11 => 'fastestAppResponse',
      12 => 'leastSessions',
      13 => 'dynamicRatioMember',
      14 => 'l3Addr',
      15 => 'weightedLeastConnMember',
      16 => 'weightedLeastConnNodeAddr',
      17 => 'ratioSession',
    },
    ltmPoolAvailabilityState => {
      0 => 'none',
      1 => 'green',
      2 => 'yellow',
      3 => 'red',
      4 => 'blue',
    },
    ltmPoolMemberMonitorState => {
      0 => 'unchecked',
      1 => 'checking',
      2 => 'inband',
      3 => 'forced-up',
      4 => 'up',
      19 => 'down',
      20 => 'forced-down',
      22 => 'irule-down',
      23 => 'inband-down',
      24 => 'down-manual-resume',
      25 => 'disabled',
    },
    ltmPoolMemberMonitorStatus => {
      0 => 'unchecked',
      1 => 'checking',
      2 => 'inband',
      3 => 'forced-up',
      4 => 'up',
      18 => 'addr-down',
      19 => 'down',
      20 => 'forced-down',
      21 => 'maint',
      22 => 'irule-down',
      23 => 'inband-down',
      24 => 'down-manual-resume',
    },
    ltmPoolMemberEnabledState => {
      0 => 'none',
      1 => 'enabled',
      2 => 'disabled',
      3 => 'disabledbyparent',
    },
    ltmPoolStatusAvailState => {
      0 => 'none',
      1 => 'green',
      2 => 'yellow',
      3 => 'red',
      4 => 'blue',
      5 => 'grey',
    },
    ltmPoolStatusEnabledState =>  {
      0 => 'none',
      1 => 'enabled',
      2 => 'disabled',
      3 => 'disabledbyparent',
    },
    ltmPoolMbrStatusAvailState => {
      0 => 'none',
      1 => 'green',
      2 => 'yellow',
      3 => 'red',
      4 => 'blue',
      5 => 'gray',
    },
    ltmPoolMbrStatusEnabledState => {
      0 => 'none',
      1 => 'enabled',
      2 => 'disabled',
      3 => 'disabledbyparent',
    },
    ltmPoolMemberMonitorState => {
      0 => 'unchecked',
      1 => 'checking',
      2 => 'inband',
      3 => 'forced-up',
      4 => 'up',
      19 => 'down',
      20 => 'forced-down',
      22 => 'irule-down',
      23 => 'inband-down',
      24 => 'down-manual-resume',
      25 => 'disabled',
    },
    ltmPoolMemberMonitorStatus => {
      0 => 'unchecked',
      1 => 'checking',
      2 => 'inband',
      3 => 'forced-up',
      4 => 'up',
      18 => 'addr-down',
      19 => 'down',
      20 => 'forced-down',
      21 => 'maint',
      22 => 'irule-down',
      23 => 'inband-down',
      24 => 'down-manual-resume',
    },
  },
  'FOUNDRY-SN-SW-L4-SWITCH-GROUP-MIB' => {
    'L4Status' => {
      0 => 'disabled',
      1 => 'enabled',
    },
    'L4DeleteState' => {
      0 => 'done',
      1 => 'waitunbind',
      1 => 'waitdelete',
    },
    'L4RowSts' => {
      1 => 'other',
      2 => 'valid',
      3 => 'delete',
      4 => 'create',
      5 => 'modify',
    },
  },
  'IFMIB' => {
    ifType => {
      1 => 'other',
      2 => 'regular1822',
      3 => 'hdh1822',
      4 => 'ddnX25',
      5 => 'rfc877x25',
      6 => 'ethernetCsmacd',
      7 => 'iso88023Csmacd',
      8 => 'iso88024TokenBus',
      9 => 'iso88025TokenRing',
      10 => 'iso88026Man',
      11 => 'starLan',
      12 => 'proteon10Mbit',
      13 => 'proteon80Mbit',
      14 => 'hyperchannel',
      15 => 'fddi',
      16 => 'lapb',
      17 => 'sdlc',
      18 => 'ds1',
      19 => 'e1',
      20 => 'basicISDN',
      21 => 'primaryISDN',
      22 => 'propPointToPointSerial',
      23 => 'ppp',
      24 => 'softwareLoopback',
      25 => 'eon',
      26 => 'ethernet3Mbit',
      27 => 'nsip',
      28 => 'slip',
      29 => 'ultra',
      30 => 'ds3',
      31 => 'sip',
      32 => 'frameRelay',
      33 => 'rs232',
      34 => 'para',
      35 => 'arcnet',
      36 => 'arcnetPlus',
      37 => 'atm',
      38 => 'miox25',
      39 => 'sonet',
      40 => 'x25ple',
      41 => 'iso88022llc',
      42 => 'localTalk',
      43 => 'smdsDxi',
      44 => 'frameRelayService',
      45 => 'v35',
      46 => 'hssi',
      47 => 'hippi',
      48 => 'modem',
      49 => 'aal5',
      50 => 'sonetPath',
      51 => 'sonetVT',
      52 => 'smdsIcip',
      53 => 'propVirtual',
      54 => 'propMultiplexor',
      55 => 'ieee80212',
      56 => 'fibreChannel',
      57 => 'hippiInterface',
      58 => 'frameRelayInterconnect',
      59 => 'aflane8023',
      60 => 'aflane8025',
      61 => 'cctEmul',
      62 => 'fastEther',
      63 => 'isdn',
      64 => 'v11',
      65 => 'v36',
      66 => 'g703at64k',
      67 => 'g703at2mb',
      68 => 'qllc',
      69 => 'fastEtherFX',
      70 => 'channel',
      71 => 'ieee80211',
      72 => 'ibm370parChan',
      73 => 'escon',
      74 => 'dlsw',
      75 => 'isdns',
      76 => 'isdnu',
      77 => 'lapd',
      78 => 'ipSwitch',
      79 => 'rsrb',
      80 => 'atmLogical',
      81 => 'ds0',
      82 => 'ds0Bundle',
      83 => 'bsc',
      84 => 'async',
      85 => 'cnr',
      86 => 'iso88025Dtr',
      87 => 'eplrs',
      88 => 'arap',
      89 => 'propCnls',
      90 => 'hostPad',
      91 => 'termPad',
      92 => 'frameRelayMPI',
      93 => 'x213',
      94 => 'adsl',
      95 => 'radsl',
      96 => 'sdsl',
      97 => 'vdsl',
      98 => 'iso88025CRFPInt',
      99 => 'myrinet',
      100 => 'voiceEM',
      101 => 'voiceFXO',
      102 => 'voiceFXS',
      103 => 'voiceEncap',
      104 => 'voiceOverIp',
      105 => 'atmDxi',
      106 => 'atmFuni',
      107 => 'atmIma',
      108 => 'pppMultilinkBundle',
      109 => 'ipOverCdlc',
      110 => 'ipOverClaw',
      111 => 'stackToStack',
      112 => 'virtualIpAddress',
      113 => 'mpc',
      114 => 'ipOverAtm',
      115 => 'iso88025Fiber',
      116 => 'tdlc',
      117 => 'gigabitEthernet',
      118 => 'hdlc',
      119 => 'lapf',
      120 => 'v37',
      121 => 'x25mlp',
      122 => 'x25huntGroup',
      123 => 'transpHdlc',
      124 => 'interleave',
      125 => 'fast',
      126 => 'ip',
      127 => 'docsCableMaclayer',
      128 => 'docsCableDownstream',
      129 => 'docsCableUpstream',
      130 => 'a12MppSwitch',
      131 => 'tunnel',
      132 => 'coffee',
      133 => 'ces',
      134 => 'atmSubInterface',
      135 => 'l2vlan',
      136 => 'l3ipvlan',
      137 => 'l3ipxvlan',
      138 => 'digitalPowerline',
      139 => 'mediaMailOverIp',
      140 => 'dtm',
      141 => 'dcn',
      142 => 'ipForward',
      143 => 'msdsl',
      144 => 'ieee1394',
      145 => 'if-gsn',
      146 => 'dvbRccMacLayer',
      147 => 'dvbRccDownstream',
      148 => 'dvbRccUpstream',
      149 => 'atmVirtual',
      150 => 'mplsTunnel',
      151 => 'srp',
      152 => 'voiceOverAtm',
      153 => 'voiceOverFrameRelay',
      154 => 'idsl',
      155 => 'compositeLink',
      156 => 'ss7SigLink',
      157 => 'propWirelessP2P',
      158 => 'frForward',
      159 => 'rfc1483',
      160 => 'usb',
      161 => 'ieee8023adLag',
      162 => 'bgppolicyaccounting',
      163 => 'frf16MfrBundle',
      164 => 'h323Gatekeeper',
      165 => 'h323Proxy',
      166 => 'mpls',
      167 => 'mfSigLink',
      168 => 'hdsl2',
      169 => 'shdsl',
      170 => 'ds1FDL',
      171 => 'pos',
      172 => 'dvbAsiIn',
      173 => 'dvbAsiOut',
      174 => 'plc',
      175 => 'nfas',
      176 => 'tr008',
      177 => 'gr303RDT',
      178 => 'gr303IDT',
      179 => 'isup',
      180 => 'propDocsWirelessMaclayer',
      181 => 'propDocsWirelessDownstream',
      182 => 'propDocsWirelessUpstream',
      183 => 'hiperlan2',
      184 => 'propBWAp2Mp',
      185 => 'sonetOverheadChannel',
      186 => 'digitalWrapperOverheadChannel',
      187 => 'aal2',
      188 => 'radioMAC',
      189 => 'atmRadio',
      190 => 'imt',
      191 => 'mvl',
      192 => 'reachDSL',
      193 => 'frDlciEndPt',
      194 => 'atmVciEndPt',
      195 => 'opticalChannel',
      196 => 'opticalTransport',
      197 => 'propAtm',
      198 => 'voiceOverCable',
      199 => 'infiniband',
      200 => 'teLink',
      201 => 'q2931',
      202 => 'virtualTg',
      203 => 'sipTg',
      204 => 'sipSig',
      205 => 'docsCableUpstreamChannel',
      206 => 'econet',
      207 => 'pon155',
      208 => 'pon622',
      209 => 'bridge',
      210 => 'linegroup',
      211 => 'voiceEMFGD',
      212 => 'voiceFGDEANA',
      213 => 'voiceDID',
      214 => 'mpegTransport',
      215 => 'sixToFour',
      216 => 'gtp',
      217 => 'pdnEtherLoop1',
      218 => 'pdnEtherLoop2',
      219 => 'opticalChannelGroup',
      220 => 'homepna',
      221 => 'gfp',
      222 => 'ciscoISLvlan',
      223 => 'actelisMetaLOOP',
      224 => 'fcipLink',
      225 => 'rpr',
      226 => 'qam',
      227 => 'lmp',
      228 => 'cblVectaStar',
      229 => 'docsCableMCmtsDownstream',
      230 => 'adsl2',
      231 => 'macSecControlledIF',
      232 => 'macSecUncontrolledIF',
      233 => 'aviciOpticalEther',
      234 => 'atmbond',
      235 => 'voiceFGDOS',
      236 => 'mocaVersion1',
      237 => 'ieee80216WMAN',
      238 => 'adsl2plus',
      239 => 'dvbRcsMacLayer',
      240 => 'dvbTdm',
      241 => 'dvbRcsTdma',
      242 => 'x86Laps',
      243 => 'wwanPP',
      244 => 'wwanPP2',
      245 => 'voiceEBS',
      246 => 'ifPwType',
      247 => 'ilan',
      248 => 'pip',
      249 => 'aluELP',
      250 => 'gpon',
      251 => 'vdsl2',
      252 => 'capwapDot11Profile',
      253 => 'capwapDot11Bss',
      254 => 'capwapWtpVirtualRadio',
      255 => 'bits',
      256 => 'docsCableUpstreamRfPort',
      257 => 'cableDownstreamRfPort',
      258 => 'vmwareVirtualNic',
      259 => 'ieee802154',
      260 => 'otnOdu',
      261 => 'otnOtu',
      262 => 'ifVfiType',
      263 => 'g9981',
      264 => 'g9982',
      265 => 'g9983',
      266 => 'aluEpon',
      267 => 'aluEponOnu',
      268 => 'aluEponPhysicalUni',
      269 => 'aluEponLogicalLink',
      270 => 'aluGponOnu',
      271 => 'aluGponPhysicalUni',
      272 => 'vmwareNicTeam',
      # 273 ... http://tools.ietf.org/html/rfc6825
    },
  },
  'ENTITY-MIB' => {
    'PhysicalClass' => {
      1 => 'other',
      2 => 'unknown',
      3 => 'chassis',
      4 => 'backplane',
      5 => 'container',
      6 => 'powerSupply',
      7 => 'fan',
      8 => 'sensor',
      9 => 'module',
      10 => 'port',
      11 => 'stack',
      12 => 'cpu',
    },
  },
  'CISCO-IETF-NAT-MIB' => {
    'NATProtocolType' => {
      1 => 'other',
      2 => 'icmp',
      3 => 'udp',
      4 => 'tcp',
    },
  },
  'CISCO-ENTITY-ALARM-MIB' => {
    'AlarmSeverity' => {
      1 => 'critical',
      2 => 'major',
      3 => 'minor',
      4 => 'info',
    },
    'AlarmSeverityOrZero' => {
      0 => 'none',
      1 => 'critical',
      2 => 'major',
      3 => 'minor',
      4 => 'info',
    },
  },
  'CISCO-FEATURE-CONTROL-MIB' => {
    'CiscoOptionalFeature' => {
      1 => 'ivr',
      2 => 'fcip',
      3 => 'fcsp',
      4 => 'ficon',
      5 => 'iscsi',
      6 => 'tacacs',
      7 => 'qosManager',
      8 => 'portSecurity',
      9 => 'fabricBinding',
      10 => 'iscsiInterfaceVsanMembership',
      11 => 'ike',
      12 => 'isns',
      13 => 'ipSec',
      14 => 'portTracker',
      15 => 'scheduler',
      16 => 'npiv',
      17 => 'sanExtTuner',
      18 => 'dpvm',
      19 => 'extenedCredit',
    },
    'CiscoFeatureAction' => {
      1 => 'noOp',
      2 => 'enable',
      3 => 'disable',
    },
    'CiscoFeatureStatus' => {
      1 => 'unknown',
      2 => 'enabled',
      3 => 'disabled',
    },
    'CiscoFeatureActionResult' => {
      1 => 'none',
      2 => 'actionSuccess',
      3 => 'actionFailed',
      4 => 'actionInProgress',
    },
  },
  'CISCO-IPSEC-FLOW-MONITOR-MIB' => {
    AuthAlgo => {
      '1' => 'none',
      '2' => 'hmacMd5',
      '3' => 'hmacSha',
    },
    CompAlgo => {
      '1' => 'none',
      '2' => 'ldf',
    },
    DiffHellmanGrp => {
      '1' => 'none',
      '2' => 'dhGroup1',
      '3' => 'dhGroup2',
    },
    EncapMode => {
      '1' => 'tunnel',
      '2' => 'transport',
    },
    EncryptAlgo => {
      '1' => 'none',
      '2' => 'des',
      '3' => 'des3',
    },
    EndPtType => {
      '1' => 'singleIpAddr',
      '2' => 'ipAddrRange',
      '3' => 'ipSubnet',
    },
    IkeAuthMethod => {
      '1' => 'none',
      '2' => 'preSharedKey',
      '3' => 'rsaSig',
      '4' => 'rsaEncrypt',
      '5' => 'revPublicKey',
    },
    IkeHashAlgo => {
      '1' => 'none',
      '2' => 'md5',
      '3' => 'sha',
    },
    IkeNegoMode => {
      '1' => 'main',
      '2' => 'aggressive',
    },
    IkePeerType => {
      '1' => 'ipAddrPeer',
      '2' => 'namePeer',
    },
    KeyType => {
      '1' => 'ike',
      '2' => 'manual',
    },
    TrapStatus => {
      '1' => 'enabled',
      '2' => 'disabled',
    },
    TunnelStatus => {
      '1' => 'active',
      '2' => 'destroy',
    },
    cikeFailReason => {
      '1' => 'other',
      '2' => 'peerDelRequest',
      '3' => 'peerLost',
      '4' => 'localFailure',
      '5' => 'authFailure',
      '6' => 'hashValidation',
      '7' => 'encryptFailure',
      '8' => 'internalError',
      '9' => 'sysCapExceeded',
      '10' => 'proposalFailure',
      '11' => 'peerCertUnavailable',
      '12' => 'peerCertNotValid',
      '13' => 'localCertExpired',
      '14' => 'crlFailure',
      '15' => 'peerEncodingError',
      '16' => 'nonExistentSa',
      '17' => 'operRequest',
    },
    cikeTunHistTermReason => {
      '1' => 'other',
      '2' => 'normal',
      '3' => 'operRequest',
      '4' => 'peerDelRequest',
      '5' => 'peerLost',
      '6' => 'localFailure',
      '7' => 'checkPointReg',
    },
    cipSecFailReason => {
      '1' => 'other',
      '2' => 'internalError',
      '3' => 'peerEncodingError',
      '4' => 'proposalFailure',
      '5' => 'protocolUseFail',
      '6' => 'nonExistentSa',
      '7' => 'decryptFailure',
      '8' => 'encryptFailure',
      '9' => 'inAuthFailure',
      '10' => 'outAuthFailure',
      '11' => 'compression',
      '12' => 'sysCapExceeded',
      '13' => 'peerDelRequest',
      '14' => 'peerLost',
      '15' => 'seqNumRollOver',
      '16' => 'operRequest',
    },
    cipSecHistCheckPoint => {
      '1' => 'ready',
      '2' => 'checkPoint',
    },
    cipSecSpiDirection => {
      '1' => 'in',
      '2' => 'out',
    },
    cipSecSpiProtocol => {
      '1' => 'ah',
      '2' => 'esp',
      '3' => 'ipcomp',
    },
    cipSecSpiStatus => {
      '1' => 'active',
      '2' => 'expiring',
    },
    cipSecTunHistTermReason => {
      '1' => 'other',
      '2' => 'normal',
      '3' => 'operRequest',
      '4' => 'peerDelRequest',
      '5' => 'peerLost',
      '6' => 'seqNumRollOver',
      '7' => 'checkPointReq',
    },
  },
  'CISCO-ETHERNET-FABRIC-EXTENDER-MIB' => {
    CiscoPortPinningMode => {
      '1' => 'static',
    },
  },
};

